
in="../../../../../Archive/Benchmarks/ImagesStacking"

rm -f adaptive_*.txt
rm -f vaquero_*.txt

for grid in \
	16x24 \
	32x48
do
	#
	#      backyard:  50 mm, f/1.4 f/8.0
	#
	echo "********"
	echo "backyard"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-backyard.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe backyard settings.txt \
		$in/backyard/Low_resolution/*.gray >> adaptive_backyard-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-backyard.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe backyard settings.txt \
		$in/backyard/Low_resolution/*.gray >> vaquero_backyard-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-backyard.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe backyard settings.txt \
		$in/backyard/Low_resolution/*.gray >> adaptive_backyard-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-backyard.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe backyard settings.txt \
		$in/backyard/Low_resolution/*.gray >> vaquero_backyard-narrow-$grid.txt

	#
	#      bars:      50 mm, f/1.4 f/8.0
	#
	echo "********"
	echo "bars"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-bars.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe bars settings.txt \
		$in/bars/Low_resolution/*.gray >> adaptive_bars-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-bars.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe bars settings.txt \
		$in/bars/Low_resolution/*.gray >> vaquero_bars-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-bars.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe bars settings.txt \
		$in/bars/Low_resolution/*.gray >> adaptive_bars-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-bars.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe bars settings.txt \
		$in/bars/Low_resolution/*.gray >> vaquero_bars-narrow-$grid.txt

	#
	#      books:     50 mm, f/1.4 f/8.0
	#
	echo "********"
	echo "books"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-books.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe books settings.txt \
		$in/books/Low_resolution/*.gray >> adaptive_books-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-books.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe books settings.txt \
		$in/books/Low_resolution/*.gray >> vaquero_books-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-books.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe books settings.txt \
		$in/books/Low_resolution/*.gray >> adaptive_books-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-books.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe books settings.txt \
		$in/books/Low_resolution/*.gray >> vaquero_books-narrow-$grid.txt

	#
	#      building:  50 mm, f/2.0 f/8.0
	#
	echo "********"
	echo "building"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-building.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-2.0.txt > settings.txt
	time ./adaptive.exe building settings.txt \
		$in/building/Low_resolution/*.gray >> adaptive_building-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-building.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-2.0.txt > settings.txt
	time ./adaptive.exe building settings.txt \
		$in/building/Low_resolution/*.gray >> vaquero_building-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-building.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe building settings.txt \
		$in/building/Low_resolution/*.gray >> adaptive_building-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-building.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe building settings.txt \
		$in/building/Low_resolution/*.gray >> vaquero_building-narrow-$grid.txt

	#
	#      cans:      50 mm, f/1.4 f/8.0
	#
	echo "********"
	echo "cans"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-cans.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe cans settings.txt \
		$in/cans/Low_resolution/*.gray >> adaptive_cans-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-cans.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-1.4.txt > settings.txt
	time ./adaptive.exe cans settings.txt \
		$in/cans/Low_resolution/*.gray >> vaquero_cans-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-cans.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe cans settings.txt \
		$in/cans/Low_resolution/*.gray >> adaptive_cans-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-cans.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe cans settings.txt \
		$in/cans/Low_resolution/*.gray >> vaquero_cans-narrow-$grid.txt

	#
	#      coins:    200 mm, f/2.8 f/8.0
	#
	echo "********"
	echo "coins"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-coins.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-200-2.8.txt > settings.txt
	time ./adaptive.exe coins settings.txt \
		$in/coins/Low_resolution/*.gray >> adaptive_coins-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-coins.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-200-2.8.txt > settings.txt
	time ./adaptive.exe coins settings.txt \
		$in/coins/Low_resolution/*.gray >> vaquero_coins-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-coins.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-200-8.0.txt > settings.txt
	time ./adaptive.exe coins settings.txt \
		$in/coins/Low_resolution/*.gray >> adaptive_coins-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-coins.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-200-8.0.txt > settings.txt
	time ./adaptive.exe coins settings.txt \
		$in/coins/Low_resolution/*.gray >> vaquero_coins-narrow-$grid.txt

	#
	#      flowers:  200 mm, f/2.8 f/8.0
	#
	echo "********"
	echo "flowers"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-flowers.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-200-2.8.txt > settings.txt
	time ./adaptive.exe flowers settings.txt \
		$in/flowers/Low_resolution/*.gray >> adaptive_flowers-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-flowers.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-200-2.8.txt > settings.txt
	time ./adaptive.exe flowers settings.txt \
		$in/flowers/Low_resolution/*.gray >> vaquero_flowers-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-flowers.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-200-8.0.txt > settings.txt
	time ./adaptive.exe flowers settings.txt \
		$in/flowers/Low_resolution/*.gray >> adaptive_flowers-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-flowers.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-200-8.0.txt > settings.txt
	time ./adaptive.exe flowers settings.txt \
		$in/flowers/Low_resolution/*.gray >> vaquero_flowers-narrow-$grid.txt

	#
	#      trail:     50 mm, f/4.0 f/8.0
	#
	echo "********"
	echo "trail"

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-trail.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-4.0.txt > settings.txt
	time ./adaptive.exe trail settings.txt \
		$in/trail/Low_resolution/*.gray >> adaptive_trail-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-trail.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-4.0.txt > settings.txt
	time ./adaptive.exe trail settings.txt \
		$in/trail/Low_resolution/*.gray >> vaquero_trail-wide-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-trail.txt \
	    Experiment/method-adaptive.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe trail settings.txt \
		$in/trail/Low_resolution/*.gray >> adaptive_trail-narrow-$grid.txt

	cat Experiment/grid-$grid.txt \
	    Experiment/threshold-trail.txt \
	    Experiment/method-vaquero.txt \
	    Experiment/camera-050-8.0.txt > settings.txt
	time ./adaptive.exe trail settings.txt \
		$in/trail/Low_resolution/*.gray >> vaquero_trail-narrow-$grid.txt

done

rm settings.txt

