/*
 *  Routines for storing and retrieving experimental parameters.
 */
#ifndef _SETTINGS_H_
#define _SETTINGS_H_

class Settings
{
    public:
	Settings( char *fileName );
	~Settings();

	void   printSettings();
	int    getFocusMeasure();
	double getCoC();
	int    getLens();
	double getAperture();
	int    getSelectionMethod();
	int    getRows();
	int    getCols();
	int    getDebug();
	double getThreshold1();
	double getThreshold2();
	double getThreshold3();
	double getWeight();

    private:
	void initialize( char *fileName );

	int    focusMeasure;
	double circleOfConfusion;
	int    lens;
	double aperture;
	int    selection;
	int    filter;
	int    nRows;
	int    nCols;
	int    debug;
	double t1;
	double t2;
	double t3;
	double weight;
};

#endif // _SETTINGS_H_
