
# Set grid size in evaluation.cpp: 16x24 or 32x48
#grid="16x24"
grid="32x48"

#################################################################
#  Exact
#################################################################

rm -f exact_summary-$grid.txt

for aperture in \
    wide \
    narrow
do
    echo $aperture >> exact_summary-$grid.txt
    for benchmark in \
        backyard \
        bars \
        books \
        building \
        cans \
        coins \
        flowers \
        trail
    do
        ./eval.exe $benchmark $aperture Results/exact_$benchmark-$aperture-$grid.txt >> exact_summary-$grid.txt
    done
done

#################################################################
#  Adaptive
#################################################################

rm -f adaptive_summary-$grid.txt

for aperture in \
    wide \
    narrow
do
    echo $aperture >> adaptive_summary-$grid.txt
    for benchmark in \
        backyard \
        bars \
        books \
        building \
        cans \
        coins \
        flowers \
        trail
    do
        ./eval.exe $benchmark $aperture Results/adaptive_$benchmark-$aperture-$grid.txt >> adaptive_summary-$grid.txt
    done
done

#################################################################
#  Vaquero
#################################################################

rm -f vaquero_summary-$grid.txt

for aperture in \
    wide \
    narrow
do
    echo $aperture >> vaquero_summary-$grid.txt
    for benchmark in \
        backyard \
        bars \
        books \
        building \
        cans \
        coins \
        flowers \
        trail
    do
        ./eval.exe $benchmark $aperture Results/vaquero_$benchmark-$aperture-$grid.txt >> vaquero_summary-$grid.txt
    done
done

