/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_coins_narrow[] = {
    {  0,  0,  -1 }, /* 149 (0), 149 (0), 149 (0), 149 (0), 104 (0), support = 5 */
    {  0,  1,  -1 }, /* 136 (0), 104 (0), 136 (0), 104 (0), 104 (0), support = 5 */
    {  0,  2,  -1 }, /* 104 (0), 104 (0), 143 (0), 104 (0), 104 (0), support = 5 */
    {  0,  3,  -1 }, /* 104 (0), 104 (0), 104 (0), 104 (0), 104 (0), support = 5 */
    {  0,  4,  -1 }, /* 104 (0), 104 (0), 104 (0), 104 (0), 104 (0), support = 5 */
    {  0,  5,  -1 }, /* 104 (0), 104 (0), 104 (0), 104 (0), 104 (0), support = 5 */
    {  0,  6,  -1 }, /* 104 (0), 104 (0), 104 (0), 104 (0), 104 (0), support = 5 */
    {  0,  7,  -1 }, /* 104 (0), 104 (0), 148 (0), 104 (0), 104 (0), support = 5 */
    {  0,  8,  -1 }, /* 105 (0), 105 (0), 149 (0), 105 (0), 105 (0), support = 5 */
    {  0,  9,  -1 }, /* 105 (0), 105 (0), 148 (0), 105 (0), 104 (0), support = 5 */
    {  0, 10,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 105 (0), support = 5 */
    {  0, 11,  -1 }, /* 105 (0), 105 (0),  65 (0), 105 (0), 105 (0), support = 5 */
    {  0, 12,  -1 }, /* 105 (0), 105 (0),  61 (0), 105 (0), 104 (0), support = 5 */
    {  0, 13,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 105 (0), support = 5 */
    {  0, 14,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 104 (0), support = 5 */
    {  0, 15,  97 }, /*  97 (2),  97 (2),   4 (0), 105 (0),  97 (2), support = 3 */
    {  0, 16,  97 }, /*  97 (2),  97 (2), 144 (0),  97 (2),  97 (2), support = 4 */
    {  0, 17,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 105 (0), support = 5 */
    {  0, 18,  -1 }, /*  75 (0), 105 (0),   7 (0), 105 (0), 105 (0), support = 5 */
    {  0, 19,  -1 }, /* 105 (0), 105 (0),  53 (0), 105 (0),  51 (0), support = 5 */
    {  0, 20,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 105 (0), support = 5 */
    {  0, 21,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 105 (0), support = 5 */
    {  0, 22,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0),   7 (0), support = 5 */
    {  0, 23,  -1 }, /* 105 (0), 105 (0),  62 (0), 105 (0),   5 (0), support = 5 */
    {  1,  0,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  39 (0), support = 5 */
    {  1,  1,  -1 }, /*   1 (0),   0 (0),   1 (0),   0 (0), 103 (0), support = 5 */
    {  1,  2,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 103 (0), support = 5 */
    {  1,  3,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 103 (0), support = 5 */
    {  1,  4,  95 }, /*  95 (2),  95 (2),   0 (0),   1 (0),  95 (2), support = 3 */
    {  1,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  1,  6,  96 }, /*  96 (2),  96 (2),   2 (0),   1 (0),  96 (2), support = 3 */
    {  1,  7,  -1 }, /*   5 (0),   2 (0),   5 (0),   5 (0), 103 (0), support = 5 */
    {  1,  8,  -1 }, /*   0 (0), 103 (0),   0 (0),   0 (0), 103 (0), support = 5 */
    {  1,  9,  -1 }, /*   1 (0), 103 (0),   1 (0), 103 (0), 103 (0), support = 5 */
    {  1, 10,  -1 }, /* 103 (0), 103 (0),   1 (0), 103 (0), 103 (0), support = 5 */
    {  1, 11,  -1 }, /* 103 (0), 103 (0), 103 (0), 103 (0), 103 (0), support = 5 */
    {  1, 12,  -1 }, /* 103 (0), 103 (0), 103 (0), 103 (0), 103 (0), support = 5 */
    {  1, 13,  -1 }, /* 103 (0), 103 (0), 103 (0), 103 (0), 103 (0), support = 5 */
    {  1, 14,  -1 }, /* 103 (0), 103 (0), 103 (0), 103 (0), 103 (0), support = 5 */
    {  1, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  1, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  1, 17,  -1 }, /* 103 (0), 103 (0),  16 (0), 103 (0), 103 (0), support = 5 */
    {  1, 18,  -1 }, /* 104 (0), 104 (0),  10 (0), 104 (0), 104 (0), support = 5 */
    {  1, 19,  -1 }, /* 103 (0), 103 (0),   1 (0), 103 (0), 103 (0), support = 5 */
    {  1, 20,  -1 }, /* 103 (0), 103 (0), 144 (0), 103 (0),  38 (0), support = 5 */
    {  1, 21,  -1 }, /* 104 (0), 103 (0), 104 (0), 103 (0), 103 (0), support = 5 */
    {  1, 22,  -1 }, /* 103 (0), 103 (0),  78 (0), 103 (0),  11 (0), support = 5 */
    {  1, 23,  -1 }, /*   9 (0),   9 (0),   6 (0),   9 (0),   5 (0), support = 5 */
    {  2,  0,  -1 }, /*   0 (0),   1 (0),   0 (0),   1 (0), 102 (0), support = 5 */
    {  2,  1,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  2,  2,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  2,  3,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  2,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  2,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  2,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  2,  7,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  2,  8,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  2,  9,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  2, 10,  98 }, /*  98 (2),  98 (2),   8 (0),  98 (2),  98 (2), support = 4 */
    {  2, 11,  -1 }, /* 102 (0), 102 (0), 102 (0), 102 (0), 102 (0), support = 5 */
    {  2, 12,  -1 }, /* 102 (0), 102 (0), 102 (0), 102 (0), 102 (0), support = 5 */
    {  2, 13,  -1 }, /* 102 (0), 102 (0), 102 (0), 102 (0), 102 (0), support = 5 */
    {  2, 14,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  2, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  2, 16,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  2, 17,  -1 }, /*  16 (0),  16 (0),  16 (0),   5 (0), 102 (0), support = 5 */
    {  2, 18,  -1 }, /* 102 (0), 102 (0), 138 (0), 102 (0), 102 (0), support = 5 */
    {  2, 19,  -1 }, /* 102 (0), 102 (0), 102 (0), 102 (0), 102 (0), support = 5 */
    {  2, 20,  -1 }, /* 102 (0), 102 (0),  58 (0), 102 (0), 102 (0), support = 5 */
    {  2, 21,  -1 }, /* 102 (0), 102 (0), 144 (0), 102 (0), 102 (0), support = 5 */
    {  2, 22,  -1 }, /* 102 (0), 102 (0), 102 (0), 102 (0), 102 (0), support = 5 */
    {  2, 23,  -1 }, /*  63 (0),  66 (0),   2 (0),  66 (0),   1 (0), support = 5 */
    {  3,  0,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 100 (2), support = 4 */
    {  3,  1,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  3,  2,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  3,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  3, 10,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  3, 11,  -1 }, /*   1 (0), 101 (1),   4 (0), 101 (1), 101 (1), support = 1 */
    {  3, 12,  -1 }, /* 101 (1), 101 (1), 101 (1), 101 (1), 101 (1), support = 1 */
    {  3, 13,  97 }, /*  97 (2),  97 (2),   1 (0),  97 (2),  97 (2), support = 4 */
    {  3, 14,  95 }, /*  95 (2),  96 (2),  95 (2),  95 (2),  96 (2), support = 3 */
    {  3, 15,  94 }, /*  94 (2),  94 (2),  95 (2),  94 (2),  94 (2), support = 4 */
    {  3, 16,  95 }, /*  95 (2),  95 (2),  95 (2),  94 (2),  95 (2), support = 4 */
    {  3, 17,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  3, 18,  93 }, /*  93 (2),  93 (2),  93 (2),  92 (2),  93 (2), support = 4 */
    {  3, 19,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  3, 20,  -1 }, /*  92 (1),  92 (1),  17 (0),  92 (1),  92 (1), support = 1 */
    {  3, 21,  -1 }, /*  10 (0), 101 (1),  10 (0), 101 (1), 101 (1), support = 1 */
    {  3, 22,  -1 }, /* 101 (1), 101 (1), 101 (1), 101 (1), 101 (1), support = 1 */
    {  3, 23,  -1 }, /*  67 (0), 101 (1),  67 (0), 101 (1), 101 (1), support = 1 */
    {  4,  0,  -1 }, /*   2 (0),  12 (0),   2 (0),   0 (0),  99 (1), support = 4 */
    {  4,  1,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  4,  2,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  3,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  4, 10,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  4, 11,  99 }, /*  99 (2),  99 (2),  59 (0),  99 (2),  99 (2), support = 4 */
    {  4, 12,  -1 }, /*   5 (0),   5 (0),   5 (0),   4 (0),  99 (1), support = 4 */
    {  4, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4, 14,  96 }, /*  96 (2),  96 (2),  95 (2),  96 (2),  96 (2), support = 4 */
    {  4, 15,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  4, 16,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 17,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 18,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  4, 19,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  4, 20,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  4, 21,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  4, 22,  91 }, /*  91 (2),  91 (2), 100 (1),  99 (1), 100 (1), support = 1 */
    {  4, 23,  -1 }, /*  68 (0),  68 (0),  68 (0),  68 (0),  68 (0), support = 5 */
    {  5,  0,  -1 }, /*   5 (0),   5 (0),   5 (0),   5 (0),  98 (2), support = 4 */
    {  5,  1,  97 }, /*  97 (2),  97 (2),  43 (0),  97 (2),  97 (2), support = 4 */
    {  5,  2,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  3,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5, 10,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5, 11,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  5, 12,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  5, 13,  96 }, /*  96 (2),  97 (2),  96 (2),  97 (2),  96 (2), support = 3 */
    {  5, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5, 15,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  5, 16,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  94 (2), support = 4 */
    {  5, 17,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  5, 18,  94 }, /*  99 (1),  99 (1), 147 (0),  94 (2),  94 (2), support = 1 */
    {  5, 19,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  5, 20,  94 }, /*  75 (0),  75 (0),  26 (0),  94 (2),  94 (2), support = 1 */
    {  5, 21,  94 }, /*  94 (2),  94 (2),   6 (0),  94 (2),  94 (2), support = 4 */
    {  5, 22,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  5, 23,  -1 }, /*  90 (2),  90 (2),  65 (0),  90 (2),  90 (2), support = 1 */
    {  6,  0,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  83 (1), support = 4 */
    {  6,  1,  -1 }, /*   0 (0),   2 (0),   0 (0),   0 (0),  83 (1), support = 4 */
    {  6,  2,  -1 }, /*   7 (0),  89 (1),   7 (0),   6 (0),  97 (2), support = 1 */
    {  6,  3,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6,  7,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6,  8,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6, 10,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6, 11,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6, 12,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6, 14,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  6, 15,  94 }, /*  93 (2),  94 (2),  94 (2),  93 (2),  94 (2), support = 3 */
    {  6, 16,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  6, 17,  -1 }, /*  92 (1),  92 (1),   3 (0),  92 (1),  92 (1), support = 1 */
    {  6, 18,  -1 }, /* 110 (0), 109 (0), 147 (0),  92 (1),  92 (1), support = 1 */
    {  6, 19,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  6, 20,  93 }, /*  93 (2),  93 (2),  38 (0),  93 (2),  93 (2), support = 4 */
    {  6, 21,  94 }, /*  94 (2),  93 (2),  93 (2),  94 (2),  94 (2), support = 3 */
    {  6, 22,  -1 }, /*  76 (0),  76 (0), 140 (0),  91 (2),  92 (2), support = 1 */
    {  6, 23,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  7,  0,  -1 }, /*  10 (0),  10 (0),  10 (0),  95 (2),  10 (0), support = 4 */
    {  7,  1,  -1 }, /*   0 (0),   3 (0),   0 (0),   3 (0),  83 (1), support = 4 */
    {  7,  2,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),   0 (0), support = 5 */
    {  7,  3,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   6 (0), support = 5 */
    {  7,  4,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  14 (0), support = 5 */
    {  7,  5,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),  25 (0), support = 5 */
    {  7,  6,  -1 }, /*   1 (0),   1 (0),   1 (0),   0 (0),  47 (0), support = 5 */
    {  7,  7,  -1 }, /* 148 (0),   2 (0), 148 (0),   2 (0), 137 (0), support = 5 */
    {  7,  8,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7,  9,  -1 }, /*   5 (0),   5 (0),   8 (0),   5 (0),  95 (2), support = 4 */
    {  7, 10,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7, 11,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7, 12,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7, 13,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7, 14,  96 }, /*  96 (2),  96 (2), 147 (0),  96 (2),  96 (2), support = 4 */
    {  7, 15,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 16,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 17,  94 }, /*  94 (2),  94 (2),   1 (0),  94 (2),  94 (2), support = 4 */
    {  7, 18,  -1 }, /*  92 (1),  92 (1),  92 (1),  92 (1),  92 (1), support = 1 */
    {  7, 19,  -1 }, /*  91 (1),  91 (1),   7 (0),  91 (1),  91 (1), support = 1 */
    {  7, 20,  -1 }, /* 123 (0), 123 (0), 148 (0), 149 (0), 148 (0), support = 5 */
    {  7, 21,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 22,  -1 }, /*  71 (0),  73 (0),  47 (0),  47 (0),  47 (0), support = 5 */
    {  7, 23,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    {  8,  0,  -1 }, /*  69 (0),  69 (0),  69 (0),  39 (0),  41 (0), support = 5 */
    {  8,  1,  -1 }, /*  93 (1),  93 (1),  93 (1),  93 (1),  93 (1), support = 1 */
    {  8,  2,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  17 (0), support = 5 */
    {  8,  3,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   0 (0), support = 5 */
    {  8,  4,  -1 }, /*   1 (0),   1 (0),   1 (0),  93 (2),   8 (0), support = 4 */
    {  8,  5,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  94 (1), support = 4 */
    {  8,  6,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  94 (1), support = 4 */
    {  8,  7,  -1 }, /*  93 (2),  93 (2),  94 (1),  93 (2),  93 (2), support = 1 */
    {  8,  8,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8,  9,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 10,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 11,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 12,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 13,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 14,  -1 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 15,  -1 }, /*  94 (1),  94 (1), 150 (0),  94 (1),  94 (1), support = 1 */
    {  8, 16,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  8, 17,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  8, 18,  -1 }, /*   0 (0),   1 (0),   0 (0),   0 (0),   1 (0), support = 5 */
    {  8, 19,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  91 (2), support = 4 */
    {  8, 20,  -1 }, /* 121 (0), 121 (0), 149 (0), 150 (0), 150 (0), support = 5 */
    {  8, 21,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  8, 22,  -1 }, /*  76 (0),  76 (0), 149 (0),  49 (0),  51 (0), support = 5 */
    {  8, 23,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    {  9,  0,  -1 }, /*   1 (0),  71 (0),   1 (0),   1 (0),  71 (0), support = 5 */
    {  9,  1,  -1 }, /*   3 (0),   3 (0),   3 (0),   3 (0),  93 (1), support = 4 */
    {  9,  2,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  9,  3,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  92 (2), support = 4 */
    {  9,  4,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  92 (2), support = 4 */
    {  9,  5,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  9,  6,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9,  7,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9,  8,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9,  9,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 10,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  9, 11,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  9, 12,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 13,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 14,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  9, 15,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  9, 16,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  9, 17,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 18,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 19,  -1 }, /*   5 (0),   0 (0),   2 (0),   0 (0),   0 (0), support = 5 */
    {  9, 20,  -1 }, /*   0 (0),   0 (0),   0 (0),  91 (2),  91 (2), support = 1 */
    {  9, 21,  91 }, /* 148 (0),  91 (2), 148 (0),  91 (2),  91 (2), support = 3 */
    {  9, 22,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  91 (2), support = 4 */
    {  9, 23,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 10,  0,  90 }, /*  90 (2),  90 (2),   1 (0),   0 (0),  90 (2), support = 3 */
    { 10,  1,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 10,  2,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  3,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  4,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  5,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  91 (2), support = 4 */
    { 10,  6,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  7,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  8,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  9,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  90 (2), support = 4 */
    { 10, 10,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10, 11,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10, 12,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10, 13,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 14,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 15,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 16,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 17,  91 }, /*  91 (2),  91 (2), 141 (0),  91 (2),  91 (2), support = 4 */
    { 10, 18,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 19,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 20,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 21,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 22,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  91 (2), support = 4 */
    { 10, 23,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 11,  0,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  89 (2), support = 4 */
    { 11,  1,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 11,  2,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 11,  3,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  89 (2), support = 4 */
    { 11,  4,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  5,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  6,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  7,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  8,  89 }, /*  89 (2),  89 (2),  89 (2),  90 (2),  89 (2), support = 4 */
    { 11,  9,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11, 10,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11, 11,  89 }, /*  89 (2),  89 (2),  89 (2),  90 (2),  89 (2), support = 4 */
    { 11, 12,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11, 13,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11, 14,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11, 15,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 16,  90 }, /*  90 (2),  90 (2), 148 (0),  90 (2),  90 (2), support = 4 */
    { 11, 17,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 18,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 19,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 20,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 21,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 22,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 23,  90 }, /*  90 (2),  90 (2),  55 (0),  90 (2),  90 (2), support = 4 */
    { 12,  0,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  1,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  88 (2), support = 4 */
    { 12,  2,  88 }, /*  88 (2),  88 (2),  87 (2),  88 (2),  88 (2), support = 4 */
    { 12,  3,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  4,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  5,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  6,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  7,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  8,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 12,  9,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 10,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 11,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 12,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 13,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 14,  89 }, /*  89 (2),  89 (2),  88 (2),  89 (2),  88 (2), support = 3 */
    { 12, 15,  89 }, /*  89 (2),  82 (1),  21 (0),  89 (2),  89 (2), support = 3 */
    { 12, 16,  -1 }, /*  88 (1),  89 (1),  88 (1),  89 (1),  89 (1), support = 1 */
    { 12, 17,  -1 }, /*   0 (0),  89 (1),   0 (0),  89 (1),   2 (0), support = 1 */
    { 12, 18,  -1 }, /*  89 (1),  89 (1),  89 (1),  89 (1),  89 (1), support = 1 */
    { 12, 19,  -1 }, /*  89 (1),  89 (1),  89 (1),  89 (1),  89 (1), support = 1 */
    { 12, 20,  -1 }, /*  88 (1),  89 (1),  88 (1),  88 (1),   4 (0), support = 1 */
    { 12, 21,  -1 }, /*  89 (1),  89 (1),  47 (0),  89 (1),  89 (1), support = 1 */
    { 12, 22,  -1 }, /*  13 (0),  89 (1),  13 (0),  89 (1),  10 (0), support = 1 */
    { 12, 23,  -1 }, /*   9 (0),   8 (0),   9 (0),  10 (0),  10 (0), support = 5 */
    { 13,  0,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  1,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  2,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  3,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  4,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  5,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  6,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  7,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  8,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13,  9,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13, 10,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13, 11,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13, 12,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13, 13,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13, 14,  87 }, /* 148 (0),  87 (2), 150 (0),  87 (2),  87 (2), support = 3 */
    { 13, 15,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13, 16,  -1 }, /*   0 (0),  87 (1),   0 (0),  87 (1),  87 (1), support = 1 */
    { 13, 17,  -1 }, /*  88 (1),  88 (1),  87 (1),  88 (1),  88 (1), support = 1 */
    { 13, 18,  -1 }, /*  87 (1),  87 (1),  88 (1),  87 (1),  87 (1), support = 1 */
    { 13, 19,  -1 }, /*  87 (1),  87 (1),  87 (1),  87 (1),  88 (1), support = 1 */
    { 13, 20,  -1 }, /*  87 (1),  87 (1),  38 (0),  87 (1),   1 (0), support = 1 */
    { 13, 21,  -1 }, /*  24 (0),  24 (0),  24 (0),  87 (1),  12 (0), support = 4 */
    { 13, 22,  -1 }, /*   0 (0),   0 (0),   0 (0),   7 (0),   0 (0), support = 5 */
    { 13, 23,  -1 }, /*   6 (0),   4 (0),   6 (0),   4 (0),   4 (0), support = 5 */
    { 14,  0,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 14,  1,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 14,  2,  84 }, /*  84 (2),  84 (2),  85 (2),  84 (2),  84 (2), support = 4 */
    { 14,  3,  85 }, /*  85 (2),  85 (2),  85 (2),  84 (2),  85 (2), support = 4 */
    { 14,  4,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  5,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  6,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  7,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  8,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  9,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 10,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14, 11,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14, 12,  86 }, /*  86 (2),  86 (2),  85 (2),  86 (2),  86 (2), support = 4 */
    { 14, 13,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 14,  86 }, /*  86 (2),  86 (2),   2 (0),  86 (2),  86 (2), support = 4 */
    { 14, 15,  86 }, /*  86 (2),  86 (2),   0 (0),  86 (2),  86 (2), support = 4 */
    { 14, 16,  -1 }, /*  86 (1),  86 (1),  86 (1),  86 (1),  11 (0), support = 1 */
    { 14, 17,  -1 }, /*  86 (1),  86 (1),  86 (1),  86 (1),  86 (1), support = 1 */
    { 14, 18,  -1 }, /*  86 (1),  86 (1),  86 (1),  86 (1),   2 (0), support = 1 */
    { 14, 19,  -1 }, /*  38 (0),  86 (1),  37 (0),  86 (1),   0 (0), support = 1 */
    { 14, 20,  -1 }, /*  11 (0),  86 (1),  13 (0),  86 (1),  13 (0), support = 1 */
    { 14, 21,  -1 }, /*   9 (0),   8 (0),   9 (0),   8 (0),   8 (0), support = 5 */
    { 14, 22,  -1 }, /*   9 (0),   4 (0),   0 (0),   3 (0),   4 (0), support = 5 */
    { 14, 23,  -1 }, /*   6 (0),  60 (0),   6 (0),  60 (0),   5 (0), support = 5 */
    { 15,  0,  84 }, /*  84 (2),  84 (2),  29 (0),  84 (2),  84 (2), support = 4 */
    { 15,  1,  84 }, /*  84 (2),  84 (2),  84 (2),  83 (2),  84 (2), support = 4 */
    { 15,  2,  84 }, /*  84 (2),  84 (2),  84 (2),  83 (2),  84 (2), support = 4 */
    { 15,  3,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 15,  4,  -1 }, /*   0 (0),   0 (0),   7 (0),   0 (0),  84 (2), support = 4 */
    { 15,  5,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),  83 (1), support = 4 */
    { 15,  6,  -1 }, /*   9 (0),   4 (0),   9 (0),   4 (0),  84 (2), support = 4 */
    { 15,  7,  -1 }, /*   3 (0),  13 (0),  13 (0),   3 (0),  84 (2), support = 4 */
    { 15,  8,  -1 }, /*  17 (0),  17 (0),  19 (0),  17 (0),  84 (2), support = 4 */
    { 15,  9,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 15, 10,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 15, 11,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 15, 12,  84 }, /*  84 (2),  84 (2),  84 (2),  84 (2),  84 (2), support = 5 */
    { 15, 13,  85 }, /*  85 (2),  85 (2),  84 (2),  85 (2),  85 (2), support = 4 */
    { 15, 14,  84 }, /*  84 (2),  84 (2),  65 (0),  84 (2),  59 (0), support = 3 */
    { 15, 15,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 15, 16,  -1 }, /*  84 (1),  84 (1),  84 (1),  84 (1),  14 (0), support = 1 */
    { 15, 17,  -1 }, /*  84 (1),  84 (1),  84 (1),  84 (1),   1 (0), support = 1 */
    { 15, 18,  -1 }, /*  38 (0),  85 (1),  38 (0),  85 (1),  36 (0), support = 1 */
    { 15, 19,  -1 }, /*  16 (0),  85 (1),  16 (0),  85 (1),  23 (0), support = 1 */
    { 15, 20,  -1 }, /*   8 (0),  10 (0),   8 (0),  10 (0),  10 (0), support = 5 */
    { 15, 21,  -1 }, /*   6 (0),   0 (0),   6 (0),   0 (0),   0 (0), support = 5 */
    { 15, 22,  -1 }, /*  10 (0),  84 (1),   8 (0),  84 (1),   3 (0), support = 1 */
    { 15, 23,  -1 }, /*  54 (0),  54 (0),  54 (0),  54 (0),  54 (0), support = 5 */
    { -1, -1,  -1 }
};
