/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_coins_wide[] = {
    {  0,  0,  -1 }, /* 101 (1), 104 (0), 101 (1), 104 (0), 104 (0), support = 1 */
    {  0,  1,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  88 (1), support = 4 */
    {  0,  2,  -1 }, /*  12 (0),  14 (0),  12 (0),  16 (0), 102 (0), support = 5 */
    {  0,  3,  -1 }, /*   9 (0),   9 (0),  10 (0),  10 (0),  97 (2), support = 4 */
    {  0,  4,  -1 }, /*   9 (0),   9 (0),   9 (0),   9 (0), 105 (0), support = 5 */
    {  0,  5,  -1 }, /*  65 (0),  67 (0),  65 (0),  67 (0),  95 (2), support = 4 */
    {  0,  6,  -1 }, /*   7 (0), 105 (0),   9 (0), 105 (0), 105 (0), support = 5 */
    {  0,  7,  -1 }, /*  42 (0), 105 (0),  10 (0), 105 (0), 105 (0), support = 5 */
    {  0,  8,  -1 }, /*  15 (0),  15 (0),  16 (0),  39 (0), 105 (0), support = 5 */
    {  0,  9,  -1 }, /*  14 (0),  14 (0),  14 (0),  14 (0),  23 (0), support = 5 */
    {  0, 10,  -1 }, /*  11 (0),  10 (0),  11 (0),  11 (0),  23 (0), support = 5 */
    {  0, 11,  -1 }, /*   9 (0),  10 (0),   5 (0),   9 (0),  14 (0), support = 5 */
    {  0, 12,  -1 }, /*  43 (0),  43 (0),  43 (0),  39 (0),  19 (0), support = 5 */
    {  0, 13,  -1 }, /*  58 (0),  19 (0),  58 (0),  58 (0), 105 (0), support = 5 */
    {  0, 14,  -1 }, /* 146 (0),  21 (0), 146 (0),   5 (0), 105 (0), support = 5 */
    {  0, 15,  98 }, /*  98 (2),  98 (2), 105 (0),   9 (0),  98 (2), support = 3 */
    {  0, 16,  97 }, /*  97 (2),  97 (2),   2 (0),  97 (2),  97 (2), support = 4 */
    {  0, 17,  -1 }, /*  60 (0),  60 (0),  59 (0),  60 (0),  60 (0), support = 5 */
    {  0, 18,  -1 }, /* 105 (0), 105 (0), 150 (0), 105 (0), 105 (0), support = 5 */
    {  0, 19,  -1 }, /*  74 (0),  74 (0),  74 (0),  69 (0),  20 (0), support = 5 */
    {  0, 20,  -1 }, /*  29 (0),  20 (0),  29 (0),  20 (0),  36 (0), support = 5 */
    {  0, 21,  -1 }, /*  58 (0),  61 (0),  58 (0),  61 (0),  23 (0), support = 5 */
    {  0, 22,  -1 }, /*  28 (0),  28 (0),  28 (0),  29 (0),  41 (0), support = 5 */
    {  0, 23,  -1 }, /* 141 (0), 141 (0), 141 (0), 141 (0), 141 (0), support = 5 */
    {  1,  0,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0),  59 (0), support = 5 */
    {  1,  1,  -1 }, /*  18 (0),   0 (0),  18 (0),   1 (0), 103 (0), support = 5 */
    {  1,  2,  -1 }, /*   0 (0),   0 (0),  18 (0),   0 (0),  87 (1), support = 4 */
    {  1,  3,  -1 }, /*  51 (0),  51 (0),  51 (0),   7 (0),  91 (1), support = 4 */
    {  1,  4,  -1 }, /*  96 (2),  96 (2),  20 (0),   0 (0),  97 (2), support = 1 */
    {  1,  5,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  1,  6,  -1 }, /*  96 (2),  96 (2),  21 (0),   3 (0),  96 (2), support = 3 */
    {  1,  7,  -1 }, /*  49 (0),  49 (0),  49 (0),  50 (0), 103 (0), support = 5 */
    {  1,  8,  -1 }, /*  46 (0),  46 (0),  23 (0),  46 (0), 103 (0), support = 5 */
    {  1,  9,  -1 }, /*  42 (0),  39 (0),   1 (0),  39 (0), 103 (0), support = 5 */
    {  1, 10,  -1 }, /*  38 (0),  38 (0),  38 (0),  38 (0),  91 (1), support = 4 */
    {  1, 11,  -1 }, /*  35 (0),  35 (0),  35 (0),  35 (0),  33 (0), support = 5 */
    {  1, 12,  -1 }, /*  17 (0),  26 (0),  17 (0),  18 (0),  28 (0), support = 5 */
    {  1, 13,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0),  56 (0), support = 5 */
    {  1, 14,  -1 }, /*   5 (0),  19 (0),   5 (0),   7 (0), 104 (0), support = 5 */
    {  1, 15,  98 }, /*  98 (2),  98 (2),  97 (2),  96 (2),  98 (2), support = 3 */
    {  1, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  1, 17,  -1 }, /*   2 (0),  20 (0),   1 (0),  22 (0),  61 (0), support = 5 */
    {  1, 18,  -1 }, /*   2 (0), 150 (0),   2 (0), 150 (0),  59 (0), support = 5 */
    {  1, 19,  -1 }, /* 104 (0), 104 (0), 104 (0), 104 (0), 104 (0), support = 5 */
    {  1, 20,  -1 }, /*  20 (0),  25 (0),  20 (0),  23 (0),  31 (0), support = 5 */
    {  1, 21,  -1 }, /*   0 (0),  58 (0),   0 (0),   1 (0),  57 (0), support = 5 */
    {  1, 22,  -1 }, /*  16 (0),  16 (0),  16 (0),  11 (0),  19 (0), support = 5 */
    {  1, 23,  -1 }, /*  38 (0),  44 (0),  38 (0),  17 (0),  38 (0), support = 5 */
    {  2,  0,  -1 }, /*  56 (0),  56 (0),   1 (0),   1 (0),  59 (0), support = 5 */
    {  2,  1,  98 }, /*  98 (2),  98 (2), 100 (2), 100 (2),  98 (2), support = 3 */
    {  2,  2,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  2,  3,  99 }, /*  99 (2),  99 (2),  99 (2), 101 (1),  99 (2), support = 4 */
    {  2,  4,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  2,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  96 (2), support = 4 */
    {  2,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  2,  7,  99 }, /*  99 (2),  99 (2),  99 (2), 100 (2),  99 (2), support = 4 */
    {  2,  8,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  2,  9,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  2, 10,  98 }, /*  98 (2),  98 (2),  15 (0),  98 (2),  98 (2), support = 4 */
    {  2, 11,  -1 }, /*  27 (0),  27 (0),   7 (0),  27 (0),  27 (0), support = 5 */
    {  2, 12,  -1 }, /*  28 (0),  28 (0),  28 (0),  28 (0),  28 (0), support = 5 */
    {  2, 13,  -1 }, /* 102 (0), 102 (0),  25 (0), 102 (0),  89 (1), support = 4 */
    {  2, 14,  97 }, /*  97 (2),  98 (2),  71 (0),  97 (2),  97 (2), support = 3 */
    {  2, 15,  96 }, /*  96 (2),  96 (2),  34 (0),  96 (2),  96 (2), support = 4 */
    {  2, 16,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  2, 17,  -1 }, /*  26 (0),  26 (0),  26 (0),  26 (0),  88 (1), support = 4 */
    {  2, 18,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0),  59 (0), support = 5 */
    {  2, 19,  -1 }, /* 150 (0), 150 (0),  11 (0), 150 (0), 145 (0), support = 5 */
    {  2, 20,  -1 }, /*  24 (0),  24 (0),  24 (0),  23 (0),  78 (0), support = 5 */
    {  2, 21,  -1 }, /*  56 (0),  56 (0),  56 (0),   8 (0),  58 (0), support = 5 */
    {  2, 22,  -1 }, /*  17 (0),  19 (0),  17 (0),  19 (0),  58 (0), support = 5 */
    {  2, 23,  -1 }, /*  17 (0),  14 (0),  17 (0),  17 (0),  16 (0), support = 5 */
    {  3,  0,  -1 }, /*  18 (0),  18 (0),  18 (0),  13 (0),  82 (1), support = 4 */
    {  3,  1,  98 }, /*  98 (2),  98 (2),  97 (2),  99 (2),  97 (2), support = 1 */
    {  3,  2,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  3,  3,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  3,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  5,  96 }, /*  96 (2),  96 (2),  22 (0),  96 (2),  97 (2), support = 3 */
    {  3,  6,  96 }, /*  96 (2),  96 (2),  25 (0),  96 (2),  96 (2), support = 4 */
    {  3,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  3, 10,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  3, 11,  -1 }, /*  29 (0),  29 (0),  29 (0),  29 (0), 101 (1), support = 4 */
    {  3, 12,  -1 }, /*  32 (0),  30 (0),  10 (0),  30 (0),  61 (0), support = 5 */
    {  3, 13,  98 }, /*  98 (2),  98 (2),  21 (0),  98 (2),  98 (2), support = 4 */
    {  3, 14,  96 }, /*  96 (2),  96 (2),  63 (0),  96 (2),  96 (2), support = 4 */
    {  3, 15,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  3, 16,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  3, 17,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  3, 18,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  3, 19,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  3, 20,  -1 }, /*  92 (1),  92 (1),  47 (0),  92 (1),  93 (1), support = 1 */
    {  3, 21,  -1 }, /*  24 (0),  24 (0),  23 (0),  24 (0),  59 (0), support = 5 */
    {  3, 22,  -1 }, /*  38 (0),  37 (0),  38 (0),  31 (0),  50 (0), support = 5 */
    {  3, 23,  -1 }, /*  53 (0),  17 (0),  53 (0),  17 (0),  52 (0), support = 5 */
    {  4,  0,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   0 (0), support = 5 */
    {  4,  1,  98 }, /*  98 (2),  98 (2),  97 (2),  98 (2),  98 (2), support = 4 */
    {  4,  2,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  4,  3,  97 }, /*  96 (2),  96 (2),  97 (2),  98 (2),  97 (2), support = 1 */
    {  4,  4,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  4,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  98 (2),  96 (2), support = 4 */
    {  4,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  4, 10,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  4, 11,  -1 }, /*  99 (2),  99 (2),  25 (0),  25 (0),  21 (0), support = 1 */
    {  4, 12,  -1 }, /*  12 (0),  31 (0),   1 (0),  31 (0), 112 (0), support = 5 */
    {  4, 13,  96 }, /*  97 (2),  97 (2),  96 (2),  96 (2),  96 (2), support = 3 */
    {  4, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4, 15,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 16,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 17,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 18,  93 }, /*  93 (2),  93 (2), 136 (0),  93 (2),  93 (2), support = 4 */
    {  4, 19,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 20,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  4, 21,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  4, 22,  -1 }, /*  61 (0),  59 (0),  59 (0),  59 (0),  59 (0), support = 5 */
    {  4, 23,  -1 }, /*  58 (0),  58 (0),  61 (0),  58 (0),  58 (0), support = 5 */
    {  5,  0,  -1 }, /*  16 (0),  16 (0),  16 (0),  10 (0),  75 (0), support = 5 */
    {  5,  1,  98 }, /*  98 (2),  98 (2),   2 (0),  98 (2),  98 (2), support = 4 */
    {  5,  2,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  5,  3,  97 }, /*  97 (2),  97 (2),  96 (2),  97 (2),  97 (2), support = 4 */
    {  5,  4,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  5,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  97 (2), support = 4 */
    {  5,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  95 (2),  96 (2), support = 4 */
    {  5,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  97 (2), support = 4 */
    {  5,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5, 10,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  5, 11,  -1 }, /*  98 (2),  99 (2),  25 (0),  23 (0),  43 (0), support = 1 */
    {  5, 12,  98 }, /*  98 (2),  98 (2),   0 (0),  98 (2),  98 (2), support = 4 */
    {  5, 13,  97 }, /*  97 (2),  97 (2),  96 (2),  97 (2),  97 (2), support = 4 */
    {  5, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  97 (2), support = 4 */
    {  5, 15,  95 }, /*  95 (2),  95 (2),  94 (2),  95 (2),  95 (2), support = 4 */
    {  5, 16,  94 }, /*  94 (2),  94 (2),  95 (2),  94 (2),  94 (2), support = 4 */
    {  5, 17,  -1 }, /* 150 (0), 141 (0), 150 (0),   4 (0),   0 (0), support = 5 */
    {  5, 18,  -1 }, /*  96 (2),  97 (2), 131 (0),  94 (2),  94 (2), support = 1 */
    {  5, 19,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  5, 20,  -1 }, /*  81 (0),  81 (0),  57 (0),  51 (0),  94 (2), support = 4 */
    {  5, 21,  94 }, /*  94 (2),  94 (2),  10 (0),   1 (0),  94 (2), support = 3 */
    {  5, 22,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  5, 23,  91 }, /*  91 (2),  91 (2),  55 (0),  91 (2),  91 (2), support = 4 */
    {  6,  0,  -1 }, /*   2 (0),   2 (0),   4 (0),   2 (0), 143 (0), support = 5 */
    {  6,  1,  -1 }, /*   9 (0),  12 (0),  12 (0),   8 (0), 139 (0), support = 5 */
    {  6,  2,  -1 }, /*   5 (0),  97 (2),   5 (0),   5 (0),  97 (2), support = 1 */
    {  6,  3,  97 }, /*  97 (2),  97 (2),   2 (0),  97 (2),  97 (2), support = 4 */
    {  6,  4,  97 }, /*  96 (2),  97 (2),  97 (2),  97 (2),  96 (2), support = 3 */
    {  6,  5,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6,  6,  96 }, /*  96 (2),  96 (2),  97 (2),  96 (2),  96 (2), support = 4 */
    {  6,  7,  97 }, /*  96 (2),  96 (2),  97 (2),  97 (2),  97 (2), support = 3 */
    {  6,  8,  97 }, /*  97 (2),  97 (2),   1 (0),  97 (2),   9 (0), support = 3 */
    {  6,  9,  97 }, /*  97 (2),  97 (2),   0 (0),   1 (0),  97 (2), support = 3 */
    {  6, 10,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    {  6, 11,  -1 }, /*   0 (0),   1 (0),   0 (0),   1 (0),   6 (0), support = 5 */
    {  6, 12,  -1 }, /*  25 (0),  21 (0),  13 (0),  25 (0),  89 (1), support = 4 */
    {  6, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6, 14,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  6, 15,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  6, 16,  95 }, /*  95 (2),  95 (2),  94 (2),  95 (2),  95 (2), support = 4 */
    {  6, 17,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   0 (0), support = 5 */
    {  6, 18,  -1 }, /* 112 (0), 106 (0), 141 (0), 141 (0), 139 (0), support = 5 */
    {  6, 19,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    {  6, 20,  94 }, /*  94 (2),  94 (2),  52 (0),  94 (2),  94 (2), support = 4 */
    {  6, 21,  94 }, /*  94 (2),  94 (2), 106 (0),  94 (2),  94 (2), support = 4 */
    {  6, 22,  -1 }, /*  91 (2),  92 (2), 150 (0),  91 (2),  92 (2), support = 1 */
    {  6, 23,  91 }, /*  91 (2),  91 (2),  92 (2),  92 (2),  91 (2), support = 3 */
    {  7,  0,  -1 }, /*  38 (0),  38 (0),  36 (0),  36 (0),  38 (0), support = 5 */
    {  7,  1,  -1 }, /*   1 (0),   0 (0),   0 (0),   0 (0), 147 (0), support = 5 */
    {  7,  2,  -1 }, /*   1 (0),   0 (0),   1 (0),   0 (0),  86 (1), support = 4 */
    {  7,  3,  -1 }, /*   5 (0),   5 (0),   5 (0),   2 (0), 122 (0), support = 5 */
    {  7,  4,  -1 }, /*  10 (0),  10 (0),  10 (0),  10 (0),  93 (1), support = 4 */
    {  7,  5,  -1 }, /*  14 (0),  14 (0),  14 (0),  13 (0),  86 (1), support = 4 */
    {  7,  6,  -1 }, /*   2 (0),   2 (0),   2 (0),   1 (0),  93 (1), support = 4 */
    {  7,  7,  -1 }, /*  20 (0),  20 (0),   0 (0),   1 (0), 108 (0), support = 5 */
    {  7,  8,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 112 (0), support = 5 */
    {  7,  9,  -1 }, /*  17 (0),   1 (0),  17 (0),  15 (0),  28 (0), support = 5 */
    {  7, 10,  -1 }, /*  16 (0),  16 (0),  16 (0),  16 (0),  25 (0), support = 5 */
    {  7, 11,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),   1 (0), support = 5 */
    {  7, 12,  -1 }, /*  11 (0),  12 (0),  11 (0),  11 (0),  12 (0), support = 5 */
    {  7, 13,  -1 }, /*   0 (0),   0 (0),  22 (0),   2 (0),  96 (2), support = 4 */
    {  7, 14,  96 }, /*  96 (2),  96 (2),  11 (0), 106 (0),  96 (2), support = 3 */
    {  7, 15,  93 }, /*  93 (2),  93 (2),  93 (2),  94 (2),  93 (2), support = 4 */
    {  7, 16,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 17,  94 }, /*  94 (2),  94 (2),   1 (0),  94 (2),  94 (2), support = 4 */
    {  7, 18,  -1 }, /*   0 (0),   1 (0),   0 (0),   0 (0),   1 (0), support = 5 */
    {  7, 19,  -1 }, /* 150 (0), 150 (0), 149 (0), 150 (0), 150 (0), support = 5 */
    {  7, 20,  -1 }, /* 114 (0), 114 (0),  16 (0), 143 (0),  17 (0), support = 5 */
    {  7, 21,  94 }, /*  94 (2),  94 (2), 106 (0),  94 (2),  94 (2), support = 4 */
    {  7, 22,  -1 }, /*  77 (0),  78 (0), 150 (0), 150 (0), 150 (0), support = 5 */
    {  7, 23,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  8,  0,  -1 }, /*  31 (0),  32 (0),  31 (0),  31 (0),  35 (0), support = 5 */
    {  8,  1,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  94 (1), support = 3 */
    {  8,  2,  -1 }, /* 112 (0),  79 (0), 112 (0),  79 (0),  82 (1), support = 4 */
    {  8,  3,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0), 103 (0), support = 5 */
    {  8,  4,  -1 }, /*   6 (0),   6 (0),   8 (0),   8 (0), 112 (0), support = 5 */
    {  8,  5,  -1 }, /*  13 (0),  13 (0),  13 (0),  12 (0),  94 (1), support = 4 */
    {  8,  6,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),  94 (1), support = 4 */
    {  8,  7,  -1 }, /*  21 (0),  20 (0),   0 (0),   1 (0),  93 (2), support = 4 */
    {  8,  8,  -1 }, /*   1 (0),   0 (0),   1 (0),   1 (0),  95 (1), support = 4 */
    {  8,  9,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  82 (1), support = 4 */
    {  8, 10,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  94 (1), support = 4 */
    {  8, 11,  -1 }, /*   0 (0),   1 (0),   0 (0),   1 (0),   1 (0), support = 5 */
    {  8, 12,  -1 }, /*  15 (0),  18 (0),  15 (0),  15 (0),  94 (1), support = 4 */
    {  8, 13,  -1 }, /*   1 (0),  94 (1),   3 (0),  94 (1),  94 (1), support = 1 */
    {  8, 14,  -1 }, /*   8 (0),  11 (0),   8 (0),  11 (0),  94 (1), support = 4 */
    {  8, 15,  -1 }, /*  94 (1),  95 (1),   2 (0),   0 (0),  95 (1), support = 1 */
    {  8, 16,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  8, 17,  93 }, /*  93 (2),  93 (2),  26 (0),  93 (2),  93 (2), support = 4 */
    {  8, 18,  -1 }, /*   3 (0),   3 (0),   3 (0),   7 (0),   2 (0), support = 5 */
    {  8, 19,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   0 (0), support = 5 */
    {  8, 20,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    {  8, 21,  94 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    {  8, 22,  -1 }, /*  81 (0),  81 (0), 150 (0), 148 (0), 150 (0), support = 5 */
    {  8, 23,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    {  9,  0,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 148 (0), support = 5 */
    {  9,  1,  -1 }, /*   3 (0),   4 (0),   4 (0),   3 (0),  93 (1), support = 4 */
    {  9,  2,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9,  3,  92 }, /*  92 (2),  92 (2),  92 (2),  93 (1),  92 (2), support = 4 */
    {  9,  4,  92 }, /*  92 (2),  92 (2),  92 (2),  91 (2),  92 (2), support = 4 */
    {  9,  5,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9,  6,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9,  7,  92 }, /*  93 (2),  93 (2),  92 (2),  92 (2),  92 (2), support = 3 */
    {  9,  8,  93 }, /*  93 (2),  93 (2),  92 (2),  92 (2),  93 (2), support = 3 */
    {  9,  9,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 10,  92 }, /*  92 (2),  92 (2),  19 (0),  91 (2),  92 (2), support = 3 */
    {  9, 11,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 12,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 13,  92 }, /*  92 (2),  92 (2),   0 (0),  92 (2),  92 (2), support = 4 */
    {  9, 14,  93 }, /*  11 (0),  93 (2),   6 (0),  93 (2),  93 (2), support = 3 */
    {  9, 15,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  9, 16,  93 }, /*  93 (2),  93 (2),   2 (0),   2 (0),  93 (2), support = 3 */
    {  9, 17,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 18,  92 }, /*  92 (2),  92 (2),  37 (0),  92 (2),  92 (2), support = 4 */
    {  9, 19,  -1 }, /*   3 (0),   3 (0),   1 (0),   1 (0),   3 (0), support = 5 */
    {  9, 20,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   2 (0), support = 5 */
    {  9, 21,  -1 }, /*   2 (0),   2 (0),   2 (0),   1 (0),   2 (0), support = 5 */
    {  9, 22,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  91 (2), support = 4 */
    {  9, 23,  93 }, /*  93 (2),  93 (2), 150 (0), 149 (0),  93 (2), support = 3 */
    { 10,  0,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0),  90 (2), support = 4 */
    { 10,  1,  90 }, /*  90 (2),  90 (2),   3 (0),  90 (2),  90 (2), support = 4 */
    { 10,  2,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  90 (2), support = 4 */
    { 10,  3,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  91 (2), support = 4 */
    { 10,  4,  91 }, /*  91 (2),  91 (2),  91 (2),  93 (2),  91 (2), support = 4 */
    { 10,  5,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  91 (2), support = 4 */
    { 10,  6,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  90 (2), support = 3 */
    { 10,  7,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 10,  8,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  91 (2), support = 4 */
    { 10,  9,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 10,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 11,  91 }, /*  91 (2),  91 (2),  91 (2),  90 (2),  91 (2), support = 4 */
    { 10, 12,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 13,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 14,  92 }, /*  92 (2),  92 (2),  19 (0),  92 (2),  92 (2), support = 4 */
    { 10, 15,  92 }, /*  92 (2),  92 (2),  21 (0),  92 (2),  92 (2), support = 4 */
    { 10, 16,  -1 }, /*   2 (0),   1 (0),   2 (0),   2 (0),   1 (0), support = 5 */
    { 10, 17,  -1 }, /* 150 (0), 150 (0), 150 (0), 150 (0),  92 (2), support = 4 */
    { 10, 18,  92 }, /*  92 (2),  92 (2),  40 (0),  40 (0),  92 (2), support = 3 */
    { 10, 19,  92 }, /*  92 (2),  92 (2),  37 (0),  39 (0),  92 (2), support = 3 */
    { 10, 20,  91 }, /*  91 (2),  91 (2),   0 (0),  91 (2),  91 (2), support = 4 */
    { 10, 21,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 10, 22,  -1 }, /*   1 (0),   3 (0),   1 (0),   1 (0),  91 (2), support = 4 */
    { 10, 23,  92 }, /*  92 (2),  92 (2), 147 (0), 150 (0),  92 (2), support = 3 */
    { 11,  0,  89 }, /*  89 (2),  89 (2),  89 (2),  88 (2),  89 (2), support = 4 */
    { 11,  1,  89 }, /*  89 (2),  89 (2),  89 (2),  91 (2),  89 (2), support = 4 */
    { 11,  2,  89 }, /*  89 (2),  89 (2),  89 (2),  91 (2),  89 (2), support = 4 */
    { 11,  3,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  4,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  5,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  6,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  7,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 11,  8,  90 }, /*  90 (2),  90 (2),  89 (2),  90 (2),  89 (2), support = 3 */
    { 11,  9,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 10,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 11,  90 }, /*  89 (2),  90 (2),  90 (2),  89 (2),  90 (2), support = 3 */
    { 11, 12,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 13,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 14,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 11, 15,  -1 }, /*  20 (0),   0 (0),  20 (0),   0 (0),  90 (2), support = 4 */
    { 11, 16,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),   0 (0), support = 5 */
    { 11, 17,  -1 }, /*  15 (0),  15 (0),  59 (0),  12 (0),  57 (0), support = 5 */
    { 11, 18,  -1 }, /* 148 (0), 141 (0), 148 (0), 139 (0),  91 (2), support = 4 */
    { 11, 19,  -1 }, /*  15 (0),  91 (2),  15 (0),   7 (0),  91 (2), support = 1 */
    { 11, 20,  -1 }, /*  57 (0),  57 (0),  61 (0),  39 (0),  57 (0), support = 5 */
    { 11, 21,  -1 }, /*  59 (0),  59 (0),  59 (0),  59 (0),  91 (2), support = 4 */
    { 11, 22,  -1 }, /*  98 (1),  91 (2),  98 (1), 106 (0),  91 (2), support = 1 */
    { 11, 23,  91 }, /*  88 (1),  91 (2),  84 (1),  91 (2),  91 (2), support = 3 */
    { 12,  0,  88 }, /*  88 (2),  88 (2),  48 (0),  88 (2),  88 (2), support = 4 */
    { 12,  1,  88 }, /*  88 (2),  88 (2),  88 (2),  91 (1),  88 (2), support = 4 */
    { 12,  2,  88 }, /*  88 (2),  88 (2),  88 (2),  90 (2),  88 (2), support = 4 */
    { 12,  3,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12,  4,  88 }, /*  88 (2),  88 (2),  88 (2),  89 (2),  88 (2), support = 4 */
    { 12,  5,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12,  6,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12,  7,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12,  8,  88 }, /*  88 (2),  88 (2),  88 (2),  87 (2),  88 (2), support = 4 */
    { 12,  9,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 10,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 12, 11,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  88 (2), support = 4 */
    { 12, 12,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 12, 13,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 12, 14,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 12, 15,  -1 }, /*  60 (0),   1 (0),  60 (0),   3 (0),   3 (0), support = 5 */
    { 12, 16,  -1 }, /*   2 (0),   2 (0),  59 (0),   2 (0),  42 (0), support = 5 */
    { 12, 17,  -1 }, /* 149 (0), 144 (0), 149 (0), 141 (0),  19 (0), support = 5 */
    { 12, 18,  -1 }, /*  89 (1),  89 (1),  89 (1),  89 (1),  89 (1), support = 1 */
    { 12, 19,  -1 }, /*   4 (0),   2 (0),  14 (0),   2 (0),  42 (0), support = 5 */
    { 12, 20,  -1 }, /*  39 (0),  39 (0),  39 (0),  16 (0),  57 (0), support = 5 */
    { 12, 21,  -1 }, /* 142 (0),  30 (0), 142 (0), 135 (0),  58 (0), support = 5 */
    { 12, 22,  -1 }, /*  54 (0),  59 (0),  57 (0),  59 (0),  59 (0), support = 5 */
    { 12, 23,  -1 }, /*  67 (0),  67 (0),  67 (0), 119 (0),  54 (0), support = 5 */
    { 13,  0,  87 }, /*  87 (2),  87 (2),  11 (0),  87 (2),  87 (2), support = 4 */
    { 13,  1,  87 }, /*  87 (2),  87 (2),  86 (2),  88 (2),  87 (2), support = 3 */
    { 13,  2,  87 }, /*  87 (2),  87 (2),  86 (2),  88 (2),  87 (2), support = 3 */
    { 13,  3,  87 }, /*  87 (2),  87 (2),  86 (2),  86 (2),  87 (2), support = 3 */
    { 13,  4,  87 }, /*  87 (2),  87 (2),  86 (2),  89 (2),  87 (2), support = 3 */
    { 13,  5,  87 }, /*  87 (2),  87 (2),  87 (2),  86 (2),  87 (2), support = 4 */
    { 13,  6,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13,  7,  87 }, /*  87 (2),  87 (2),  86 (2),  86 (2),  87 (2), support = 3 */
    { 13,  8,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13,  9,  87 }, /*  87 (2),  87 (2),  87 (2),  86 (2),  87 (2), support = 4 */
    { 13, 10,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13, 11,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 13, 12,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 13, 13,  87 }, /*  87 (2),  87 (2), 150 (0), 150 (0),  87 (2), support = 3 */
    { 13, 14,  -1 }, /*  51 (0),  51 (0),  51 (0),  51 (0),  87 (2), support = 4 */
    { 13, 15,  -1 }, /*  61 (0),  61 (0),  60 (0),  60 (0),  57 (0), support = 5 */
    { 13, 16,  -1 }, /* 149 (0), 146 (0), 149 (0), 144 (0), 145 (0), support = 5 */
    { 13, 17,  -1 }, /*  88 (1),  88 (1),  88 (1),  88 (1),  88 (1), support = 1 */
    { 13, 18,  -1 }, /*  46 (0),  57 (0),  46 (0),  57 (0),  36 (0), support = 5 */
    { 13, 19,  -1 }, /*   4 (0),   4 (0),   9 (0),   9 (0),   4 (0), support = 5 */
    { 13, 20,  -1 }, /*  41 (0),  56 (0),  41 (0),  56 (0),  37 (0), support = 5 */
    { 13, 21,  -1 }, /*  21 (0),  22 (0),  21 (0),  21 (0),  41 (0), support = 5 */
    { 13, 22,  -1 }, /*  29 (0),  29 (0),  29 (0),  88 (1),  29 (0), support = 4 */
    { 13, 23,  -1 }, /*  25 (0),  25 (0),  72 (0),  25 (0),  25 (0), support = 5 */
    { 14,  0,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  1,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  2,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  3,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  4,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14,  5,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14,  6,  86 }, /*  86 (2),  86 (2),  85 (2),  85 (2),  86 (2), support = 3 */
    { 14,  7,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 14,  8,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14,  9,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 10,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 11,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 12,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 13,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 14, 14,  -1 }, /* 148 (0), 148 (0), 145 (0), 145 (0),  60 (0), support = 5 */
    { 14, 15,  -1 }, /* 150 (0), 150 (0), 141 (0), 140 (0),  86 (2), support = 4 */
    { 14, 16,  -1 }, /*  86 (1),  86 (1),  90 (1),  86 (1),  67 (0), support = 1 */
    { 14, 17,  -1 }, /*  19 (0),  36 (0),  19 (0),  86 (1),  36 (0), support = 4 */
    { 14, 18,  -1 }, /*  17 (0),  17 (0),  17 (0),  17 (0),  19 (0), support = 5 */
    { 14, 19,  -1 }, /*   1 (0),  56 (0),   1 (0),  41 (0),  56 (0), support = 5 */
    { 14, 20,  -1 }, /*  62 (0),  42 (0),  62 (0),  29 (0),  38 (0), support = 5 */
    { 14, 21,  -1 }, /*   4 (0),   4 (0),  30 (0),  58 (0),   4 (0), support = 5 */
    { 14, 22,  -1 }, /*  23 (0),  24 (0),  23 (0),  23 (0),  23 (0), support = 5 */
    { 14, 23,  -1 }, /* 111 (0), 143 (0), 111 (0), 111 (0), 143 (0), support = 5 */
    { 15,  0,  85 }, /*  85 (2),  85 (2),  15 (0),  84 (2),  85 (2), support = 3 */
    { 15,  1,  85 }, /*  85 (2),  85 (2),  84 (2),  87 (2),  85 (2), support = 3 */
    { 15,  2,  84 }, /*  84 (2),  84 (2),  84 (2),  86 (2),  85 (2), support = 3 */
    { 15,  3,  85 }, /*  85 (2),  85 (2),  84 (2),  85 (2),  85 (2), support = 4 */
    { 15,  4,  -1 }, /*  19 (0),  19 (0),  19 (0),  19 (0),  84 (2), support = 4 */
    { 15,  5,  -1 }, /*  18 (0),  19 (0),  18 (0), 148 (0),  84 (2), support = 4 */
    { 15,  6,  -1 }, /*  18 (0),  17 (0),  20 (0),   1 (0),  84 (2), support = 4 */
    { 15,  7,  -1 }, /*  20 (0),   1 (0),  20 (0),   1 (0),  98 (1), support = 4 */
    { 15,  8,  -1 }, /*   4 (0),   4 (0), 150 (0),   7 (0),  84 (2), support = 4 */
    { 15,  9,  -1 }, /*  15 (0),  15 (0), 139 (0),  15 (0), 142 (0), support = 5 */
    { 15, 10,  85 }, /*  85 (2),  85 (2),  89 (2),  20 (0),  85 (2), support = 3 */
    { 15, 11,  85 }, /*  85 (2),  85 (2),  17 (0),  15 (0),  85 (2), support = 3 */
    { 15, 12,  -1 }, /*  12 (0),  85 (2),  18 (0),  12 (0),  85 (2), support = 1 */
    { 15, 13,  -1 }, /*  85 (2),  85 (2),  17 (0),   4 (0),  85 (2), support = 3 */
    { 15, 14,  -1 }, /*  85 (2),  85 (2),   1 (0),  85 (2),  85 (2), support = 4 */
    { 15, 15,  -1 }, /*  36 (0),  36 (0),  21 (0),  85 (2),  41 (0), support = 4 */
    { 15, 16,  -1 }, /*  59 (0),  59 (0),  59 (0),  59 (0),  39 (0), support = 5 */
    { 15, 17,  -1 }, /*   4 (0),  11 (0),   5 (0),   8 (0),   5 (0), support = 5 */
    { 15, 18,  -1 }, /* 111 (0), 111 (0), 138 (0), 104 (0),  50 (0), support = 5 */
    { 15, 19,  -1 }, /*  85 (1),  74 (0),  20 (0),  85 (1),  64 (0), support = 1 */
    { 15, 20,  -1 }, /*  24 (0),  22 (0),  24 (0),  92 (1),  20 (0), support = 4 */
    { 15, 21,  -1 }, /*  20 (0),  20 (0),  69 (0),  20 (0),  34 (0), support = 5 */
    { 15, 22,  -1 }, /*  99 (1), 104 (0),  99 (1),  85 (1), 143 (0), support = 1 */
    { 15, 23,  -1 }, /* 147 (0), 147 (0), 147 (0),  72 (0),  94 (1), support = 4 */
    { -1, -1,  -1 }
};
