/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_trail_wide[] = {
    {  0,  0,  -1 }, /*  36 (0),  21 (0),  36 (0),  21 (0), 160 (1), support = 4 */
    {  0,  1,  -1 }, /*  24 (0),  24 (0),  33 (0),  25 (0), 160 (1), support = 4 */
    {  0,  2,  -1 }, /*  16 (0),  26 (0),  16 (0),  26 (0), 164 (2), support = 4 */
    {  0,  3,  -1 }, /*  17 (0),  17 (0),  31 (0),  17 (0), 160 (1), support = 4 */
    {  0,  4,  -1 }, /*   9 (0),   9 (0),   9 (0),   9 (0), 160 (1), support = 4 */
    {  0,  5,  -1 }, /*   3 (0),   7 (0),   3 (0),   7 (0), 160 (1), support = 4 */
    {  0,  6,  -1 }, /*  10 (0),   6 (0),  10 (0),   6 (0), 160 (1), support = 4 */
    {  0,  7,  -1 }, /*  13 (0),   3 (0),  13 (0),   9 (0), 140 (0), support = 5 */
    {  0,  8,  -1 }, /*   2 (0),  15 (0), 142 (0),   2 (0), 140 (0), support = 5 */
    {  0,  9,  -1 }, /*  27 (0),  27 (0), 140 (0), 144 (0), 144 (0), support = 5 */
    {  0, 10,  -1 }, /*   0 (0),  24 (0), 149 (0), 149 (0), 140 (0), support = 5 */
    {  0, 11,  -1 }, /*   6 (0),  29 (0),   6 (0),  62 (0), 160 (1), support = 4 */
    {  0, 12,  -1 }, /*   0 (0),   0 (0), 160 (2),  16 (0), 140 (0), support = 4 */
    {  0, 13,  -1 }, /* 140 (0),  27 (0), 140 (0), 158 (1), 140 (0), support = 4 */
    {  0, 14,  -1 }, /* 142 (0),   0 (0), 142 (0), 165 (2), 160 (2), support = 1 */
    {  0, 15,  -1 }, /* 162 (2), 162 (2), 160 (2), 162 (2), 162 (2), support = 4 */
    {  0, 16,  -1 }, /* 163 (2), 161 (2), 163 (2), 156 (1), 160 (2), support = 1 */
    {  0, 17,  -1 }, /* 165 (2), 159 (1), 165 (2), 159 (1), 164 (2), support = 1 */
    {  0, 18,  -1 }, /* 161 (2), 161 (2), 161 (2), 130 (0), 160 (2), support = 3 */
    {  0, 19,  -1 }, /* 161 (2), 161 (2), 161 (2), 152 (1), 166 (1), support = 3 */
    {  0, 20,  -1 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  0, 21,  -1 }, /* 140 (0), 140 (0), 140 (0),  89 (0), 140 (0), support = 5 */
    {  0, 22,  -1 }, /* 149 (0), 149 (0), 144 (0), 149 (0), 140 (0), support = 5 */
    {  0, 23,  -1 }, /* 161 (2), 161 (2), 161 (2), 146 (0), 140 (0), support = 3 */
    {  1,  0,  -1 }, /*   3 (0),   6 (0),   7 (0),   6 (0), 153 (1), support = 4 */
    {  1,  1,  -1 }, /*  37 (0),   4 (0),  37 (0),   4 (0), 160 (1), support = 4 */
    {  1,  2,  -1 }, /*  15 (0),   2 (0),  15 (0),   8 (0), 160 (1), support = 4 */
    {  1,  3,  -1 }, /*  27 (0),   2 (0),  57 (0),   0 (0), 160 (1), support = 4 */
    {  1,  4,  -1 }, /*  12 (0),  12 (0),  68 (0),   2 (0), 164 (2), support = 4 */
    {  1,  5,  -1 }, /*   5 (0),   0 (0),   5 (0),   0 (0), 140 (0), support = 5 */
    {  1,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  1,  7, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  1,  8, 164 }, /* 164 (2), 163 (2), 164 (2), 165 (2), 163 (2), support = 1 */
    {  1,  9, 164 }, /* 164 (2), 164 (2),  42 (0), 164 (2), 164 (2), support = 4 */
    {  1, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  1, 11,  -1 }, /* 163 (2), 163 (2),  43 (0),   2 (0), 160 (1), support = 1 */
    {  1, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 17,  -1 }, /*   5 (0),   6 (0),   5 (0),   5 (0), 140 (0), support = 5 */
    {  1, 18,  -1 }, /* 164 (2), 161 (2),  18 (0), 162 (2), 161 (2), support = 1 */
    {  1, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  1, 20, 164 }, /* 164 (2), 164 (2), 163 (2), 164 (2), 164 (2), support = 4 */
    {  1, 21,  -1 }, /*   7 (0),   7 (0),   4 (0),   7 (0), 160 (2), support = 4 */
    {  1, 22,  -1 }, /*   4 (0),   4 (0),  21 (0),   4 (0), 160 (2), support = 4 */
    {  1, 23,  -1 }, /*   1 (0),   2 (0),   1 (0),   5 (0), 160 (2), support = 4 */
    {  2,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  2,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  2,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  2,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  2,  4, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  2,  5, 164 }, /* 164 (2), 164 (2), 165 (2), 164 (2), 164 (2), support = 4 */
    {  2,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  2,  7, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  2,  8, 164 }, /* 164 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  2,  9, 163 }, /* 164 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 3 */
    {  2, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  2, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 13, 164 }, /* 164 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  2, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  2, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  2, 17, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  2, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  2, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  2, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  2, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  3,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  3,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  3,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    {  3,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  8, 163 }, /* 164 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 3 */
    {  3,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 11, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  3, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 21, 164 }, /* 164 (2), 164 (2), 163 (2), 163 (2), 164 (2), support = 3 */
    {  3, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    {  4,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    {  4,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  4, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  4, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  4, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    {  5,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 118 (2), support = 4 */
    {  5, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 118 (2), support = 4 */
    {  5, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 119 (2), support = 4 */
    {  5, 17, 116 }, /* 116 (2), 116 (2), 163 (2), 116 (2), 119 (2), support = 3 */
    {  5, 18, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  5, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  5, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  5, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  5, 22, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  5, 23, 119 }, /* 119 (2), 163 (2), 119 (2), 163 (2), 119 (2), support = 3 */
    {  6,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    {  6,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    {  6,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6,  6, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  6,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 14, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    {  6, 15, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    {  6, 16, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    {  6, 17, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 118 (2), support = 4 */
    {  6, 18, 117 }, /* 117 (2), 117 (2), 118 (2), 117 (2), 119 (2), support = 3 */
    {  6, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  6, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  6, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  6, 22, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  6, 23, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  7,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 13, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  7, 14, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    {  7, 15, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    {  7, 16, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    {  7, 17, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    {  7, 18, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    {  7, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  7, 20, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    {  7, 21, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    {  7, 22, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    {  7, 23, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  8,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  8,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  8,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 10, 163 }, /* 163 (2), 162 (2), 163 (2), 163 (2), 162 (2), support = 3 */
    {  8, 11, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    {  8, 12, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    {  8, 13, 156 }, /* 156 (2), 156 (2), 162 (1), 156 (2), 156 (2), support = 4 */
    {  8, 14, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  8, 15, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    {  8, 16, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    {  8, 17, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    {  8, 18, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    {  8, 19, 119 }, /* 119 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    {  8, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  8, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    {  8, 22, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  8, 23, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    {  9,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  3, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    {  9,  4, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  9,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    {  9, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  9, 11, 155 }, /* 155 (2), 155 (2), 162 (2), 162 (2), 155 (2), support = 3 */
    {  9, 12, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    {  9, 13, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    {  9, 14, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 15, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 118 (2), support = 3 */
    {  9, 16, 118 }, /* 119 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 3 */
    {  9, 17, 116 }, /* 116 (2), 116 (2), 118 (2), 116 (2), 118 (2), support = 3 */
    {  9, 18, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    {  9, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 22, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 23, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 10,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 160 (2), support = 4 */
    { 10,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  7, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 10,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 12, 162 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 155 (2), support = 1 */
    { 10, 13, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 10, 14, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 15, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 16, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 17, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 10, 18, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 10, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 22, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 23, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 11,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 161 (2), support = 4 */
    { 11,  2, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 11,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 12, 162 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 162 (1), support = 1 */
    { 11, 13,  -1 }, /* 160 (1), 160 (1), 160 (1), 160 (1), 160 (1), support = 1 */
    { 11, 14, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 15, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 16, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 17, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 18, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 11, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 11, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 11, 22, 119 }, /* 119 (2), 120 (2), 119 (2), 119 (2), 120 (2), support = 3 */
    { 11, 23, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 12,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 12,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 162 (2), support = 4 */
    { 12,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  5, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 12,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 12, 12, 161 }, /* 161 (1), 160 (2), 161 (1), 161 (1), 160 (2), support = 1 */
    { 12, 13, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 12, 14, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 15, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 16, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 17, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 18, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 4 */
    { 12, 19, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 12, 20, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 12, 21, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 12, 22, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 12, 23, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 13,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 161 (2), support = 4 */
    { 13,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 161 (2), support = 4 */
    { 13,  2, 161 }, /* 161 (2), 161 (2), 162 (2), 161 (2), 161 (2), support = 4 */
    { 13,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  4, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 13,  5, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 13,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 13,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 13,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 13,  9, 161 }, /* 161 (2), 161 (2), 161 (2), 162 (2), 161 (2), support = 4 */
    { 13, 10, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 13, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 13, 12, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 13, 13, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 13, 14, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13, 15, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 13, 16, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 13, 17, 120 }, /* 120 (2), 120 (2), 119 (2), 119 (2), 120 (2), support = 3 */
    { 13, 18, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13, 19, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 13, 20, 119 }, /* 119 (2), 119 (2), 120 (2), 119 (2), 120 (2), support = 3 */
    { 13, 21, 120 }, /* 119 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 3 */
    { 13, 22, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 13, 23, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 14,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 14,  1, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 14,  2, 162 }, /* 162 (2), 162 (2), 162 (2), 161 (2), 162 (2), support = 4 */
    { 14,  3, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 14,  4, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 14,  5, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 14,  6, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 14,  7, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 14,  8, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 14,  9, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 14, 10, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 14, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 14, 12, 160 }, /* 160 (2), 160 (2), 161 (1), 160 (2), 160 (2), support = 4 */
    { 14, 13, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 14, 14, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 15, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 16, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 17, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 18, 119 }, /* 119 (2), 119 (2), 120 (2), 119 (2), 119 (2), support = 4 */
    { 14, 19, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 20, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 21, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 22, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 14, 23, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 15,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 15,  2, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 15,  3, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 15,  4, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 15,  5, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 15,  6, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 15,  7, 160 }, /* 159 (2), 160 (2), 161 (2), 159 (2), 160 (2), support = 1 */
    { 15,  8, 159 }, /* 159 (2), 159 (2), 161 (2), 159 (2), 160 (2), support = 3 */
    { 15,  9, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 15, 10, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 15, 11, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 15, 12, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 15, 13,  -1 }, /* 156 (2), 157 (2), 157 (2), 160 (2), 156 (2), support = 1 */
    { 15, 14, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 15, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 16, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 17, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 18, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 19, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 20, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 21, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 22, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 15, 23, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { -1, -1,  -1 }
};
