/*
 *  Focus measure: map an image f of size h x w to a value
 *  that represents the degree of focus of the image.
 */
#ifndef _FOCUSMEASURE_H
#define _FOCUSMEASURE_H

typedef unsigned char uchar;

class FocusMeasure
{
    public:
	FocusMeasure();
	~FocusMeasure();
	double squaredGradient( uchar *f, int w, int h,
		int x, int y, int gridWidth, int gridHeight );
	double brenner( uchar *f, int w, int h,
		int x, int y, int gridWidth, int gridHeight );
	double nokiaMeasure( uchar *f, int w, int h,
		int x, int y, int gridWidth, int gridHeight );
	double LoG( uchar *f, int w, int h,
		int x, int y, int gridWidth, int gridHeight );
};

#endif // _FOCUSMEASURE_H
