/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_building_wide[] = {
    {  0,  0,  -1 }, /*   8 (0),  70 (0),   8 (0),   7 (0),  70 (0), support = 5 */
    {  0,  1,  -1 }, /*  79 (0),  58 (0),  79 (0),  58 (0),  59 (0), support = 5 */
    {  0,  2,  -1 }, /*  30 (0),  30 (0),  30 (0),  25 (0),  37 (0), support = 5 */
    {  0,  3,  -1 }, /*  32 (0),  74 (0),  27 (0),   7 (0),  59 (0), support = 5 */
    {  0,  4,  -1 }, /*  23 (0),  89 (0),  23 (0),  98 (0),  44 (0), support = 5 */
    {  0,  5,  -1 }, /*   5 (0),  92 (0),   5 (0),  92 (0),  92 (0), support = 5 */
    {  0,  6,  -1 }, /*  74 (0),  74 (0), 149 (1),  74 (0),  70 (0), support = 4 */
    {  0,  7,  -1 }, /* 110 (0),  90 (0), 110 (0),  90 (0),  78 (0), support = 5 */
    {  0,  8,  -1 }, /*  71 (0),  90 (0), 164 (2), 102 (0),  69 (0), support = 4 */
    {  0,  9,  -1 }, /*  69 (0),  69 (0), 157 (1),  69 (0),  86 (0), support = 4 */
    {  0, 10,  -1 }, /*  93 (0),  83 (0),  93 (0),  83 (0),  83 (0), support = 5 */
    {  0, 11,  -1 }, /* 115 (0),  83 (0), 115 (0),  97 (0),  83 (0), support = 5 */
    {  0, 12,  -1 }, /*  97 (0), 163 (2), 137 (0),  97 (0), 163 (2), support = 1 */
    {  0, 13,  -1 }, /* 107 (0),  73 (0), 152 (1), 161 (2),  83 (0), support = 1 */
    {  0, 14,  -1 }, /* 150 (1), 150 (1), 150 (1), 113 (0),  87 (0), support = 1 */
    {  0, 15,  -1 }, /*  83 (0),  83 (0), 149 (1),  83 (0),  83 (0), support = 4 */
    {  0, 16,  -1 }, /* 150 (1),  70 (0), 150 (1), 132 (0), 149 (1), support = 1 */
    {  0, 17,  -1 }, /* 138 (0),  70 (0), 138 (0), 106 (0), 149 (1), support = 4 */
    {  0, 18,  -1 }, /* 156 (1),  87 (0), 121 (0), 121 (0), 155 (1), support = 1 */
    {  0, 19,  -1 }, /* 160 (1), 160 (1), 149 (1), 147 (1), 149 (1), support = 1 */
    {  0, 20,  -1 }, /* 145 (0), 145 (0), 157 (1), 153 (1), 138 (0), support = 1 */
    {  0, 21,  -1 }, /*  80 (0),  80 (0), 145 (0),  94 (0),  88 (0), support = 5 */
    {  0, 22,  -1 }, /*  76 (0),  87 (0), 152 (1), 142 (0),  91 (0), support = 4 */
    {  0, 23,  -1 }, /*  79 (0),  72 (0), 142 (0),  72 (0),  77 (0), support = 5 */
    {  0, 24,  -1 }, /*  72 (0),  72 (0), 124 (0),  61 (0),  72 (0), support = 5 */
    {  0, 25,  -1 }, /*  77 (0),  77 (0), 111 (0), 111 (0),  75 (0), support = 5 */
    {  0, 26,  -1 }, /* 122 (0),  57 (0), 122 (0),  61 (0),  73 (0), support = 5 */
    {  0, 27,  -1 }, /*  61 (0),  61 (0),  61 (0),  61 (0),  61 (0), support = 5 */
    {  0, 28,  -1 }, /*  45 (0),  45 (0),  61 (0),  45 (0),  49 (0), support = 5 */
    {  0, 29,  -1 }, /*  34 (0),  34 (0),  34 (0),  34 (0),  45 (0), support = 5 */
    {  0, 30,  -1 }, /*  16 (0),  16 (0),  16 (0),  28 (0),  28 (0), support = 5 */
    {  0, 31,  -1 }, /*  16 (0),  12 (0),  16 (0),  12 (0),  12 (0), support = 5 */
    {  0, 32,  -1 }, /*   8 (0),   8 (0),   8 (0),   8 (0),   8 (0), support = 5 */
    {  0, 33,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   0 (0), support = 5 */
    {  0, 34,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   2 (0), support = 5 */
    {  0, 35,  -1 }, /*   8 (0),   8 (0), 110 (0),   8 (0),   2 (0), support = 5 */
    {  0, 36,  -1 }, /*  99 (0),   8 (0), 116 (0),   8 (0),   8 (0), support = 5 */
    {  0, 37,  -1 }, /* 161 (2),  55 (0), 150 (1),  81 (0),   2 (0), support = 1 */
    {  0, 38,  -1 }, /* 154 (1), 159 (1), 154 (1), 150 (1),  37 (0), support = 1 */
    {  0, 39,  -1 }, /*  37 (0),  37 (0),  37 (0),  98 (0),   8 (0), support = 5 */
    {  0, 40,  -1 }, /*  96 (0),  84 (0), 139 (0),  84 (0),  37 (0), support = 5 */
    {  0, 41,  -1 }, /*  37 (0),  37 (0),  84 (0),  37 (0),  37 (0), support = 5 */
    {  0, 42,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  0, 43,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  0, 44,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  0, 45,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  0, 46,  -1 }, /*  37 (0),  37 (0),  33 (0),  37 (0),  37 (0), support = 5 */
    {  0, 47,  -1 }, /*  37 (0),  44 (0),  37 (0),  44 (0),  37 (0), support = 5 */
    {  1,  0,  -1 }, /* 156 (1), 156 (1),   2 (0), 156 (1), 155 (1), support = 1 */
    {  1,  1,  -1 }, /* 164 (2), 164 (2),   6 (0), 164 (2), 134 (0), support = 3 */
    {  1,  2,  -1 }, /*  59 (0),  59 (0), 154 (1),  59 (0), 144 (0), support = 4 */
    {  1,  3,  -1 }, /* 111 (0),  44 (0),  70 (0), 162 (2), 159 (1), support = 1 */
    {  1,  4,  -1 }, /* 120 (0), 120 (0), 149 (1), 120 (0), 127 (0), support = 4 */
    {  1,  5,  -1 }, /*  80 (0),  80 (0), 166 (0),  80 (0), 147 (1), support = 4 */
    {  1,  6,  -1 }, /* 110 (0), 105 (0), 134 (0), 110 (0), 105 (0), support = 5 */
    {  1,  7,  -1 }, /*  90 (0),  90 (0), 153 (1),  90 (0), 103 (0), support = 4 */
    {  1,  8,  -1 }, /* 114 (0), 102 (0), 145 (0), 162 (2), 102 (0), support = 4 */
    {  1,  9,  -1 }, /* 145 (0),  94 (0),   2 (0), 122 (0), 103 (0), support = 5 */
    {  1, 10,  -1 }, /* 129 (0), 162 (2), 154 (1), 121 (0), 102 (0), support = 1 */
    {  1, 11,  -1 }, /* 127 (0), 107 (0),   2 (0),  90 (0), 107 (0), support = 5 */
    {  1, 12,  -1 }, /*  13 (0),   8 (0),  13 (0),   8 (0),  97 (0), support = 5 */
    {  1, 13,  -1 }, /*   4 (0),   1 (0),   4 (0),   2 (0), 115 (0), support = 5 */
    {  1, 14,  -1 }, /*   9 (0),   8 (0),   9 (0),  31 (0), 135 (0), support = 5 */
    {  1, 15,  -1 }, /*   7 (0),   4 (0),   5 (0),  28 (0), 149 (1), support = 4 */
    {  1, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 17,  -1 }, /*   5 (0),   5 (0),  19 (0),   5 (0), 155 (1), support = 4 */
    {  1, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  1, 23,  -1 }, /*  23 (0),  11 (0),  24 (0),  11 (0), 104 (0), support = 5 */
    {  1, 24,  -1 }, /* 147 (1), 100 (0),  48 (0), 100 (0),  97 (0), support = 4 */
    {  1, 25,  -1 }, /* 100 (0),  93 (0),  97 (0),  93 (0),  95 (0), support = 5 */
    {  1, 26,  -1 }, /*  12 (0),   8 (0),  59 (0),   8 (0),  97 (0), support = 5 */
    {  1, 27,  -1 }, /*  93 (0),   8 (0), 149 (1),  93 (0), 119 (0), support = 4 */
    {  1, 28,  -1 }, /*  44 (0),  59 (0),  44 (0), 116 (0),  81 (0), support = 5 */
    {  1, 29,  -1 }, /*  44 (0),   2 (0), 138 (0),   2 (0),  59 (0), support = 5 */
    {  1, 30,  -1 }, /* 119 (0),  44 (0), 110 (0),  44 (0),  44 (0), support = 5 */
    {  1, 31,  -1 }, /*  37 (0),  37 (0), 160 (1),  37 (0),  37 (0), support = 4 */
    {  1, 32,  -1 }, /*  97 (0),  24 (0),  93 (0),   3 (0),  24 (0), support = 5 */
    {  1, 33,  -1 }, /*  17 (0),  17 (0), 116 (0),  15 (0),  19 (0), support = 5 */
    {  1, 34,  -1 }, /*  16 (0),   2 (0), 154 (1),   2 (0),  15 (0), support = 4 */
    {  1, 35,  -1 }, /*  12 (0),  12 (0), 163 (2),  12 (0),  13 (0), support = 4 */
    {  1, 36,  -1 }, /*  37 (0),   8 (0),  37 (0),   2 (0),   8 (0), support = 5 */
    {  1, 37,  -1 }, /*  37 (0),   2 (0),  37 (0),  37 (0),   8 (0), support = 5 */
    {  1, 38,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  1, 39,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  1, 40,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    {  1, 41,  -1 }, /*  37 (0),  37 (0),  59 (0),  37 (0),  37 (0), support = 5 */
    {  1, 42,  -1 }, /*  37 (0),  22 (0),  37 (0),  22 (0),  37 (0), support = 5 */
    {  1, 43,  -1 }, /*  59 (0),  33 (0),  44 (0),  33 (0),  20 (0), support = 5 */
    {  1, 44,  -1 }, /*  21 (0),  33 (0),  39 (0),  33 (0),  33 (0), support = 5 */
    {  1, 45,  -1 }, /*  33 (0),  33 (0),  33 (0),  50 (0),  33 (0), support = 5 */
    {  1, 46,  -1 }, /*  44 (0),  18 (0),  44 (0),  18 (0),  21 (0), support = 5 */
    {  1, 47,  -1 }, /*  33 (0),  35 (0),  33 (0),  35 (0),  33 (0), support = 5 */
    {  2,  0,  -1 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 164 (2), support = 1 */
    {  2,  1,  -1 }, /* 163 (2), 163 (2),  12 (0), 163 (2), 164 (2), support = 3 */
    {  2,  2,  -1 }, /* 124 (0), 150 (1), 124 (0), 123 (0), 150 (1), support = 1 */
    {  2,  3,  -1 }, /*  92 (0),  92 (0),  92 (0),  92 (0), 147 (1), support = 4 */
    {  2,  4,  -1 }, /* 105 (0), 105 (0),   0 (0),  98 (0), 117 (0), support = 5 */
    {  2,  5,  -1 }, /*   4 (0), 106 (0),   4 (0), 106 (0), 113 (0), support = 5 */
    {  2,  6,  -1 }, /*   6 (0), 118 (0),   6 (0), 161 (2), 118 (0), support = 4 */
    {  2,  7,  -1 }, /*  10 (0),   1 (0),  10 (0),   1 (0), 128 (0), support = 5 */
    {  2,  8,  -1 }, /*  16 (0),   7 (0),   9 (0),   1 (0), 131 (0), support = 5 */
    {  2,  9,  -1 }, /*  15 (0),  15 (0),  36 (0),  15 (0), 150 (1), support = 4 */
    {  2, 10,  -1 }, /*  42 (0), 164 (2),  42 (0), 116 (0), 162 (2), support = 1 */
    {  2, 11, 164 }, /* 164 (2), 164 (2),  28 (0), 163 (2), 164 (2), support = 3 */
    {  2, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 27, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 28, 163 }, /* 164 (2), 164 (2), 163 (2), 163 (2), 163 (2), support = 3 */
    {  2, 29,  -1 }, /*  44 (0), 108 (0),  44 (0),   2 (0), 110 (0), support = 5 */
    {  2, 30,  -1 }, /* 115 (0),  92 (0),  84 (0), 104 (0),  93 (0), support = 5 */
    {  2, 31,  -1 }, /*  66 (0),  84 (0),  66 (0),  81 (0),  81 (0), support = 5 */
    {  2, 32,  -1 }, /*  81 (0),  81 (0),  52 (0),  52 (0),  54 (0), support = 5 */
    {  2, 33,  -1 }, /*  44 (0),  39 (0),  44 (0),  39 (0),  59 (0), support = 5 */
    {  2, 34,  -1 }, /*  44 (0),  33 (0), 155 (1),  54 (0),  39 (0), support = 4 */
    {  2, 35,  -1 }, /*  44 (0),  44 (0),  44 (0),  44 (0),  54 (0), support = 5 */
    {  2, 36,  -1 }, /*  50 (0),  54 (0), 155 (1),  50 (0),  39 (0), support = 4 */
    {  2, 37,  -1 }, /*  70 (0),  46 (0),  70 (0),  22 (0),  54 (0), support = 5 */
    {  2, 38,  -1 }, /*  59 (0),  54 (0),  59 (0),   9 (0),  48 (0), support = 5 */
    {  2, 39,  -1 }, /*  48 (0),  33 (0),  48 (0),  33 (0),  48 (0), support = 5 */
    {  2, 40,  -1 }, /*  33 (0),  41 (0),  33 (0),   3 (0),  50 (0), support = 5 */
    {  2, 41,  -1 }, /*  48 (0),  47 (0),  48 (0),  47 (0),  52 (0), support = 5 */
    {  2, 42,  -1 }, /*  48 (0),  41 (0),  48 (0),  27 (0),  62 (0), support = 5 */
    {  2, 43,  -1 }, /*  52 (0),  45 (0),  52 (0),  13 (0),  86 (0), support = 5 */
    {  2, 44,  -1 }, /* 136 (0),  68 (0), 136 (0),  96 (0),  75 (0), support = 5 */
    {  2, 45,  -1 }, /*  22 (0),  82 (0),  22 (0),  68 (0), 105 (0), support = 5 */
    {  2, 46,  -1 }, /*  98 (0),  94 (0),  52 (0),  17 (0),  94 (0), support = 5 */
    {  2, 47,  -1 }, /*  66 (0),  58 (0),  66 (0), 112 (0),  58 (0), support = 5 */
    {  3,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  3,  -1 }, /* 120 (0), 120 (0),  11 (0), 112 (0), 120 (0), support = 5 */
    {  3,  4,  -1 }, /*  24 (0),  24 (0),  24 (0),   3 (0), 144 (0), support = 5 */
    {  3,  5,  -1 }, /*  56 (0),   8 (0),  45 (0),   8 (0), 142 (0), support = 5 */
    {  3,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 27, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 28, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 29, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 30,  -1 }, /*  84 (0), 155 (1),  84 (0),   2 (0), 127 (0), support = 4 */
    {  3, 31,  -1 }, /* 149 (1), 156 (1), 122 (0), 156 (1), 155 (1), support = 1 */
    {  3, 32,  -1 }, /* 156 (1), 130 (0), 156 (1), 130 (0), 149 (1), support = 1 */
    {  3, 33,  -1 }, /* 152 (1), 133 (0),  29 (0), 114 (0), 114 (0), support = 4 */
    {  3, 34,  -1 }, /* 123 (0), 126 (0), 105 (0), 126 (0), 122 (0), support = 5 */
    {  3, 35,  -1 }, /* 111 (0), 108 (0),  98 (0), 114 (0), 136 (0), support = 5 */
    {  3, 36,  -1 }, /* 112 (0), 112 (0), 112 (0), 112 (0), 113 (0), support = 5 */
    {  3, 37,  -1 }, /* 122 (0), 106 (0), 122 (0),  88 (0), 113 (0), support = 5 */
    {  3, 38,  -1 }, /* 101 (0), 106 (0), 101 (0),  94 (0), 109 (0), support = 5 */
    {  3, 39,  -1 }, /* 109 (0), 109 (0), 107 (0), 112 (0), 113 (0), support = 5 */
    {  3, 40,  -1 }, /*  94 (0), 120 (0),  94 (0), 120 (0), 120 (0), support = 5 */
    {  3, 41,  -1 }, /*  67 (0), 120 (0),  67 (0), 120 (0),  86 (0), support = 5 */
    {  3, 42,  -1 }, /* 103 (0), 103 (0), 103 (0),  91 (0),  91 (0), support = 5 */
    {  3, 43,  -1 }, /* 102 (0), 102 (0), 102 (0), 102 (0), 102 (0), support = 5 */
    {  3, 44,  -1 }, /*  87 (0),  90 (0),  40 (0),  83 (0),  83 (0), support = 5 */
    {  3, 45,  -1 }, /*  91 (0),  71 (0),  91 (0),  83 (0),  94 (0), support = 5 */
    {  3, 46,  -1 }, /*  67 (0),  91 (0),  67 (0),  82 (0),  86 (0), support = 5 */
    {  3, 47,  -1 }, /* 113 (0),  94 (0), 113 (0),  94 (0),  94 (0), support = 5 */
    {  4,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  4,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  4,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 11, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  4, 12, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  4, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 27, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 28, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 29, 163 }, /* 163 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  4, 30, 163 }, /* 163 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  4, 31,  -1 }, /* 157 (1), 156 (1), 163 (2), 156 (1), 163 (2), support = 1 */
    {  4, 32,  -1 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 147 (1), support = 1 */
    {  4, 33,  -1 }, /* 147 (1), 147 (1), 147 (1), 148 (1), 147 (1), support = 1 */
    {  4, 34,  -1 }, /* 147 (1), 147 (1), 147 (1), 147 (1), 147 (1), support = 1 */
    {  4, 35,  -1 }, /* 135 (0), 135 (0), 147 (1), 135 (0), 136 (0), support = 4 */
    {  4, 36,  -1 }, /* 135 (0), 135 (0), 135 (0), 135 (0), 131 (0), support = 5 */
    {  4, 37,  -1 }, /* 118 (0), 117 (0), 117 (0), 131 (0), 131 (0), support = 5 */
    {  4, 38,  -1 }, /* 103 (0), 120 (0), 103 (0), 117 (0), 103 (0), support = 5 */
    {  4, 39,  -1 }, /* 118 (0),  20 (0), 118 (0),  56 (0), 102 (0), support = 5 */
    {  4, 40,  -1 }, /*  61 (0),  45 (0),  61 (0), 109 (0), 149 (1), support = 4 */
    {  4, 41,  -1 }, /*  11 (0),  24 (0),  11 (0),  24 (0), 155 (1), support = 4 */
    {  4, 42,  -1 }, /*  24 (0),  24 (0),  31 (0),  22 (0), 149 (1), support = 4 */
    {  4, 43,  -1 }, /*  91 (0),  17 (0),   4 (0),  43 (0), 149 (1), support = 4 */
    {  4, 44,  -1 }, /*  83 (0),   4 (0),  83 (0),  94 (0), 149 (1), support = 4 */
    {  4, 45,  -1 }, /*  75 (0), 102 (0),  75 (0), 102 (0), 155 (1), support = 4 */
    {  4, 46,  -1 }, /*  23 (0),  67 (0),  23 (0),  67 (0), 134 (0), support = 5 */
    {  4, 47,  -1 }, /* 165 (1), 163 (2), 165 (1), 165 (1), 165 (1), support = 1 */
    {  5,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  2, 164 }, /* 164 (2), 163 (2), 164 (2), 163 (2), 164 (2), support = 3 */
    {  5,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 12, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 14, 163 }, /* 163 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  5, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 164 (2), 163 (2), support = 4 */
    {  5, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 29, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 30, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 33, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 35, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 36,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),  97 (0), support = 5 */
    {  5, 37,  -1 }, /*   7 (0),   7 (0),   7 (0),   7 (0), 125 (0), support = 5 */
    {  5, 38,  -1 }, /*  34 (0),  16 (0),  23 (0),  13 (0), 104 (0), support = 5 */
    {  5, 39,  -1 }, /*  49 (0),  49 (0),  57 (0),  49 (0), 110 (0), support = 5 */
    {  5, 40,  -1 }, /*  41 (0),  41 (0),  26 (0),  57 (0),  37 (0), support = 5 */
    {  5, 41,  -1 }, /*   9 (0),  61 (0),   9 (0),  90 (0), 142 (0), support = 5 */
    {  5, 42,  -1 }, /*  51 (0),  31 (0),  51 (0),  34 (0),  37 (0), support = 5 */
    {  5, 43,  -1 }, /*  76 (0),  28 (0),  51 (0),  28 (0),  44 (0), support = 5 */
    {  5, 44,  -1 }, /*   4 (0),   6 (0),   4 (0),  13 (0),  37 (0), support = 5 */
    {  5, 45,  -1 }, /*   2 (0),   2 (0),   2 (0),   6 (0),  37 (0), support = 5 */
    {  5, 46,  -1 }, /* 165 (1), 165 (1), 165 (1), 165 (1), 165 (1), support = 1 */
    {  5, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  6,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  6,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  6,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  6,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  6,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  6,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  6, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 164 (2), 163 (2), support = 4 */
    {  6, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 33, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    {  6, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    {  6, 35, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 36, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  6, 37, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  6, 38, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  6, 39, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  6, 40,  -1 }, /*  28 (0),  19 (0),  28 (0),  13 (0), 149 (1), support = 4 */
    {  6, 41,  -1 }, /*  57 (0),  61 (0),  57 (0),  61 (0), 155 (1), support = 4 */
    {  6, 42,  -1 }, /*  11 (0),  26 (0),  11 (0),  26 (0), 155 (1), support = 4 */
    {  6, 43,  -1 }, /*   3 (0),   3 (0),   9 (0),   3 (0),  37 (0), support = 5 */
    {  6, 44,  -1 }, /*  12 (0),  13 (0),   9 (0),   3 (0),  59 (0), support = 5 */
    {  6, 45,  -1 }, /*  61 (0),  61 (0),  12 (0),  12 (0),  37 (0), support = 5 */
    {  6, 46, 162 }, /* 162 (2), 162 (2), 165 (1), 162 (2), 163 (2), support = 3 */
    {  6, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  7,  1, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 164 (2), support = 3 */
    {  7,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  7,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  7,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 20,  -1 }, /*  85 (0), 100 (0),  59 (0),   4 (0), 163 (2), support = 4 */
    {  7, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  7, 23, 164 }, /* 164 (2), 163 (2), 164 (2), 165 (2), 163 (2), support = 1 */
    {  7, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  7, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  7, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 33, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    {  7, 34, 162 }, /* 162 (2), 163 (2), 162 (2), 162 (2), 163 (2), support = 3 */
    {  7, 35, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  7, 36, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  7, 37, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  7, 38, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  7, 39, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  7, 40, 163 }, /* 163 (2), 163 (2), 162 (2), 163 (2), 163 (2), support = 4 */
    {  7, 41, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  7, 42,  -1 }, /*  17 (0),   3 (0),  17 (0),  11 (0), 110 (0), support = 5 */
    {  7, 43,  -1 }, /*  23 (0),   4 (0),  23 (0),  31 (0),  99 (0), support = 5 */
    {  7, 44,  -1 }, /*  17 (0),   9 (0),  17 (0),   9 (0), 119 (0), support = 5 */
    {  7, 45,  -1 }, /*   1 (0),   1 (0),   1 (0),  13 (0), 104 (0), support = 5 */
    {  7, 46, 163 }, /* 163 (2), 163 (2), 164 (2), 162 (2), 164 (2), support = 1 */
    {  7, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  0, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 164 (2), support = 3 */
    {  8,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  8,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  8,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 21, 164 }, /* 164 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  8, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 26, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  8, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  8, 28, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 31, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    {  8, 32, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  8, 33, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 34, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 35, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  8, 36, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 37, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 38, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 39, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  8, 40, 163 }, /* 163 (2), 163 (2), 162 (2), 163 (2), 163 (2), support = 4 */
    {  8, 41, 163 }, /* 163 (2), 163 (2), 162 (2), 163 (2), 163 (2), support = 4 */
    {  8, 42, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  8, 43, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  8, 44, 163 }, /* 163 (2), 163 (2),   5 (0), 163 (2), 163 (2), support = 4 */
    {  8, 45, 163 }, /* 163 (2), 163 (2),   9 (0), 163 (2), 163 (2), support = 4 */
    {  8, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  9,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  9,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  9,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  9,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  9,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 26, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  9, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  9, 28, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  9, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    {  9, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 31, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    {  9, 32, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  9, 33, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  9, 34, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  9, 35, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  9, 36, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  9, 37, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    {  9, 38, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  9, 39, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    {  9, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 42, 163 }, /* 163 (2), 163 (2), 164 (2), 162 (2), 164 (2), support = 1 */
    {  9, 43, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 44, 163 }, /* 163 (2), 163 (2),   7 (0), 163 (2), 163 (2), support = 4 */
    {  9, 45, 164 }, /* 164 (2), 164 (2),   6 (0), 164 (2), 164 (2), support = 4 */
    {  9, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    { 10,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    { 10,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    { 10,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 26, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 28, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 29, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 32, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 33, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 34, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 35, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 36, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 37, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 38, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 39, 156 }, /* 156 (2), 156 (2), 156 (2), 155 (2), 156 (2), support = 4 */
    { 10, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 42, 162 }, /* 162 (2), 162 (2), 157 (2), 157 (2), 163 (2), support = 1 */
    { 10, 43, 162 }, /* 162 (2), 162 (2), 163 (2), 163 (2), 162 (2), support = 3 */
    { 10, 44, 163 }, /* 161 (2), 163 (2), 162 (2), 163 (2), 163 (2), support = 3 */
    { 10, 45, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 164 (2), support = 3 */
    { 11,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 26, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 28, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 29, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 30, 162 }, /* 162 (2), 163 (2), 162 (2), 162 (2), 163 (2), support = 3 */
    { 11, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 11, 32, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 33, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    { 11, 34, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 35, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 36, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 162 (2), support = 4 */
    { 11, 37, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 38, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 11, 39, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 11, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 42, 162 }, /* 162 (2), 162 (2), 163 (2), 156 (2), 163 (2), support = 1 */
    { 11, 43, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 11, 44, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 11, 45, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 11, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 26, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12, 28, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 12, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 30, 163 }, /* 163 (2), 163 (2), 158 (2), 163 (2), 163 (2), support = 4 */
    { 12, 31, 163 }, /* 163 (2), 163 (2), 159 (2), 163 (2), 163 (2), support = 4 */
    { 12, 32, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 12, 33, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 12, 34, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 12, 35, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 12, 36, 158 }, /* 158 (2), 158 (2), 158 (2), 157 (2), 158 (2), support = 4 */
    { 12, 37, 158 }, /* 158 (2), 157 (2), 158 (2), 157 (2), 158 (2), support = 3 */
    { 12, 38, 155 }, /* 155 (2), 155 (2), 162 (2), 155 (2), 156 (2), support = 3 */
    { 12, 39, 155 }, /* 155 (2), 155 (2), 157 (2), 155 (2), 156 (2), support = 3 */
    { 12, 40, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 156 (2), support = 4 */
    { 12, 41, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    { 12, 42,  -1 }, /* 162 (2), 162 (2), 156 (2), 156 (2), 163 (2), support = 1 */
    { 12, 43, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 163 (2), support = 4 */
    { 12, 44, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 12, 45, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 46, 163 }, /* 163 (2), 163 (2), 157 (2), 156 (2), 163 (2), support = 3 */
    { 12, 47, 164 }, /* 164 (2), 164 (2), 157 (2), 164 (2), 164 (2), support = 4 */
    { 13,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    { 13,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 13, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 13, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 158 (2), 163 (2), support = 4 */
    { 13, 29, 163 }, /* 163 (2), 163 (2), 158 (2), 163 (2), 163 (2), support = 4 */
    { 13, 30, 158 }, /* 158 (2), 162 (2), 158 (2), 158 (2), 158 (2), support = 4 */
    { 13, 31, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 13, 32, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 13, 33, 158 }, /* 158 (2), 158 (2), 159 (2), 158 (2), 158 (2), support = 4 */
    { 13, 34, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 13, 35, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 13, 36, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 13, 37, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 13, 38, 155 }, /* 155 (2), 155 (2), 157 (2), 155 (2), 155 (2), support = 4 */
    { 13, 39, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 13, 40, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 13, 41, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 13, 42, 156 }, /* 156 (2), 156 (2), 156 (2), 155 (2), 156 (2), support = 4 */
    { 13, 43, 156 }, /* 156 (2), 156 (2), 156 (2), 155 (2), 156 (2), support = 4 */
    { 13, 44, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 13, 45, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 13, 46, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 13, 47, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 14,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 23, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 14, 24, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 14, 25, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 14, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 14, 27, 158 }, /* 157 (2), 158 (2), 158 (2), 157 (2), 158 (2), support = 3 */
    { 14, 28, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 29, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 30, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 158 (2), support = 4 */
    { 14, 32, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 33, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 34, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 35, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 158 (2), support = 4 */
    { 14, 36, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 14, 37, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 158 (2), support = 4 */
    { 14, 38, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 14, 39, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 14, 40, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 14, 41, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 14, 42, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 14, 43, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 14, 44, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 14, 45, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 14, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 14, 47, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 15,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 19, 162 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 3 */
    { 15, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 159 (1), 162 (2), support = 4 */
    { 15, 21,  -1 }, /* 159 (1), 159 (1), 160 (1), 159 (1), 159 (1), support = 1 */
    { 15, 22, 162 }, /* 160 (1), 162 (2), 162 (2), 160 (1), 162 (2), support = 3 */
    { 15, 23,  -1 }, /* 159 (1), 159 (1), 159 (1), 159 (1), 159 (1), support = 1 */
    { 15, 24, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 15, 25, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 15, 26, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 15, 27, 157 }, /* 157 (2), 157 (2), 158 (2), 157 (2), 157 (2), support = 4 */
    { 15, 28, 157 }, /* 157 (2), 157 (2), 158 (2), 157 (2), 157 (2), support = 4 */
    { 15, 29, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 15, 30, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 15, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 15, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 15, 33, 157 }, /* 157 (2), 157 (2), 158 (2), 157 (2), 157 (2), support = 4 */
    { 15, 34, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 15, 35, 157 }, /* 157 (2), 157 (2), 158 (2), 157 (2), 158 (2), support = 3 */
    { 15, 36, 158 }, /* 158 (2), 158 (2), 158 (2), 157 (2), 158 (2), support = 4 */
    { 15, 37, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 15, 38, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 15, 39, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 15, 40, 156 }, /* 156 (2), 156 (2), 157 (2), 155 (2), 157 (2), support = 1 */
    { 15, 41, 157 }, /* 157 (2), 156 (2), 157 (2), 157 (2), 156 (2), support = 3 */
    { 15, 42, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 15, 43, 156 }, /* 156 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 15, 44, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 15, 45, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 15, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 15, 47, 157 }, /* 157 (2), 156 (2), 157 (2), 157 (2), 156 (2), support = 3 */
    { 16,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 15, 162 }, /* 163 (2), 162 (2), 163 (2), 161 (2), 162 (2), support = 1 */
    { 16, 16, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 16, 17, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 16, 18, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 16, 19, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 161 (2), support = 4 */
    { 16, 20, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 16, 21, 160 }, /* 160 (2), 160 (2), 160 (2), 159 (2), 160 (2), support = 4 */
    { 16, 22, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 16, 23, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 16, 24, 158 }, /* 159 (2), 158 (2), 159 (2), 158 (2), 158 (2), support = 3 */
    { 16, 25, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 16, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 16, 27, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 16, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 16, 29, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 16, 30, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 16, 31, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 16, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 16, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 16, 34, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 16, 35, 158 }, /* 157 (2), 157 (2), 158 (2), 158 (2), 158 (2), support = 3 */
    { 16, 36, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 16, 37, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 16, 38, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 16, 39, 156 }, /* 155 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 3 */
    { 16, 40, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 16, 41, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 156 (2), support = 4 */
    { 16, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 16, 43, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 16, 44, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 16, 45, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 16, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 16, 47, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 17,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 15, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 17, 16, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 17, 17, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 17, 18, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 17, 19, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 17, 20, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 17, 21, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 17, 22, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 17, 23, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 17, 24, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 17, 25, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 29, 157 }, /* 157 (2), 157 (2), 158 (2), 157 (2), 157 (2), support = 4 */
    { 17, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 158 (2), support = 4 */
    { 17, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 158 (2), 157 (2), support = 4 */
    { 17, 34, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 156 (2), support = 4 */
    { 17, 35, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 17, 36, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 17, 37, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 17, 38, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 17, 39, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 4 */
    { 17, 40, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 17, 41, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 17, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 17, 43, 156 }, /* 156 (2), 155 (2), 156 (2), 155 (2), 156 (2), support = 3 */
    { 17, 44, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 4 */
    { 17, 45, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 17, 46, 156 }, /* 156 (2), 156 (2), 157 (2), 157 (2), 156 (2), support = 3 */
    { 17, 47, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18,  0, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18,  1, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18,  5, 162 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 3 */
    { 18,  6, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 18,  7, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 18,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 12, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 13, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 14, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 15, 161 }, /* 161 (2), 160 (2), 161 (2), 161 (2), 160 (2), support = 3 */
    { 18, 16, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 18, 17, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 18, 18, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 18, 19, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 18, 20, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 18, 21, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 18, 22, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 18, 23, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 18, 24, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 18, 25, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 18, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 29, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 34, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 35, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 36, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 18, 37, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 38, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 4 */
    { 18, 39, 155 }, /* 155 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 18, 40, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 18, 41, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 18, 43, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 18, 44, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 45, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 47, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 19,  0, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  1, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  2, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  3, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  4, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  5, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 12, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 13, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 19, 14, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 19, 15, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 19, 16, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 19, 17, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 19, 18, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 19, 19, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 19, 20, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 19, 21, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 19, 22, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 19, 23, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 19, 24, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 19, 25, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 19, 26, 158 }, /* 157 (2), 157 (2), 158 (2), 158 (2), 158 (2), support = 3 */
    { 19, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 29, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 34, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 35, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 36, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 19, 37, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 19, 38, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 19, 39, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 4 */
    { 19, 40, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 19, 41, 155 }, /* 155 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 19, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 19, 43, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 19, 44, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 19, 45, 155 }, /* 155 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 19, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 19, 47, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 20,  0, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  1, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  2, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  3, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  4, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  5, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 20, 10, 161 }, /* 161 (2), 161 (2), 162 (2), 161 (2), 161 (2), support = 4 */
    { 20, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 20, 12, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 20, 13, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 20, 14, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 20, 15, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 20, 16, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 20, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 20, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 20, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 20, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 20, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 20, 22, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 20, 23, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 20, 24, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 20, 25, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 20, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 29, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 34, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 35, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 20, 36, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 20, 37, 155 }, /* 156 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 3 */
    { 20, 38, 155 }, /* 155 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 20, 39, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 20, 40, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 20, 41, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 20, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 20, 43, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 20, 44, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 20, 45, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 20, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 20, 47, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21,  0, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  1, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  2, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  3, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  4, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  5, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  6, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  7, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  8, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21,  9, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21, 10, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 21, 11, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 21, 12, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 21, 13, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 21, 14, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 21, 15, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 21, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 21, 23, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 21, 24, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 21, 25, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 21, 26, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 21, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 29, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 34, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 35, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 21, 36, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21, 37, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21, 38, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21, 39, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 4 */
    { 21, 40, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 21, 41, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 21, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 21, 43, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 21, 44, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 21, 45, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 156 (2), support = 4 */
    { 21, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21, 47, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  2, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  3, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  4, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  5, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  6, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  7, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  8, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22,  9, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22, 10, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 22, 11, 159 }, /* 159 (2), 159 (2), 160 (2), 159 (2), 159 (2), support = 4 */
    { 22, 12, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 22, 13, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 22, 14, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 22, 15, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 22, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 22, 23, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 22, 24, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22, 25, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 28, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 29, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 31, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 32, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 33, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 34, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 35, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 36, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 22, 37, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22, 38, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22, 39, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22, 40, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 22, 41, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 22, 42, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 22, 43, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 22, 44, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 22, 45, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 22, 46, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22, 47, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23,  0, 160 }, /* 160 (2), 159 (2), 160 (2), 160 (2), 160 (2), support = 4 */
    { 23,  1, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  2, 159 }, /* 159 (2), 159 (2), 160 (2), 159 (2), 159 (2), support = 4 */
    { 23,  3, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  4, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  5, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  6, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  7, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  8, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23,  9, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23, 10, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23, 11, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 23, 12, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 158 (2), support = 4 */
    { 23, 13, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 23, 14, 158 }, /* 158 (2), 158 (2), 158 (2), 158 (2), 158 (2), support = 5 */
    { 23, 15, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 23, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 156 (1), support = 4 */
    { 23, 24, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 23, 25, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 23, 26, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 23, 27, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 23, 28, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 23, 29, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 23, 30, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 156 (2), support = 4 */
    { 23, 31, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 155 (2), support = 4 */
    { 23, 32, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 33, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 155 (2), support = 4 */
    { 23, 34, 156 }, /* 156 (2), 156 (2), 156 (2), 157 (2), 155 (2), support = 3 */
    { 23, 35, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 23, 36, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 23, 37, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 155 (2), support = 4 */
    { 23, 38, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 23, 39, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 155 (2), support = 4 */
    { 23, 40, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 41, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 42, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 23, 43, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 44, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 45, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 46, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 23, 47, 154 }, /* 154 (2), 154 (2), 155 (2), 155 (2), 154 (2), support = 3 */
    { 24,  0, 158 }, /* 158 (1), 158 (1), 159 (1), 158 (1), 158 (1), support = 1 */
    { 24,  1, 158 }, /* 158 (1), 158 (1), 159 (1), 158 (1), 158 (1), support = 1 */
    { 24,  2, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  3, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  4, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  5, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  6, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  7, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  8, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24,  9, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24, 10, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24, 11, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 158 (1), support = 1 */
    { 24, 12, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 157 (2), support = 1 */
    { 24, 13, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 157 (2), support = 1 */
    { 24, 14, 158 }, /* 158 (1), 158 (1), 158 (1), 158 (1), 157 (2), support = 1 */
    { 24, 15, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 157 (2), support = 4 */
    { 24, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 24, 24, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 25, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 26, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 27, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 28, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 29, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 30, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 31, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 24, 32, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 33, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 34, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 35, 155 }, /* 155 (2), 155 (2), 156 (1), 156 (1), 155 (2), support = 3 */
    { 24, 36, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 37, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 38, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 39, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 24, 40, 155 }, /* 155 (1), 155 (1), 155 (1), 155 (1), 155 (1), support = 1 */
    { 24, 41, 155 }, /* 155 (1), 155 (1), 155 (1), 155 (1), 155 (1), support = 1 */
    { 24, 42, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 24, 43, 155 }, /* 155 (1), 154 (1), 155 (1), 155 (1), 154 (1), support = 1 */
    { 24, 44, 155 }, /* 155 (1), 155 (1), 155 (1), 155 (1), 155 (1), support = 1 */
    { 24, 45, 155 }, /* 155 (1), 155 (1), 155 (1), 155 (1), 154 (1), support = 1 */
    { 24, 46, 154 }, /* 154 (1), 154 (1), 155 (1), 155 (1), 154 (1), support = 1 */
    { 24, 47, 155 }, /* 155 (1), 154 (1), 155 (1), 155 (1), 154 (1), support = 1 */
    { 25,  0, 157 }, /* 157 (2), 157 (2), 158 (1), 157 (2), 157 (2), support = 4 */
    { 25,  1, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  2, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  3, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  4, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  5, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  6, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  7, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  8, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25,  9, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25, 10, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25, 11, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25, 12, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25, 13, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25, 14, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 156 (2), support = 4 */
    { 25, 15, 157 }, /* 157 (2), 157 (2), 157 (2), 157 (2), 157 (2), support = 5 */
    { 25, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 24, 156 }, /* 156 (1), 156 (1), 156 (1), 156 (1), 156 (1), support = 1 */
    { 25, 25, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 26, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 27, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 28, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 29, 155 }, /* 155 (2), 155 (2), 155 (2), 156 (1), 155 (2), support = 4 */
    { 25, 30, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 31, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 32, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 33, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 34, 154 }, /* 154 (2), 154 (2), 155 (2), 154 (2), 154 (2), support = 4 */
    { 25, 35, 154 }, /* 154 (2), 154 (2), 155 (2), 154 (2), 154 (2), support = 4 */
    { 25, 36, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 154 (2), support = 4 */
    { 25, 37, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 25, 38, 154 }, /* 154 (2), 154 (2), 154 (2), 153 (2), 155 (2), support = 3 */
    { 25, 39, 155 }, /* 155 (2), 154 (2), 155 (2), 155 (2), 154 (2), support = 3 */
    { 25, 40, 155 }, /* 155 (1), 154 (1), 155 (1), 155 (1), 154 (1), support = 1 */
    { 25, 41, 155 }, /* 155 (1), 155 (1), 155 (1), 155 (1), 155 (1), support = 1 */
    { 25, 42, 153 }, /* 153 (1), 153 (1), 154 (1), 153 (1), 153 (1), support = 1 */
    { 25, 43, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 25, 44, 150 }, /* 150 (2), 150 (2), 152 (2), 151 (2), 150 (2), support = 3 */
    { 25, 45, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 25, 46, 155 }, /* 155 (1), 154 (1), 155 (1), 155 (1), 155 (1), support = 1 */
    { 25, 47, 155 }, /* 155 (1), 155 (1), 155 (1), 155 (1), 154 (1), support = 1 */
    { 26,  0, 156 }, /* 156 (2), 156 (2), 157 (2), 157 (2), 156 (2), support = 3 */
    { 26,  1, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 26,  2, 156 }, /* 156 (2), 156 (2), 157 (2), 156 (2), 156 (2), support = 4 */
    { 26,  3, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26,  4, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26,  5, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26,  6, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26,  7, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26,  8, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26,  9, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26, 10, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26, 11, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26, 12, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26, 13, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 155 (2), support = 4 */
    { 26, 14, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 155 (2), support = 4 */
    { 26, 15, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 26, 24, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 25, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 26, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 27, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 28, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 29, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 30, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 26, 31, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 26, 32, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 26, 33, 155 }, /* 155 (2), 154 (2), 155 (2), 155 (2), 154 (2), support = 3 */
    { 26, 34, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 26, 35, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 26, 36, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 26, 37, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 26, 38, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 26, 39, 150 }, /* 150 (2), 150 (2), 153 (2), 150 (2), 153 (2), support = 3 */
    { 26, 40, 154 }, /* 154 (1), 154 (1), 155 (1), 154 (1), 154 (1), support = 1 */
    { 26, 41, 154 }, /* 153 (1), 153 (1), 154 (1), 154 (1), 154 (1), support = 1 */
    { 26, 42, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 26, 43, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 26, 44, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 26, 45, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 26, 46, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 152 (2), support = 1 */
    { 26, 47, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 27,  0, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 27,  1, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 27,  2, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  3, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  4, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  5, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  6, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  7, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  8, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27,  9, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27, 10, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27, 11, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27, 12, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27, 13, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27, 14, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 27, 15, 150 }, /* 149 (2), 149 (2), 150 (2), 150 (2), 150 (2), support = 3 */
    { 27, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 27, 24, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 25, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 26, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 27, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 28, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 29, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 30, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 31, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 27, 32, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 33, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 34, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 35, 154 }, /* 154 (2), 153 (2), 154 (2), 154 (2), 153 (2), support = 3 */
    { 27, 36, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 37, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 38, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 39, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 27, 40, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 27, 41, 153 }, /* 153 (1), 152 (2), 153 (1), 153 (1), 153 (1), support = 1 */
    { 27, 42, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 27, 43, 153 }, /* 153 (1), 152 (2), 153 (1), 153 (1), 152 (2), support = 1 */
    { 27, 44, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 27, 45, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 27, 46, 153 }, /* 153 (1), 153 (1), 153 (1), 153 (1), 153 (1), support = 1 */
    { 27, 47, 151 }, /* 151 (2), 151 (2), 153 (1), 153 (1), 151 (2), support = 3 */
    { 28,  0, 155 }, /* 155 (2), 154 (2), 155 (2), 155 (2), 154 (2), support = 3 */
    { 28,  1, 154 }, /* 154 (2), 154 (2), 155 (2), 155 (2), 154 (2), support = 3 */
    { 28,  2, 154 }, /* 154 (2), 154 (2), 155 (2), 154 (2), 154 (2), support = 4 */
    { 28,  3, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28,  4, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28,  5, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28,  6, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28,  7, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28,  8, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28,  9, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28, 10, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28, 11, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28, 12, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28, 13, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 154 (2), support = 5 */
    { 28, 14, 154 }, /* 154 (2), 154 (2), 154 (2), 154 (2), 153 (2), support = 4 */
    { 28, 15,  -1 }, /* 165 (1), 166 (0), 165 (1), 165 (1), 150 (2), support = 1 */
    { 28, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 28, 24, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 25, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 26, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 27, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 28, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 29, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 30, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 31, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 32, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 33, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 34, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 35, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 36, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 37, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 28, 38, 152 }, /* 152 (2), 152 (2), 153 (2), 153 (2), 152 (2), support = 3 */
    { 28, 39, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 28, 40, 152 }, /* 152 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 28, 41, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 28, 42, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 28, 43, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 28, 44, 152 }, /* 152 (2), 152 (2), 153 (1), 152 (2), 151 (2), support = 3 */
    { 28, 45, 152 }, /* 152 (2), 151 (2), 153 (1), 152 (2), 151 (2), support = 1 */
    { 28, 46, 152 }, /* 152 (2), 152 (2), 153 (1), 152 (2), 152 (2), support = 4 */
    { 28, 47, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 29,  0, 153 }, /* 153 (2), 153 (2), 154 (2), 154 (2), 153 (2), support = 3 */
    { 29,  1, 153 }, /* 153 (2), 153 (2), 154 (2), 153 (2), 153 (2), support = 4 */
    { 29,  2, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  3, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  4, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  5, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  6, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  7, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  8, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29,  9, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29, 10, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29, 11, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29, 12, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29, 13, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29, 14, 153 }, /* 153 (2), 153 (2), 153 (2), 153 (2), 153 (2), support = 5 */
    { 29, 15,  -1 }, /* 156 (2), 156 (2),  95 (0), 150 (2), 150 (2), support = 1 */
    { 29, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 19, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 29, 24, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 25, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 26, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 27, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 28, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 29, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 30, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 31, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 32, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 33, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 34, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 35, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 36, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 151 (2), support = 4 */
    { 29, 37, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 151 (2), support = 4 */
    { 29, 38, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 29, 39, 152 }, /* 152 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 29, 40, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 29, 41, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 29, 42, 151 }, /* 151 (2), 151 (2), 152 (2), 151 (2), 151 (2), support = 4 */
    { 29, 43, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 29, 44, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 29, 45, 151 }, /* 151 (2), 151 (2), 152 (2), 151 (2), 151 (2), support = 4 */
    { 29, 46, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 29, 47, 151 }, /* 151 (2), 151 (2), 152 (2), 151 (2), 151 (2), support = 4 */
    { 30,  0, 153 }, /* 153 (2), 152 (2), 153 (2), 153 (2), 152 (2), support = 3 */
    { 30,  1, 153 }, /* 153 (2), 152 (2), 153 (2), 153 (2), 152 (2), support = 3 */
    { 30,  2, 152 }, /* 152 (2), 152 (2), 153 (2), 152 (2), 152 (2), support = 4 */
    { 30,  3, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30,  4, 152 }, /* 152 (2), 152 (2), 153 (2), 152 (2), 152 (2), support = 4 */
    { 30,  5, 152 }, /* 152 (2), 152 (2), 153 (2), 152 (2), 152 (2), support = 4 */
    { 30,  6, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30,  7, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30,  8, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 151 (2), support = 4 */
    { 30,  9, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30, 10, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30, 11, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30, 12, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30, 13, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 151 (2), support = 4 */
    { 30, 14, 152 }, /* 152 (2), 152 (2), 152 (2), 152 (2), 152 (2), support = 5 */
    { 30, 15,  -1 }, /* 100 (0), 100 (0), 100 (0),  14 (0),  14 (0), support = 5 */
    { 30, 16, 150 }, /* 150 (2), 150 (2), 138 (0), 150 (2),   1 (0), support = 3 */
    { 30, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 19, 150 }, /* 150 (2), 150 (2),  97 (0), 150 (2), 149 (2), support = 3 */
    { 30, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 24, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 30, 25, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 30, 26, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 30, 27, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 28, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 29, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 30, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 31, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 32, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 33, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 34, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 35, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 36, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 37, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 38, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 39, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 40, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 30, 41, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 150 (2), support = 4 */
    { 30, 42, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 30, 43, 150 }, /* 150 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 30, 44, 150 }, /* 150 (2), 150 (2), 151 (2), 150 (2), 150 (2), support = 4 */
    { 30, 45, 150 }, /* 150 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 30, 46, 150 }, /* 150 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 30, 47, 151 }, /* 151 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 31,  0, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 31,  1, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 31,  2, 151 }, /* 151 (2), 151 (2), 152 (2), 151 (2), 151 (2), support = 4 */
    { 31,  3, 151 }, /* 151 (2), 151 (2), 152 (2), 152 (2), 151 (2), support = 3 */
    { 31,  4, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31,  5, 151 }, /* 151 (2), 151 (2), 152 (2), 151 (2), 151 (2), support = 4 */
    { 31,  6, 151 }, /* 151 (2), 151 (2), 152 (2), 151 (2), 151 (2), support = 4 */
    { 31,  7, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31,  8, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31,  9, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31, 10, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31, 11, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31, 12, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31, 13, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 151 (2), support = 5 */
    { 31, 14, 151 }, /* 151 (2), 151 (2), 151 (2), 151 (2), 150 (2), support = 4 */
    { 31, 15, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 16, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 17, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 18, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 149 (2), support = 4 */
    { 31, 19, 150 }, /* 150 (2), 150 (2),  60 (0), 150 (2), 149 (2), support = 3 */
    { 31, 20, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 149 (2), support = 4 */
    { 31, 21, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 149 (2), support = 4 */
    { 31, 22, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 23, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 24, 151 }, /* 151 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 31, 25, 150 }, /* 150 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 31, 26, 150 }, /* 150 (2), 150 (2), 151 (2), 151 (2), 150 (2), support = 3 */
    { 31, 27, 150 }, /* 150 (2), 150 (2), 151 (2), 150 (2), 150 (2), support = 4 */
    { 31, 28, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 29, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 30, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 31, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 32, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 33, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 34, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 35, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 36, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 37, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 38, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 39, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 40, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 149 (2), support = 4 */
    { 31, 41, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 42, 150 }, /* 150 (2), 150 (2), 150 (2), 150 (2), 150 (2), support = 5 */
    { 31, 43, 149 }, /* 149 (2), 149 (2), 150 (2), 150 (2), 149 (2), support = 3 */
    { 31, 44, 149 }, /* 149 (2), 149 (2), 150 (2), 150 (2), 149 (2), support = 3 */
    { 31, 45, 149 }, /* 149 (2), 149 (2), 150 (2), 150 (2), 149 (2), support = 3 */
    { 31, 46, 149 }, /* 149 (2), 149 (2), 150 (2), 150 (2), 149 (2), support = 3 */
    { 31, 47, 149 }, /* 149 (2), 149 (2), 150 (2), 150 (2), 149 (2), support = 3 */
    { -1, -1,  -1 }
};
