/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_coins_wide[] = {
    {  0,  0,  -1 }, /*  91 (1),  91 (1),  91 (1), 106 (0),  93 (1), support = 1 */
    {  0,  1,  -1 }, /* 102 (0), 101 (1), 102 (0), 101 (1),  91 (1), support = 1 */
    {  0,  2,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  88 (1), support = 4 */
    {  0,  3,  -1 }, /*   8 (0),   8 (0),   8 (0),   9 (0),  20 (0), support = 5 */
    {  0,  4,  -1 }, /*  12 (0),  11 (0),  12 (0),  12 (0),  22 (0), support = 5 */
    {  0,  5,  -1 }, /*  10 (0),  10 (0),  10 (0),  11 (0),  24 (0), support = 5 */
    {  0,  6,  -1 }, /*  11 (0),   6 (0),  10 (0),   6 (0),  20 (0), support = 5 */
    {  0,  7,  -1 }, /*   9 (0),   9 (0),   8 (0),   9 (0), 105 (0), support = 5 */
    {  0,  8,  -1 }, /*   9 (0),   9 (0),   9 (0),   9 (0), 105 (0), support = 5 */
    {  0,  9,  -1 }, /*   7 (0),   7 (0),   7 (0),  25 (0), 106 (0), support = 5 */
    {  0, 10,  -1 }, /*  10 (0),  10 (0),   9 (0),  10 (0), 106 (0), support = 5 */
    {  0, 11,  -1 }, /*  26 (0),  26 (0),   9 (0),  26 (0),  26 (0), support = 5 */
    {  0, 12,  -1 }, /*   7 (0),  10 (0),   7 (0),  10 (0),  28 (0), support = 5 */
    {  0, 13,  -1 }, /*   9 (0),   9 (0),   9 (0),  11 (0),  13 (0), support = 5 */
    {  0, 14,  -1 }, /*   7 (0),  10 (0),   7 (0),  10 (0),  10 (0), support = 5 */
    {  0, 15,  -1 }, /*  13 (0),  12 (0),  13 (0),  12 (0),  28 (0), support = 5 */
    {  0, 16,  -1 }, /*  14 (0),  15 (0),  14 (0),  15 (0),  25 (0), support = 5 */
    {  0, 17,  -1 }, /*  12 (0),  15 (0),  12 (0),  15 (0),  16 (0), support = 5 */
    {  0, 18,  -1 }, /*  11 (0),  14 (0),  11 (0),  14 (0),  23 (0), support = 5 */
    {  0, 19,  -1 }, /*  11 (0),  11 (0),  10 (0),  11 (0),  23 (0), support = 5 */
    {  0, 20,  -1 }, /*  11 (0),  11 (0),  11 (0),  11 (0),  23 (0), support = 5 */
    {  0, 21,  -1 }, /*  10 (0),  21 (0),  10 (0),  32 (0),  21 (0), support = 5 */
    {  0, 22,  -1 }, /*  14 (0),  21 (0),  14 (0),  14 (0),  85 (1), support = 4 */
    {  0, 23,  -1 }, /*  16 (0),  45 (0),  16 (0),  50 (0),  84 (1), support = 4 */
    {  0, 24,  -1 }, /*  22 (0),  43 (0),  43 (0),  55 (0),  43 (0), support = 5 */
    {  0, 25,  -1 }, /*  43 (0),  43 (0),  43 (0),  43 (0),  43 (0), support = 5 */
    {  0, 26,  -1 }, /*  58 (0),  12 (0),  56 (0),  12 (0),  13 (0), support = 5 */
    {  0, 27,  -1 }, /*  19 (0), 105 (0),  92 (1), 105 (0), 105 (0), support = 4 */
    {  0, 28,  -1 }, /*   9 (0),   9 (0), 146 (0),   9 (0),  91 (1), support = 4 */
    {  0, 29,  -1 }, /* 146 (0),  24 (0), 146 (0),  24 (0), 104 (0), support = 5 */
    {  0, 30,  -1 }, /* 139 (0),  21 (0), 140 (0),  21 (0), 105 (0), support = 5 */
    {  0, 31,  -1 }, /*  83 (1),  41 (0),  92 (1),  41 (0),  87 (1), support = 1 */
    {  0, 32,  -1 }, /*  38 (0),  38 (0),  54 (0),  18 (0),  75 (0), support = 5 */
    {  0, 33,  -1 }, /*  58 (0),   0 (0),  58 (0),  60 (0),   0 (0), support = 5 */
    {  0, 34,  -1 }, /*  59 (0),  59 (0),  59 (0),  59 (0),  60 (0), support = 5 */
    {  0, 35,  -1 }, /*  18 (0),  18 (0),  18 (0),  18 (0),  18 (0), support = 5 */
    {  0, 36,  -1 }, /* 118 (0), 105 (0),   1 (0), 105 (0), 105 (0), support = 5 */
    {  0, 37,  -1 }, /* 106 (0), 106 (0), 137 (0), 106 (0), 105 (0), support = 5 */
    {  0, 38,  -1 }, /* 130 (0), 130 (0), 130 (0), 130 (0),  26 (0), support = 5 */
    {  0, 39,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0),  20 (0), support = 5 */
    {  0, 40,  -1 }, /*  29 (0),  21 (0),  29 (0),  21 (0),  34 (0), support = 5 */
    {  0, 41,  -1 }, /*  44 (0),  44 (0),  44 (0), 110 (0),  44 (0), support = 5 */
    {  0, 42,  -1 }, /*  13 (0),  13 (0),  13 (0),  13 (0),  14 (0), support = 5 */
    {  0, 43,  -1 }, /*  40 (0),  40 (0),  45 (0),  40 (0),  45 (0), support = 5 */
    {  0, 44,  -1 }, /*  26 (0),  22 (0),  26 (0),  22 (0),  55 (0), support = 5 */
    {  0, 45,  -1 }, /*  76 (0),  76 (0),  76 (0),  74 (0),  76 (0), support = 5 */
    {  0, 46,  -1 }, /* 145 (0), 141 (0), 145 (0), 148 (0), 141 (0), support = 5 */
    {  0, 47,  -1 }, /* 141 (0), 141 (0), 141 (0), 141 (0), 129 (0), support = 5 */
    {  1,  0,  -1 }, /* 102 (0), 102 (0), 102 (0), 101 (1), 104 (0), support = 4 */
    {  1,  1,  -1 }, /*  20 (0),  20 (0),  20 (0),  22 (0), 104 (0), support = 5 */
    {  1,  2,  -1 }, /*   0 (0),   0 (0),   0 (0),  26 (0),   5 (0), support = 5 */
    {  1,  3,  -1 }, /*   7 (0),   7 (0),   7 (0),   6 (0),  11 (0), support = 5 */
    {  1,  4,  -1 }, /*  14 (0),  18 (0),  14 (0),  16 (0),  16 (0), support = 5 */
    {  1,  5,  -1 }, /*  17 (0),  17 (0),  17 (0),  17 (0), 103 (0), support = 5 */
    {  1,  6,  -1 }, /*  18 (0),  17 (0),  18 (0),  17 (0),  99 (2), support = 4 */
    {  1,  7,  -1 }, /*  13 (0),  17 (0),  13 (0),  16 (0),  97 (2), support = 4 */
    {  1,  8,  -1 }, /*  15 (0),  15 (0),  14 (0),  18 (0), 103 (0), support = 5 */
    {  1,  9,  -1 }, /*  16 (0),  18 (0),  16 (0),  18 (0),  98 (2), support = 4 */
    {  1, 10,  -1 }, /*  65 (0),  64 (0),  65 (0),  64 (0),  95 (2), support = 4 */
    {  1, 11,  -1 }, /*  65 (0),  67 (0),  66 (0),  67 (0),  93 (1), support = 4 */
    {  1, 12,  -1 }, /*  64 (0),  64 (0),  63 (0),  64 (0), 104 (0), support = 5 */
    {  1, 13,  -1 }, /*  98 (2),  98 (2),  98 (2), 100 (2),  89 (1), support = 1 */
    {  1, 14,  -1 }, /*  39 (0),  39 (0),  39 (0),  39 (0),  92 (1), support = 4 */
    {  1, 15,  -1 }, /* 104 (0), 104 (0),  99 (2), 105 (0),  93 (1), support = 1 */
    {  1, 16,  -1 }, /*  42 (0),  42 (0),  42 (0),  42 (0),  91 (1), support = 4 */
    {  1, 17,  -1 }, /*  39 (0),  39 (0),  41 (0),  39 (0), 105 (0), support = 5 */
    {  1, 18,  -1 }, /*  38 (0), 105 (0),  38 (0),  38 (0), 105 (0), support = 5 */
    {  1, 19,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0), 105 (0), support = 5 */
    {  1, 20,  -1 }, /*  15 (0),  13 (0),  15 (0),  37 (0), 105 (0), support = 5 */
    {  1, 21,  -1 }, /*   7 (0),  10 (0),   7 (0),  11 (0),  21 (0), support = 5 */
    {  1, 22,  -1 }, /*   7 (0),   7 (0),   7 (0),   8 (0),  13 (0), support = 5 */
    {  1, 23,  -1 }, /*   3 (0),   3 (0),   3 (0),   3 (0),  10 (0), support = 5 */
    {  1, 24,  -1 }, /*   7 (0),   7 (0),   7 (0),   6 (0),  17 (0), support = 5 */
    {  1, 25,  -1 }, /*  17 (0),  19 (0),  17 (0),  18 (0),  19 (0), support = 5 */
    {  1, 26,  -1 }, /*  18 (0),  15 (0),  18 (0),  15 (0),  15 (0), support = 5 */
    {  1, 27,  -1 }, /*  59 (0),  58 (0),  59 (0),  58 (0), 105 (0), support = 5 */
    {  1, 28,  -1 }, /* 149 (0),  20 (0), 149 (0),   5 (0), 105 (0), support = 5 */
    {  1, 29,  -1 }, /*  35 (0),  35 (0),  35 (0),  33 (0), 104 (0), support = 5 */
    {  1, 30,  -1 }, /*   3 (0),  11 (0),   3 (0),   7 (0),   5 (0), support = 5 */
    {  1, 31,  98 }, /*  98 (2),  98 (2),  84 (1),   2 (0),  98 (2), support = 3 */
    {  1, 32,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  1, 33,  -1 }, /*  19 (0),  19 (0), 107 (0),  19 (0), 105 (0), support = 5 */
    {  1, 34,  -1 }, /*  61 (0),  61 (0),  59 (0),  41 (0), 105 (0), support = 5 */
    {  1, 35,  -1 }, /*  56 (0),  56 (0),  56 (0),  57 (0),  61 (0), support = 5 */
    {  1, 36,  -1 }, /* 150 (0), 150 (0), 150 (0), 142 (0), 142 (0), support = 5 */
    {  1, 37,  -1 }, /* 138 (0), 105 (0), 116 (0), 136 (0), 105 (0), support = 5 */
    {  1, 38,  -1 }, /*  89 (1),  93 (2),  86 (1),  93 (2),  72 (0), support = 1 */
    {  1, 39,  -1 }, /*  35 (0),  35 (0),  35 (0),  21 (0),  25 (0), support = 5 */
    {  1, 40,  -1 }, /*  20 (0),  20 (0),  20 (0),  37 (0),  36 (0), support = 5 */
    {  1, 41,  -1 }, /*  26 (0),  33 (0),  54 (0),  33 (0),  40 (0), support = 5 */
    {  1, 42,  -1 }, /*  58 (0),  60 (0),  58 (0),  60 (0),  44 (0), support = 5 */
    {  1, 43,  -1 }, /*   9 (0),   9 (0),  37 (0),  31 (0),  22 (0), support = 5 */
    {  1, 44,  -1 }, /*  44 (0),  44 (0),  44 (0),  44 (0),  58 (0), support = 5 */
    {  1, 45,  -1 }, /*  29 (0),  29 (0),  29 (0),  29 (0),  28 (0), support = 5 */
    {  1, 46,  -1 }, /*  64 (0),  67 (0),  64 (0),  63 (0),  47 (0), support = 5 */
    {  1, 47,  -1 }, /* 146 (0), 146 (0), 146 (0), 141 (0), 150 (0), support = 5 */
    {  2,  0,  -1 }, /*  57 (0),  57 (0),  57 (0),  58 (0),  57 (0), support = 5 */
    {  2,  1,  -1 }, /*   4 (0),   4 (0),   8 (0),   4 (0), 104 (0), support = 5 */
    {  2,  2,  -1 }, /*  32 (0),   0 (0),  32 (0),   0 (0),   0 (0), support = 5 */
    {  2,  3,  -1 }, /*   7 (0),  14 (0),   8 (0),  12 (0),  19 (0), support = 5 */
    {  2,  4,  -1 }, /*  19 (0),   7 (0),  18 (0),  19 (0), 147 (0), support = 5 */
    {  2,  5,  -1 }, /*   7 (0),   0 (0),   7 (0),   0 (0), 139 (0), support = 5 */
    {  2,  6,  -1 }, /*  18 (0),  53 (0),  17 (0),  53 (0), 140 (0), support = 5 */
    {  2,  7,  -1 }, /*  62 (0),  62 (0),  62 (0),  62 (0),  51 (0), support = 5 */
    {  2,  8,  -1 }, /*  38 (0),  38 (0),  21 (0),  38 (0),  46 (0), support = 5 */
    {  2,  9,  -1 }, /*  43 (0),  38 (0),  21 (0),  38 (0),  45 (0), support = 5 */
    {  2, 10,  -1 }, /*  21 (0),  39 (0),  21 (0),  39 (0),  61 (0), support = 5 */
    {  2, 11,  -1 }, /*  18 (0),  36 (0),  18 (0),  36 (0), 139 (0), support = 5 */
    {  2, 12,  -1 }, /*  22 (0),  36 (0),  22 (0),  36 (0), 142 (0), support = 5 */
    {  2, 13,  -1 }, /*  20 (0),  39 (0),  20 (0),  29 (0),  47 (0), support = 5 */
    {  2, 14,  -1 }, /*  49 (0),  49 (0),  49 (0),  49 (0),  49 (0), support = 5 */
    {  2, 15,  -1 }, /*  49 (0),  49 (0),  49 (0),  51 (0),  53 (0), support = 5 */
    {  2, 16,  -1 }, /*  49 (0),  46 (0),  20 (0),  46 (0),  49 (0), support = 5 */
    {  2, 17,  -1 }, /*  43 (0),  46 (0),  23 (0),  46 (0),  46 (0), support = 5 */
    {  2, 18,  -1 }, /*   0 (0),  41 (0),   0 (0),  43 (0), 103 (0), support = 5 */
    {  2, 19,  -1 }, /* 101 (1),  39 (0), 101 (1),  39 (0),  91 (1), support = 1 */
    {  2, 20,  -1 }, /*  38 (0),  38 (0), 100 (2),  39 (0),  91 (1), support = 1 */
    {  2, 21,  -1 }, /*  38 (0),  37 (0),  38 (0),  38 (0),  93 (1), support = 4 */
    {  2, 22,  -1 }, /*  35 (0),  35 (0),  35 (0),  35 (0), 104 (0), support = 5 */
    {  2, 23,  -1 }, /*  34 (0),  35 (0),  34 (0), 104 (0), 104 (0), support = 5 */
    {  2, 24,  -1 }, /*  46 (0),  46 (0),   3 (0),  46 (0),  27 (0), support = 5 */
    {  2, 25,  -1 }, /*   9 (0),  14 (0),   6 (0),  12 (0),  55 (0), support = 5 */
    {  2, 26,  -1 }, /*  20 (0),  61 (0),  20 (0),  61 (0),  53 (0), support = 5 */
    {  2, 27,  -1 }, /*  20 (0),  20 (0),  38 (0),  20 (0),  56 (0), support = 5 */
    {  2, 28,  -1 }, /*  22 (0),  20 (0),  22 (0),   1 (0), 104 (0), support = 5 */
    {  2, 29,  -1 }, /*  46 (0),  40 (0),  62 (0),  17 (0), 104 (0), support = 5 */
    {  2, 30,  98 }, /*  98 (2),  98 (2),  83 (1),   3 (0),  98 (2), support = 3 */
    {  2, 31,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  2, 32,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  2, 33,  96 }, /*  96 (2),  96 (2),  77 (0),  96 (2),  96 (2), support = 4 */
    {  2, 34,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0), 104 (0), support = 5 */
    {  2, 35,  -1 }, /*   2 (0),   0 (0),   2 (0),   0 (0),  60 (0), support = 5 */
    {  2, 36,  -1 }, /*   1 (0),   1 (0),   1 (0), 148 (0),  58 (0), support = 5 */
    {  2, 37,  -1 }, /* 149 (0), 145 (0), 149 (0), 150 (0), 139 (0), support = 5 */
    {  2, 38,  -1 }, /* 104 (0), 104 (0), 104 (0), 104 (0),  92 (2), support = 4 */
    {  2, 39,  -1 }, /*  87 (1),  79 (0),  87 (1),  87 (1),  73 (0), support = 1 */
    {  2, 40,  -1 }, /*  23 (0),  43 (0),  23 (0),  40 (0),  43 (0), support = 5 */
    {  2, 41,  -1 }, /*  29 (0),  39 (0),  29 (0),  39 (0),  39 (0), support = 5 */
    {  2, 42,  -1 }, /*  56 (0),  56 (0),  53 (0),  59 (0),  37 (0), support = 5 */
    {  2, 43,  -1 }, /*   2 (0),   9 (0),   2 (0),  18 (0),  15 (0), support = 5 */
    {  2, 44,  -1 }, /*  58 (0),  58 (0),  58 (0),  58 (0),  24 (0), support = 5 */
    {  2, 45,  -1 }, /*  19 (0),  13 (0),   5 (0),  13 (0),  13 (0), support = 5 */
    {  2, 46,  -1 }, /*  17 (0),  17 (0),  16 (0),  17 (0),  11 (0), support = 5 */
    {  2, 47,  -1 }, /*  54 (0),  54 (0),  65 (0),  54 (0),  57 (0), support = 5 */
    {  3,  0,  -1 }, /*  59 (0),  56 (0),  65 (0),  70 (0),  59 (0), support = 5 */
    {  3,  1,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0),  70 (0), support = 5 */
    {  3,  2,  -1 }, /*  28 (0),  28 (0),  29 (0),  28 (0),  75 (0), support = 5 */
    {  3,  3,  -1 }, /*  18 (0),   7 (0),  18 (0),  14 (0), 103 (0), support = 5 */
    {  3,  4,  -1 }, /*   6 (0),   7 (0),  36 (0),   7 (0),  87 (1), support = 4 */
    {  3,  5,  -1 }, /*  15 (0),   0 (0),  15 (0),   0 (0),  87 (1), support = 4 */
    {  3,  6,  -1 }, /*  38 (0),  59 (0),  38 (0),  59 (0),  88 (1), support = 4 */
    {  3,  7,  -1 }, /* 149 (0),   7 (0), 149 (0),   7 (0),  94 (1), support = 4 */
    {  3,  8,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  96 (2), support = 4 */
    {  3,  9,  -1 }, /*  96 (2),  97 (2),   3 (0),   0 (0),  97 (2), support = 1 */
    {  3, 10,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  96 (2), support = 4 */
    {  3, 11,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  3, 12,  96 }, /*  96 (2),  96 (2),   4 (0),   0 (0),  96 (2), support = 3 */
    {  3, 13,  -1 }, /*   0 (0),   0 (0),  25 (0),   0 (0),  91 (1), support = 4 */
    {  3, 14,  -1 }, /*  70 (0),  69 (0),  70 (0),  70 (0), 103 (0), support = 5 */
    {  3, 15,  -1 }, /*  69 (0),  69 (0),  31 (0),  69 (0),  77 (0), support = 5 */
    {  3, 16,  -1 }, /*  65 (0),  65 (0),  64 (0),  65 (0), 133 (0), support = 5 */
    {  3, 17,  -1 }, /*  31 (0),  52 (0),  31 (0),  52 (0), 136 (0), support = 5 */
    {  3, 18,  -1 }, /*  52 (0),  50 (0),  36 (0),  49 (0), 103 (0), support = 5 */
    {  3, 19,  -1 }, /*  11 (0),  50 (0),  11 (0),  50 (0), 103 (0), support = 5 */
    {  3, 20,  -1 }, /*  47 (0),  46 (0),  47 (0),  46 (0), 103 (0), support = 5 */
    {  3, 21,  -1 }, /*  41 (0),  39 (0),  41 (0),  39 (0),  46 (0), support = 5 */
    {  3, 22,  -1 }, /*  35 (0),  35 (0),  34 (0),  35 (0),  33 (0), support = 5 */
    {  3, 23,  -1 }, /*  27 (0),  27 (0),  27 (0),  18 (0),  92 (1), support = 4 */
    {  3, 24,  -1 }, /*  23 (0),  23 (0),  23 (0),  26 (0),  22 (0), support = 5 */
    {  3, 25,  -1 }, /* 121 (0), 115 (0), 128 (0), 115 (0),  33 (0), support = 5 */
    {  3, 26,  -1 }, /*  57 (0),  57 (0),  57 (0),  57 (0),  53 (0), support = 5 */
    {  3, 27,  -1 }, /*  20 (0),  20 (0),  34 (0),  20 (0),  61 (0), support = 5 */
    {  3, 28,  -1 }, /*  27 (0),  27 (0),  22 (0),  22 (0),  91 (1), support = 4 */
    {  3, 29,  -1 }, /*  18 (0),  98 (2),   5 (0),   1 (0),  98 (2), support = 1 */
    {  3, 30,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  3, 31,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3, 32,  96 }, /*  96 (2),  96 (2), 118 (0),  96 (2),  96 (2), support = 4 */
    {  3, 33,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  3, 34,  -1 }, /*  22 (0),  22 (0),  22 (0),  24 (0),  84 (1), support = 4 */
    {  3, 35,  -1 }, /*  15 (0),  20 (0),  15 (0),  20 (0),  60 (0), support = 5 */
    {  3, 36,  -1 }, /*   9 (0),  56 (0),   9 (0),  56 (0),  56 (0), support = 5 */
    {  3, 37,  -1 }, /*   4 (0),   4 (0),   4 (0), 144 (0), 144 (0), support = 5 */
    {  3, 38,  -1 }, /* 148 (0), 144 (0), 148 (0), 146 (0), 146 (0), support = 5 */
    {  3, 39,  -1 }, /* 103 (0), 103 (0), 121 (0), 103 (0), 103 (0), support = 5 */
    {  3, 40,  -1 }, /*  22 (0),  22 (0),  22 (0),  22 (0),  72 (0), support = 5 */
    {  3, 41,  -1 }, /*  25 (0),  36 (0),  35 (0),  31 (0),  31 (0), support = 5 */
    {  3, 42,  -1 }, /*  32 (0),  44 (0),  49 (0),  39 (0),  44 (0), support = 5 */
    {  3, 43,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    {  3, 44,  -1 }, /*  16 (0),  16 (0),  16 (0),  12 (0),  16 (0), support = 5 */
    {  3, 45,  -1 }, /*   2 (0),   5 (0),   4 (0),   2 (0),  57 (0), support = 5 */
    {  3, 46,  -1 }, /*   5 (0),   5 (0),  14 (0),  15 (0),  32 (0), support = 5 */
    {  3, 47,  -1 }, /*  73 (0),  73 (0),  73 (0),  73 (0),  61 (0), support = 5 */
    {  4,  0,  -1 }, /*  55 (0),  55 (0),  55 (0),  52 (0),  57 (0), support = 5 */
    {  4,  1,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  72 (0), support = 5 */
    {  4,  2,  -1 }, /*   8 (0),  28 (0),  35 (0),   8 (0),  88 (1), support = 4 */
    {  4,  3,  -1 }, /*  15 (0),  99 (2),  14 (0),   3 (0),  99 (2), support = 1 */
    {  4,  4,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  4,  5,  99 }, /*  99 (2),  99 (2),  99 (2), 100 (2),  99 (2), support = 4 */
    {  4,  6,  99 }, /*  99 (2),  99 (2),  99 (2), 100 (2),  99 (2), support = 4 */
    {  4,  7,  99 }, /* 100 (2), 100 (2), 101 (1), 101 (1), 100 (2), support = 1 */
    {  4,  8,  99 }, /*  99 (2),  99 (2),  98 (2), 100 (2), 100 (2), support = 1 */
    {  4,  9,  97 }, /*  96 (2),  96 (2),  97 (2),  98 (2),  97 (2), support = 1 */
    {  4, 10,  96 }, /*  96 (2),  96 (2),  24 (0),  96 (2),  96 (2), support = 4 */
    {  4, 11,  96 }, /*  96 (2),  96 (2),  26 (0),  96 (2),  96 (2), support = 4 */
    {  4, 12,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  4, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  99 (2),  99 (2), support = 3 */
    {  4, 14,  99 }, /*  99 (2),  99 (2),  99 (2), 100 (2),  99 (2), support = 4 */
    {  4, 15,  99 }, /*  99 (2),  99 (2),  22 (0), 100 (2),  99 (2), support = 3 */
    {  4, 16,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  4, 17,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  4, 18,  -1 }, /*  32 (0),  34 (0),  46 (0),  37 (0), 103 (0), support = 5 */
    {  4, 19,  -1 }, /*  20 (0),  20 (0),  44 (0),  20 (0), 102 (0), support = 5 */
    {  4, 20,  -1 }, /*  27 (0),  56 (0),  27 (0),  42 (0), 150 (0), support = 5 */
    {  4, 21,  -1 }, /*  63 (0),  49 (0),  63 (0),  49 (0),  51 (0), support = 5 */
    {  4, 22,  -1 }, /*  35 (0),  35 (0),  36 (0),  35 (0),  35 (0), support = 5 */
    {  4, 23,  -1 }, /*  24 (0),  24 (0),  24 (0),  26 (0),  26 (0), support = 5 */
    {  4, 24,  -1 }, /*  23 (0),  23 (0),  23 (0),  22 (0),  22 (0), support = 5 */
    {  4, 25,  -1 }, /*  99 (2),  29 (0),  99 (2),  29 (0),  89 (1), support = 1 */
    {  4, 26,  -1 }, /* 102 (0), 103 (0), 102 (0), 103 (0),  88 (1), support = 4 */
    {  4, 27,  -1 }, /* 117 (0),  23 (0), 117 (0),   2 (0), 121 (0), support = 5 */
    {  4, 28,  -1 }, /*  63 (0),  18 (0),  63 (0),  16 (0), 102 (0), support = 5 */
    {  4, 29,  97 }, /*  97 (2),  97 (2),  86 (1),  97 (2),  97 (2), support = 4 */
    {  4, 30,  96 }, /*  96 (2),  96 (2),  75 (0),  96 (2),  96 (2), support = 4 */
    {  4, 31,  96 }, /*  96 (2),  96 (2),  24 (0),  96 (2),  96 (2), support = 4 */
    {  4, 32,  95 }, /*  95 (2),  95 (2), 116 (0),  95 (2),  95 (2), support = 4 */
    {  4, 33,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  4, 34,  -1 }, /*  29 (0),  29 (0),  29 (0),  33 (0),  87 (1), support = 4 */
    {  4, 35,  -1 }, /*  26 (0),  26 (0),  26 (0),  26 (0),  59 (0), support = 5 */
    {  4, 36,  -1 }, /*  20 (0),  20 (0),  22 (0),  20 (0),  58 (0), support = 5 */
    {  4, 37,  -1 }, /*  20 (0),  61 (0),  13 (0),  20 (0),  57 (0), support = 5 */
    {  4, 38,  -1 }, /* 150 (0), 150 (0),   8 (0), 145 (0), 148 (0), support = 5 */
    {  4, 39,  -1 }, /* 139 (0), 103 (0), 150 (0), 140 (0), 103 (0), support = 5 */
    {  4, 40,  -1 }, /* 103 (0), 103 (0),  20 (0),  93 (1), 103 (0), support = 4 */
    {  4, 41,  -1 }, /*  22 (0),  22 (0),  24 (0),  51 (0),  67 (0), support = 5 */
    {  4, 42,  -1 }, /*  58 (0),  32 (0),  58 (0),  32 (0),  49 (0), support = 5 */
    {  4, 43,  -1 }, /*   8 (0),   8 (0),   9 (0),   8 (0),   8 (0), support = 5 */
    {  4, 44,  -1 }, /*  14 (0),  14 (0),  14 (0),  14 (0),  16 (0), support = 5 */
    {  4, 45,  -1 }, /*  45 (0),  45 (0),  39 (0),  45 (0),  60 (0), support = 5 */
    {  4, 46,  -1 }, /*  10 (0),   8 (0),  10 (0),   8 (0),   9 (0), support = 5 */
    {  4, 47,  -1 }, /*  17 (0),  10 (0),  10 (0),  10 (0),   7 (0), support = 5 */
    {  5,  0,  -1 }, /*  40 (0),  43 (0),  40 (0),  43 (0),  56 (0), support = 5 */
    {  5,  1,  -1 }, /*  60 (0),  60 (0),  58 (0),  19 (0), 125 (0), support = 5 */
    {  5,  2,  98 }, /*  98 (2),  98 (2),  36 (0),  98 (2),  98 (2), support = 4 */
    {  5,  3,  99 }, /*  99 (2),  99 (2), 100 (2), 100 (2),  98 (2), support = 1 */
    {  5,  4,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  5,  5,  99 }, /*  99 (2),  99 (2),  99 (2), 101 (1),  99 (2), support = 4 */
    {  5,  6,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5,  7,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5,  8,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  5, 10,  98 }, /*  98 (2),  98 (2),  96 (2),  98 (2),  97 (2), support = 3 */
    {  5, 11,  97 }, /*  96 (2),  96 (2),  97 (2),  97 (2),  97 (2), support = 3 */
    {  5, 12,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  5, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  99 (2),  96 (2), support = 4 */
    {  5, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  99 (2), support = 4 */
    {  5, 16,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  5, 17,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  5, 18,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  5, 19,  99 }, /*  99 (2),  99 (2),  99 (2),  99 (2),  99 (2), support = 5 */
    {  5, 20,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  99 (2), support = 4 */
    {  5, 21,  98 }, /*  98 (2),  98 (2),  23 (0),  98 (2),  98 (2), support = 4 */
    {  5, 22,  -1 }, /*  10 (0),  46 (0),  10 (0),  46 (0), 102 (0), support = 5 */
    {  5, 23,  -1 }, /*  26 (0),  29 (0),  26 (0),  29 (0),  27 (0), support = 5 */
    {  5, 24,  -1 }, /*  26 (0),  26 (0),  26 (0),  26 (0),  26 (0), support = 5 */
    {  5, 25,  -1 }, /*  30 (0),  30 (0),  30 (0),  30 (0),  29 (0), support = 5 */
    {  5, 26,  -1 }, /*  43 (0),  43 (0),  17 (0),  42 (0),  92 (1), support = 4 */
    {  5, 27,  -1 }, /*  26 (0),  23 (0),  35 (0), 102 (0), 102 (0), support = 5 */
    {  5, 28,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  5, 29,  97 }, /*  97 (2),  97 (2),  71 (0),  97 (2),   2 (0), support = 3 */
    {  5, 30,  96 }, /*  96 (2),  96 (2),  30 (0),  96 (2),  96 (2), support = 4 */
    {  5, 31,  -1 }, /*  33 (0),  98 (2),  33 (0),  29 (0),  25 (0), support = 4 */
    {  5, 32,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  5, 33,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  5, 34,  -1 }, /*  38 (0),  45 (0),  38 (0),  21 (0),  88 (1), support = 4 */
    {  5, 35,  -1 }, /*  31 (0),  31 (0),  27 (0),  22 (0),  78 (0), support = 5 */
    {  5, 36,  -1 }, /*  21 (0),  22 (0),  21 (0),  21 (0),  60 (0), support = 5 */
    {  5, 37,  -1 }, /*  20 (0),  20 (0),  21 (0),  22 (0),  60 (0), support = 5 */
    {  5, 38,  -1 }, /*  15 (0),  20 (0),  16 (0),  20 (0),  61 (0), support = 5 */
    {  5, 39,  -1 }, /* 148 (0), 148 (0),  21 (0), 148 (0), 146 (0), support = 5 */
    {  5, 40,  -1 }, /*  24 (0), 102 (0),  24 (0), 102 (0), 102 (0), support = 5 */
    {  5, 41,  -1 }, /*  27 (0),  34 (0),  27 (0),  27 (0),  82 (1), support = 4 */
    {  5, 42,  -1 }, /*  56 (0),  56 (0),  61 (0),  10 (0),  56 (0), support = 5 */
    {  5, 43,  -1 }, /*  17 (0),  17 (0),  17 (0),  17 (0),  58 (0), support = 5 */
    {  5, 44,  -1 }, /*  19 (0),  19 (0),  17 (0),  19 (0),  19 (0), support = 5 */
    {  5, 45,  -1 }, /*  58 (0),  40 (0),  58 (0),  40 (0),  61 (0), support = 5 */
    {  5, 46,  -1 }, /*  14 (0),  14 (0),   3 (0),  14 (0),  14 (0), support = 5 */
    {  5, 47,  -1 }, /*  39 (0),  19 (0),  54 (0),  19 (0),  41 (0), support = 5 */
    {  6,  0,  -1 }, /*  29 (0),  41 (0),  29 (0),  30 (0),  42 (0), support = 5 */
    {  6,  1,  -1 }, /*  61 (0),  59 (0),  13 (0),  13 (0),  82 (1), support = 4 */
    {  6,  2,  98 }, /*  98 (2),  98 (2),  61 (0),  98 (2),  98 (2), support = 4 */
    {  6,  3,  98 }, /*  98 (2),  98 (2),  99 (2),  99 (2),  98 (2), support = 3 */
    {  6,  4,  98 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  98 (2), support = 3 */
    {  6,  5,  98 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  98 (2), support = 3 */
    {  6,  6,  -1 }, /*  58 (0),  97 (2),  61 (0),  97 (2),   5 (0), support = 1 */
    {  6,  7,  96 }, /*  96 (2),  96 (2),  98 (2),  97 (2),  96 (2), support = 3 */
    {  6,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  96 (2), support = 4 */
    {  6,  9,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6, 10,  -1 }, /* 100 (2), 100 (2), 100 (2), 100 (2),  97 (2), support = 1 */
    {  6, 11,  -1 }, /*  96 (2),  96 (2),  33 (0),  34 (0),  97 (2), support = 1 */
    {  6, 12,  96 }, /*  96 (2),  96 (2),  25 (0),  96 (2),  96 (2), support = 4 */
    {  6, 13,  96 }, /*  96 (2),  96 (2),  84 (1),  96 (2),  96 (2), support = 4 */
    {  6, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  6, 17,  97 }, /*  97 (2),  97 (2),  96 (2),  97 (2),  97 (2), support = 4 */
    {  6, 18,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6, 19,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  6, 20,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  98 (2), support = 4 */
    {  6, 21,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  6, 22,  -1 }, /*   3 (0),   3 (0),   0 (0),   8 (0), 101 (1), support = 4 */
    {  6, 23,  -1 }, /*  30 (0),  29 (0),  30 (0),  30 (0),  33 (0), support = 5 */
    {  6, 24,  -1 }, /*  30 (0),  30 (0),  30 (0),  30 (0),  59 (0), support = 5 */
    {  6, 25,  -1 }, /*  33 (0),  33 (0),  33 (0),  33 (0), 101 (1), support = 4 */
    {  6, 26,  -1 }, /*  49 (0),  49 (0),  23 (0),  51 (0), 101 (1), support = 4 */
    {  6, 27,  98 }, /*  98 (2),  98 (2), 147 (0),  98 (2),  98 (2), support = 4 */
    {  6, 28,  97 }, /*  97 (2),  97 (2),  90 (1),  97 (2),  97 (2), support = 4 */
    {  6, 29,  96 }, /*  96 (2),  96 (2),  63 (0),  96 (2),  96 (2), support = 4 */
    {  6, 30,  98 }, /*  98 (2),  98 (2),  25 (0),  98 (2),  98 (2), support = 4 */
    {  6, 31,  92 }, /*  92 (1),  92 (1),  22 (0),  92 (1),  91 (1), support = 1 */
    {  6, 32,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  6, 33,  98 }, /*  98 (1),  98 (1),  98 (1),  98 (1),  98 (1), support = 1 */
    {  6, 34,  -1 }, /*  53 (0),  37 (0),  47 (0),  37 (0), 102 (0), support = 5 */
    {  6, 35,  -1 }, /*  30 (0),  42 (0),  43 (0),  24 (0),  82 (1), support = 4 */
    {  6, 36,  -1 }, /*  31 (0),  20 (0),  33 (0),  20 (0),  82 (1), support = 4 */
    {  6, 37,  -1 }, /*  20 (0),  23 (0),  20 (0),  23 (0), 101 (1), support = 4 */
    {  6, 38,  -1 }, /*  20 (0), 142 (0),  20 (0), 146 (0), 142 (0), support = 5 */
    {  6, 39,  -1 }, /*  20 (0),  20 (0),  24 (0), 140 (0), 140 (0), support = 5 */
    {  6, 40,  -1 }, /*  47 (0), 101 (1),  40 (0), 101 (1), 101 (1), support = 1 */
    {  6, 41,  -1 }, /* 102 (0), 102 (0),  20 (0), 102 (0),  83 (1), support = 4 */
    {  6, 42,  -1 }, /*  22 (0),  21 (0),  24 (0),  21 (0),  75 (0), support = 5 */
    {  6, 43,  -1 }, /*  58 (0),  29 (0), 101 (1),  29 (0),  59 (0), support = 4 */
    {  6, 44,  -1 }, /*  33 (0),  33 (0),  33 (0),   9 (0),  57 (0), support = 5 */
    {  6, 45,  -1 }, /*  37 (0),  37 (0),  37 (0),  13 (0),  34 (0), support = 5 */
    {  6, 46,  -1 }, /*  14 (0),  14 (0),  14 (0),  17 (0),  14 (0), support = 5 */
    {  6, 47,  -1 }, /*  15 (0),  15 (0),  16 (0),  15 (0),  15 (0), support = 5 */
    {  7,  0,  -1 }, /*  15 (0),   9 (0),  15 (0),   9 (0),  37 (0), support = 5 */
    {  7,  1,  -1 }, /*  18 (0),  18 (0),  18 (0),  18 (0),  90 (1), support = 4 */
    {  7,  2,  98 }, /*  98 (2),  98 (2),  48 (0),  98 (2),  98 (2), support = 4 */
    {  7,  3,  97 }, /*  97 (2),  97 (2),  97 (2),  98 (2),  97 (2), support = 4 */
    {  7,  4,  97 }, /*  97 (2),  97 (2),  97 (2),  98 (2),  97 (2), support = 4 */
    {  7,  5,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  7,  6,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  97 (2), support = 3 */
    {  7,  7,  98 }, /*  98 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  7,  8,  96 }, /*  96 (2),  96 (2),  25 (0),  96 (2),  96 (2), support = 4 */
    {  7,  9,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  7, 10,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  7, 11,  96 }, /*  96 (2),  96 (2),  20 (0),  21 (0),  96 (2), support = 3 */
    {  7, 12,  96 }, /*  96 (2),  96 (2),  97 (2),  97 (2),  96 (2), support = 3 */
    {  7, 13,  96 }, /*  96 (2),  96 (2),  23 (0),  96 (2),  97 (2), support = 3 */
    {  7, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  7, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  7, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  7, 17,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  97 (2), support = 4 */
    {  7, 18,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  7, 19,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  7, 20,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  98 (2), support = 4 */
    {  7, 21,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  7, 22,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0), 102 (0), support = 5 */
    {  7, 23,  -1 }, /*  29 (0),  29 (0),  29 (0),  29 (0),  30 (0), support = 5 */
    {  7, 24,  -1 }, /*  32 (0),  32 (0),  32 (0),  32 (0),  59 (0), support = 5 */
    {  7, 25,  -1 }, /*  35 (0),  35 (0),  35 (0),  35 (0), 101 (1), support = 4 */
    {  7, 26,  -1 }, /*  48 (0),  55 (0),  26 (0),  55 (0), 101 (1), support = 4 */
    {  7, 27,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  7, 28,  96 }, /*  96 (2),  96 (2),  72 (0),  96 (2),  96 (2), support = 4 */
    {  7, 29,  96 }, /*  96 (2),  96 (2),  35 (0),  96 (2),  96 (2), support = 4 */
    {  7, 30,  -1 }, /*  20 (0),  98 (2),  20 (0),  20 (0), 100 (1), support = 1 */
    {  7, 31,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7, 32,  94 }, /*  95 (2),  95 (2),  94 (2),  94 (2),  94 (2), support = 3 */
    {  7, 33,  97 }, /*  97 (2),  97 (2), 112 (0),  97 (2),  98 (1), support = 3 */
    {  7, 34,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  7, 35,  95 }, /*  95 (2),  95 (2),  50 (0),  95 (2),  95 (2), support = 4 */
    {  7, 36,  93 }, /*  93 (2),  93 (2),  44 (0),  30 (0),  93 (2), support = 3 */
    {  7, 37,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 38,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 39,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  7, 40,  -1 }, /*  92 (1),  92 (1),  68 (0),  92 (1),  93 (1), support = 1 */
    {  7, 41,  -1 }, /*  47 (0), 101 (1),  47 (0), 101 (1),  84 (1), support = 1 */
    {  7, 42,  -1 }, /*  45 (0),  45 (0),  64 (0),  44 (0),  80 (0), support = 5 */
    {  7, 43,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0), 101 (1), support = 4 */
    {  7, 44,  -1 }, /*  31 (0),  36 (0),  31 (0),  31 (0),  47 (0), support = 5 */
    {  7, 45,  -1 }, /*  49 (0),  21 (0),  57 (0),  21 (0),  44 (0), support = 5 */
    {  7, 46,  -1 }, /*  60 (0),  60 (0),  58 (0),  60 (0),  60 (0), support = 5 */
    {  7, 47,  -1 }, /*  53 (0),  36 (0),  53 (0),  36 (0),  36 (0), support = 5 */
    {  8,  0,  -1 }, /*   2 (0),   0 (0),   5 (0),   2 (0),   3 (0), support = 5 */
    {  8,  1,  -1 }, /*   9 (0),  10 (0),   1 (0),  10 (0),  41 (0), support = 5 */
    {  8,  2,  98 }, /*  98 (2),  98 (2),  56 (0),  98 (2),  98 (2), support = 4 */
    {  8,  3,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  8,  4,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  8,  5,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  8,  6,  -1 }, /*  33 (0),  96 (2),  33 (0),  36 (0),  97 (2), support = 1 */
    {  8,  7,  97 }, /*  96 (2),  96 (2),  97 (2),  98 (2),  97 (2), support = 1 */
    {  8,  8,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  8,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  98 (2),  97 (2), support = 4 */
    {  8, 10,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  8, 11,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  97 (2), support = 3 */
    {  8, 12,  96 }, /*  96 (2),  96 (2),  97 (2),  97 (2),  96 (2), support = 3 */
    {  8, 13,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  96 (2), support = 4 */
    {  8, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  8, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  8, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  8, 17,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  8, 18,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  8, 19,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  8, 20,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  98 (2), support = 4 */
    {  8, 21,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  8, 22,  -1 }, /*  68 (0),  68 (0),  25 (0),   9 (0), 106 (0), support = 5 */
    {  8, 23,  -1 }, /*  26 (0),  26 (0),  24 (0),  26 (0),  26 (0), support = 5 */
    {  8, 24,  -1 }, /*  31 (0),  31 (0),  31 (0),  31 (0),  60 (0), support = 5 */
    {  8, 25,  -1 }, /*  35 (0),  35 (0),  35 (0),  37 (0),  70 (0), support = 5 */
    {  8, 26,  98 }, /*  98 (2),  98 (2),  57 (0),  98 (2),  98 (2), support = 4 */
    {  8, 27,  98 }, /*  98 (2),  98 (2),  97 (2),  98 (2),  23 (0), support = 3 */
    {  8, 28,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  8, 29,  95 }, /*  95 (2),  95 (2),  21 (0),  95 (2),  95 (2), support = 4 */
    {  8, 30,  -1 }, /*  20 (0),  30 (0),  12 (0),  30 (0),   2 (0), support = 5 */
    {  8, 31,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  8, 32,  95 }, /*  95 (2),  95 (2), 147 (0),  95 (2),  95 (2), support = 4 */
    {  8, 33,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  8, 34,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  8, 35,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  8, 36,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    {  8, 37,  -1 }, /* 110 (0), 109 (0), 132 (0), 117 (0), 140 (0), support = 5 */
    {  8, 38,  95 }, /*  95 (2),  95 (2), 131 (0),  95 (2),  94 (2), support = 3 */
    {  8, 39,  95 }, /*  95 (2),  95 (2), 145 (0),  95 (2),  95 (2), support = 4 */
    {  8, 40,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  8, 41,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  8, 42,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  8, 43,  -1 }, /*  77 (0),  61 (0),  77 (0),  56 (0), 100 (1), support = 4 */
    {  8, 44,  -1 }, /*  56 (0),  59 (0),  56 (0),  59 (0),  59 (0), support = 5 */
    {  8, 45,  -1 }, /*  61 (0),  56 (0),  61 (0),  56 (0),  58 (0), support = 5 */
    {  8, 46,  -1 }, /*  56 (0),  56 (0),  56 (0),  38 (0),  57 (0), support = 5 */
    {  8, 47,  -1 }, /*  39 (0),  39 (0),  39 (0),  58 (0),  41 (0), support = 5 */
    {  9,  0,  -1 }, /*   0 (0),   0 (0),   0 (0),   2 (0),   0 (0), support = 5 */
    {  9,  1,  -1 }, /*   2 (0),   0 (0),   2 (0),   0 (0),   0 (0), support = 5 */
    {  9,  2,  -1 }, /*  98 (2),  98 (2),  13 (0),   3 (0),  99 (1), support = 1 */
    {  9,  3,  97 }, /*  97 (2),  98 (2),  97 (2),  99 (1),  97 (2), support = 3 */
    {  9,  4,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  9,  5,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    {  9,  6,  97 }, /*  97 (2),  97 (2),  51 (0), 139 (0),  97 (2), support = 3 */
    {  9,  7,  97 }, /*  97 (2),  96 (2),  97 (2),  97 (2),  97 (2), support = 4 */
    {  9,  8,  96 }, /*  96 (2),  96 (2), 116 (0),  96 (2),  96 (2), support = 4 */
    {  9,  9,  97 }, /*  97 (2),  97 (2),  97 (2),  98 (2),  97 (2), support = 4 */
    {  9, 10,  -1 }, /*  23 (0),  96 (2),  23 (0),  29 (0),   7 (0), support = 4 */
    {  9, 11,  -1 }, /*  22 (0),  24 (0),  22 (0),  25 (0),   3 (0), support = 5 */
    {  9, 12,  96 }, /*  96 (2),  96 (2),  24 (0),  96 (2),  96 (2), support = 4 */
    {  9, 13,  96 }, /*  96 (2),  96 (2),  26 (0),  98 (2),  96 (2), support = 3 */
    {  9, 14,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  96 (2), support = 4 */
    {  9, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  9, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  9, 17,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  9, 18,  97 }, /*  97 (2),  97 (2),  97 (2),  96 (2),  97 (2), support = 4 */
    {  9, 19,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    {  9, 20,  98 }, /*  98 (2),  98 (2),  97 (2),  97 (2),  98 (2), support = 3 */
    {  9, 21,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    {  9, 22,  -1 }, /*  99 (2),  99 (2),  91 (1),  95 (2), 150 (0), support = 1 */
    {  9, 23,  99 }, /*  99 (2),  99 (2),   4 (0),   4 (0),  99 (2), support = 3 */
    {  9, 24,  -1 }, /*  24 (0),  22 (0),  24 (0),  23 (0),  60 (0), support = 5 */
    {  9, 25,  -1 }, /*  19 (0),  33 (0),   1 (0),  33 (0),  99 (1), support = 4 */
    {  9, 26,  98 }, /*  98 (2),  98 (2), 137 (0),  98 (2),  98 (2), support = 4 */
    {  9, 27,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  9, 28,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    {  9, 29,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  9, 30,  95 }, /*  95 (2),  95 (2),   0 (0),  95 (2),  95 (2), support = 4 */
    {  9, 31,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  9, 32,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  9, 33,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  9, 34,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  9, 35,  -1 }, /* 144 (0),  93 (2), 144 (0),  27 (0),  93 (2), support = 1 */
    {  9, 36,  -1 }, /* 136 (0), 131 (0), 136 (0),  93 (2),  93 (2), support = 1 */
    {  9, 37,  -1 }, /* 103 (0), 103 (0), 115 (0), 112 (0), 132 (0), support = 5 */
    {  9, 38,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    {  9, 39,  95 }, /*  95 (2),  95 (2),  95 (2),  94 (2),  94 (2), support = 3 */
    {  9, 40,  -1 }, /*  70 (0),  72 (0),  66 (0),  68 (0),  65 (0), support = 5 */
    {  9, 41,  -1 }, /*  57 (0),  58 (0),  55 (0),  53 (0),  48 (0), support = 5 */
    {  9, 42,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    {  9, 43,  92 }, /*  92 (2),  92 (2), 103 (0),  92 (2),  92 (2), support = 4 */
    {  9, 44,  -1 }, /*  83 (1),  90 (2),  79 (0),  24 (0),  87 (1), support = 1 */
    {  9, 45,  -1 }, /*  21 (0),  24 (0),  21 (0),  26 (0),  26 (0), support = 5 */
    {  9, 46,  -1 }, /*  20 (0),  20 (0),  61 (0),  20 (0),  20 (0), support = 5 */
    {  9, 47,  -1 }, /*  20 (0),  20 (0),  52 (0),  20 (0),  58 (0), support = 5 */
    { 10,  0,  -1 }, /*  19 (0),  19 (0),  19 (0),  19 (0),  79 (0), support = 5 */
    { 10,  1,  -1 }, /*   2 (0),   2 (0),   4 (0),   2 (0), 122 (0), support = 5 */
    { 10,  2,  -1 }, /*   0 (0),  95 (2),   0 (0),   0 (0),   8 (0), support = 4 */
    { 10,  3,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    { 10,  4,  97 }, /*  97 (2),  97 (2),  98 (2),  98 (2),  97 (2), support = 3 */
    { 10,  5,  97 }, /*  97 (2),  97 (2),  96 (2),  98 (2),  97 (2), support = 3 */
    { 10,  6,  97 }, /*  97 (2),  97 (2),  96 (2),  96 (2),  97 (2), support = 3 */
    { 10,  7,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  97 (2), support = 3 */
    { 10,  8,  97 }, /*  96 (2),  96 (2),  97 (2),  98 (2),  97 (2), support = 1 */
    { 10,  9,  96 }, /*  96 (2),  96 (2), 117 (0),  96 (2),  96 (2), support = 4 */
    { 10, 10,  96 }, /*  96 (2),  96 (2),  48 (0),  97 (2),  97 (2), support = 1 */
    { 10, 11,  97 }, /*  97 (2),  97 (2),  37 (0),  97 (2),  97 (2), support = 4 */
    { 10, 12,  96 }, /*  96 (2),  96 (2),  51 (0),  96 (2),  96 (2), support = 4 */
    { 10, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  93 (1),  96 (2), support = 4 */
    { 10, 14,  95 }, /*  95 (2),  95 (2),  96 (2),  95 (2),  96 (2), support = 3 */
    { 10, 15,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 10, 16,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 10, 17,  97 }, /*  97 (2),  97 (2),  96 (2),  97 (2),  97 (2), support = 4 */
    { 10, 18,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 10, 19,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 10, 20,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    { 10, 21,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    { 10, 22,  99 }, /*  99 (2),  99 (2),  92 (1),  99 (2), 145 (0), support = 3 */
    { 10, 23,  -1 }, /*  99 (2),  99 (2),  45 (0),  50 (0),  57 (0), support = 1 */
    { 10, 24,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),  58 (0), support = 5 */
    { 10, 25,  98 }, /*  98 (2),  98 (2),  24 (0),  98 (2),  98 (2), support = 4 */
    { 10, 26,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    { 10, 27,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 10, 28,  96 }, /*  96 (2),  96 (2),  50 (0),  96 (2),  96 (2), support = 4 */
    { 10, 29,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  97 (2), support = 4 */
    { 10, 30,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 10, 31,  95 }, /*  95 (2),  95 (2),   5 (0),  95 (2),  95 (2), support = 4 */
    { 10, 32,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 10, 33,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 10, 34,  -1 }, /*   2 (0),   4 (0),   2 (0),   0 (0),   2 (0), support = 5 */
    { 10, 35,  -1 }, /* 141 (0), 141 (0), 145 (0), 145 (0), 150 (0), support = 5 */
    { 10, 36,  -1 }, /* 128 (0), 127 (0), 131 (0), 128 (0), 136 (0), support = 5 */
    { 10, 37,  -1 }, /*  97 (2),  97 (2), 114 (0),  94 (2),  94 (2), support = 1 */
    { 10, 38,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 10, 39,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 10, 40,  -1 }, /*  81 (0),  81 (0),  71 (0),  83 (1),  71 (0), support = 4 */
    { 10, 41,  -1 }, /*  65 (0),  65 (0),  56 (0), 150 (0), 150 (0), support = 5 */
    { 10, 42,  -1 }, /*  44 (0),  94 (2),  44 (0),   4 (0), 147 (0), support = 4 */
    { 10, 43,  -1 }, /*  27 (0),  31 (0),  27 (0),   3 (0),   2 (0), support = 5 */
    { 10, 44,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 10, 45,  92 }, /*  92 (2),  92 (2),  80 (0),  92 (2),  92 (2), support = 4 */
    { 10, 46,  -1 }, /*  45 (0),  58 (0),  45 (0),  55 (0),  54 (0), support = 5 */
    { 10, 47,  -1 }, /*  33 (0),  33 (0),  33 (0),  33 (0),  33 (0), support = 5 */
    { 11,  0,  -1 }, /*   9 (0),   9 (0),   9 (0),   0 (0), 107 (0), support = 5 */
    { 11,  1,  -1 }, /*  16 (0),  16 (0),  16 (0),  18 (0),  67 (0), support = 5 */
    { 11,  2,  -1 }, /*  26 (0),   2 (0),  26 (0),   2 (0), 107 (0), support = 5 */
    { 11,  3,  98 }, /*  98 (2),  98 (2),   2 (0),   2 (0),  98 (2), support = 3 */
    { 11,  4,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),   2 (0), support = 4 */
    { 11,  5,  -1 }, /*  96 (2),  97 (2), 103 (0), 104 (0),   1 (0), support = 1 */
    { 11,  6,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 11,  7,  97 }, /*  97 (2),  97 (2),  96 (2),  97 (2),  96 (2), support = 3 */
    { 11,  8,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 11,  9,  96 }, /*  96 (2),  96 (2),  96 (2),  98 (2),  96 (2), support = 4 */
    { 11, 10,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  97 (2), support = 4 */
    { 11, 11,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  97 (2), support = 4 */
    { 11, 12,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 11, 13,  96 }, /*  96 (2),  96 (2),  96 (2),  97 (2),  96 (2), support = 4 */
    { 11, 14,  96 }, /*  96 (2),  96 (2),  97 (2),  96 (2),  96 (2), support = 4 */
    { 11, 15,  96 }, /*  96 (2),  96 (2),  97 (2),  96 (2),  96 (2), support = 4 */
    { 11, 16,  96 }, /*  96 (2),  96 (2),  97 (2),  96 (2),  96 (2), support = 4 */
    { 11, 17,  -1 }, /* 119 (0), 120 (0), 119 (0), 120 (0),  98 (2), support = 4 */
    { 11, 18,  -1 }, /* 123 (0), 123 (0), 123 (0), 114 (0),  97 (2), support = 4 */
    { 11, 19,  98 }, /*  98 (2),  98 (2),  82 (1),  98 (2),  98 (2), support = 4 */
    { 11, 20,  98 }, /*  98 (2),  98 (2),  98 (2),  98 (2),  98 (2), support = 5 */
    { 11, 21,  98 }, /*  98 (2),  98 (2),  21 (0),  98 (2),  98 (2), support = 4 */
    { 11, 22,  -1 }, /*  20 (0),  27 (0),  20 (0),  23 (0),  42 (0), support = 5 */
    { 11, 23,  -1 }, /*  29 (0),  29 (0),  29 (0),  33 (0),  38 (0), support = 5 */
    { 11, 24,  -1 }, /*  42 (0),  43 (0),  39 (0),  42 (0),  45 (0), support = 5 */
    { 11, 25,  98 }, /*  98 (2),  98 (2),   0 (0),  98 (2),  98 (2), support = 4 */
    { 11, 26,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 11, 27,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 11, 28,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 11, 29,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 11, 30,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  95 (2), support = 4 */
    { 11, 31,  94 }, /*  94 (2),  94 (2),   6 (0),  94 (2),  94 (2), support = 4 */
    { 11, 32,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 11, 33,  94 }, /*  94 (2),  94 (2),  93 (2),  93 (2),  94 (2), support = 3 */
    { 11, 34,  -1 }, /*   5 (0),   0 (0),   5 (0),   0 (0),   0 (0), support = 5 */
    { 11, 35,  -1 }, /* 143 (0), 142 (0), 148 (0), 149 (0), 149 (0), support = 5 */
    { 11, 36,  -1 }, /* 129 (0), 127 (0), 129 (0), 130 (0), 139 (0), support = 5 */
    { 11, 37,  96 }, /*  96 (2),  96 (2), 116 (0),  96 (2),  96 (2), support = 4 */
    { 11, 38,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 11, 39,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 11, 40,  -1 }, /*  81 (0),  81 (0),  72 (0),  71 (0),  70 (0), support = 5 */
    { 11, 41,  -1 }, /*  62 (0),  64 (0),  54 (0),  54 (0),  94 (2), support = 4 */
    { 11, 42,  94 }, /*  94 (2),  94 (2),  40 (0),  94 (2),  94 (2), support = 4 */
    { 11, 43,  -1 }, /*  13 (0),  30 (0),  13 (0),  13 (0),  14 (0), support = 5 */
    { 11, 44,  92 }, /*  92 (2),  92 (2), 149 (0),  92 (2), 149 (0), support = 3 */
    { 11, 45,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 11, 46,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 11, 47,  -1 }, /*  59 (0),  53 (0),  59 (0),  53 (0),  59 (0), support = 5 */
    { 12,  0,  -1 }, /*   0 (0),  12 (0),   1 (0),   0 (0),  57 (0), support = 5 */
    { 12,  1,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0), 143 (0), support = 5 */
    { 12,  2,  -1 }, /*  12 (0),  12 (0),  12 (0),   1 (0), 139 (0), support = 5 */
    { 12,  3,  -1 }, /*  14 (0),  14 (0),  14 (0),  14 (0),  91 (1), support = 4 */
    { 12,  4,  -1 }, /*   4 (0),  24 (0),  20 (0),  24 (0),  97 (2), support = 4 */
    { 12,  5,  97 }, /*  97 (2),  97 (2),   2 (0),   2 (0),  97 (2), support = 3 */
    { 12,  6,  97 }, /*  97 (2),  97 (2), 101 (1),  97 (2),   2 (0), support = 3 */
    { 12,  7,  97 }, /*  97 (2),  96 (2),  97 (2),  97 (2),   3 (0), support = 3 */
    { 12,  8,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 12,  9,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 12, 10,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 12, 11,  96 }, /*  96 (2),  96 (2),  84 (1),  96 (2),  96 (2), support = 4 */
    { 12, 12,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 12, 13,  96 }, /*  96 (2),  96 (2),  97 (2),  96 (2),  96 (2), support = 4 */
    { 12, 14,  96 }, /*  96 (2),  96 (2),  97 (2),  97 (2),  96 (2), support = 3 */
    { 12, 15,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  14 (0), support = 4 */
    { 12, 16,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  14 (0), support = 4 */
    { 12, 17,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  19 (0), support = 4 */
    { 12, 18,  97 }, /*  97 (2),  97 (2),  97 (2),  97 (2),  97 (2), support = 5 */
    { 12, 19,  97 }, /*  97 (2),  97 (2),  17 (0),   6 (0),  97 (2), support = 3 */
    { 12, 20,  -1 }, /*   0 (0),   7 (0),   0 (0),   1 (0),   7 (0), support = 5 */
    { 12, 21,  -1 }, /*   1 (0),  13 (0),   1 (0),   2 (0),  15 (0), support = 5 */
    { 12, 22,  -1 }, /*   6 (0),  12 (0),   0 (0),   7 (0),  18 (0), support = 5 */
    { 12, 23,  -1 }, /*  11 (0),  11 (0),  10 (0),  11 (0),  21 (0), support = 5 */
    { 12, 24,  -1 }, /*  25 (0),  29 (0),  21 (0),  25 (0),  29 (0), support = 5 */
    { 12, 25,  -1 }, /*  39 (0),  43 (0),   2 (0),   4 (0),  93 (2), support = 4 */
    { 12, 26,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 12, 27,  96 }, /*  96 (2),  96 (2),  96 (2),  96 (2),  96 (2), support = 5 */
    { 12, 28,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 12, 29,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 12, 30,  94 }, /*  94 (2),  94 (2),  21 (0),  94 (2),  94 (2), support = 4 */
    { 12, 31,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 12, 32,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 12, 33,  -1 }, /*   1 (0),   1 (0),   2 (0),   1 (0),   0 (0), support = 5 */
    { 12, 34,  -1 }, /*   0 (0),   0 (0),   5 (0),   5 (0),   0 (0), support = 5 */
    { 12, 35,  -1 }, /* 148 (0), 148 (0), 148 (0),   2 (0),   6 (0), support = 5 */
    { 12, 36,  -1 }, /* 131 (0), 131 (0), 141 (0), 141 (0), 144 (0), support = 5 */
    { 12, 37,  -1 }, /* 102 (0), 102 (0), 114 (0), 112 (0), 126 (0), support = 5 */
    { 12, 38,  95 }, /*  95 (2),  95 (2),  92 (1),  95 (2),  92 (1), support = 3 */
    { 12, 39,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 12, 40,  94 }, /*  94 (2),  94 (2),  66 (0),  94 (2),  94 (2), support = 4 */
    { 12, 41,  -1 }, /*  51 (0),  59 (0),  51 (0),  51 (0),  48 (0), support = 5 */
    { 12, 42,  -1 }, /* 111 (0),  77 (0),  37 (0),  10 (0), 113 (0), support = 5 */
    { 12, 43,  -1 }, /*  81 (0),  81 (0),  20 (0),   1 (0),  79 (0), support = 5 */
    { 12, 44,  -1 }, /*  71 (0),  73 (0), 149 (0), 149 (0), 149 (0), support = 5 */
    { 12, 45,  -1 }, /*  91 (2),  92 (2), 115 (0),  91 (2),  92 (2), support = 1 */
    { 12, 46,  91 }, /*  91 (2),  91 (2),  92 (2),  92 (2),  91 (2), support = 3 */
    { 12, 47,  -1 }, /*  83 (1),  83 (1),  83 (1),  67 (0),  98 (1), support = 1 */
    { 13,  0,  -1 }, /*  56 (0),  56 (0),  56 (0),  56 (0),  56 (0), support = 5 */
    { 13,  1,  -1 }, /*  10 (0),  10 (0),  10 (0),  10 (0), 142 (0), support = 5 */
    { 13,  2,  -1 }, /*   1 (0),  14 (0),   1 (0),  14 (0), 149 (0), support = 5 */
    { 13,  3,  -1 }, /*   2 (0),   2 (0),   2 (0),   4 (0), 128 (0), support = 5 */
    { 13,  4,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  82 (1), support = 4 */
    { 13,  5,  -1 }, /*  10 (0),  14 (0),  10 (0),  11 (0),  84 (1), support = 4 */
    { 13,  6,  -1 }, /*  19 (0),  18 (0),  16 (0),  18 (0), 106 (0), support = 5 */
    { 13,  7,  -1 }, /*   2 (0),   0 (0),  19 (0),   0 (0), 102 (0), support = 5 */
    { 13,  8,  97 }, /*  97 (2),  97 (2),   2 (0),   2 (0),  97 (2), support = 3 */
    { 13,  9,  96 }, /*  96 (2),  96 (2),   2 (0),   0 (0),  97 (2), support = 1 */
    { 13, 10,  97 }, /*  97 (2),  97 (2),   2 (0),  97 (2),  97 (2), support = 4 */
    { 13, 11,  96 }, /*  96 (2),  96 (2),   1 (0),  96 (2),  97 (2), support = 3 */
    { 13, 12,  97 }, /*  97 (2),  97 (2),   1 (0),  97 (2),  97 (2), support = 4 */
    { 13, 13,  97 }, /*   0 (0),  97 (2),   2 (0),  96 (2),  97 (2), support = 1 */
    { 13, 14,  -1 }, /*   1 (0),  96 (2),   1 (0),   0 (0),  97 (2), support = 1 */
    { 13, 15,  -1 }, /*   0 (0),   3 (0),   0 (0),   3 (0),  97 (2), support = 4 */
    { 13, 16,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  97 (2), support = 4 */
    { 13, 17,  -1 }, /*   1 (0),   0 (0),   1 (0),   0 (0),  96 (2), support = 4 */
    { 13, 18,  -1 }, /*   0 (0),   1 (0),   0 (0),   0 (0),   6 (0), support = 5 */
    { 13, 19,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 13, 20,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 13, 21,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 13, 22,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 13, 23,  -1 }, /*   1 (0),   1 (0),   0 (0),   1 (0),   6 (0), support = 5 */
    { 13, 24,  -1 }, /*  13 (0),  18 (0),  11 (0),   9 (0),  21 (0), support = 5 */
    { 13, 25,  -1 }, /*  26 (0),  26 (0),  26 (0),  26 (0),  89 (1), support = 4 */
    { 13, 26,  -1 }, /*  55 (0),  97 (2),   5 (0),   4 (0),  97 (2), support = 1 */
    { 13, 27,  97 }, /*  97 (2),  97 (2),  97 (2),  93 (2),  97 (2), support = 4 */
    { 13, 28,  -1 }, /*  81 (0),  83 (1),  76 (0),  86 (1),  25 (0), support = 1 */
    { 13, 29,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 13, 30,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 13, 31,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 13, 32,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),  95 (2), support = 5 */
    { 13, 33,  93 }, /*  93 (2),  93 (2),   2 (0),  93 (2),  93 (2), support = 4 */
    { 13, 34,  -1 }, /*   0 (0),   0 (0),   1 (0),  93 (2),   0 (0), support = 4 */
    { 13, 35,  -1 }, /*   0 (0),   1 (0),   0 (0),   7 (0),   0 (0), support = 5 */
    { 13, 36,  -1 }, /* 147 (0), 145 (0), 142 (0), 147 (0), 149 (0), support = 5 */
    { 13, 37,  -1 }, /* 112 (0), 112 (0), 118 (0), 141 (0), 141 (0), support = 5 */
    { 13, 38,  95 }, /*  95 (2),  95 (2),  80 (0),  95 (2),  95 (2), support = 4 */
    { 13, 39,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 13, 40,  -1 }, /* 142 (0), 142 (0), 145 (0), 148 (0), 148 (0), support = 5 */
    { 13, 41,  -1 }, /* 112 (0), 112 (0), 121 (0),  43 (0),  39 (0), support = 5 */
    { 13, 42,  94 }, /*  94 (2),  94 (2), 106 (0),  94 (2),  94 (2), support = 4 */
    { 13, 43,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 13, 44,  -1 }, /*  81 (0),  81 (0),  75 (0),  76 (0),  76 (0), support = 5 */
    { 13, 45,  -1 }, /* 128 (0),  66 (0), 146 (0), 145 (0), 150 (0), support = 5 */
    { 13, 46,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  91 (2), support = 4 */
    { 13, 47,  91 }, /*  91 (2),  91 (2),  82 (1),  91 (2),  91 (2), support = 4 */
    { 14,  0,  -1 }, /*  43 (0),  40 (0),  43 (0),  40 (0),  40 (0), support = 5 */
    { 14,  1,  -1 }, /*  38 (0),  38 (0),  38 (0), 149 (0), 149 (0), support = 5 */
    { 14,  2,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0), 122 (0), support = 5 */
    { 14,  3,  -1 }, /*   0 (0),   0 (0),   0 (0),  93 (1),  93 (1), support = 1 */
    { 14,  4,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  82 (1), support = 4 */
    { 14,  5,  -1 }, /*   3 (0),   5 (0),   1 (0),   2 (0),  67 (0), support = 5 */
    { 14,  6,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 122 (0), support = 5 */
    { 14,  7,  -1 }, /*   8 (0),   6 (0),   8 (0),   8 (0),  93 (1), support = 4 */
    { 14,  8,  -1 }, /*  11 (0),   9 (0),  11 (0),  11 (0),  93 (1), support = 4 */
    { 14,  9,  -1 }, /*  12 (0),  12 (0),  12 (0),  12 (0),  89 (1), support = 4 */
    { 14, 10,  -1 }, /*   0 (0),   1 (0),   0 (0),   1 (0), 109 (0), support = 5 */
    { 14, 11,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0), 104 (0), support = 5 */
    { 14, 12,  -1 }, /*   4 (0),   0 (0),   2 (0),   0 (0),  87 (1), support = 4 */
    { 14, 13,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  93 (1), support = 4 */
    { 14, 14,  -1 }, /*   1 (0),  21 (0),   1 (0),   1 (0), 108 (0), support = 5 */
    { 14, 15,  -1 }, /*   2 (0),  22 (0),   2 (0),   0 (0),  93 (1), support = 4 */
    { 14, 16,  -1 }, /*   0 (0),   2 (0),   0 (0),   2 (0), 112 (0), support = 5 */
    { 14, 17,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 108 (0), support = 5 */
    { 14, 18,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),  73 (0), support = 5 */
    { 14, 19,  -1 }, /*  17 (0),  17 (0),  17 (0),  17 (0),  28 (0), support = 5 */
    { 14, 20,  -1 }, /*  16 (0),  17 (0),  16 (0),  17 (0),  91 (1), support = 4 */
    { 14, 21,  -1 }, /*  19 (0),  19 (0),  19 (0),  12 (0),  33 (0), support = 5 */
    { 14, 22,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  96 (2), support = 4 */
    { 14, 23,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0),   3 (0), support = 5 */
    { 14, 24,  -1 }, /*   5 (0),   5 (0),   5 (0),   3 (0),  12 (0), support = 5 */
    { 14, 25,  -1 }, /*  12 (0),  18 (0),  12 (0),  18 (0),  22 (0), support = 5 */
    { 14, 26,  -1 }, /*  30 (0),  34 (0),  30 (0),  35 (0),  88 (1), support = 4 */
    { 14, 27,  -1 }, /*  25 (0),  96 (2),  22 (0),  25 (0),  96 (2), support = 1 */
    { 14, 28,  96 }, /*  96 (2),  96 (2), 135 (0),  96 (2),  96 (2), support = 4 */
    { 14, 29,  -1 }, /*  88 (1),  96 (2),  85 (1), 106 (0),  47 (0), support = 1 */
    { 14, 30,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 14, 31,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 14, 32,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 14, 33,  -1 }, /*  25 (0),  32 (0),   1 (0),   4 (0),   1 (0), support = 5 */
    { 14, 34,  -1 }, /*  10 (0),  10 (0),   6 (0),   9 (0),   6 (0), support = 5 */
    { 14, 35,  94 }, /*  94 (2),  94 (2),   1 (0),  94 (2),   0 (0), support = 3 */
    { 14, 36,  92 }, /*  92 (1),  92 (1),   1 (0),  92 (1),  92 (1), support = 1 */
    { 14, 37,  -1 }, /* 148 (0), 147 (0), 148 (0), 147 (0), 149 (0), support = 5 */
    { 14, 38,  -1 }, /* 142 (0), 149 (0), 142 (0), 149 (0), 150 (0), support = 5 */
    { 14, 39,  -1 }, /* 150 (0), 150 (0), 149 (0), 150 (0), 150 (0), support = 5 */
    { 14, 40,  -1 }, /* 129 (0), 129 (0), 150 (0), 145 (0),  21 (0), support = 5 */
    { 14, 41,  -1 }, /* 116 (0), 116 (0), 121 (0), 121 (0), 124 (0), support = 5 */
    { 14, 42,  -1 }, /* 103 (0), 102 (0), 109 (0), 110 (0), 104 (0), support = 5 */
    { 14, 43,  -1 }, /*  86 (1),  86 (1),  83 (1), 107 (0),  94 (2), support = 1 */
    { 14, 44,  -1 }, /*  77 (0),  77 (0),  69 (0),  69 (0),  70 (0), support = 5 */
    { 14, 45,  -1 }, /*  61 (0),  63 (0), 150 (0), 150 (0), 150 (0), support = 5 */
    { 14, 46,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  91 (2), support = 4 */
    { 14, 47,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 15,  0,  -1 }, /*  36 (0),  36 (0),  36 (0),  36 (0),  38 (0), support = 5 */
    { 15,  1,  -1 }, /*  32 (0),  32 (0),  32 (0),  31 (0), 122 (0), support = 5 */
    { 15,  2,  -1 }, /*  16 (0), 120 (0), 114 (0), 113 (0), 120 (0), support = 5 */
    { 15,  3,  -1 }, /*  91 (1),  91 (1),  91 (1),  91 (1),  92 (1), support = 1 */
    { 15,  4,  -1 }, /*  86 (1),  86 (1), 126 (0),  86 (1),  81 (0), support = 1 */
    { 15,  5,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  65 (0), support = 5 */
    { 15,  6,  -1 }, /*  60 (0),  61 (0),  60 (0),  60 (0),  61 (0), support = 5 */
    { 15,  7,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 126 (0), support = 5 */
    { 15,  8,  -1 }, /*   2 (0),   4 (0),   2 (0),   2 (0), 102 (0), support = 5 */
    { 15,  9,  -1 }, /*   6 (0),   6 (0),   6 (0),  10 (0),  59 (0), support = 5 */
    { 15, 10,  -1 }, /*  10 (0),  18 (0),  10 (0),  10 (0),  57 (0), support = 5 */
    { 15, 11,  -1 }, /*  14 (0),  14 (0),  14 (0),  10 (0),  57 (0), support = 5 */
    { 15, 12,  -1 }, /*  11 (0),  11 (0),  11 (0),  11 (0),  61 (0), support = 5 */
    { 15, 13,  -1 }, /*  12 (0),   1 (0),  12 (0),  12 (0),  75 (0), support = 5 */
    { 15, 14,  -1 }, /*  26 (0),  15 (0),  26 (0),  15 (0), 127 (0), support = 5 */
    { 15, 15,  -1 }, /*  14 (0),  15 (0),  14 (0),  14 (0), 121 (0), support = 5 */
    { 15, 16,  -1 }, /*  20 (0),  20 (0),  13 (0),  13 (0), 127 (0), support = 5 */
    { 15, 17,  -1 }, /*  14 (0),  17 (0),  19 (0),  16 (0), 132 (0), support = 5 */
    { 15, 18,  -1 }, /*  13 (0),  13 (0),  13 (0),  13 (0),  28 (0), support = 5 */
    { 15, 19,  -1 }, /*  15 (0),  11 (0),  15 (0),  15 (0),  26 (0), support = 5 */
    { 15, 20,  -1 }, /*  16 (0),  25 (0),  16 (0),  25 (0),  25 (0), support = 5 */
    { 15, 21,  -1 }, /*  17 (0),  17 (0),  17 (0),  17 (0),  26 (0), support = 5 */
    { 15, 22,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  29 (0), support = 5 */
    { 15, 23,  -1 }, /*   3 (0),   3 (0),   3 (0),   1 (0),   3 (0), support = 5 */
    { 15, 24,  -1 }, /*   5 (0),   5 (0),   3 (0),   2 (0),  10 (0), support = 5 */
    { 15, 25,  -1 }, /*  15 (0),  15 (0),  11 (0),  15 (0),  19 (0), support = 5 */
    { 15, 26,  -1 }, /*  22 (0),  23 (0),  25 (0),  23 (0),  33 (0), support = 5 */
    { 15, 27,  -1 }, /*   0 (0),   0 (0),   0 (0),   2 (0),  95 (2), support = 4 */
    { 15, 28,  -1 }, /*  18 (0),  10 (0),  11 (0),  11 (0),  87 (1), support = 4 */
    { 15, 29,  95 }, /*  95 (2),  95 (2),  17 (0),  40 (0),  95 (2), support = 3 */
    { 15, 30,  95 }, /*  95 (2),  95 (2),  95 (2),  95 (2),   4 (0), support = 4 */
    { 15, 31,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 15, 32,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 15, 33,  93 }, /*  93 (2),  93 (2),  42 (0),  93 (2),  93 (2), support = 4 */
    { 15, 34,  -1 }, /*  21 (0),  21 (0),  21 (0),  21 (0),   0 (0), support = 5 */
    { 15, 35,  94 }, /*  94 (2),  94 (2),   5 (0),  94 (2),  94 (2), support = 4 */
    { 15, 36,  -1 }, /*   0 (0),   1 (0),   0 (0),   0 (0),   1 (0), support = 5 */
    { 15, 37,  -1 }, /*   0 (0),   1 (0),   0 (0),   1 (0),   1 (0), support = 5 */
    { 15, 38,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   1 (0), support = 5 */
    { 15, 39,  -1 }, /*   2 (0),   2 (0),   6 (0),   2 (0),   9 (0), support = 5 */
    { 15, 40,  -1 }, /*  16 (0), 130 (0),  16 (0),  16 (0),  13 (0), support = 5 */
    { 15, 41,  -1 }, /* 113 (0), 112 (0), 121 (0), 123 (0), 123 (0), support = 5 */
    { 15, 42,  94 }, /*  94 (2),  94 (2), 104 (0),  94 (2),  94 (2), support = 4 */
    { 15, 43,  94 }, /*  94 (2),  94 (2),  83 (1),  94 (2),  94 (2), support = 4 */
    { 15, 44,  -1 }, /*  78 (0),  79 (0),  71 (0),  71 (0),  71 (0), support = 5 */
    { 15, 45,  -1 }, /* 150 (0),  65 (0), 142 (0), 150 (0), 150 (0), support = 5 */
    { 15, 46,  91 }, /*  91 (2),  91 (2),  92 (2),  91 (2),  91 (2), support = 4 */
    { 15, 47,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  91 (2), support = 4 */
    { 16,  0,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    { 16,  1,  -1 }, /*  32 (0),  27 (0),  32 (0),   6 (0), 127 (0), support = 5 */
    { 16,  2,  -1 }, /*  11 (0),  94 (1), 104 (0),  64 (0),  94 (1), support = 1 */
    { 16,  3,  -1 }, /*  88 (2),  87 (2),  88 (2),  87 (2),  87 (2), support = 1 */
    { 16,  4,  -1 }, /*  83 (1),  83 (1), 126 (0),  83 (1),  83 (1), support = 1 */
    { 16,  5,  -1 }, /* 106 (0), 106 (0), 106 (0), 106 (0),  73 (0), support = 5 */
    { 16,  6,  -1 }, /*   0 (0),   3 (0),   0 (0), 103 (0),  69 (0), support = 5 */
    { 16,  7,  -1 }, /*   2 (0),   1 (0),   2 (0),   1 (0),  61 (0), support = 5 */
    { 16,  8,  -1 }, /*   2 (0),   2 (0),   2 (0),   3 (0), 112 (0), support = 5 */
    { 16,  9,  -1 }, /*   7 (0),   5 (0),   7 (0),   5 (0),  93 (2), support = 4 */
    { 16, 10,  -1 }, /*   8 (0),   8 (0),   8 (0),   8 (0),  53 (0), support = 5 */
    { 16, 11,  -1 }, /*  10 (0),  10 (0),  10 (0),  10 (0),  59 (0), support = 5 */
    { 16, 12,  -1 }, /*  13 (0),  13 (0),  13 (0),  13 (0),  94 (1), support = 4 */
    { 16, 13,  -1 }, /*  14 (0),  15 (0),  14 (0),  15 (0), 118 (0), support = 5 */
    { 16, 14,  -1 }, /*   2 (0),  17 (0),   2 (0),  17 (0),  93 (2), support = 4 */
    { 16, 15,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0), 148 (0), support = 5 */
    { 16, 16,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0), 147 (0), support = 5 */
    { 16, 17,  -1 }, /*  17 (0),   0 (0),  17 (0),  18 (0), 115 (0), support = 5 */
    { 16, 18,  -1 }, /*   1 (0),   0 (0),   1 (0),   0 (0),  68 (0), support = 5 */
    { 16, 19,  -1 }, /*   1 (0),   1 (0),   1 (0),   0 (0),  80 (0), support = 5 */
    { 16, 20,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   0 (0), support = 5 */
    { 16, 21,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   0 (0), support = 5 */
    { 16, 22,  -1 }, /*   3 (0),   1 (0),   3 (0),   3 (0),   1 (0), support = 5 */
    { 16, 23,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 16, 24,  -1 }, /*  11 (0),  11 (0),   3 (0),   1 (0),  15 (0), support = 5 */
    { 16, 25,  -1 }, /*  20 (0),  20 (0),  18 (0),  20 (0),  20 (0), support = 5 */
    { 16, 26,  -1 }, /*  27 (0),  27 (0),  25 (0),  26 (0),  29 (0), support = 5 */
    { 16, 27,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),  95 (1), support = 4 */
    { 16, 28,  -1 }, /*   8 (0),   8 (0),   8 (0),  11 (0),  56 (0), support = 5 */
    { 16, 29,  -1 }, /*  13 (0),  19 (0),   4 (0),  43 (0),  95 (1), support = 4 */
    { 16, 30,  -1 }, /* 148 (0),  95 (1),  24 (0),  95 (1),  95 (1), support = 1 */
    { 16, 31,  -1 }, /*  95 (1),  95 (1),   3 (0),  95 (1),  95 (1), support = 1 */
    { 16, 32,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 16, 33,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 16, 34,  -1 }, /*  53 (0),  53 (0),  14 (0),  37 (0),   9 (0), support = 5 */
    { 16, 35,  -1 }, /*  25 (0),  25 (0),  23 (0),  25 (0),   8 (0), support = 5 */
    { 16, 36,  -1 }, /*  10 (0),  10 (0),  10 (0),  10 (0),   0 (0), support = 5 */
    { 16, 37,  -1 }, /*   2 (0),   3 (0),   2 (0),   3 (0),   1 (0), support = 5 */
    { 16, 38,  -1 }, /*   0 (0),   0 (0),   2 (0),   0 (0),   0 (0), support = 5 */
    { 16, 39,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),   1 (0), support = 5 */
    { 16, 40,  -1 }, /*   6 (0),   6 (0),   6 (0),   6 (0),   1 (0), support = 5 */
    { 16, 41,  -1 }, /* 119 (0), 112 (0), 126 (0), 126 (0), 126 (0), support = 5 */
    { 16, 42,  -1 }, /*  97 (1),  97 (1), 102 (0),  94 (1),  94 (1), support = 1 */
    { 16, 43,  94 }, /*  94 (1),  94 (1),  94 (1),  94 (1),  94 (1), support = 1 */
    { 16, 44,  -1 }, /*  81 (0),  81 (0),  70 (0),  67 (0),  59 (0), support = 5 */
    { 16, 45,  -1 }, /* 148 (0), 148 (0), 148 (0), 148 (0), 148 (0), support = 5 */
    { 16, 46,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 16, 47,  91 }, /*  91 (2),  91 (2),  84 (1),  91 (2),  91 (2), support = 4 */
    { 17,  0,  -1 }, /*  37 (0),  37 (0),  35 (0), 135 (0),  37 (0), support = 5 */
    { 17,  1,  -1 }, /*  30 (0),  30 (0),  30 (0),  30 (0), 127 (0), support = 5 */
    { 17,  2,  -1 }, /*  92 (2),  93 (1), 103 (0),  92 (2),  93 (1), support = 1 */
    { 17,  3,  -1 }, /*  87 (2),  84 (1), 136 (0),  87 (2),  84 (1), support = 1 */
    { 17,  4,  -1 }, /*  83 (1),  83 (1),  83 (1),  83 (1),  76 (0), support = 1 */
    { 17,  5,  -1 }, /*   1 (0),  78 (0), 106 (0),  78 (0),  78 (0), support = 5 */
    { 17,  6,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0), 105 (0), support = 5 */
    { 17,  7,  -1 }, /*   1 (0),   5 (0),   5 (0),   5 (0), 103 (0), support = 5 */
    { 17,  8,  -1 }, /*   6 (0),   6 (0),   6 (0),   9 (0),  87 (2), support = 4 */
    { 17,  9,  -1 }, /*  12 (0),  12 (0),  12 (0),  10 (0), 112 (0), support = 5 */
    { 17, 10,  -1 }, /*  14 (0),  14 (0),  14 (0),  14 (0),  94 (1), support = 4 */
    { 17, 11,  -1 }, /*   2 (0),   1 (0),   2 (0),   1 (0), 106 (0), support = 5 */
    { 17, 12,  -1 }, /*   3 (0),   2 (0),  19 (0),   4 (0),  93 (2), support = 4 */
    { 17, 13,  -1 }, /*   2 (0),   4 (0),   2 (0),   4 (0),  89 (2), support = 4 */
    { 17, 14,  -1 }, /*   2 (0),   2 (0),   2 (0),   1 (0),  93 (2), support = 4 */
    { 17, 15,  -1 }, /*   0 (0),  93 (2),   0 (0),   1 (0),  93 (2), support = 1 */
    { 17, 16,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  89 (2), support = 4 */
    { 17, 17,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0), 101 (1), support = 4 */
    { 17, 18,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  82 (1), support = 4 */
    { 17, 19,  -1 }, /*   4 (0),   4 (0),   4 (0),   1 (0),   5 (0), support = 5 */
    { 17, 20,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  94 (1), support = 4 */
    { 17, 21,  -1 }, /*   0 (0),   0 (0),   0 (0),   9 (0),  10 (0), support = 5 */
    { 17, 22,  -1 }, /*   0 (0),  11 (0),   0 (0),  11 (0),  12 (0), support = 5 */
    { 17, 23,  -1 }, /*  17 (0),  12 (0),   5 (0),   6 (0),  16 (0), support = 5 */
    { 17, 24,  -1 }, /*  18 (0),  15 (0),  18 (0),  15 (0),  94 (1), support = 4 */
    { 17, 25,  -1 }, /*  26 (0),  26 (0),  21 (0),  26 (0),  94 (1), support = 4 */
    { 17, 26,  -1 }, /*  30 (0),  34 (0),  30 (0),  34 (0),  94 (1), support = 4 */
    { 17, 27,  -1 }, /*  94 (1),  94 (1),   3 (0),  94 (1),  94 (1), support = 1 */
    { 17, 28,  -1 }, /*   7 (0),   7 (0),   7 (0),   7 (0),  51 (0), support = 5 */
    { 17, 29,  -1 }, /*   6 (0),  26 (0),   4 (0),  26 (0),  94 (1), support = 4 */
    { 17, 30,  -1 }, /*  17 (0),  44 (0),  17 (0),  17 (0),  94 (1), support = 4 */
    { 17, 31,  -1 }, /*  94 (1),   0 (0), 147 (0),   0 (0),  94 (1), support = 1 */
    { 17, 32,  94 }, /*  94 (2),  94 (2),  94 (2),  94 (2),  94 (2), support = 5 */
    { 17, 33,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 17, 34,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 17, 35,  -1 }, /*  34 (0),  44 (0),   8 (0),  17 (0),   4 (0), support = 5 */
    { 17, 36,  -1 }, /*  26 (0),  26 (0),  26 (0),  26 (0),  26 (0), support = 5 */
    { 17, 37,  -1 }, /*   5 (0),   2 (0),   5 (0),   2 (0),   2 (0), support = 5 */
    { 17, 38,  -1 }, /*   1 (0),   2 (0),   0 (0),   0 (0),   2 (0), support = 5 */
    { 17, 39,  -1 }, /*   6 (0),  10 (0),   6 (0),   7 (0),  10 (0), support = 5 */
    { 17, 40,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   3 (0), support = 5 */
    { 17, 41,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 17, 42,  -1 }, /* 110 (0), 112 (0),   5 (0),   1 (0),   1 (0), support = 5 */
    { 17, 43,  -1 }, /*  79 (0),  79 (0),  53 (0),  75 (0),  79 (0), support = 5 */
    { 17, 44,  -1 }, /*  71 (0),  71 (0),  51 (0), 149 (0), 149 (0), support = 5 */
    { 17, 45,  -1 }, /* 147 (0), 147 (0), 143 (0), 143 (0),   0 (0), support = 5 */
    { 17, 46,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 17, 47,  -1 }, /* 123 (0), 137 (0), 123 (0), 139 (0), 150 (0), support = 5 */
    { 18,  0,  -1 }, /*  37 (0),  37 (0),  37 (0),  37 (0),  37 (0), support = 5 */
    { 18,  1,  -1 }, /*   7 (0),   7 (0), 116 (0), 116 (0), 127 (0), support = 5 */
    { 18,  2,  -1 }, /*  97 (1),  93 (1),  97 (1),  97 (1),  93 (1), support = 1 */
    { 18,  3,  -1 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  94 (1), support = 1 */
    { 18,  4,  -1 }, /*  88 (2),  88 (2),   3 (0),  88 (2),  84 (1), support = 1 */
    { 18,  5,  -1 }, /*   9 (0),   5 (0),   9 (0),   9 (0),  86 (2), support = 4 */
    { 18,  6,  92 }, /*  92 (2),  92 (2),   2 (0),  92 (2),  92 (2), support = 4 */
    { 18,  7,  92 }, /*  92 (2),  92 (2),  93 (1),  92 (2),  92 (2), support = 4 */
    { 18,  8,  92 }, /*  92 (2),  92 (2),  93 (2),  92 (2),  92 (2), support = 4 */
    { 18,  9,  92 }, /*  92 (2),  92 (2),  92 (2),  91 (2),  92 (2), support = 4 */
    { 18, 10,  92 }, /*  92 (2),  92 (2),   2 (0),  92 (2),  92 (2), support = 4 */
    { 18, 11,  -1 }, /*   0 (0),  92 (2),   0 (0),   0 (0),  92 (2), support = 1 */
    { 18, 12,  93 }, /*  93 (2),  93 (2),  92 (2),  92 (2),  93 (2), support = 3 */
    { 18, 13,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 18, 14,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 18, 15,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 18, 16,  93 }, /*  93 (2),  93 (2),  92 (2),  92 (2),  93 (2), support = 3 */
    { 18, 17,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 18, 18,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 18, 19,  -1 }, /*  16 (0),  12 (0),  10 (0),  12 (0),  86 (1), support = 4 */
    { 18, 20,  -1 }, /*  13 (0),  13 (0),  13 (0),  13 (0),  93 (2), support = 4 */
    { 18, 21,  -1 }, /*  17 (0),  19 (0),  17 (0),  19 (0),  93 (2), support = 4 */
    { 18, 22,  -1 }, /*  19 (0),  19 (0),  19 (0),  19 (0),  93 (2), support = 4 */
    { 18, 23,  -1 }, /*  18 (0),  18 (0),  18 (0),  15 (0),  95 (1), support = 4 */
    { 18, 24,  -1 }, /*  47 (0),  47 (0),  43 (0),  44 (0),  89 (2), support = 4 */
    { 18, 25,  -1 }, /*   6 (0),  47 (0),   8 (0),  47 (0),  93 (2), support = 4 */
    { 18, 26,  -1 }, /*   2 (0),   1 (0),   2 (0),   2 (0),  93 (2), support = 4 */
    { 18, 27,  -1 }, /*   6 (0),   5 (0),   6 (0),   6 (0),  93 (2), support = 4 */
    { 18, 28,  -1 }, /*  93 (2),  93 (2),   1 (0),  93 (2),  93 (2), support = 4 */
    { 18, 29,  -1 }, /*  22 (0),  22 (0),   6 (0),  22 (0),  93 (2), support = 4 */
    { 18, 30,  -1 }, /*  17 (0),  17 (0),  10 (0),  17 (0),  93 (2), support = 4 */
    { 18, 31,  -1 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 18, 32,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  93 (2), support = 4 */
    { 18, 33,  -1 }, /*  94 (2),  94 (2), 105 (0), 139 (0),  93 (2), support = 1 */
    { 18, 34,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 18, 35,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 18, 36,  92 }, /*  92 (2),  92 (2),  35 (0),  92 (2),  92 (2), support = 4 */
    { 18, 37,  -1 }, /*  18 (0),  18 (0),  22 (0),  18 (0),   9 (0), support = 5 */
    { 18, 38,  -1 }, /*   6 (0),   0 (0),   6 (0),   1 (0),   0 (0), support = 5 */
    { 18, 39,  -1 }, /*   1 (0),   1 (0),   2 (0),   1 (0),   0 (0), support = 5 */
    { 18, 40,  -1 }, /*   8 (0),   8 (0),  15 (0),   2 (0),  14 (0), support = 5 */
    { 18, 41,  -1 }, /*   3 (0),   3 (0),   3 (0),   0 (0),   2 (0), support = 5 */
    { 18, 42,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   2 (0), support = 5 */
    { 18, 43,  -1 }, /*   3 (0),   5 (0),   3 (0),   5 (0),   5 (0), support = 5 */
    { 18, 44,  -1 }, /*   4 (0),   4 (0),   8 (0),   1 (0),   3 (0), support = 5 */
    { 18, 45,  91 }, /*  91 (2),  91 (2),   3 (0),  91 (2),  91 (2), support = 4 */
    { 18, 46,  93 }, /*  93 (2),  93 (2),  91 (2),   1 (0),  93 (2), support = 3 */
    { 18, 47,  -1 }, /* 149 (0), 149 (0), 149 (0), 149 (0), 149 (0), support = 5 */
    { 19,  0,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0), 147 (0), support = 5 */
    { 19,  1,  -1 }, /*   0 (0),   0 (0),   1 (0),   1 (0), 139 (0), support = 5 */
    { 19,  2,  -1 }, /*   6 (0),   6 (0),   6 (0),   6 (0), 122 (0), support = 5 */
    { 19,  3,  -1 }, /*  12 (0),  22 (0),  12 (0),  12 (0), 109 (0), support = 5 */
    { 19,  4,  90 }, /*  90 (2),  90 (2),  24 (0),  90 (2),  90 (2), support = 4 */
    { 19,  5,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19,  6,  92 }, /*  92 (2),  92 (2),  92 (2),  94 (1),  92 (2), support = 4 */
    { 19,  7,  92 }, /*  92 (2),  92 (2),  92 (2),  93 (1),  92 (2), support = 4 */
    { 19,  8,  92 }, /*  92 (2),  92 (2),  92 (2),  94 (1),  92 (2), support = 4 */
    { 19,  9,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 10,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 11,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 12,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 13,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 14,  91 }, /*  91 (2),  92 (2),  91 (2),  91 (2),  92 (2), support = 3 */
    { 19, 15,  92 }, /*  92 (2),  92 (2),  91 (2),  91 (2),  92 (2), support = 3 */
    { 19, 16,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 17,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 18,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 19,  92 }, /*  92 (2),  92 (2),  24 (0),  92 (2),  92 (2), support = 4 */
    { 19, 20,  -1 }, /*  34 (0),  21 (0),  21 (0),  21 (0),  93 (2), support = 4 */
    { 19, 21,  92 }, /*  92 (2),  92 (2),  91 (2),  91 (2),  92 (2), support = 3 */
    { 19, 22,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 23,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 24,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 25,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 26,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 27,  -1 }, /*   3 (0),   3 (0),   3 (0),   3 (0),  93 (2), support = 4 */
    { 19, 28,  -1 }, /*   9 (0),  10 (0),   9 (0),  11 (0),  93 (2), support = 4 */
    { 19, 29,  -1 }, /*  12 (0),  15 (0),  12 (0),  15 (0), 150 (0), support = 5 */
    { 19, 30,  93 }, /*  93 (2),  93 (2),  33 (0),  93 (2),  93 (2), support = 4 */
    { 19, 31,  93 }, /*  93 (2),  93 (2),  93 (2),  93 (2),  93 (2), support = 5 */
    { 19, 32,  -1 }, /*   2 (0),   0 (0),   4 (0),   2 (0),  93 (2), support = 4 */
    { 19, 33,  -1 }, /*   6 (0),  12 (0),   6 (0),  16 (0),  93 (2), support = 4 */
    { 19, 34,  93 }, /*  93 (2),  93 (2), 142 (0), 142 (0),  93 (2), support = 3 */
    { 19, 35,  92 }, /*  92 (2),  92 (2),  80 (0),  92 (2),  92 (2), support = 4 */
    { 19, 36,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 19, 37,  92 }, /*  92 (2),  92 (2),  44 (0),  92 (2),  92 (2), support = 4 */
    { 19, 38,  -1 }, /*  22 (0),  22 (0),  19 (0),  22 (0),  16 (0), support = 5 */
    { 19, 39,  -1 }, /*   9 (0),   3 (0),   9 (0),   4 (0),   3 (0), support = 5 */
    { 19, 40,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   3 (0), support = 5 */
    { 19, 41,  -1 }, /*  18 (0),   0 (0),  18 (0),   0 (0),  18 (0), support = 5 */
    { 19, 42,  -1 }, /*   2 (0),  12 (0),   2 (0),  12 (0),   9 (0), support = 5 */
    { 19, 43,  -1 }, /*   1 (0),   1 (0),   2 (0),  11 (0),   2 (0), support = 5 */
    { 19, 44,  -1 }, /*  92 (2),  92 (2),  22 (0),  91 (2),  91 (2), support = 1 */
    { 19, 45,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  91 (2), support = 4 */
    { 19, 46,  -1 }, /*  95 (1),  96 (1),  95 (1),  93 (2),  93 (2), support = 1 */
    { 19, 47,  -1 }, /*  92 (2),  92 (2), 150 (0), 149 (0), 149 (0), support = 1 */
    { 20,  0,  -1 }, /*   4 (0),   4 (0),   3 (0),   3 (0), 115 (0), support = 5 */
    { 20,  1,  -1 }, /*  19 (0),  13 (0),  16 (0),  16 (0), 105 (0), support = 5 */
    { 20,  2,  -1 }, /*  26 (0),  26 (0),  26 (0),  26 (0),  97 (1), support = 4 */
    { 20,  3,  -1 }, /*   1 (0),   0 (0),   1 (0),   0 (0),  77 (0), support = 5 */
    { 20,  4,  90 }, /*  90 (2),  90 (2),  15 (0),   4 (0),  90 (2), support = 3 */
    { 20,  5,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20,  6,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20,  7,  91 }, /*  91 (2),  91 (2),  91 (2),  93 (1),  91 (2), support = 4 */
    { 20,  8,  91 }, /*  91 (2),  91 (2),  91 (2),  93 (2),  91 (2), support = 4 */
    { 20,  9,  91 }, /*  91 (2),  91 (2),  91 (2),  93 (2),  91 (2), support = 4 */
    { 20, 10,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 11,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 12,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 13,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 14,  91 }, /*  91 (2),  91 (2),  91 (2),  92 (2),  91 (2), support = 4 */
    { 20, 15,  91 }, /*  91 (2),  91 (2),  91 (2),  90 (2),  91 (2), support = 4 */
    { 20, 16,  91 }, /*  91 (2),  91 (2),  90 (2),  90 (2),  91 (2), support = 3 */
    { 20, 17,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 18,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 19,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 20,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 21,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 22,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 23,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 24,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 25,  92 }, /*  92 (2),  92 (2),  91 (2),  91 (2),  92 (2), support = 3 */
    { 20, 26,  92 }, /*  92 (2),  92 (2),  91 (2),  92 (2),  92 (2), support = 4 */
    { 20, 27,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 20, 28,  92 }, /*  19 (0),  92 (2),  19 (0),  92 (2),  92 (2), support = 3 */
    { 20, 29,  92 }, /*  92 (2),  92 (2),  18 (0),  92 (2),  92 (2), support = 4 */
    { 20, 30,  92 }, /*  92 (2),  92 (2),  92 (2),  92 (2),  92 (2), support = 5 */
    { 20, 31,  92 }, /*  57 (0),  92 (2),  22 (0),  92 (2),  92 (2), support = 3 */
    { 20, 32,  -1 }, /*   2 (0),   1 (0),   2 (0),   1 (0),   1 (0), support = 5 */
    { 20, 33,  -1 }, /*  11 (0),  11 (0), 102 (0),  11 (0),  92 (2), support = 4 */
    { 20, 34,  -1 }, /* 150 (0), 150 (0),  58 (0),  18 (0),  92 (2), support = 4 */
    { 20, 35,  -1 }, /* 140 (0), 135 (0), 140 (0), 139 (0),  92 (2), support = 4 */
    { 20, 36,  92 }, /*  92 (2),  92 (2),  42 (0),  92 (2),  92 (2), support = 4 */
    { 20, 37,  92 }, /*  92 (2),  92 (2),  79 (0),  17 (0),  92 (2), support = 3 */
    { 20, 38,  92 }, /*  92 (2),  92 (2),  38 (0),  52 (0),  92 (2), support = 3 */
    { 20, 39,  92 }, /*  92 (2),  92 (2),  22 (0),  20 (0),  92 (2), support = 3 */
    { 20, 40,  92 }, /*  92 (2),  92 (2),  16 (0),  23 (0),  92 (2), support = 3 */
    { 20, 41,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   4 (0), support = 5 */
    { 20, 42,  -1 }, /*   1 (0),   1 (0),   2 (0),   1 (0),   1 (0), support = 5 */
    { 20, 43,  91 }, /*  91 (2),  91 (2),  12 (0),  91 (2),  91 (2), support = 4 */
    { 20, 44,  91 }, /*  91 (2),  91 (2),   4 (0),   1 (0),  91 (2), support = 3 */
    { 20, 45,  -1 }, /*   0 (0),   0 (0),   0 (0),   6 (0),   0 (0), support = 5 */
    { 20, 46,  92 }, /*  92 (2),  92 (2),   8 (0),   9 (0),  92 (2), support = 3 */
    { 20, 47,  92 }, /*  92 (2),  92 (2),  92 (2), 148 (0),  92 (2), support = 4 */
    { 21,  0,  -1 }, /*  14 (0),  14 (0),  14 (0),  14 (0),  96 (1), support = 4 */
    { 21,  1,  90 }, /*  90 (2),  90 (2),   1 (0),   5 (0),  90 (2), support = 3 */
    { 21,  2,  90 }, /*  90 (2),  90 (2),   3 (0),  90 (2),  90 (2), support = 4 */
    { 21,  3,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 21,  4,  90 }, /*  90 (2),  90 (2),  90 (2),  92 (2),  90 (2), support = 4 */
    { 21,  5,  91 }, /*  91 (2),  91 (2),  90 (2),  91 (2),  90 (2), support = 3 */
    { 21,  6,  91 }, /*  91 (2),  91 (2),  90 (2),  92 (2),  91 (2), support = 3 */
    { 21,  7,  91 }, /*  91 (2),  91 (2),  90 (2),  92 (2),  91 (2), support = 3 */
    { 21,  8,  91 }, /*  91 (2),  91 (2),  90 (2),  92 (2),  91 (2), support = 3 */
    { 21,  9,  91 }, /*  91 (2),  91 (2),  90 (2),  92 (2),  91 (2), support = 3 */
    { 21, 10,  90 }, /*  90 (2),  90 (2),  90 (2),  92 (2),  90 (2), support = 4 */
    { 21, 11,  91 }, /*  91 (2),  91 (2),  90 (2),  90 (2),  91 (2), support = 3 */
    { 21, 12,  90 }, /*  91 (2),  91 (2),  90 (2),  90 (2),  90 (2), support = 3 */
    { 21, 13,  90 }, /*  90 (2),  90 (2),  90 (2),  92 (2),  90 (2), support = 4 */
    { 21, 14,  90 }, /*  90 (2),  90 (2),  90 (2),  92 (2),  90 (2), support = 4 */
    { 21, 15,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 21, 16,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 21, 17,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 21, 18,  91 }, /*  91 (2),  91 (2),  90 (2),  92 (2),  91 (2), support = 3 */
    { 21, 19,  90 }, /*  90 (2),  91 (2),  90 (2),  90 (2),  91 (2), support = 3 */
    { 21, 20,  90 }, /*  90 (2),  91 (2),  90 (2),  90 (2),  91 (2), support = 3 */
    { 21, 21,  91 }, /*  91 (2),  91 (2),  91 (2),  90 (2),  91 (2), support = 4 */
    { 21, 22,  91 }, /*  91 (2),  91 (2),  90 (2),  90 (2),  91 (2), support = 3 */
    { 21, 23,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 21, 24,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 21, 25,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 21, 26,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 21, 27,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 21, 28,  -1 }, /* 150 (0),  27 (0), 149 (0),  37 (0),  91 (2), support = 4 */
    { 21, 29,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  92 (2), support = 4 */
    { 21, 30,  -1 }, /*  20 (0),  92 (2),  25 (0),  12 (0),  61 (0), support = 4 */
    { 21, 31,  -1 }, /*  21 (0),  20 (0),  21 (0),  21 (0),  91 (2), support = 4 */
    { 21, 32,  -1 }, /* 149 (0),   1 (0), 149 (0),   2 (0),   1 (0), support = 5 */
    { 21, 33,  -1 }, /*  11 (0),  11 (0),  29 (0),  11 (0),  11 (0), support = 5 */
    { 21, 34,  -1 }, /*  48 (0),  13 (0),  48 (0),  39 (0),  39 (0), support = 5 */
    { 21, 35,  -1 }, /* 150 (0), 150 (0), 150 (0), 150 (0),  91 (2), support = 4 */
    { 21, 36,  -1 }, /*  24 (0),  32 (0),  22 (0),  25 (0),  92 (2), support = 4 */
    { 21, 37,  -1 }, /*  42 (0),  40 (0),  42 (0),  40 (0),  91 (2), support = 4 */
    { 21, 38,  92 }, /*  92 (2),  92 (2),  44 (0),  13 (0),  92 (2), support = 3 */
    { 21, 39,  92 }, /*  92 (2),  92 (2), 103 (0),  61 (0),  92 (2), support = 3 */
    { 21, 40,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 21, 41,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 21, 42,  91 }, /*  91 (2),  91 (2), 140 (0),  91 (2),  91 (2), support = 4 */
    { 21, 43,  91 }, /*  91 (2),  91 (2),  91 (2),  91 (2),  91 (2), support = 5 */
    { 21, 44,  -1 }, /* 139 (0), 139 (0), 139 (0),  17 (0),  31 (0), support = 5 */
    { 21, 45,  -1 }, /* 140 (0), 140 (0), 140 (0), 140 (0), 145 (0), support = 5 */
    { 21, 46,  -1 }, /* 142 (0), 149 (0), 142 (0), 136 (0),   0 (0), support = 5 */
    { 21, 47,  -1 }, /* 146 (0), 146 (0), 146 (0), 146 (0), 146 (0), support = 5 */
    { 22,  0,  89 }, /*  89 (2),  89 (2),  59 (0),  89 (2),  90 (2), support = 3 */
    { 22,  1,  90 }, /*  89 (2),  90 (2),  90 (2),  88 (2),  90 (2), support = 3 */
    { 22,  2,  90 }, /*  90 (2),  90 (2),  89 (2),  91 (2),  89 (2), support = 1 */
    { 22,  3,  90 }, /*  90 (2),  90 (2),  89 (2),  91 (2),  89 (2), support = 1 */
    { 22,  4,  90 }, /*  90 (2),  90 (2),  89 (2),  91 (2),  89 (2), support = 1 */
    { 22,  5,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 22,  6,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 22,  7,  90 }, /*  90 (2),  90 (2),  89 (2),  89 (2),  90 (2), support = 3 */
    { 22,  8,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22,  9,  90 }, /*  90 (2),  90 (2),  90 (2),  91 (2),  90 (2), support = 4 */
    { 22, 10,  90 }, /*  90 (2),  90 (2),  90 (2),  89 (2),  90 (2), support = 4 */
    { 22, 11,  90 }, /*  90 (2),  90 (2),  90 (2),  89 (2),  90 (2), support = 4 */
    { 22, 12,  90 }, /*  90 (2),  90 (2),  90 (2),  89 (2),  90 (2), support = 4 */
    { 22, 13,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  90 (2), support = 4 */
    { 22, 14,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 22, 15,  89 }, /*  89 (2),  90 (2),  89 (2),  89 (2),  90 (2), support = 3 */
    { 22, 16,  90 }, /*  90 (2),  90 (2),  89 (2),  90 (2),  90 (2), support = 4 */
    { 22, 17,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 18,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 19,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 20,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 21,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 22,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 23,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 24,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 25,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 26,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 27,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 28,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 29,  90 }, /*  90 (2),  90 (2),  90 (2),  90 (2),  90 (2), support = 5 */
    { 22, 30,  -1 }, /* 149 (0), 149 (0), 150 (0), 148 (0),  91 (2), support = 4 */
    { 22, 31,  -1 }, /* 144 (0),   0 (0), 150 (0),   0 (0),  96 (1), support = 4 */
    { 22, 32,  -1 }, /*   4 (0),   4 (0),  96 (1),   4 (0),   2 (0), support = 4 */
    { 22, 33,  -1 }, /*  24 (0),   6 (0),  24 (0),   3 (0),   7 (0), support = 5 */
    { 22, 34,  -1 }, /*  51 (0),  12 (0),  51 (0),  12 (0),  60 (0), support = 5 */
    { 22, 35,  -1 }, /*  57 (0), 148 (0),  57 (0), 148 (0),  57 (0), support = 5 */
    { 22, 36,  -1 }, /* 141 (0), 141 (0), 141 (0), 141 (0), 143 (0), support = 5 */
    { 22, 37,  -1 }, /*  34 (0), 129 (0),  34 (0), 129 (0),  91 (2), support = 4 */
    { 22, 38,  -1 }, /*   6 (0),  91 (2),   6 (0),  91 (2),  91 (2), support = 1 */
    { 22, 39,  -1 }, /*  91 (2),  91 (2),  56 (0),  81 (0),  91 (2), support = 1 */
    { 22, 40,  -1 }, /*  90 (2),  58 (0),  90 (2),  39 (0),  91 (2), support = 1 */
    { 22, 41,  -1 }, /* 149 (0),  25 (0), 149 (0),  25 (0),  39 (0), support = 5 */
    { 22, 42,  -1 }, /*  82 (1),  60 (0),  82 (1), 109 (0),  60 (0), support = 1 */
    { 22, 43,  -1 }, /*  59 (0),  59 (0),  86 (1),  59 (0),  91 (2), support = 1 */
    { 22, 44,  -1 }, /* 109 (0), 109 (0),  98 (1), 110 (0),  91 (2), support = 1 */
    { 22, 45,  -1 }, /*  90 (2),  91 (2),  90 (2),  97 (1),  91 (2), support = 1 */
    { 22, 46,  -1 }, /*  88 (1),  88 (1),  82 (1),  82 (1),  92 (2), support = 1 */
    { 22, 47,  -1 }, /*  96 (1),  96 (1),  96 (1),  86 (1),  91 (2), support = 1 */
    { 23,  0,  89 }, /*  89 (2),  89 (2),   0 (0),  89 (2),  89 (2), support = 4 */
    { 23,  1,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23,  2,  89 }, /*  89 (2),  89 (2),  89 (2),  91 (2),  89 (2), support = 4 */
    { 23,  3,  89 }, /*  89 (2),  89 (2),  89 (2),  91 (2),  89 (2), support = 4 */
    { 23,  4,  89 }, /*  89 (2),  89 (2),  91 (2),  91 (2),  89 (2), support = 3 */
    { 23,  5,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23,  6,  89 }, /*  89 (2),  89 (2),  89 (2),  91 (2),  89 (2), support = 4 */
    { 23,  7,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23,  8,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23,  9,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 10,  89 }, /*  89 (2),  89 (2),  89 (2),  88 (2),  89 (2), support = 4 */
    { 23, 11,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 12,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 13,  89 }, /*  89 (2),  89 (2),  89 (2),  88 (2),  89 (2), support = 4 */
    { 23, 14,  89 }, /*  89 (2),  89 (2),  89 (2),  88 (2),  89 (2), support = 4 */
    { 23, 15,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 16,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 17,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 18,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 19,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 20,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 21,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 22,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  90 (2), support = 4 */
    { 23, 23,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 24,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 25,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  90 (2), support = 4 */
    { 23, 26,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 23, 27,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  90 (2), support = 4 */
    { 23, 28,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  90 (2), support = 4 */
    { 23, 29,  90 }, /*  90 (2),  90 (2),  89 (2),  89 (2),  90 (2), support = 3 */
    { 23, 30,  -1 }, /*  25 (0),  25 (0),  25 (0),  25 (0),  96 (1), support = 4 */
    { 23, 31,  -1 }, /*  90 (2),   2 (0),  90 (2),   0 (0),   0 (0), support = 1 */
    { 23, 32,  -1 }, /*  25 (0),   3 (0),  20 (0),   9 (0),  10 (0), support = 5 */
    { 23, 33,  -1 }, /*  41 (0),   0 (0),  31 (0),  41 (0),  19 (0), support = 5 */
    { 23, 34,  -1 }, /*  56 (0),  14 (0),  59 (0),  14 (0),  14 (0), support = 5 */
    { 23, 35,  -1 }, /*  18 (0),  18 (0),  18 (0),  18 (0),  58 (0), support = 5 */
    { 23, 36,  -1 }, /* 148 (0), 148 (0), 148 (0), 148 (0), 148 (0), support = 5 */
    { 23, 37,  -1 }, /*  17 (0),  22 (0),  26 (0),  90 (2),  90 (2), support = 1 */
    { 23, 38,  -1 }, /*   4 (0),   4 (0),   9 (0),   4 (0),  76 (0), support = 5 */
    { 23, 39,  -1 }, /*  15 (0),  10 (0),  15 (0),   7 (0),  58 (0), support = 5 */
    { 23, 40,  -1 }, /*  41 (0),  44 (0),  41 (0),  18 (0),  57 (0), support = 5 */
    { 23, 41,  -1 }, /*  61 (0),  61 (0),  61 (0),   2 (0),  60 (0), support = 5 */
    { 23, 42,  -1 }, /* 147 (0),  27 (0), 147 (0),  27 (0),  27 (0), support = 5 */
    { 23, 43,  -1 }, /* 135 (0), 133 (0), 135 (0), 133 (0),  50 (0), support = 5 */
    { 23, 44,  -1 }, /* 120 (0), 120 (0), 120 (0), 119 (0),  61 (0), support = 5 */
    { 23, 45,  -1 }, /*  77 (0),  77 (0),  75 (0),  77 (0),  77 (0), support = 5 */
    { 23, 46,  -1 }, /*  83 (1),  71 (0),  83 (1), 125 (0),  77 (0), support = 1 */
    { 23, 47,  -1 }, /*  88 (1),  88 (1),  84 (1), 104 (0),  88 (1), support = 1 */
    { 24,  0,  -1 }, /*  50 (0),  50 (0),  50 (0),  50 (0),  88 (2), support = 4 */
    { 24,  1,  89 }, /*  89 (2),  89 (2),  59 (0),  90 (2),  89 (2), support = 3 */
    { 24,  2,  88 }, /*  88 (2),  88 (2),  88 (2),  91 (1),  89 (2), support = 3 */
    { 24,  3,  88 }, /*  88 (2),  88 (2),  91 (1),  91 (1),  88 (2), support = 3 */
    { 24,  4,  88 }, /*  88 (2),  88 (2),  88 (2),  91 (1),  88 (2), support = 4 */
    { 24,  5,  88 }, /*  88 (2),  88 (2),  90 (2),  90 (2),  88 (2), support = 3 */
    { 24,  6,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24,  7,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24,  8,  88 }, /*  88 (2),  88 (2),  88 (2),  90 (1),  88 (2), support = 4 */
    { 24,  9,  88 }, /*  88 (2),  88 (2),  88 (2),  90 (1),  88 (2), support = 4 */
    { 24, 10,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 11,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 12,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 13,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 14,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 15,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 16,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 17,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 18,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 19,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 24, 20,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  89 (2), support = 4 */
    { 24, 21,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 22,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 23,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 24,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 25,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 26,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 27,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 28,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 29,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 24, 30,  -1 }, /*  86 (2),  86 (2),  90 (2),   1 (0),  89 (2), support = 1 */
    { 24, 31,  -1 }, /*  43 (0),  43 (0),  50 (0),  43 (0),  68 (0), support = 5 */
    { 24, 32,  -1 }, /*  42 (0),   1 (0),  42 (0),   1 (0),  42 (0), support = 5 */
    { 24, 33,  -1 }, /*  57 (0),   9 (0),  57 (0),   9 (0),  42 (0), support = 5 */
    { 24, 34,  -1 }, /*  18 (0),  19 (0),  18 (0),  16 (0),  19 (0), support = 5 */
    { 24, 35,  -1 }, /* 149 (0), 144 (0), 149 (0), 149 (0), 144 (0), support = 5 */
    { 24, 36,  -1 }, /* 146 (0), 140 (0), 146 (0), 137 (0), 139 (0), support = 5 */
    { 24, 37,  -1 }, /*  21 (0),  80 (0),  21 (0),  80 (0),  63 (0), support = 5 */
    { 24, 38,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  43 (0), support = 5 */
    { 24, 39,  -1 }, /*  18 (0),  18 (0),  18 (0),  14 (0),  17 (0), support = 5 */
    { 24, 40,  -1 }, /*  19 (0),  19 (0),  19 (0),  16 (0),  41 (0), support = 5 */
    { 24, 41,  -1 }, /*  57 (0),  39 (0),  57 (0),  39 (0),  39 (0), support = 5 */
    { 24, 42,  -1 }, /*  59 (0),  59 (0),  59 (0),  61 (0),  90 (1), support = 4 */
    { 24, 43,  -1 }, /* 142 (0), 145 (0), 142 (0), 145 (0),  30 (0), support = 5 */
    { 24, 44,  -1 }, /* 117 (0),  50 (0), 117 (0), 117 (0),  45 (0), support = 5 */
    { 24, 45,  -1 }, /*  60 (0),  68 (0),  60 (0),  68 (0),  57 (0), support = 5 */
    { 24, 46,  -1 }, /* 119 (0), 119 (0),  58 (0), 119 (0), 125 (0), support = 5 */
    { 24, 47,  -1 }, /*  90 (1),  57 (0),  90 (1),  90 (1),  53 (0), support = 1 */
    { 25,  0,  -1 }, /*  16 (0),  48 (0),  13 (0),  16 (0),  73 (0), support = 5 */
    { 25,  1,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25,  2,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25,  3,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 25,  4,  87 }, /*  87 (2),  87 (2),  87 (2),  88 (2),  87 (2), support = 4 */
    { 25,  5,  87 }, /*  87 (2),  87 (2),  87 (2),  88 (2),  87 (2), support = 4 */
    { 25,  6,  88 }, /*  88 (2),  88 (2),  87 (2),  88 (2),  88 (2), support = 4 */
    { 25,  7,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 25,  8,  87 }, /*  87 (2),  87 (2),  87 (2),  89 (2),  87 (2), support = 4 */
    { 25,  9,  87 }, /*  87 (2),  87 (2),  87 (2),  89 (2),  87 (2), support = 4 */
    { 25, 10,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 25, 11,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  88 (2), support = 4 */
    { 25, 12,  88 }, /*  88 (2),  88 (2),  87 (2),  88 (2),  88 (2), support = 4 */
    { 25, 13,  88 }, /*  88 (2),  88 (2),  87 (2),  88 (2),  88 (2), support = 4 */
    { 25, 14,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 25, 15,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  88 (2), support = 4 */
    { 25, 16,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  88 (2), support = 4 */
    { 25, 17,  88 }, /*  88 (2),  88 (2),  87 (2),  87 (2),  88 (2), support = 3 */
    { 25, 18,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25, 19,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25, 20,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25, 21,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25, 22,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25, 23,  88 }, /*  88 (2),  88 (2),  88 (2),  88 (2),  88 (2), support = 5 */
    { 25, 24,  89 }, /*  89 (2),  89 (2),  23 (0),  23 (0),  89 (2), support = 3 */
    { 25, 25,  89 }, /*  89 (2),  89 (2),  88 (2),  89 (2),  89 (2), support = 4 */
    { 25, 26,  89 }, /*  89 (2),  89 (2),  89 (2),  89 (2),  89 (2), support = 5 */
    { 25, 27,  89 }, /*  89 (2),  89 (2),  74 (0),  88 (2),  89 (2), support = 3 */
    { 25, 28,  89 }, /*  89 (2),  89 (2),  89 (2),  64 (0),  89 (2), support = 4 */
    { 25, 29,  89 }, /*  89 (2),  89 (2),  89 (2),  16 (0),  89 (2), support = 4 */
    { 25, 30,  -1 }, /*  12 (0),  12 (0),  12 (0),  12 (0),  12 (0), support = 5 */
    { 25, 31,  -1 }, /*  59 (0),  59 (0),  58 (0),   9 (0),  56 (0), support = 5 */
    { 25, 32,  -1 }, /*  61 (0),  58 (0),  61 (0),  39 (0),  43 (0), support = 5 */
    { 25, 33,  -1 }, /*  17 (0),  17 (0),   0 (0),  17 (0),  17 (0), support = 5 */
    { 25, 34,  -1 }, /* 149 (0), 149 (0), 149 (0), 150 (0),  14 (0), support = 5 */
    { 25, 35,  -1 }, /* 105 (0), 105 (0), 105 (0), 105 (0),  89 (1), support = 4 */
    { 25, 36,  -1 }, /*  71 (0),  89 (1),  77 (0),  86 (1),  66 (0), support = 1 */
    { 25, 37,  -1 }, /*  22 (0),  22 (0),  22 (0),  22 (0),  39 (0), support = 5 */
    { 25, 38,  -1 }, /*   3 (0),   0 (0),   3 (0),   4 (0),  36 (0), support = 5 */
    { 25, 39,  -1 }, /*  14 (0),  16 (0),  15 (0),  16 (0),  16 (0), support = 5 */
    { 25, 40,  -1 }, /*  13 (0),  10 (0),  13 (0),  13 (0),  13 (0), support = 5 */
    { 25, 41,  -1 }, /*  39 (0),  39 (0),  39 (0),  42 (0),  39 (0), support = 5 */
    { 25, 42,  -1 }, /* 145 (0), 145 (0), 145 (0), 140 (0),  41 (0), support = 5 */
    { 25, 43,  -1 }, /* 121 (0),  21 (0), 121 (0), 109 (0),  30 (0), support = 5 */
    { 25, 44,  -1 }, /*  48 (0),  48 (0),  69 (0),  48 (0),  48 (0), support = 5 */
    { 25, 45,  -1 }, /*  49 (0),  49 (0),  38 (0),  59 (0),  46 (0), support = 5 */
    { 25, 46,  -1 }, /*  19 (0),  19 (0),  64 (0), 101 (1),  59 (0), support = 4 */
    { 25, 47,  -1 }, /*  36 (0),  36 (0),  36 (0),  36 (0),  51 (0), support = 5 */
    { 26,  0,  -1 }, /*  25 (0),  88 (2),  25 (0),  25 (0),  88 (2), support = 1 */
    { 26,  1,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26,  2,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26,  3,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26,  4,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26,  5,  87 }, /*  87 (2),  87 (2),  86 (2),  87 (2),  87 (2), support = 4 */
    { 26,  6,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26,  7,  87 }, /*  87 (2),  87 (2),  87 (2),  89 (2),  87 (2), support = 4 */
    { 26,  8,  87 }, /*  87 (2),  87 (2),  89 (2),  89 (2),  87 (2), support = 3 */
    { 26,  9,  87 }, /*  87 (2),  87 (2),  87 (2),  89 (2),  87 (2), support = 4 */
    { 26, 10,  87 }, /*  87 (2),  87 (2),  87 (2),  86 (2),  87 (2), support = 4 */
    { 26, 11,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 12,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 13,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 14,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 15,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 16,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 17,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 18,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 19,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 20,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 21,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 22,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 23,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 26, 24,  88 }, /*  88 (2),  88 (2),  21 (0), 146 (0),  88 (2), support = 3 */
    { 26, 25,  -1 }, /* 136 (0), 136 (0), 136 (0),  37 (0),  88 (2), support = 4 */
    { 26, 26,  -1 }, /* 145 (0),  32 (0), 145 (0),  32 (0),  88 (2), support = 4 */
    { 26, 27,  -1 }, /* 120 (0), 150 (0), 120 (0), 150 (0), 120 (0), support = 5 */
    { 26, 28,  -1 }, /* 116 (0),  88 (2), 116 (0),  56 (0),  88 (2), support = 1 */
    { 26, 29,  -1 }, /*  57 (0),  57 (0),  57 (0),  57 (0),  88 (2), support = 4 */
    { 26, 30,  -1 }, /*  60 (0),  61 (0),  60 (0),  88 (2),  59 (0), support = 4 */
    { 26, 31,  -1 }, /*  56 (0),  56 (0),  56 (0),  10 (0),  59 (0), support = 5 */
    { 26, 32,  -1 }, /*   7 (0),   1 (0),   7 (0),   1 (0),  13 (0), support = 5 */
    { 26, 33,  -1 }, /* 143 (0), 146 (0), 143 (0), 143 (0), 140 (0), support = 5 */
    { 26, 34,  -1 }, /* 131 (0),  88 (1), 131 (0), 131 (0),  88 (1), support = 1 */
    { 26, 35,  -1 }, /*  88 (1),  88 (1),  88 (1),  88 (1),  88 (1), support = 1 */
    { 26, 36,  -1 }, /*  60 (0),  60 (0),  60 (0),  21 (0),  36 (0), support = 5 */
    { 26, 37,  -1 }, /*  56 (0),  57 (0),  27 (0),  36 (0),  40 (0), support = 5 */
    { 26, 38,  -1 }, /*   3 (0),  19 (0),   3 (0),  19 (0),   6 (0), support = 5 */
    { 26, 39,  -1 }, /*  16 (0),  16 (0),  19 (0),   9 (0),  16 (0), support = 5 */
    { 26, 40,  -1 }, /*  14 (0),  14 (0),  14 (0),  10 (0),  13 (0), support = 5 */
    { 26, 41,  -1 }, /*  37 (0),  41 (0),  31 (0),  49 (0),  50 (0), support = 5 */
    { 26, 42,  -1 }, /* 113 (0), 113 (0), 113 (0), 119 (0),  43 (0), support = 5 */
    { 26, 43,  -1 }, /*  22 (0),  22 (0),  32 (0),  22 (0),  42 (0), support = 5 */
    { 26, 44,  -1 }, /*  29 (0),  28 (0),  21 (0),  61 (0),  29 (0), support = 5 */
    { 26, 45,  -1 }, /* 146 (0), 146 (0), 146 (0), 146 (0),  27 (0), support = 5 */
    { 26, 46,  -1 }, /*  18 (0),  18 (0),  50 (0),  18 (0),  37 (0), support = 5 */
    { 26, 47,  -1 }, /*  23 (0),  23 (0),  29 (0),  23 (0),  25 (0), support = 5 */
    { 27,  0,  -1 }, /*  27 (0),  23 (0),  27 (0),  23 (0),  91 (1), support = 4 */
    { 27,  1,  86 }, /*  86 (2),  87 (2),   7 (0),  86 (2),  86 (2), support = 3 */
    { 27,  2,  86 }, /*  87 (2),  87 (2),  86 (2),  86 (2),  86 (2), support = 3 */
    { 27,  3,  87 }, /*  87 (2),  87 (2),  86 (2),  88 (2),  87 (2), support = 3 */
    { 27,  4,  88 }, /*  88 (2),  88 (2),  89 (2),  89 (2),  87 (2), support = 1 */
    { 27,  5,  86 }, /*  86 (2),  86 (2),  86 (2),  88 (2),  87 (2), support = 3 */
    { 27,  6,  86 }, /*  86 (2),  86 (2),  86 (2),  88 (2),  86 (2), support = 4 */
    { 27,  7,  87 }, /*  87 (2),  87 (2),  86 (2),  87 (2),  86 (2), support = 3 */
    { 27,  8,  87 }, /*  87 (2),  87 (2),  86 (2),  88 (2),  87 (2), support = 3 */
    { 27,  9,  87 }, /*  87 (2),  87 (2),  86 (2),  87 (2),  87 (2), support = 4 */
    { 27, 10,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 11,  86 }, /*  86 (2),  86 (2),  74 (0),  86 (2),  87 (2), support = 3 */
    { 27, 12,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  87 (2), support = 4 */
    { 27, 13,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 14,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 15,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 16,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  87 (2), support = 4 */
    { 27, 17,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 18,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 19,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 20,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 21,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 27, 22,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 27, 23,  87 }, /*  87 (2),  87 (2),  87 (2),  87 (2),  87 (2), support = 5 */
    { 27, 24,  87 }, /*  87 (2),  87 (2),  86 (2),  87 (2),  87 (2), support = 4 */
    { 27, 25,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 27, 26,  87 }, /*  87 (2),  87 (2), 142 (0), 144 (0),  87 (2), support = 3 */
    { 27, 27,  -1 }, /*  52 (0),  52 (0),  52 (0),  52 (0),  87 (2), support = 4 */
    { 27, 28,  -1 }, /*  51 (0),  51 (0),  51 (0),  51 (0),  87 (2), support = 4 */
    { 27, 29,  -1 }, /*  52 (0),  52 (0),  58 (0),  55 (0),  55 (0), support = 5 */
    { 27, 30,  -1 }, /*  57 (0),  57 (0),  57 (0),  57 (0),  57 (0), support = 5 */
    { 27, 31,  -1 }, /*   9 (0),  14 (0),   7 (0),  14 (0),  18 (0), support = 5 */
    { 27, 32,  -1 }, /* 146 (0), 146 (0), 145 (0), 144 (0), 148 (0), support = 5 */
    { 27, 33,  -1 }, /* 113 (0),  88 (1), 113 (0),  88 (1),  88 (1), support = 1 */
    { 27, 34,  -1 }, /*  84 (1),  70 (0),  84 (1),  70 (0),  70 (0), support = 1 */
    { 27, 35,  -1 }, /*  21 (0),  21 (0),  31 (0),  53 (0),  40 (0), support = 5 */
    { 27, 36,  -1 }, /*  20 (0),  56 (0),  20 (0),  56 (0),  36 (0), support = 5 */
    { 27, 37,  -1 }, /*  11 (0),  11 (0),  11 (0),  19 (0),  19 (0), support = 5 */
    { 27, 38,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0),  14 (0), support = 5 */
    { 27, 39,  -1 }, /*   9 (0),  15 (0),   9 (0),  17 (0),  15 (0), support = 5 */
    { 27, 40,  -1 }, /*  35 (0),  37 (0),  27 (0),  37 (0),  37 (0), support = 5 */
    { 27, 41,  -1 }, /* 134 (0), 133 (0), 134 (0), 124 (0),  35 (0), support = 5 */
    { 27, 42,  -1 }, /*  68 (0),  68 (0),  43 (0),  68 (0),  61 (0), support = 5 */
    { 27, 43,  -1 }, /*  21 (0),  21 (0),  21 (0),  38 (0),  38 (0), support = 5 */
    { 27, 44,  -1 }, /* 120 (0), 120 (0),  25 (0), 140 (0),   9 (0), support = 5 */
    { 27, 45,  -1 }, /* 120 (0),  58 (0), 120 (0),  22 (0),  16 (0), support = 5 */
    { 27, 46,  -1 }, /*   2 (0),   2 (0),   2 (0),  26 (0),  26 (0), support = 5 */
    { 27, 47,  -1 }, /* 110 (0), 114 (0), 110 (0), 114 (0), 108 (0), support = 5 */
    { 28,  0,  85 }, /*  85 (2),  85 (2),   1 (0),  85 (2),  85 (2), support = 4 */
    { 28,  1,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28,  2,  85 }, /*  85 (2),  86 (2),  85 (2),  86 (2),  85 (2), support = 3 */
    { 28,  3,  86 }, /*  86 (2),  86 (2),  85 (2),  86 (2),  86 (2), support = 4 */
    { 28,  4,  86 }, /*  86 (2),  86 (2),  85 (2),  86 (2),  86 (2), support = 4 */
    { 28,  5,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28,  6,  85 }, /*  85 (2),  85 (2),  85 (2),  86 (2),  86 (2), support = 3 */
    { 28,  7,  86 }, /*  86 (2),  86 (2),  86 (2),  85 (2),  86 (2), support = 4 */
    { 28,  8,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28,  9,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 10,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 11,  86 }, /*  86 (2),  86 (2),  14 (0),  86 (2),  86 (2), support = 4 */
    { 28, 12,  86 }, /*  86 (2),  86 (2),  85 (2),  85 (2),  86 (2), support = 3 */
    { 28, 13,  86 }, /*  86 (2),  86 (2),  85 (2),  87 (2),  85 (2), support = 1 */
    { 28, 14,  86 }, /*  86 (2),  86 (2),  86 (2),  85 (2),  86 (2), support = 4 */
    { 28, 15,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 16,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 17,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 18,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 19,  86 }, /*  86 (2),  87 (2),  86 (2),  86 (2),  87 (2), support = 3 */
    { 28, 20,  86 }, /*  86 (2),  87 (2),  86 (2),  86 (2),  86 (2), support = 4 */
    { 28, 21,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 22,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 23,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 24,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 25,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 26,  86 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 5 */
    { 28, 27,  86 }, /*  86 (2),  86 (2),  80 (0),   1 (0),  86 (2), support = 3 */
    { 28, 28,  -1 }, /*  60 (0),  60 (0),  59 (0),  60 (0),  59 (0), support = 5 */
    { 28, 29,  -1 }, /*  19 (0),  58 (0),  19 (0),  19 (0),  58 (0), support = 5 */
    { 28, 30,  -1 }, /*  18 (0),  18 (0),  18 (0),  18 (0),  18 (0), support = 5 */
    { 28, 31,  -1 }, /* 140 (0), 150 (0), 140 (0), 142 (0), 139 (0), support = 5 */
    { 28, 32,  -1 }, /*  90 (1),  90 (1),  90 (1),  90 (1),  76 (0), support = 1 */
    { 28, 33,  -1 }, /*  48 (0),  29 (0),  48 (0),  29 (0),  63 (0), support = 5 */
    { 28, 34,  -1 }, /*  58 (0),  36 (0),   1 (0),  50 (0),  36 (0), support = 5 */
    { 28, 35,  -1 }, /*  19 (0),  40 (0),  19 (0),  35 (0),  36 (0), support = 5 */
    { 28, 36,  -1 }, /*  19 (0),  19 (0),  19 (0),  17 (0),  17 (0), support = 5 */
    { 28, 37,  -1 }, /*   5 (0),   5 (0),   5 (0),  12 (0),   5 (0), support = 5 */
    { 28, 38,  -1 }, /*   2 (0),   2 (0),  18 (0),   2 (0),  17 (0), support = 5 */
    { 28, 39,  -1 }, /*  41 (0),   7 (0),  29 (0),  41 (0),   7 (0), support = 5 */
    { 28, 40,  -1 }, /* 124 (0), 124 (0), 124 (0), 124 (0), 124 (0), support = 5 */
    { 28, 41,  -1 }, /*  67 (0),  53 (0),  67 (0),  20 (0),  42 (0), support = 5 */
    { 28, 42,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0),  30 (0), support = 5 */
    { 28, 43,  -1 }, /*  22 (0),   3 (0),  22 (0),   3 (0),   3 (0), support = 5 */
    { 28, 44,  -1 }, /*  86 (1),  86 (1),  86 (1),  53 (0),  36 (0), support = 1 */
    { 28, 45,  -1 }, /*  23 (0),  23 (0),  23 (0),  23 (0),  32 (0), support = 5 */
    { 28, 46,  -1 }, /* 115 (0), 109 (0), 115 (0), 111 (0), 126 (0), support = 5 */
    { 28, 47,  -1 }, /* 143 (0), 143 (0), 116 (0), 111 (0), 143 (0), support = 5 */
    { 29,  0,  85 }, /*  85 (2),  85 (2),  10 (0),  85 (2),  85 (2), support = 4 */
    { 29,  1,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29,  2,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29,  3,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29,  4,  85 }, /*  85 (2),  85 (2),  85 (2),  87 (2),  85 (2), support = 4 */
    { 29,  5,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29,  6,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29,  7,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29,  8,  -1 }, /*   2 (0),   2 (0),  22 (0),   0 (0),  86 (2), support = 4 */
    { 29,  9,  -1 }, /*   0 (0),   0 (0),   0 (0),   1 (0),  86 (2), support = 4 */
    { 29, 10,  -1 }, /*   0 (0),   0 (0),   0 (0),   0 (0),  80 (0), support = 5 */
    { 29, 11,  -1 }, /*   2 (0),   2 (0),   2 (0),   2 (0),  67 (0), support = 5 */
    { 29, 12,  86 }, /*  86 (2),  86 (2),   0 (0),   3 (0),  86 (2), support = 3 */
    { 29, 13,  86 }, /*  86 (2),  86 (2),   1 (0),  85 (2),  86 (2), support = 3 */
    { 29, 14,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 15,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 16,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  86 (2), support = 4 */
    { 29, 17,  86 }, /*  86 (2),  86 (2), 141 (0),  86 (2),  86 (2), support = 4 */
    { 29, 18,  86 }, /*  86 (2),  86 (2),  49 (0),  17 (0),  86 (2), support = 3 */
    { 29, 19,  -1 }, /*   4 (0),   4 (0),   4 (0),   2 (0),  94 (1), support = 4 */
    { 29, 20,  -1 }, /*  21 (0),  21 (0),  21 (0),  21 (0),  85 (2), support = 4 */
    { 29, 21,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 22,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 23,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 24,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 25,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 29, 26,  86 }, /*  86 (2),  86 (2),  85 (2),  86 (2),  86 (2), support = 4 */
    { 29, 27,  86 }, /*  86 (2),  86 (2),  76 (0),  86 (2),  86 (2), support = 4 */
    { 29, 28,  -1 }, /* 146 (0), 146 (0), 146 (0), 149 (0), 143 (0), support = 5 */
    { 29, 29,  -1 }, /* 147 (0), 141 (0), 147 (0), 141 (0), 147 (0), support = 5 */
    { 29, 30,  -1 }, /* 141 (0), 140 (0), 140 (0), 141 (0), 140 (0), support = 5 */
    { 29, 31,  -1 }, /*  86 (2),  86 (2),  86 (2),  86 (2),  86 (2), support = 1 */
    { 29, 32,  -1 }, /*  29 (0),  50 (0),  59 (0),  38 (0),  43 (0), support = 5 */
    { 29, 33,  -1 }, /*  19 (0),  41 (0),  52 (0),  41 (0),  41 (0), support = 5 */
    { 29, 34,  -1 }, /*  86 (1),  86 (1),  19 (0),  86 (1),  86 (1), support = 1 */
    { 29, 35,  -1 }, /*  16 (0),  17 (0),   6 (0),  17 (0),   1 (0), support = 5 */
    { 29, 36,  -1 }, /*   2 (0),   8 (0),   6 (0),  19 (0),  11 (0), support = 5 */
    { 29, 37,  -1 }, /*   1 (0),  15 (0),   1 (0),  15 (0),  15 (0), support = 5 */
    { 29, 38,  -1 }, /* 135 (0), 135 (0),   1 (0), 135 (0),  56 (0), support = 5 */
    { 29, 39,  -1 }, /* 133 (0), 109 (0), 133 (0), 127 (0),  61 (0), support = 5 */
    { 29, 40,  -1 }, /*  62 (0),  32 (0),  62 (0),  32 (0),  46 (0), support = 5 */
    { 29, 41,  -1 }, /*  21 (0),  21 (0),  21 (0),  22 (0),  30 (0), support = 5 */
    { 29, 42,  -1 }, /*  64 (0), 127 (0),  64 (0), 127 (0),  11 (0), support = 5 */
    { 29, 43,  -1 }, /*  46 (0),  46 (0),  30 (0),  46 (0),  40 (0), support = 5 */
    { 29, 44,  -1 }, /*   0 (0),   0 (0),  23 (0),  44 (0),   0 (0), support = 5 */
    { 29, 45,  -1 }, /* 126 (0), 126 (0),  98 (1), 104 (0), 124 (0), support = 4 */
    { 29, 46,  -1 }, /*  99 (1),  99 (1),  99 (1),  94 (1), 105 (0), support = 1 */
    { 29, 47,  -1 }, /* 111 (0), 137 (0), 111 (0), 137 (0), 111 (0), support = 5 */
    { 30,  0,  -1 }, /*  22 (0),   1 (0),  22 (0),   1 (0), 133 (0), support = 5 */
    { 30,  1,  85 }, /*  85 (2),  85 (2),  51 (0),  85 (2),  85 (2), support = 4 */
    { 30,  2,  85 }, /*  85 (2),  85 (2),  86 (2),  87 (2),  85 (2), support = 3 */
    { 30,  3,  85 }, /*  84 (2),  85 (2),  84 (2),  87 (2),  85 (2), support = 1 */
    { 30,  4,  84 }, /*  84 (2),  84 (2),  84 (2),  86 (2),  85 (2), support = 3 */
    { 30,  5,  84 }, /*  84 (2),  84 (2),  84 (2),  85 (2),  84 (2), support = 4 */
    { 30,  6,  85 }, /*  85 (2),  85 (2),  84 (2),  85 (2),  85 (2), support = 4 */
    { 30,  7,  85 }, /*  85 (2),  85 (2),  10 (0),  85 (2),  85 (2), support = 4 */
    { 30,  8,  -1 }, /*  21 (0),   5 (0),  21 (0),  13 (0),  75 (0), support = 5 */
    { 30,  9,  -1 }, /* 140 (0),  36 (0),  18 (0), 140 (0),  75 (0), support = 5 */
    { 30, 10,  -1 }, /* 145 (0), 145 (0), 145 (0), 145 (0),  61 (0), support = 5 */
    { 30, 11,  -1 }, /* 147 (0), 148 (0), 147 (0), 148 (0),  60 (0), support = 5 */
    { 30, 12,  -1 }, /* 144 (0), 145 (0), 144 (0), 145 (0), 142 (0), support = 5 */
    { 30, 13,  -1 }, /* 131 (0), 131 (0), 131 (0),   1 (0), 136 (0), support = 5 */
    { 30, 14,  -1 }, /*  20 (0),  20 (0),  20 (0),   0 (0), 101 (1), support = 4 */
    { 30, 15,  -1 }, /*  27 (0),   3 (0),  27 (0),   2 (0),  94 (1), support = 4 */
    { 30, 16,  -1 }, /*   7 (0),   7 (0), 150 (0),   7 (0),  93 (1), support = 4 */
    { 30, 17,  -1 }, /* 145 (0),  19 (0), 145 (0),  19 (0),  93 (1), support = 4 */
    { 30, 18,  -1 }, /* 149 (0),  15 (0), 149 (0),  10 (0), 142 (0), support = 5 */
    { 30, 19,  -1 }, /* 142 (0),  18 (0),  51 (0),  17 (0),  59 (0), support = 5 */
    { 30, 20,  -1 }, /*  55 (0),  52 (0),  55 (0),  26 (0),  94 (1), support = 4 */
    { 30, 21,  85 }, /*  85 (2),  85 (2),  20 (0),  22 (0),  85 (2), support = 3 */
    { 30, 22,  85 }, /*  85 (2),  85 (2),  85 (2),  85 (2),  85 (2), support = 5 */
    { 30, 23,  85 }, /*  85 (2),  85 (2),  46 (0),  85 (2),  85 (2), support = 4 */
    { 30, 24,  -1 }, /*  38 (0),  85 (2),  39 (0),  38 (0),  85 (2), support = 1 */
    { 30, 25,  85 }, /*  85 (2),  85 (2),  18 (0),  48 (0),  85 (2), support = 3 */
    { 30, 26,  85 }, /*  85 (2),  85 (2),  66 (0),   4 (0),  85 (2), support = 3 */
    { 30, 27,  -1 }, /* 123 (0), 121 (0), 123 (0), 121 (0), 121 (0), support = 5 */
    { 30, 28,  -1 }, /* 131 (0), 131 (0), 131 (0), 131 (0), 107 (0), support = 5 */
    { 30, 29,  85 }, /*  86 (2),  85 (2),  86 (2),  85 (2),  85 (2), support = 3 */
    { 30, 30,  -1 }, /*  80 (0),  85 (2),  80 (0),  80 (0),  62 (0), support = 4 */
    { 30, 31,  -1 }, /*  44 (0),  85 (2),  21 (0),  85 (2),  36 (0), support = 1 */
    { 30, 32,  -1 }, /*  17 (0),  59 (0),  17 (0),  59 (0),  39 (0), support = 5 */
    { 30, 33,  -1 }, /*  54 (0),  59 (0),  17 (0),  54 (0),   5 (0), support = 5 */
    { 30, 34,  -1 }, /*  19 (0),  19 (0),  19 (0),   8 (0),  19 (0), support = 5 */
    { 30, 35,  -1 }, /*   8 (0),   8 (0),  16 (0),   8 (0),   8 (0), support = 5 */
    { 30, 36,  -1 }, /*   7 (0),   7 (0),  10 (0),   7 (0),  11 (0), support = 5 */
    { 30, 37,  -1 }, /* 125 (0), 125 (0), 125 (0), 125 (0),  56 (0), support = 5 */
    { 30, 38,  -1 }, /*  85 (1),  97 (1),  85 (1),  97 (1),  38 (0), support = 1 */
    { 30, 39,  -1 }, /*  54 (0),  40 (0),  54 (0),  33 (0),  29 (0), support = 5 */
    { 30, 40,  -1 }, /*  28 (0),  28 (0),  24 (0),  28 (0),  28 (0), support = 5 */
    { 30, 41,  -1 }, /*  31 (0),  31 (0),  31 (0),  31 (0),   5 (0), support = 5 */
    { 30, 42,  -1 }, /*  52 (0),  80 (0),  52 (0),  54 (0),  34 (0), support = 5 */
    { 30, 43,  -1 }, /*   1 (0),   1 (0),   1 (0),  20 (0),  25 (0), support = 5 */
    { 30, 44,  -1 }, /*  98 (1),  97 (1),  98 (1),  97 (1), 111 (0), support = 1 */
    { 30, 45,  -1 }, /* 141 (0), 141 (0), 150 (0), 141 (0), 141 (0), support = 5 */
    { 30, 46,  -1 }, /*  90 (1),  96 (1), 146 (0),  63 (0), 135 (0), support = 1 */
    { 30, 47,  -1 }, /*  79 (0), 139 (0),  72 (0),  72 (0), 139 (0), support = 5 */
    { 31,  0,  -1 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  84 (2), support = 4 */
    { 31,  1,  -1 }, /*  14 (0),  14 (0),  14 (0),  14 (0),  84 (2), support = 4 */
    { 31,  2,  -1 }, /*  24 (0),  28 (0),  24 (0),  28 (0),  79 (0), support = 5 */
    { 31,  3,  -1 }, /*  21 (0),  25 (0),  21 (0),  22 (0),  82 (2), support = 4 */
    { 31,  4,  -1 }, /*  20 (0),  23 (0),  20 (0),  23 (0),  85 (2), support = 4 */
    { 31,  5,  -1 }, /*  54 (0),  23 (0),  54 (0),  23 (0),  82 (2), support = 4 */
    { 31,  6,  -1 }, /*  22 (0),  21 (0),  22 (0),  22 (0),  84 (2), support = 4 */
    { 31,  7,  -1 }, /*  18 (0),  18 (0),  28 (0),  28 (0), 108 (0), support = 5 */
    { 31,  8,  -1 }, /*  16 (0),  16 (0),  16 (0),  16 (0),  61 (0), support = 5 */
    { 31,  9,  -1 }, /*  19 (0),  19 (0),  19 (0),  19 (0), 140 (0), support = 5 */
    { 31, 10,  -1 }, /*  19 (0),  84 (2),  18 (0),  19 (0),  84 (2), support = 1 */
    { 31, 11,  -1 }, /*  15 (0),  15 (0),  15 (0),  15 (0),  98 (1), support = 4 */
    { 31, 12,  -1 }, /*  18 (0),  18 (0),  18 (0), 104 (0),  84 (2), support = 4 */
    { 31, 13,  -1 }, /* 101 (1),  84 (2),  26 (0),  84 (2),  84 (2), support = 1 */
    { 31, 14,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0),  60 (0), support = 5 */
    { 31, 15,  -1 }, /*  29 (0),  29 (0),  29 (0),   1 (0),  59 (0), support = 5 */
    { 31, 16,  -1 }, /*  35 (0),   4 (0),  35 (0),   4 (0),  61 (0), support = 5 */
    { 31, 17,  -1 }, /*  15 (0),   8 (0),  14 (0),  14 (0),   8 (0), support = 5 */
    { 31, 18,  -1 }, /*  15 (0),  15 (0), 149 (0),  15 (0), 142 (0), support = 5 */
    { 31, 19,  -1 }, /* 150 (0),  16 (0),  95 (1),  16 (0), 147 (0), support = 4 */
    { 31, 20,  -1 }, /* 137 (0),  38 (0), 103 (0),  36 (0),  89 (2), support = 4 */
    { 31, 21,  -1 }, /*  57 (0),  57 (0),  93 (1),  59 (0),  84 (2), support = 1 */
    { 31, 22,  -1 }, /*   8 (0),  29 (0),   8 (0),  29 (0),  61 (0), support = 5 */
    { 31, 23,  -1 }, /*  11 (0),   5 (0),  11 (0),   7 (0),   9 (0), support = 5 */
    { 31, 24,  -1 }, /*  12 (0),  12 (0),  12 (0),  12 (0),   5 (0), support = 5 */
    { 31, 25,  -1 }, /*   8 (0),  11 (0),   8 (0),  12 (0),   6 (0), support = 5 */
    { 31, 26,  -1 }, /*  17 (0),   9 (0),  17 (0), 124 (0), 124 (0), support = 5 */
    { 31, 27,  -1 }, /*  17 (0),  13 (0),  17 (0),  11 (0),  79 (0), support = 5 */
    { 31, 28,  -1 }, /*   8 (0),   8 (0),   8 (0),  84 (2),  84 (2), support = 1 */
    { 31, 29,  -1 }, /*  31 (0),  29 (0),  30 (0),  48 (0),  54 (0), support = 5 */
    { 31, 30,  -1 }, /*  29 (0),  29 (0),  22 (0),  29 (0),  29 (0), support = 5 */
    { 31, 31,  -1 }, /*  41 (0),  56 (0),  26 (0),  50 (0),  41 (0), support = 5 */
    { 31, 32,  -1 }, /*  51 (0),  43 (0),  51 (0),  56 (0),  14 (0), support = 5 */
    { 31, 33,  -1 }, /*  31 (0),  31 (0),  34 (0),  31 (0),  31 (0), support = 5 */
    { 31, 34,  -1 }, /*  47 (0),  57 (0),  47 (0),  57 (0),  56 (0), support = 5 */
    { 31, 35,  -1 }, /* 139 (0), 125 (0),  32 (0), 144 (0), 127 (0), support = 5 */
    { 31, 36,  -1 }, /* 111 (0), 111 (0), 129 (0), 111 (0), 130 (0), support = 5 */
    { 31, 37,  -1 }, /*  64 (0),  64 (0),  64 (0),  71 (0),  71 (0), support = 5 */
    { 31, 38,  -1 }, /*  70 (0),  74 (0),  22 (0), 144 (0),  70 (0), support = 5 */
    { 31, 39,  -1 }, /*  27 (0),   2 (0),  27 (0),   2 (0),  20 (0), support = 5 */
    { 31, 40,  -1 }, /*  72 (0),  99 (1),  72 (0),  99 (1),  83 (1), support = 1 */
    { 31, 41,  -1 }, /*   6 (0),  11 (0),   6 (0),  29 (0),  11 (0), support = 5 */
    { 31, 42,  -1 }, /*  23 (0),  23 (0),  23 (0),  23 (0),   6 (0), support = 5 */
    { 31, 43,  -1 }, /* 109 (0),  99 (1), 109 (0), 109 (0),  99 (1), support = 1 */
    { 31, 44,  -1 }, /*  84 (1),  84 (1), 147 (0),  84 (1), 107 (0), support = 1 */
    { 31, 45,  -1 }, /*  70 (0),  70 (0),  70 (0),  70 (0),  85 (1), support = 4 */
    { 31, 46,  -1 }, /* 109 (0),  72 (0), 104 (0),  76 (0),  85 (1), support = 4 */
    { 31, 47,  -1 }, /* 147 (0), 118 (0), 147 (0), 118 (0), 118 (0), support = 5 */
    { -1, -1,  -1 }
};
