/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_flowers_narrow[] = {
    {  0,  0, 107 }, /*  45 (1),  45 (1),   7 (0),  12 (0),  31 (1), support = 1 */
    {  0,  1, 107 }, /*  18 (2),  18 (2),  19 (2),  30 (1),  41 (1), support = 1 */
    {  0,  2, 107 }, /*  42 (1),  45 (1),  42 (1),  27 (1),  28 (1), support = 1 */
    {  0,  3, 107 }, /*  11 (0),  45 (1),  15 (1),  10 (0),  44 (1), support = 1 */
    {  0,  4, 107 }, /*  41 (1),   0 (0),  41 (1),  29 (1),  44 (1), support = 1 */
    {  0,  5, 107 }, /*   4 (0),   8 (0),   4 (0),  42 (1),   0 (0), support = 4 */
    {  0,  6, 107 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  0,  7, 107 }, /*  24 (1),  23 (1),  24 (1),  24 (1),  24 (1), support = 1 */
    {  0,  8, 107 }, /*  32 (1),  22 (2),  32 (1),  32 (1),  22 (2), support = 1 */
    {  0,  9, 107 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  22 (2), support = 1 */
    {  0, 10, 107 }, /*   0 (0),   2 (0),   0 (0),   2 (0),   0 (0), support = 5 */
    {  0, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  0, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  0, 13,  23 }, /*  23 (1),  23 (1),  24 (1),  24 (1),  23 (1), support = 1 */
    {  0, 14,  24 }, /*  24 (1),  24 (1),  24 (1),  24 (1),  24 (1), support = 1 */
    {  0, 15,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  0, 16,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  0, 17,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  0, 18,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  22 (1), support = 1 */
    {  0, 19,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  0, 20,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  0, 21,  22 }, /*  22 (1),  22 (1),  23 (1),  22 (1),  22 (1), support = 1 */
    {  0, 22,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  22 (1), support = 1 */
    {  0, 23, 107 }, /*   6 (0),   6 (0),   6 (0),  38 (1),  39 (1), support = 1 */
    {  0, 24, 108 }, /*  31 (1),  31 (1),  42 (1),  49 (0),  36 (2), support = 1 */
    {  0, 25, 108 }, /*  48 (0),  48 (0),  48 (0),  48 (0),  49 (0), support = 5 */
    {  0, 26, 108 }, /*  48 (0),  43 (1),  48 (0),  43 (1),  45 (1), support = 1 */
    {  0, 27, 108 }, /*  35 (1),  42 (1),  41 (1),  35 (1),   2 (0), support = 1 */
    {  0, 28,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  0, 29,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  0, 30,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  0, 31,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  0, 32,  41 }, /*  42 (1),  42 (1),  40 (2),  42 (1),  41 (1), support = 1 */
    {  0, 33,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 34,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 36,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  0, 41,  40 }, /*  40 (2),  40 (2),  39 (2),  40 (2),  40 (2), support = 4 */
    {  0, 42,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  0, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  0, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  0, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  0, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  0, 47,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  1,  0, 107 }, /*  45 (1),  45 (1),  45 (1),  23 (1),  34 (1), support = 1 */
    {  1,  1, 107 }, /*  29 (1),  32 (1),  29 (1),  32 (1),  39 (1), support = 1 */
    {  1,  2, 107 }, /*  40 (1),  40 (1),  45 (1),  40 (1),  33 (1), support = 1 */
    {  1,  3, 107 }, /*  19 (2),  19 (2),  11 (0),  19 (2),  33 (1), support = 3 */
    {  1,  4, 107 }, /*  33 (1),   0 (0),  33 (1),  30 (1),  10 (0), support = 1 */
    {  1,  5,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  1,  6,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  1,  7,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  1,  8,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  1,  9,  23 }, /*  23 (1),  23 (1),  22 (2),  22 (2),  23 (1), support = 1 */
    {  1, 10,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  1, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  1, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  1, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  1, 14,  24 }, /*  24 (1),  24 (1),  24 (1),  24 (1),  24 (1), support = 1 */
    {  1, 15,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  1, 16,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  1, 17,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  1, 18,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  1, 19,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  1, 20,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  1, 21,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  1, 22,  22 }, /*  22 (1),  22 (1),  22 (1),  23 (1),  22 (1), support = 1 */
    {  1, 23,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    {  1, 24, 107 }, /*   0 (0),  46 (0),   0 (0),  46 (0),  35 (1), support = 4 */
    {  1, 25, 107 }, /*  40 (2),  40 (2),  39 (2),  40 (2),   3 (0), support = 3 */
    {  1, 26, 108 }, /*   6 (0),   6 (0),   6 (0),   6 (0),   9 (0), support = 5 */
    {  1, 27, 108 }, /*  40 (2),  40 (2),  48 (0),  40 (2),  40 (2), support = 4 */
    {  1, 28,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  1, 29,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  1, 30,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  1, 31,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  1, 32,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 33,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 34,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 36,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  1, 42,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  1, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  1, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  1, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  1, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  1, 47,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  2,  0, 107 }, /*  33 (1),  33 (1),  33 (1),  30 (1),  29 (1), support = 1 */
    {  2,  1, 107 }, /*   0 (0),   0 (0),  31 (1),   0 (0),   0 (0), support = 4 */
    {  2,  2, 107 }, /*  21 (2),  21 (2),  42 (1),  21 (2),  21 (2), support = 4 */
    {  2,  3,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  2,  4,  23 }, /*  23 (1),  23 (1),  24 (1),  23 (1),  24 (1), support = 1 */
    {  2,  5,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  24 (1), support = 4 */
    {  2,  6,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  2,  7,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  2,  8,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2,  9,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 10,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 14,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 15,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  2, 16,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  2, 17,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  2, 18,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  2, 19,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  21 (2), support = 4 */
    {  2, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  2, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  2, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  2, 23,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  2, 24, 108 }, /*   2 (0),   2 (0),   2 (0),   2 (0),   2 (0), support = 5 */
    {  2, 25, 107 }, /*  41 (1),  41 (1),  32 (1),  41 (1),  40 (2), support = 1 */
    {  2, 26,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  2, 27,  40 }, /*  40 (2),  40 (2),  41 (1),  40 (2),  40 (2), support = 4 */
    {  2, 28,  41 }, /*  41 (1),  41 (1),  41 (1),  42 (1),  41 (1), support = 1 */
    {  2, 29,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  2, 30,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  2, 31,  40 }, /*  40 (2),  40 (2),  41 (1),  40 (2),  40 (2), support = 4 */
    {  2, 32,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  2, 33,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 34,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 36,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  2, 42,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  2, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  2, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  2, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  2, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  2, 47,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  3,  0, 107 }, /*  33 (1),  33 (1),  33 (1),  33 (1),  33 (1), support = 1 */
    {  3,  1, 107 }, /*   4 (0),   5 (0),   4 (0),   3 (0),   0 (0), support = 5 */
    {  3,  2,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3,  3,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  3,  4,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  3,  5,  23 }, /*  23 (1),  23 (1),  23 (1),  21 (2),  24 (1), support = 1 */
    {  3,  6,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3,  7,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3,  8,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3,  9,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 10,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 14,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 15,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  3, 16,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  3, 17,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  3, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3, 23,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  3, 24, 107 }, /*  48 (0),  48 (0),   9 (0),  44 (1),   0 (0), support = 4 */
    {  3, 25,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  3, 26,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  3, 27,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  40 (2), support = 1 */
    {  3, 28,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 29,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 30,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 31,  40 }, /*  40 (2),  40 (2),  41 (1),  40 (2),  40 (2), support = 4 */
    {  3, 32,  40 }, /*  40 (2),  40 (2),  40 (2),  41 (1),  40 (2), support = 4 */
    {  3, 33,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 34,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 36,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  3, 42,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  3, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  3, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  3, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  3, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  3, 47,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  4,  0, 107 }, /*   1 (0),   2 (0),   1 (0),  35 (1),   0 (0), support = 4 */
    {  4,  1,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4,  2,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4,  3,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  22 (1), support = 4 */
    {  4,  4,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  21 (2), support = 4 */
    {  4,  5,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  4,  6,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4,  7,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4,  9,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  4, 10,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  4, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  4, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  4, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  4, 14,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  4, 15,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4, 16,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  21 (2), support = 4 */
    {  4, 17,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  21 (2), support = 4 */
    {  4, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  4, 23,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  4, 24,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  4, 25,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  4, 26,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 27,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 28,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 29,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 30,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 31,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 32,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 33,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  4, 34,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 36,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  4, 42,  40 }, /*  40 (2),  40 (2),  39 (2),  40 (2),  40 (2), support = 4 */
    {  4, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  4, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  4, 45,  38 }, /*  38 (2),  38 (2),  39 (2),  38 (2),  38 (2), support = 4 */
    {  4, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  4, 47,  38 }, /*  38 (2),  37 (2),  38 (2),  37 (2),  38 (2), support = 3 */
    {  5,  0, 107 }, /*   7 (0),   7 (0),   0 (0),   7 (0),   0 (0), support = 5 */
    {  5,  1, 107 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  2, 107 }, /*  48 (0),  21 (2),  48 (0),  49 (0),  21 (2), support = 1 */
    {  5,  3,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  4,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  5,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  6,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  7,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 10,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  5, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  5, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  5, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  5, 14,  21 }, /*  22 (2),  21 (2),  22 (2),  21 (2),  21 (2), support = 3 */
    {  5, 15,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 16,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  5, 23,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  5, 24,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  5, 25,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  5, 26,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 27,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 28,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 29,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 30,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 31,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 32,  41 }, /*  41 (1),  41 (1),  40 (2),  41 (1),  40 (2), support = 1 */
    {  5, 33,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 34,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  5, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 36,  40 }, /*  40 (2),  40 (2),  41 (1),  40 (2),  40 (2), support = 4 */
    {  5, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 42,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  5, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  5, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  5, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  5, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  5, 47,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    {  6,  0, 107 }, /*   1 (0),   1 (0),   1 (0),   0 (0),   0 (0), support = 5 */
    {  6,  1,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  2,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  3,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  4,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  5,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  6,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  7,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 10,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  6, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  6, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  6, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  6, 14,  21 }, /*  21 (2),  21 (2),  22 (2),  21 (2),  21 (2), support = 4 */
    {  6, 15,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 16,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 23,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  21 (2), support = 1 */
    {  6, 24,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  21 (2), support = 1 */
    {  6, 25,  22 }, /*  22 (1),  22 (1),  21 (2),  22 (1),  21 (2), support = 1 */
    {  6, 26,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  6, 27,  -1 }, /*  40 (2),  40 (2),  40 (2),  20 (2),  22 (1), support = 3 */
    {  6, 28,  -1 }, /*  22 (1),  22 (1),  40 (2),  22 (1),  22 (1), support = 1 */
    {  6, 29,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 30,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 31,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 32,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 33,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  40 (2), support = 1 */
    {  6, 34,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 35,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 36,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  6, 37,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 38,  41 }, /*  41 (1),  41 (1),  40 (2),  40 (2),  41 (1), support = 1 */
    {  6, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 42,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  6, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  6, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  6, 45,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  6, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  6, 47,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    {  7,  0, 107 }, /*  20 (2),  20 (2),   2 (0),  20 (2),  20 (2), support = 4 */
    {  7,  1,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  7,  2,  20 }, /*  20 (2),  20 (2),  21 (2),  20 (2),  21 (2), support = 3 */
    {  7,  3,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7,  4,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7,  5,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7,  6,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7,  7,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 10,  21 }, /*  21 (2),  21 (2),  22 (2),  21 (2),  21 (2), support = 4 */
    {  7, 11,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  7, 12,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  7, 13,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  7, 14,  22 }, /*  22 (2),  22 (2),  22 (2),  22 (2),  22 (2), support = 5 */
    {  7, 15,  21 }, /*  21 (2),  21 (2),  22 (2),  21 (2),  21 (2), support = 4 */
    {  7, 16,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 23,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 24,  21 }, /*  20 (2),  21 (2),  21 (2),  21 (2),  20 (2), support = 3 */
    {  7, 25,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  7, 26,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  7, 27,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  7, 28,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  7, 29,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 30,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 31,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 32,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 33,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 34,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  7, 35,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  7, 36,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  7, 37,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  7, 38,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 39,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 40,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 41,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 42,  40 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    {  7, 43,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  40 (2), support = 4 */
    {  7, 44,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    {  7, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  39 (2), support = 4 */
    {  7, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  7, 47,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    {  8,  0,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  21 (1), support = 4 */
    {  8,  1,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  21 (1), support = 4 */
    {  8,  2,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  8,  3,  21 }, /*  21 (1),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    {  8,  4,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  8,  5,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  8,  6,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  8,  7,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  8,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 10,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  21 (2), support = 4 */
    {  8, 11,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  8, 12,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  8, 13,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  8, 14,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  8, 15,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  8, 16,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  21 (2), support = 4 */
    {  8, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 22,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  8, 23,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  8, 24,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  8, 25,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  8, 26,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  8, 27,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  8, 28,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  21 (1), support = 1 */
    {  8, 29,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 30,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 31,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 32,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 33,  40 }, /*  40 (1),  40 (1),  41 (1),  40 (1),  40 (1), support = 1 */
    {  8, 34,  41 }, /*  41 (1),  40 (1),  40 (1),  41 (1),  40 (1), support = 1 */
    {  8, 35,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  8, 36,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  8, 37,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 38,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 39,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  8, 40,  40 }, /*  40 (1),  40 (1),  40 (1),  39 (1),  40 (1), support = 1 */
    {  8, 41,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  8, 42,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  8, 43,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  8, 44,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  8, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  8, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  8, 47,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    {  9,  0,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  20 (2), support = 1 */
    {  9,  1,  20 }, /*  21 (1),  20 (2),  21 (1),  20 (2),  20 (2), support = 3 */
    {  9,  2,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  9,  3,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  9,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  9,  5,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  9,  6,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  9,  7,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  9,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9, 10,  22 }, /*  22 (1),  22 (1),  21 (2),  21 (2),  22 (1), support = 1 */
    {  9, 11,  22 }, /*  22 (1),  22 (1),  22 (1),  21 (2),  22 (1), support = 1 */
    {  9, 12,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  9, 13,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  9, 14,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  9, 15,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  22 (1), support = 3 */
    {  9, 16,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    {  9, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    {  9, 22,  20 }, /*  20 (2),  20 (2),  21 (2),  21 (2),  20 (2), support = 3 */
    {  9, 23,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    {  9, 24,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  9, 25,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  9, 26,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  9, 27,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    {  9, 28,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  9, 29,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    {  9, 30,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 31,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 32,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 33,  41 }, /*  41 (1),  41 (1),  40 (1),  41 (1),  41 (1), support = 1 */
    {  9, 34,  41 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    {  9, 35,  40 }, /*  40 (1),  41 (1),  40 (1),  40 (1),  41 (1), support = 1 */
    {  9, 36,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 37,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 38,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 39,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    {  9, 40,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  9, 41,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  9, 42,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  9, 43,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  9, 44,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    {  9, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  9, 46,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    {  9, 47,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    { 10,  0,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10,  1,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10,  2,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10,  3,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10,  5,  20 }, /*  20 (2),  20 (2),  21 (1),  20 (2),  21 (1), support = 3 */
    { 10,  6,  21 }, /*  21 (1),  21 (1),  20 (2),  20 (2),  21 (1), support = 1 */
    { 10,  7,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    { 10,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 10,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 11,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 12,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  22 (1), support = 4 */
    { 10, 13,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  22 (1), support = 4 */
    { 10, 14,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  22 (1), support = 4 */
    { 10, 15,  21 }, /*  21 (2),  21 (2),  22 (1),  21 (2),  22 (1), support = 3 */
    { 10, 16,  22 }, /*  22 (1),  22 (1),  21 (2),  21 (2),  22 (1), support = 1 */
    { 10, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 18,  22 }, /*  22 (1),  22 (1),  22 (1),  22 (1),  22 (1), support = 1 */
    { 10, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 10, 22,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10, 23,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 10, 24,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  19 (2), support = 1 */
    { 10, 25,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  19 (2), support = 1 */
    { 10, 26,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 10, 27,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 10, 28,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    { 10, 29,  -1 }, /*  21 (1),  21 (1),  40 (1),  21 (1),  21 (1), support = 1 */
    { 10, 30,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 31,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 32,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 33,  41 }, /*  41 (1),  41 (1),  40 (1),  41 (1),  41 (1), support = 1 */
    { 10, 34,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 35,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 36,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 37,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 38,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 39,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 10, 40,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 10, 41,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 10, 42,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 10, 43,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  39 (1), support = 4 */
    { 10, 44,  39 }, /*  39 (1),  39 (1),  39 (1),  38 (2),  39 (1), support = 1 */
    { 10, 45,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 10, 46,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    { 10, 47,  36 }, /*  36 (2),  36 (2),  35 (2),  36 (2),  36 (2), support = 4 */
    { 11,  0,  20 }, /*  20 (2),  20 (2),  19 (2),  20 (2),  20 (2), support = 4 */
    { 11,  1,  20 }, /*  20 (2),  20 (2),  19 (2),  19 (2),  20 (2), support = 3 */
    { 11,  2,  20 }, /*  20 (2),  20 (2),  20 (2),  19 (2),  20 (2), support = 4 */
    { 11,  3,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 11,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 11,  5,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 11,  6,  21 }, /*  21 (1),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    { 11,  7,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    { 11,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 10,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 11,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 12,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 13,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 14,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 15,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 16,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 21,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 11, 22,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 11, 23,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 11, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 11, 25,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 11, 26,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 11, 27,  19 }, /*  19 (2),  19 (2),  20 (1),  19 (2),  19 (2), support = 4 */
    { 11, 28,  20 }, /*  20 (1),  20 (1),  21 (1),  20 (1),  20 (1), support = 1 */
    { 11, 29,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 11, 30,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 31,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 32,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 33,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 34,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 35,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 36,  39 }, /*  39 (2),  39 (2),  40 (1),  39 (2),  39 (2), support = 4 */
    { 11, 37,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 11, 38,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  39 (2), support = 4 */
    { 11, 39,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 11, 40,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 11, 41,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 11, 42,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 11, 43,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 11, 44,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 11, 45,  37 }, /*  37 (2),  38 (2),  37 (2),  37 (2),  37 (2), support = 4 */
    { 11, 46,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 11, 47,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  35 (2), support = 4 */
    { 12,  0,  21 }, /*  21 (1),  21 (1),  22 (1),  21 (1),  21 (1), support = 1 */
    { 12,  1,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12,  2,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12,  3,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12,  5,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12,  6,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12,  7,  21 }, /*  21 (1),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    { 12,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 10,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 11,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 12,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 13,  21 }, /*  21 (2),  21 (2),  20 (2),  20 (2),  21 (2), support = 3 */
    { 12, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12, 16,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 12, 21,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12, 22,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 12, 23,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  19 (2), support = 4 */
    { 12, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 12, 25,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 12, 26,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 12, 27,  38 }, /*  38 (2),  20 (1),  38 (2),  38 (2),  20 (1), support = 3 */
    { 12, 28,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 12, 29,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 12, 30,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 12, 31,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 12, 32,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 12, 33,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 12, 34,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 12, 35,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 12, 36,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 12, 37,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 12, 38,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 39,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 40,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 41,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 42,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 43,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 44,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 12, 45,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 12, 46,  34 }, /*  34 (2),  34 (2),  34 (2),  33 (2),  34 (2), support = 4 */
    { 12, 47,  -1 }, /*  25 (1),  24 (1),   4 (0),  13 (1),  34 (2), support = 1 */
    { 13,  0,  21 }, /*  21 (1),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    { 13,  1,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13,  2,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13,  3,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13,  5,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13,  6,  21 }, /*  21 (1),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    { 13,  7,  21 }, /*  21 (1),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    { 13,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 10,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 11,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 12,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 16,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 13, 21,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 22,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 13, 23,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 13, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 13, 25,  19 }, /*  19 (2),  19 (2),  20 (1),  20 (1),  19 (2), support = 3 */
    { 13, 26,  38 }, /*  38 (2),  38 (2),  20 (1),  38 (2),  20 (1), support = 3 */
    { 13, 27,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  20 (1), support = 4 */
    { 13, 28,  38 }, /*  38 (2),  20 (1),  38 (2),  38 (2),  20 (1), support = 3 */
    { 13, 29,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 30,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 31,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 13, 32,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 13, 33,  40 }, /*  39 (2),  40 (1),  40 (1),  39 (2),  40 (1), support = 1 */
    { 13, 34,  40 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 13, 35,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 13, 36,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 13, 37,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 38,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 39,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 40,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 41,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 42,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 13, 43,  36 }, /*  36 (2),  37 (2),  36 (2),  36 (2),  36 (2), support = 4 */
    { 13, 44,  34 }, /*  34 (2),  34 (2),  35 (2),  34 (2),  35 (2), support = 3 */
    { 13, 45,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 13, 46,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 13, 47,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 14,  0,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 14,  1,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 14,  2,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  20 (2), support = 4 */
    { 14,  3,  20 }, /*  20 (2),  20 (2),  19 (2),  19 (2),  20 (2), support = 3 */
    { 14,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14,  5,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14,  6,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14,  7,  21 }, /*  21 (1),  21 (1),  20 (2),  20 (2),  21 (1), support = 1 */
    { 14,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14,  9,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 10,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 11,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 12,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 16,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 20,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 14, 21,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 22,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 14, 23,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 14, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 14, 25,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 14, 26,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 14, 27,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 14, 28,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 14, 29,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 14, 30,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    { 14, 31,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  37 (2), support = 4 */
    { 14, 32,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 14, 33,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 14, 34,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 14, 35,  39 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 14, 36,  39 }, /*  39 (2),  39 (2),  38 (2),  38 (2),  39 (2), support = 3 */
    { 14, 37,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 14, 38,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 14, 39,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 14, 40,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 14, 41,  38 }, /*  38 (2),  38 (2),  37 (2),  37 (2),  38 (2), support = 3 */
    { 14, 42,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  37 (2), support = 4 */
    { 14, 43,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 14, 44,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 14, 45,  34 }, /*  34 (2),  34 (2),  34 (2),  33 (2),  34 (2), support = 4 */
    { 14, 46,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 14, 47,  35 }, /*  35 (2),  35 (2),  16 (1),  35 (2),  35 (2), support = 4 */
    { 15,  0,  19 }, /*  19 (2),  19 (2),  19 (2),  18 (2),  19 (2), support = 4 */
    { 15,  1,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15,  2,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15,  3,  19 }, /*  19 (2),  20 (2),  19 (2),  19 (2),  20 (2), support = 3 */
    { 15,  4,  20 }, /*  20 (2),  20 (2),  20 (2),  19 (2),  20 (2), support = 4 */
    { 15,  5,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15,  6,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15,  7,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15,  8,  21 }, /*  21 (2),  21 (2),  21 (2),  20 (2),  21 (2), support = 4 */
    { 15,  9,  20 }, /*  20 (2),  20 (2),  21 (2),  20 (2),  21 (2), support = 3 */
    { 15, 10,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 15, 11,  21 }, /*  21 (2),  21 (2),  21 (2),  20 (2),  21 (2), support = 4 */
    { 15, 12,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 16,  21 }, /*  21 (2),  21 (2),  21 (2),  20 (2),  21 (2), support = 4 */
    { 15, 17,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 15, 18,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 15, 19,  21 }, /*  21 (2),  21 (2),  21 (2),  21 (2),  21 (2), support = 5 */
    { 15, 20,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 21,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 22,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 15, 23,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15, 25,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15, 26,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15, 27,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 15, 28,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 15, 29,  36 }, /*  36 (2),  36 (2),  36 (2),  36 (2),  36 (2), support = 5 */
    { 15, 30,  36 }, /*  36 (2),  36 (2),  36 (2),  36 (2),  36 (2), support = 5 */
    { 15, 31,  36 }, /*  36 (2),  36 (2),  36 (2),  36 (2),  36 (2), support = 5 */
    { 15, 32,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 15, 33,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 15, 34,  36 }, /*  36 (2),  36 (2),  36 (2),  36 (2),  36 (2), support = 5 */
    { 15, 35,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    { 15, 36,  37 }, /*  37 (2),  37 (2),  37 (2),  37 (2),  37 (2), support = 5 */
    { 15, 37,  37 }, /*  37 (2),  38 (2),  37 (2),  37 (2),  38 (2), support = 3 */
    { 15, 38,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 15, 39,  38 }, /*  38 (2),  38 (2),  38 (2),  38 (2),  38 (2), support = 5 */
    { 15, 40,  38 }, /*  38 (2),  38 (2),  37 (2),  38 (2),  38 (2), support = 4 */
    { 15, 41,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 15, 42,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 15, 43,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 15, 44,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 15, 45,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 15, 46,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 15, 47,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 16,  0,  -1 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  19 (2), support = 1 */
    { 16,  1,  -1 }, /*  42 (1),  42 (1),  42 (1),  42 (1),  19 (2), support = 1 */
    { 16,  2,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16,  3,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16,  4,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16,  5,  20 }, /*  20 (1),  20 (1),  20 (1),  19 (2),  20 (1), support = 1 */
    { 16,  6,  20 }, /*  20 (1),  20 (1),  20 (1),  19 (2),  20 (1), support = 1 */
    { 16,  7,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 16,  8,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16,  9,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 10,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  21 (1), support = 4 */
    { 16, 11,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  21 (1), support = 4 */
    { 16, 12,  21 }, /*  20 (2),  21 (1),  21 (1),  20 (2),  21 (1), support = 1 */
    { 16, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 16,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    { 16, 17,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    { 16, 18,  21 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  21 (1), support = 1 */
    { 16, 19,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 20,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 21,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 16, 22,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16, 23,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16, 25,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 16, 26,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  18 (2), support = 4 */
    { 16, 27,  18 }, /*  19 (2),  18 (2),  18 (2),  18 (2),  19 (2), support = 3 */
    { 16, 28,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 16, 29,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 16, 30,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 16, 31,  34 }, /*  34 (2),  34 (2),  35 (2),  34 (2),  34 (2), support = 4 */
    { 16, 32,  35 }, /*  34 (2),  35 (1),  35 (1),  35 (1),  37 (1), support = 1 */
    { 16, 33,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  37 (1), support = 1 */
    { 16, 34,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 16, 35,  35 }, /*  35 (1),  35 (1),  36 (1),  35 (1),  36 (1), support = 1 */
    { 16, 36,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 16, 37,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 16, 38,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 16, 39,  34 }, /*  34 (2),  34 (2),  35 (1),  34 (2),  34 (2), support = 4 */
    { 16, 40,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 16, 41,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 16, 42,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 16, 43,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  35 (1), support = 1 */
    { 16, 44,  35 }, /*  35 (1),  35 (1),  34 (2),  34 (2),  35 (1), support = 1 */
    { 16, 45,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 16, 46,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 16, 47,  34 }, /*  34 (2),  34 (2),  48 (0),  34 (2),  34 (2), support = 4 */
    { 17,  0,  -1 }, /*  41 (1),  41 (1),  41 (1),  41 (1),  41 (1), support = 1 */
    { 17,  1,  19 }, /*  19 (2),  19 (2),  19 (2),  42 (1),  19 (2), support = 4 */
    { 17,  2,  19 }, /*  19 (2),  19 (2),  18 (2),  18 (2),  19 (2), support = 3 */
    { 17,  3,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 17,  4,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 17,  5,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 17,  6,  20 }, /*  20 (1),  20 (1),  20 (1),  19 (2),  20 (1), support = 1 */
    { 17,  7,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 17,  8,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17,  9,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  21 (1), support = 4 */
    { 17, 10,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 11,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 12,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 16,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 17,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 18,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 19,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 17, 20,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 17, 21,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 17, 22,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 17, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 17, 24,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  19 (2), support = 4 */
    { 17, 25,  -1 }, /*  27 (2),  20 (1),  19 (2),  27 (2),  20 (1), support = 1 */
    { 17, 26,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 17, 27,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 17, 28,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 17, 29,  35 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 5 */
    { 17, 30,  36 }, /*  36 (1),  35 (2),  36 (1),  36 (1),  35 (2), support = 1 */
    { 17, 31,  38 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  36 (1), support = 1 */
    { 17, 32,  36 }, /*  36 (1),  36 (1),  20 (1),  36 (1),  36 (1), support = 1 */
    { 17, 33,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 17, 34,  34 }, /*  34 (2),  34 (2),  35 (1),  34 (2),  34 (2), support = 4 */
    { 17, 35,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 17, 36,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 17, 37,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 17, 38,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 17, 39,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 17, 40,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 17, 41,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 17, 42,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 17, 43,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 17, 44,  35 }, /*  35 (1),  35 (1),  24 (1),  35 (1),  35 (1), support = 1 */
    { 17, 45,  -1 }, /*   8 (0),  35 (1),   8 (0),   1 (0),   9 (0), support = 4 */
    { 17, 46,  35 }, /*  35 (1),  35 (1),  37 (1),  34 (2),  35 (1), support = 1 */
    { 17, 47,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18,  0,  -1 }, /*  40 (1),  40 (1),  40 (1),  40 (1),  40 (1), support = 1 */
    { 18,  1,  19 }, /*  19 (2),  19 (2),  48 (0),  18 (2),  19 (2), support = 3 */
    { 18,  2,  19 }, /*  19 (2),  19 (2),  19 (2),  18 (2),  19 (2), support = 4 */
    { 18,  3,  19 }, /*  19 (2),  19 (2),  19 (2),  18 (2),  19 (2), support = 4 */
    { 18,  4,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 18,  5,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 18,  6,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 18,  7,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  20 (1), support = 4 */
    { 18,  8,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  20 (2), support = 4 */
    { 18,  9,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 10,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 11,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 12,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 16,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 17,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 18,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 18, 19,  19 }, /*  19 (2),  19 (2),  20 (2),  19 (2),  19 (2), support = 4 */
    { 18, 20,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 18, 21,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 18, 22,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 18, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 18, 24,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 18, 25,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 18, 26,  -1 }, /*  20 (1),  20 (1),  20 (1),  27 (2),  20 (1), support = 1 */
    { 18, 27,  -1 }, /*  28 (1),  28 (1),  39 (1),  28 (1),  28 (1), support = 1 */
    { 18, 28,  -1 }, /*  28 (1),  28 (1),  28 (1),  28 (1),  28 (1), support = 1 */
    { 18, 29,  -1 }, /*  35 (2),  35 (2),  35 (2),  35 (2),  35 (2), support = 1 */
    { 18, 30,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 18, 31,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 18, 32,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 18, 33,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 18, 34,  34 }, /*  34 (2),  34 (2),  35 (1),  34 (2),  34 (2), support = 4 */
    { 18, 35,  35 }, /*  35 (1),  35 (1),  35 (1),  34 (2),  35 (1), support = 1 */
    { 18, 36,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 37,  35 }, /*  35 (1),  35 (1),  34 (2),  35 (1),  35 (1), support = 1 */
    { 18, 38,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 39,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 40,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 41,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  35 (1), support = 4 */
    { 18, 42,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 43,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 44,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 18, 45, 109 }, /*   0 (0),   0 (0),   7 (0),   0 (0),  10 (0), support = 5 */
    { 18, 46, 109 }, /*  46 (0),  48 (0),  46 (0),  48 (0),  10 (0), support = 5 */
    { 18, 47, 109 }, /*  33 (2),  21 (1),  45 (1),  48 (0),  48 (0), support = 1 */
    { 19,  0,  -1 }, /*  20 (1),  20 (1),  39 (1),  20 (1),  19 (2), support = 1 */
    { 19,  1,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  2,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  3,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  4,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  5,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  6,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  7,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  8,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19,  9,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  20 (2), support = 4 */
    { 19, 10,  20 }, /*  20 (2),  20 (2),  19 (2),  20 (2),  20 (2), support = 4 */
    { 19, 11,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19, 12,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 19, 13,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 19, 14,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 19, 15,  20 }, /*  20 (2),  20 (2),  20 (2),  19 (2),  20 (2), support = 4 */
    { 19, 16,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 19, 17,  20 }, /*  20 (2),  20 (2),  20 (2),  20 (2),  20 (2), support = 5 */
    { 19, 18,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19, 19,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19, 20,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 19, 21,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  18 (2), support = 4 */
    { 19, 22,  18 }, /*  19 (2),  18 (2),  19 (2),  18 (2),  18 (2), support = 3 */
    { 19, 23,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  18 (2), support = 4 */
    { 19, 24,  19 }, /*  19 (2),  19 (2),  20 (1),  20 (1),  19 (2), support = 3 */
    { 19, 25,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 19, 26,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 19, 27,  20 }, /*  20 (1),  20 (1),  20 (1),  28 (1),  20 (1), support = 1 */
    { 19, 28,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 19, 29,  38 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  38 (1), support = 1 */
    { 19, 30,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 19, 31,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 19, 32,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 19, 33,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 19, 34,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 19, 35,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 19, 36,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 19, 37,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 19, 38,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 19, 39,  34 }, /*  34 (2),  34 (2),  33 (2),  33 (2),  34 (2), support = 3 */
    { 19, 40,  35 }, /*  35 (1),  35 (1),  34 (2),  35 (1),  35 (1), support = 1 */
    { 19, 41,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 19, 42,  33 }, /*  33 (2),  33 (2),  34 (2),  33 (2),  34 (2), support = 3 */
    { 19, 43,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 19, 44,  33 }, /*  33 (2),  33 (2),  34 (2),  33 (2),  33 (2), support = 4 */
    { 19, 45, 109 }, /*   3 (0),   4 (0),   3 (0),   4 (0),   9 (0), support = 5 */
    { 19, 46, 109 }, /*   1 (0),   1 (0),   1 (0),  27 (1),  22 (1), support = 1 */
    { 19, 47, 109 }, /*  47 (0),  24 (1),  47 (0),  24 (1),  38 (1), support = 1 */
    { 20,  0,  -1 }, /*  21 (1),  21 (1),  49 (0),  20 (1),  20 (1), support = 1 */
    { 20,  1,  20 }, /*  20 (1),  20 (1),  19 (2),  19 (2),  20 (1), support = 1 */
    { 20,  2,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  19 (2), support = 1 */
    { 20,  3,  18 }, /*  18 (2),  18 (2),  19 (2),  18 (2),  19 (2), support = 3 */
    { 20,  4,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20,  5,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20,  6,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  19 (2), support = 4 */
    { 20,  7,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20,  8,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20,  9,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 10,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20, 11,  19 }, /*  19 (2),  19 (2),  18 (2),  18 (2),  19 (2), support = 3 */
    { 20, 12,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 13,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 14,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 15,  19 }, /*  19 (2),  19 (2),  18 (2),  19 (2),  19 (2), support = 4 */
    { 20, 16,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  19 (2), support = 4 */
    { 20, 17,  18 }, /*  18 (2),  18 (2),  19 (2),  18 (2),  19 (2), support = 3 */
    { 20, 18,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 19,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 20,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20, 21,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20, 22,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 20, 24,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 25,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 20, 26,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 20, 27,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 20, 28,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 20, 29,  38 }, /*  38 (1),  38 (1),  39 (1),  39 (1),  38 (1), support = 1 */
    { 20, 30,  38 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  38 (1), support = 1 */
    { 20, 31,  39 }, /*  39 (1),  39 (1),  39 (1),  38 (1),  39 (1), support = 1 */
    { 20, 32,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 20, 33,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 20, 34,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 20, 35,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  35 (1), support = 4 */
    { 20, 36,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 20, 37,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 20, 38,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 20, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 20, 40,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 20, 41,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  34 (2), support = 4 */
    { 20, 42,  33 }, /*  33 (2),  33 (2),  43 (2),  33 (2),  33 (2), support = 4 */
    { 20, 43,  34 }, /*  34 (2),  34 (2),   9 (0),  34 (2),  34 (2), support = 4 */
    { 20, 44,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  34 (2), support = 4 */
    { 20, 45, 109 }, /*  13 (1),   8 (0),  13 (1),  15 (1),   8 (0), support = 1 */
    { 20, 46, 109 }, /*   7 (0),   7 (0),  21 (1),  20 (1),  13 (1), support = 1 */
    { 20, 47, 109 }, /*  36 (1),  36 (1),  36 (1),  33 (2),  33 (2), support = 1 */
    { 21,  0,  -1 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  20 (1), support = 1 */
    { 21,  1,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 21,  2,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 21,  3,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21,  4,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21,  5,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21,  6,  18 }, /*  18 (2),  19 (2),  18 (2),  18 (2),  19 (2), support = 3 */
    { 21,  7,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 21,  8,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 21,  9,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 21, 10,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  18 (2), support = 4 */
    { 21, 11,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 12,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 13,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 21, 14,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 15,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 16,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 21, 17,  17 }, /*  17 (2),  17 (2),  18 (2),  17 (2),  17 (2), support = 4 */
    { 21, 18,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 19,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 20,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 21,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 22,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 24,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 25,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 21, 26,  -1 }, /*  28 (1),  28 (1),  26 (2),  26 (2),  26 (2), support = 1 */
    { 21, 27,  -1 }, /*  29 (1),  29 (1),  28 (1),  29 (1),  29 (1), support = 1 */
    { 21, 28,  38 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  39 (1), support = 1 */
    { 21, 29,  39 }, /*  39 (1),  39 (1),  39 (1),  39 (1),  39 (1), support = 1 */
    { 21, 30,  33 }, /*  33 (2),  33 (2),  38 (1),  33 (2),  33 (2), support = 4 */
    { 21, 31,  34 }, /*  34 (2),  34 (2),  38 (1),  38 (1),  34 (2), support = 3 */
    { 21, 32,  -1 }, /*  48 (0),  49 (0),  48 (0),  49 (0),   6 (0), support = 5 */
    { 21, 33,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 21, 34,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 21, 35,  34 }, /*  34 (2),  34 (2),   1 (0),  34 (2),  34 (2), support = 4 */
    { 21, 36,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 21, 37,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 21, 38,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 21, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 21, 40,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 21, 41,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 21, 42,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 21, 43, 109 }, /*  19 (1),  14 (1),  21 (1),  23 (1),  25 (1), support = 1 */
    { 21, 44, 109 }, /*   5 (0),   0 (0),   5 (0),   2 (0),   6 (0), support = 5 */
    { 21, 45, 109 }, /*   8 (0),  47 (0),   8 (0),  47 (0),   0 (0), support = 5 */
    { 21, 46, 109 }, /*  18 (1),  38 (1),  14 (1),  41 (2),  22 (1), support = 1 */
    { 21, 47, 109 }, /*  40 (2),  40 (2),  40 (2),  40 (2),  40 (2), support = 5 */
    { 22,  0,  20 }, /*  20 (1),  20 (1),  20 (1),  38 (1),  20 (1), support = 1 */
    { 22,  1,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 22,  2,  -1 }, /*  11 (0),  11 (0),  26 (1),  26 (1),  20 (1), support = 1 */
    { 22,  3,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22,  4,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22,  5,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22,  6,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22,  7,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22,  8,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22,  9,  16 }, /*  16 (2),  16 (2),  17 (2),  16 (2),  16 (2), support = 4 */
    { 22, 10,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 22, 11,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 22, 12,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22, 13,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22, 14,  17 }, /*  17 (2),  17 (2),  18 (2),  18 (2),  17 (2), support = 3 */
    { 22, 15,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 22, 16,  16 }, /*  16 (2),  16 (2),  16 (2),  16 (2),  16 (2), support = 5 */
    { 22, 17,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 22, 18,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 22, 19,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 22, 20,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22, 21,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22, 22,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  17 (2), support = 4 */
    { 22, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22, 24,  -1 }, /*  28 (1),  28 (1),  28 (1),  28 (1),  19 (2), support = 1 */
    { 22, 25,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 22, 26,  26 }, /*  26 (2),  26 (2),  26 (2),  26 (2),  27 (2), support = 4 */
    { 22, 27,  -1 }, /*  29 (1),  29 (1),  26 (2),  29 (1),  29 (1), support = 1 */
    { 22, 28,  -1 }, /*  37 (1),  37 (1),  38 (1),  37 (1),  38 (1), support = 1 */
    { 22, 29,  33 }, /*  33 (2),  37 (1),  33 (2),  37 (1),  33 (2), support = 3 */
    { 22, 30,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 22, 31,  34 }, /*  34 (2),  34 (2),  33 (2),  34 (2),  34 (2), support = 4 */
    { 22, 32,  34 }, /*  34 (2),  34 (2),  34 (2),  34 (2),  34 (2), support = 5 */
    { 22, 33,  -1 }, /*   7 (0),   7 (0),   7 (0),   6 (0),   6 (0), support = 5 */
    { 22, 34,  -1 }, /*   2 (0),  14 (1),   2 (0),  14 (1),   0 (0), support = 1 */
    { 22, 35,  -1 }, /*  10 (0),   1 (0),  10 (0),   1 (0),   0 (0), support = 5 */
    { 22, 36,  -1 }, /*  15 (1),  30 (2),  15 (1),  30 (2),   0 (0), support = 1 */
    { 22, 37,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 22, 38,  44 }, /*  45 (1),  45 (1),  44 (2),  44 (2),  44 (2), support = 3 */
    { 22, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 22, 40,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 22, 41,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 22, 42,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 22, 43, 109 }, /*  18 (1),  16 (1),  18 (1),  16 (1),  24 (1), support = 1 */
    { 22, 44, 109 }, /*   0 (0),   0 (0),  38 (1),   0 (0),   9 (0), support = 4 */
    { 22, 45, 109 }, /*   5 (0),  10 (0),   5 (0),   3 (0),   5 (0), support = 5 */
    { 22, 46, 109 }, /*  45 (1),  23 (1),   1 (0),   4 (0),  13 (1), support = 1 */
    { 22, 47, 109 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  36 (1), support = 4 */
    { 23,  0,  -1 }, /*  27 (1),  27 (1),  27 (1),  26 (1),  27 (1), support = 1 */
    { 23,  1,  -1 }, /*  27 (1),  27 (1),  27 (1),  27 (1),  28 (1), support = 1 */
    { 23,  2,  -1 }, /*   6 (0),   7 (0),   1 (0),  27 (1),  27 (1), support = 1 */
    { 23,  3,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 23,  4,  19 }, /*  19 (2),  19 (2),  19 (2),  19 (2),  19 (2), support = 5 */
    { 23,  5,  19 }, /*  19 (2),  19 (2),  20 (1),  19 (2),  19 (2), support = 4 */
    { 23,  6,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 23,  7,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 23,  8,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 23,  9,  16 }, /*  16 (2),  16 (2),  16 (2),  16 (2),  16 (2), support = 5 */
    { 23, 10,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 11,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 12,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 13,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 14,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 15,  16 }, /*  16 (2),  16 (2),  17 (2),  16 (2),  16 (2), support = 4 */
    { 23, 16,  16 }, /*  16 (2),  16 (2),  16 (2),  16 (2),  16 (2), support = 5 */
    { 23, 17,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 18,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 19,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 20,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 23, 21,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 23, 22,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 23, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 23, 24,  20 }, /*  20 (1),  20 (1),  24 (2),  20 (1),  20 (1), support = 1 */
    { 23, 25,  -1 }, /*  28 (1),  28 (1),  28 (1),  28 (1),  28 (1), support = 1 */
    { 23, 26,  -1 }, /*  41 (1),  41 (1),  48 (0),  26 (2),  27 (2), support = 1 */
    { 23, 27,  26 }, /*  26 (2),  26 (2),  26 (2),  26 (2),  26 (2), support = 5 */
    { 23, 28,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 23, 29,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 23, 30,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 23, 31,  33 }, /*  33 (2),  33 (2),  33 (2),  33 (2),  33 (2), support = 5 */
    { 23, 32,  -1 }, /*  12 (0),  12 (0),  12 (0),   9 (0),  29 (1), support = 4 */
    { 23, 33,  -1 }, /*  28 (1),  28 (1),  28 (1),  28 (1),  28 (1), support = 1 */
    { 23, 34,  -1 }, /*   1 (0),  31 (2),   1 (0),  35 (1),   4 (0), support = 1 */
    { 23, 35,  -1 }, /*  28 (1),  28 (1),  28 (1),  15 (1),  15 (1), support = 1 */
    { 23, 36,  -1 }, /*  38 (1),  22 (1),  38 (1),  22 (1),   4 (0), support = 1 */
    { 23, 37,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 23, 38,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 23, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 23, 40,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  44 (1), support = 4 */
    { 23, 41,  43 }, /*  43 (2),  43 (2),  43 (2),  43 (2),  43 (2), support = 5 */
    { 23, 42,  43 }, /*  43 (2),  43 (2),  32 (2),  43 (2),  44 (1), support = 3 */
    { 23, 43, 109 }, /*   7 (0),  11 (0),  18 (1),   6 (0),  21 (1), support = 1 */
    { 23, 44, 109 }, /*  22 (1),  22 (1),  14 (1),  22 (1),  13 (1), support = 1 */
    { 23, 45, 109 }, /*  16 (1),  16 (1),  16 (1),  13 (1),   4 (0), support = 1 */
    { 23, 46, 109 }, /*   0 (0),  37 (1),   0 (0),  25 (1),  27 (1), support = 1 */
    { 23, 47, 109 }, /*  44 (1),  44 (1),  44 (1),  44 (1),  32 (2), support = 1 */
    { 24,  0,  -1 }, /*  28 (2),  28 (2),  28 (2),  27 (2),  28 (2), support = 1 */
    { 24,  1,  -1 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  28 (2), support = 1 */
    { 24,  2,  19 }, /*  19 (1),  19 (1),  19 (1),  19 (1),  19 (1), support = 1 */
    { 24,  3,  20 }, /*  20 (1),  20 (1),  19 (1),  19 (1),  20 (1), support = 1 */
    { 24,  4,  20 }, /*  20 (1),  19 (1),  20 (1),  19 (1),  19 (1), support = 1 */
    { 24,  5,  20 }, /*  20 (1),  20 (1),   1 (0),  20 (1),  20 (1), support = 1 */
    { 24,  6,  17 }, /*  17 (2),  17 (2),  18 (2),  17 (2),  17 (2), support = 4 */
    { 24,  7,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 24,  8,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 24,  9,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 24, 10,  19 }, /*  19 (1),  19 (1),  19 (1),  18 (1),  18 (1), support = 1 */
    { 24, 11,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 24, 12,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 24, 13,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 24, 14,  17 }, /*  17 (2),  17 (2),  18 (1),  17 (2),  17 (2), support = 4 */
    { 24, 15,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 24, 16,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 24, 17,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 24, 18,  -1 }, /*  42 (1),  42 (1),  42 (1),  42 (1),  17 (2), support = 1 */
    { 24, 19,  17 }, /*  17 (2),  17 (2),  42 (1),  17 (2),  17 (2), support = 4 */
    { 24, 20,  41 }, /*  41 (2),  41 (2),  42 (1),  41 (2),  18 (2), support = 3 */
    { 24, 21,  41 }, /*  41 (2),  41 (2),  41 (2),  41 (2),  18 (2), support = 4 */
    { 24, 22,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 24, 23,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 24, 24,  20 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 24, 25,  26 }, /*  26 (2),  26 (2),  26 (2),  26 (2),  26 (2), support = 5 */
    { 24, 26,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 24, 27,  32 }, /*  32 (1),  32 (1),  32 (1),  26 (2),  32 (1), support = 1 */
    { 24, 28,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 24, 29,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 24, 30,  33 }, /*  33 (1),  33 (1),  33 (1),  33 (1),  33 (1), support = 1 */
    { 24, 31,  33 }, /*  33 (1),  33 (1),  33 (1),  33 (1),  33 (1), support = 1 */
    { 24, 32,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 24, 33,  28 }, /*  28 (2),  28 (2),  29 (2),  28 (2),  28 (2), support = 4 */
    { 24, 34,  -1 }, /*  33 (1),  33 (1),   2 (0),  33 (1),  34 (1), support = 1 */
    { 24, 35,  -1 }, /*  40 (1),   9 (0),  40 (1),   9 (0),   9 (0), support = 1 */
    { 24, 36,  -1 }, /*  49 (0),  49 (0),  20 (1),   5 (0),   3 (0), support = 4 */
    { 24, 37,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 24, 38,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 24, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 24, 40,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 24, 41,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 24, 42, 109 }, /*  26 (1),  31 (1),  26 (1),  25 (1),  39 (1), support = 1 */
    { 24, 43, 109 }, /*   6 (0),   7 (0),  49 (0),  44 (2),  49 (0), support = 4 */
    { 24, 44, 109 }, /*  42 (2),  30 (1),   0 (0),  25 (1),   4 (0), support = 1 */
    { 24, 45, 109 }, /*   9 (0),  16 (1),   9 (0),  11 (0),  22 (1), support = 1 */
    { 24, 46, 109 }, /*  18 (1),  39 (1),   6 (0),  39 (1),  18 (1), support = 1 */
    { 24, 47, 109 }, /*  24 (1),  49 (0),  24 (1),  22 (1),  35 (1), support = 1 */
    { 25,  0,  -1 }, /*  28 (2),  28 (2),  28 (2),  38 (1),  28 (2), support = 4 */
    { 25,  1,  -1 }, /*  38 (1),  38 (1),  28 (2),  38 (1),  28 (2), support = 1 */
    { 25,  2,  -1 }, /*  19 (1),  18 (2),  40 (1),  19 (1),  41 (1), support = 1 */
    { 25,  3,  -1 }, /*  20 (1),  20 (1),  41 (1),  41 (1),  20 (1), support = 1 */
    { 25,  4,  -1 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  38 (1), support = 1 */
    { 25,  5,  -1 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  38 (1), support = 1 */
    { 25,  6,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 25,  7,  18 }, /*  18 (2),  18 (2),  17 (2),  17 (2),  18 (2), support = 3 */
    { 25,  8,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 25,  9,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 25, 10,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 25, 11,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 25, 12,  16 }, /*  16 (2),  16 (2),  17 (2),  16 (2),  16 (2), support = 4 */
    { 25, 13,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 25, 14,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 25, 15,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 25, 16,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 25, 17,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 25, 18,  23 }, /*  23 (1),  23 (1),  24 (2),  23 (1),  23 (1), support = 1 */
    { 25, 19,  24 }, /*  24 (2),  24 (2),  24 (2),  24 (2),  24 (2), support = 5 */
    { 25, 20,  -1 }, /*  41 (2),  41 (2),  41 (2),  41 (2),  41 (2), support = 5 */
    { 25, 21,  26 }, /*  26 (2),  26 (2),  26 (2),  26 (2),  26 (2), support = 5 */
    { 25, 22,  27 }, /*  27 (2),  19 (1),  27 (2),  27 (2),  19 (1), support = 3 */
    { 25, 23,  -1 }, /*  40 (2),  40 (2),  19 (1),  40 (2),  19 (1), support = 3 */
    { 25, 24,  -1 }, /*  20 (1),  20 (1),  20 (1),  20 (1),  20 (1), support = 1 */
    { 25, 25,  30 }, /*  30 (2),  30 (2),  27 (2),  30 (2),  30 (2), support = 4 */
    { 25, 26,  -1 }, /*  27 (2),  28 (2),  31 (1),  27 (2),  27 (2), support = 3 */
    { 25, 27,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 25, 28,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 25, 29,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  30 (2), support = 1 */
    { 25, 30,  32 }, /*  32 (1),  32 (1),  29 (2),  32 (1),  31 (1), support = 1 */
    { 25, 31,  29 }, /*  29 (2),  29 (2),  29 (2),  29 (2),  31 (1), support = 4 */
    { 25, 32,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 25, 33,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 25, 34,  32 }, /*  32 (2),  33 (1),  32 (2),  33 (1),  32 (2), support = 3 */
    { 25, 35,  -1 }, /*  14 (1),  17 (1),  14 (1),  14 (1),  19 (1), support = 1 */
    { 25, 36,  -1 }, /*  49 (0),  49 (0),  48 (0),  48 (0),  49 (0), support = 5 */
    { 25, 37,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 25, 38,  44 }, /*  44 (2),  44 (2),  44 (2),  45 (2),  44 (2), support = 4 */
    { 25, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 25, 40,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 25, 41,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 25, 42, 109 }, /*  22 (1),  21 (1),  22 (1),  21 (1),  29 (1), support = 1 */
    { 25, 43, 109 }, /*   8 (0),   0 (0),   8 (0),  13 (1),  47 (0), support = 4 */
    { 25, 44, 109 }, /*  30 (1),  28 (1),  30 (1),   1 (0),  28 (1), support = 1 */
    { 25, 45, 109 }, /*  18 (1),  18 (1),  18 (1),  37 (1),  13 (1), support = 1 */
    { 25, 46, 110 }, /*  30 (1),  46 (0),  30 (1),  45 (2),  21 (1), support = 1 */
    { 25, 47, 110 }, /*  22 (1),  45 (2),  22 (1),  17 (1),  39 (1), support = 1 */
    { 26,  0,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 26,  1,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 26,  2,  28 }, /*  28 (2),  28 (2),  27 (2),  27 (2),  28 (2), support = 3 */
    { 26,  3,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 26,  4,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  30 (1), support = 4 */
    { 26,  5,  -1 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  30 (1), support = 1 */
    { 26,  6,  -1 }, /*  38 (1),  38 (1),  38 (1),  38 (1),  27 (2), support = 1 */
    { 26,  7,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 26,  8,  18 }, /*  18 (1),  18 (1),  48 (0),  18 (1),  18 (1), support = 1 */
    { 26,  9,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 26, 10,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 26, 11,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 26, 12,  17 }, /*  17 (2),  17 (2),  43 (2),  17 (2),  17 (2), support = 4 */
    { 26, 13,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 26, 14,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 26, 15,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 26, 16,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 26, 17,  18 }, /*  18 (2),  18 (2),  18 (2),  18 (2),  18 (2), support = 5 */
    { 26, 18,  -1 }, /*  42 (1),  42 (1),  42 (1),  42 (1),  42 (1), support = 1 */
    { 26, 19,  -1 }, /*  49 (0),  49 (0),  24 (2),  24 (2),  24 (2), support = 3 */
    { 26, 20,  26 }, /*  26 (2),  26 (2),  25 (2),  26 (2),  26 (2), support = 4 */
    { 26, 21,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 26, 22,  27 }, /*  28 (2),  28 (2),  27 (2),  27 (2),  27 (2), support = 3 */
    { 26, 23,  -1 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 26, 24,  -1 }, /*  26 (2),  26 (2),  26 (2),  26 (2),  19 (1), support = 4 */
    { 26, 25,  31 }, /*  31 (1),  31 (1),  30 (2),  31 (1),  31 (1), support = 1 */
    { 26, 26,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 26, 27,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  30 (2), support = 1 */
    { 26, 28,  30 }, /*  30 (2),  29 (2),  30 (2),  30 (2),  29 (2), support = 3 */
    { 26, 29,  29 }, /*  29 (2),  29 (2),  31 (1),  31 (1),  29 (2), support = 3 */
    { 26, 30,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  31 (1), support = 1 */
    { 26, 31,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 26, 32,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 26, 33,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 26, 34,  32 }, /*  32 (2),  32 (2),  32 (2),  32 (2),  32 (2), support = 5 */
    { 26, 35, 109 }, /*  14 (1),   4 (0),  14 (1),   4 (0),  14 (1), support = 1 */
    { 26, 36,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 26, 37,  44 }, /*  44 (2),  44 (2),  45 (2),  44 (2),  44 (2), support = 4 */
    { 26, 38,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 26, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 26, 40,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 26, 41,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 26, 42, 109 }, /*  19 (1),  13 (1),  23 (1),  13 (1),  29 (1), support = 1 */
    { 26, 43, 109 }, /*   8 (0),   6 (0),  22 (1),   6 (0),   6 (0), support = 4 */
    { 26, 44, 110 }, /*   7 (0),   7 (0),   7 (0),   7 (0),  47 (0), support = 5 */
    { 26, 45, 110 }, /*  16 (1),  40 (2),   9 (0),  48 (0),  30 (1), support = 1 */
    { 26, 46, 110 }, /*  36 (1),  36 (1),  36 (1),  18 (1),  12 (0), support = 1 */
    { 26, 47, 110 }, /*  46 (0),  46 (0),  11 (0),  11 (0),  32 (1), support = 1 */
    { 27,  0,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 27,  1,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 27,  2,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 27,  3,  28 }, /*  28 (2),  28 (2),   0 (0),  28 (2),  28 (2), support = 4 */
    { 27,  4,  27 }, /*  27 (2),  27 (2),   3 (0),  27 (2),  27 (2), support = 4 */
    { 27,  5,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 27,  6,  26 }, /*  26 (2),  26 (2),  27 (2),  26 (2),  26 (2), support = 4 */
    { 27,  7,  17 }, /*  17 (2),  17 (2),  17 (2),  17 (2),  17 (2), support = 5 */
    { 27,  8,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 27,  9,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 27, 10,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 27, 11,  18 }, /*  18 (1),  18 (1),  45 (1),  18 (1),  18 (1), support = 1 */
    { 27, 12,  -1 }, /*  44 (1),  44 (1),  44 (1),  44 (1),  44 (1), support = 1 */
    { 27, 13,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  44 (1), support = 4 */
    { 27, 14,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 27, 15,  -1 }, /*  17 (2),  17 (2),  27 (2),  27 (2),  17 (2), support = 3 */
    { 27, 16,  -1 }, /*  17 (2),  17 (2),  39 (2),  39 (2),  17 (2), support = 3 */
    { 27, 17,  42 }, /*  42 (1),  42 (1),  42 (1),  42 (1),  42 (1), support = 1 */
    { 27, 18,  42 }, /*  42 (1),  42 (1),  42 (1),  42 (1),  42 (1), support = 1 */
    { 27, 19,  -1 }, /*  25 (2),  25 (2),  25 (2),  25 (2),  25 (2), support = 5 */
    { 27, 20,  23 }, /*  23 (1),  23 (1),  25 (2),  23 (1),  23 (1), support = 1 */
    { 27, 21,  23 }, /*  23 (1),  23 (1),  24 (2),  23 (1),  23 (1), support = 1 */
    { 27, 22,  23 }, /*  23 (1),  23 (1),  23 (1),  23 (1),  23 (1), support = 1 */
    { 27, 23,  25 }, /*  25 (2),  25 (2),  25 (2),  25 (2),  25 (2), support = 5 */
    { 27, 24,  30 }, /*  30 (2),  30 (2),  30 (2),  29 (2),  30 (2), support = 4 */
    { 27, 25,  30 }, /*  30 (2),  30 (2),  30 (2),  30 (2),  30 (2), support = 5 */
    { 27, 26,  30 }, /*  30 (2),  30 (2),  30 (2),  30 (2),  30 (2), support = 5 */
    { 27, 27,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 27, 28,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 27, 29,  31 }, /*  31 (1),  31 (1),  31 (1),  32 (1),  31 (1), support = 1 */
    { 27, 30,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 27, 31,  34 }, /*  35 (1),  35 (1),  34 (1),  34 (1),  35 (1), support = 1 */
    { 27, 32,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  32 (2), support = 1 */
    { 27, 33,  -1 }, /*  41 (2),  41 (2),  17 (1),  41 (2),  41 (2), support = 4 */
    { 27, 34, 109 }, /*   0 (0),   0 (0),   6 (0),   0 (0),   6 (0), support = 5 */
    { 27, 35, 109 }, /*  31 (2),   1 (0),  31 (2),   1 (0),   1 (0), support = 1 */
    { 27, 36,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 27, 37,  -1 }, /*  39 (1),  39 (1),  17 (1),  45 (2),  45 (2), support = 1 */
    { 27, 38,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 27, 39,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 27, 40,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 27, 41,  44 }, /*  44 (2),  44 (2),  44 (2),  44 (2),  44 (2), support = 5 */
    { 27, 42, 109 }, /*  15 (1),  12 (0),  23 (1),  12 (0),  34 (1), support = 1 */
    { 27, 43, 109 }, /*  36 (1),  36 (1),  35 (1),   7 (0),   9 (0), support = 1 */
    { 27, 44, 110 }, /*  12 (0),  25 (1),  12 (0),  28 (1),  34 (1), support = 1 */
    { 27, 45, 110 }, /*  14 (1),  12 (0),  14 (1),  12 (0),  24 (1), support = 1 */
    { 27, 46, 110 }, /*  42 (2),  41 (2),  42 (2),  41 (2),  41 (2), support = 1 */
    { 27, 47, 110 }, /*  44 (2),  29 (1),  26 (1),  29 (1),  29 (1), support = 1 */
    { 28,  0,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 28,  1,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 28,  2,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 28,  3,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 28,  4,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 28,  5,  28 }, /*  28 (2),  28 (2),  29 (1),  28 (2),  28 (2), support = 4 */
    { 28,  6,  30 }, /*  30 (1),  30 (1),  30 (1),  30 (1),  30 (1), support = 1 */
    { 28,  7,  30 }, /*  30 (1),  30 (1),  30 (1),  30 (1),  30 (1), support = 1 */
    { 28,  8,  17 }, /*  17 (2),  17 (2),   0 (0),  17 (2),  17 (2), support = 4 */
    { 28,  9,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 28, 10,  18 }, /*  18 (1),  18 (1),  18 (1),  18 (1),  18 (1), support = 1 */
    { 28, 11,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 28, 12,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 28, 13,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 28, 14,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 28, 15,  27 }, /*  27 (2),  27 (2),  27 (2),  27 (2),  27 (2), support = 5 */
    { 28, 16,  -1 }, /*  39 (2),  39 (2),  39 (2),  39 (2),  39 (2), support = 5 */
    { 28, 17,  -1 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 28, 18,  -1 }, /*  23 (1),  23 (1),  42 (1),  23 (1),  23 (1), support = 1 */
    { 28, 19,  25 }, /*  25 (2),  25 (2),  24 (2),  25 (2),  24 (2), support = 3 */
    { 28, 20,  26 }, /*  26 (2),  26 (2),  26 (2),  26 (2),  26 (2), support = 5 */
    { 28, 21,  24 }, /*  24 (2),  24 (2),  24 (2),  24 (2),  24 (2), support = 5 */
    { 28, 22,  23 }, /*  23 (1),  23 (1),  25 (2),  23 (1),  23 (1), support = 1 */
    { 28, 23,  25 }, /*  25 (2),  25 (2),  25 (2),  25 (2),  25 (2), support = 5 */
    { 28, 24,  29 }, /*  29 (2),  29 (2),  29 (2),  29 (2),  29 (2), support = 5 */
    { 28, 25,  30 }, /*  30 (2),  30 (2),  30 (2),  30 (2),  30 (2), support = 5 */
    { 28, 26,  31 }, /*  31 (1),  31 (1),  31 (1),  30 (2),  31 (1), support = 1 */
    { 28, 27,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 28, 28,  33 }, /*  33 (1),  33 (1),  33 (1),  33 (1),  33 (1), support = 1 */
    { 28, 29,  34 }, /*  34 (1),  34 (1),  33 (1),  34 (1),  33 (1), support = 1 */
    { 28, 30,  34 }, /*  34 (1),  34 (1),  34 (1),  34 (1),  34 (1), support = 1 */
    { 28, 31,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 28, 32,  36 }, /*  36 (1),  36 (1),  36 (1),  36 (1),  36 (1), support = 1 */
    { 28, 33, 109 }, /*  19 (1),   1 (0),  19 (1),   3 (0),   9 (0), support = 1 */
    { 28, 34, 109 }, /*  15 (1),   2 (0),  15 (1),  28 (2),   1 (0), support = 1 */
    { 28, 35, 109 }, /*  12 (0),  12 (0),  12 (0),   7 (0),   4 (0), support = 5 */
    { 28, 36,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 28, 37,  -1 }, /*  36 (1),  35 (1),  15 (1),  45 (2),  45 (2), support = 1 */
    { 28, 38,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 28, 39,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 28, 40,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 28, 41, 110 }, /*  35 (1),  35 (1),  24 (1),  20 (1),  43 (2), support = 1 */
    { 28, 42, 110 }, /*  12 (0),   4 (0),  12 (0),   5 (0),  35 (1), support = 4 */
    { 28, 43, 110 }, /*  36 (1),  31 (1),  14 (1),  36 (1),  24 (1), support = 1 */
    { 28, 44, 110 }, /*  29 (1),   0 (0),  29 (1),   8 (0),  34 (1), support = 1 */
    { 28, 45, 110 }, /*  15 (1),   7 (0),  20 (1),  45 (2),  45 (2), support = 1 */
    { 28, 46, 110 }, /*  40 (2),  40 (2),   1 (0),  40 (2),  40 (2), support = 1 */
    { 28, 47, 110 }, /*  10 (0),  10 (0),   8 (0),   9 (0),   9 (0), support = 5 */
    { 29,  0,  30 }, /*  30 (1),  30 (1),  30 (1),  30 (1),  30 (1), support = 1 */
    { 29,  1,  30 }, /*  30 (1),  30 (1),   2 (0),   5 (0),  30 (1), support = 1 */
    { 29,  2,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 29,  3,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 29,  4,  29 }, /*  29 (1),  29 (1),  28 (2),  28 (2),  29 (1), support = 1 */
    { 29,  5,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 29,  6,  28 }, /*  28 (2),  28 (2),  36 (1),  28 (2),  28 (2), support = 4 */
    { 29,  7,  -1 }, /*  31 (1),  31 (1),  16 (2),  31 (1),  30 (1), support = 1 */
    { 29,  8,  -1 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 29,  9,  -1 }, /*  42 (2),  42 (2),  42 (2),  42 (2),  42 (2), support = 1 */
    { 29, 10,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 29, 11,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 29, 12,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 29, 13,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 29, 14,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 29, 15,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 29, 16,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 29, 17,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 29, 18,  -1 }, /*  23 (1),  23 (1),  31 (1),  23 (1),  31 (1), support = 1 */
    { 29, 19,  24 }, /*  24 (2),  24 (2),  24 (2),  24 (2),  24 (2), support = 5 */
    { 29, 20,  25 }, /*  25 (2),  25 (2),  25 (2),  25 (2),  25 (2), support = 5 */
    { 29, 21,  27 }, /*  27 (2),  27 (2),  28 (2),  25 (2),  27 (2), support = 3 */
    { 29, 22,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 29, 23,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 29, 24,  29 }, /*  29 (2),  29 (2),  29 (2),  29 (2),  29 (2), support = 5 */
    { 29, 25,  30 }, /*  30 (2),  30 (2),  30 (2),  30 (2),  30 (2), support = 5 */
    { 29, 26,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 29, 27,  33 }, /*  33 (1),  33 (1),  33 (1),  33 (1),  33 (1), support = 1 */
    { 29, 28,  34 }, /*  34 (1),  34 (1),  33 (1),  34 (1),  34 (1), support = 1 */
    { 29, 29,  34 }, /*  34 (1),  34 (1),  49 (0),  34 (1),  34 (1), support = 1 */
    { 29, 30,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 29, 31,  35 }, /*  35 (1),  35 (1),  16 (1),  35 (1),  35 (1), support = 1 */
    { 29, 32, 109 }, /*  10 (0),   8 (0),  10 (0),   8 (0),  15 (1), support = 4 */
    { 29, 33, 109 }, /*   1 (0),   1 (0),   1 (0),  17 (1),  17 (1), support = 1 */
    { 29, 34, 109 }, /*   9 (0),   5 (0),   9 (0),  20 (1),   7 (0), support = 4 */
    { 29, 35, 109 }, /*  17 (1),   1 (0),  17 (1),  10 (0),  10 (0), support = 1 */
    { 29, 36,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 29, 37,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 29, 38,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 29, 39,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 29, 40,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 29, 41, 110 }, /*  21 (1),  21 (1),  21 (1),  21 (1),  33 (1), support = 1 */
    { 29, 42, 110 }, /*   2 (0),   2 (0),  33 (1),  48 (0),  39 (1), support = 1 */
    { 29, 43, 110 }, /*  17 (1),  23 (1),  17 (1),  23 (1),  23 (1), support = 1 */
    { 29, 44, 110 }, /*  10 (0),  10 (0),  40 (2),  10 (0),  29 (1), support = 1 */
    { 29, 45, 110 }, /*  14 (1),  10 (0),  14 (1),  44 (2),  34 (1), support = 1 */
    { 29, 46, 110 }, /*  10 (0),  10 (0),  10 (0),  10 (0),  12 (0), support = 5 */
    { 29, 47, 110 }, /*  49 (0),  49 (0),  48 (0),  48 (0),  47 (0), support = 5 */
    { 30,  0,  30 }, /*  30 (1),  30 (1),  24 (2),  30 (1),  31 (1), support = 1 */
    { 30,  1,  31 }, /*  30 (1),  31 (1),  30 (1),  31 (1),  31 (1), support = 1 */
    { 30,  2,  31 }, /*  31 (1),  31 (1),  44 (1),  31 (1),  31 (1), support = 1 */
    { 30,  3,  -1 }, /*  30 (1),  30 (1),   1 (0),  10 (0),  30 (1), support = 1 */
    { 30,  4,  30 }, /*  30 (1),  30 (1),  30 (1),  30 (1),  30 (1), support = 1 */
    { 30,  5,  29 }, /*  29 (1),  29 (1),  28 (2),  28 (2),  29 (1), support = 1 */
    { 30,  6,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30,  7,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30,  8,  28 }, /*  28 (2),  28 (2),  12 (0),  30 (1),  28 (2), support = 3 */
    { 30,  9,  -1 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 30, 10,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 30, 11,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 30, 12,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 30, 13,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30, 14,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30, 15,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30, 16,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 30, 17,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 30, 18,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  25 (2), support = 1 */
    { 30, 19,  -1 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  26 (2), support = 1 */
    { 30, 20,  25 }, /*  25 (2),  25 (2),  25 (2),  25 (2),  25 (2), support = 5 */
    { 30, 21,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30, 22,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 30, 23,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 30, 24,  30 }, /*  30 (2),  30 (2),  30 (2),  30 (2),  30 (2), support = 5 */
    { 30, 25,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 30, 26,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 30, 27,  -1 }, /*  37 (1),  37 (1),  37 (1),  37 (1),  34 (1), support = 1 */
    { 30, 28,  -1 }, /*  34 (1),  34 (1),  34 (1),  35 (1),  34 (1), support = 1 */
    { 30, 29,  -1 }, /*  20 (1),  20 (1),  45 (1),   7 (0),  29 (2), support = 1 */
    { 30, 30,  -1 }, /*  17 (1),  12 (0),  17 (1),  16 (1),  16 (1), support = 1 */
    { 30, 31,  -1 }, /*   5 (0),   3 (0),   5 (0),   9 (0),   4 (0), support = 5 */
    { 30, 32, 109 }, /*  48 (0),   4 (0),  24 (1),  25 (1),  47 (0), support = 1 */
    { 30, 33, 109 }, /*  45 (2),  44 (2),  45 (2),  44 (2),  16 (1), support = 1 */
    { 30, 34, 109 }, /*   5 (0),   8 (0),   5 (0),   9 (0),  14 (1), support = 4 */
    { 30, 35, 109 }, /*   1 (0),   1 (0),   1 (0),   1 (0),  10 (0), support = 5 */
    { 30, 36,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 30, 37,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 30, 38,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 30, 39,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 30, 40,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 30, 41, 110 }, /*  13 (1),  12 (0),  19 (1),  14 (1),  28 (1), support = 1 */
    { 30, 42, 110 }, /*   3 (0),   0 (0),  43 (2),  45 (2),  34 (1), support = 1 */
    { 30, 43, 110 }, /*  14 (1),  28 (1),  18 (1),  19 (1),  17 (1), support = 1 */
    { 30, 44, 110 }, /*  19 (1),  19 (1),  19 (1),  19 (1),   0 (0), support = 1 */
    { 30, 45, 110 }, /*   7 (0),   0 (0),   7 (0),   0 (0),   2 (0), support = 5 */
    { 30, 46, 110 }, /*   6 (0),   6 (0),  22 (1),   3 (0),   0 (0), support = 4 */
    { 30, 47, 110 }, /*  49 (0),  49 (0),  47 (0),  47 (0),  47 (0), support = 5 */
    { 31,  0,  31 }, /*  31 (1),  31 (1),  37 (1),   1 (0),  31 (1), support = 1 */
    { 31,  1,  30 }, /*  30 (1),  30 (1),  26 (2),  30 (1),  30 (1), support = 1 */
    { 31,  2,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 31,  3,  31 }, /*  31 (1),  31 (1),  31 (1),  31 (1),  31 (1), support = 1 */
    { 31,  4,  31 }, /*  30 (1),  31 (1),  30 (1),  31 (1),  31 (1), support = 1 */
    { 31,  5,  31 }, /*  31 (1),  31 (1),   2 (0),  30 (1),  31 (1), support = 1 */
    { 31,  6,  -1 }, /*  34 (1),  34 (1),  34 (1),  34 (1),  34 (1), support = 1 */
    { 31,  7,  45 }, /*  45 (1),  45 (1),  45 (1),  45 (1),  45 (1), support = 1 */
    { 31,  8,  45 }, /*  45 (1),  45 (1),  45 (1),  45 (1),  45 (1), support = 1 */
    { 31,  9,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 31, 10,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 31, 11,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 31, 12,  46 }, /*  46 (0),  46 (0),  46 (0),  46 (0),  46 (0), support = 5 */
    { 31, 13,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 31, 14,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 31, 15,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 31, 16,  -1 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 31, 17,  24 }, /*  24 (2),  24 (2),  24 (2),  24 (2),  24 (2), support = 5 */
    { 31, 18,  24 }, /*  24 (2),  24 (2),  24 (2),  24 (2),  24 (2), support = 5 */
    { 31, 19,  24 }, /*  24 (2),  24 (2),  24 (2),  24 (2),  24 (2), support = 5 */
    { 31, 20,  25 }, /*  25 (2),  25 (2),  25 (2),  25 (2),  25 (2), support = 5 */
    { 31, 21,  28 }, /*  28 (2),  28 (2),  28 (2),  28 (2),  28 (2), support = 5 */
    { 31, 22,  29 }, /*  29 (1),  29 (1),  29 (1),  29 (1),  29 (1), support = 1 */
    { 31, 23,  29 }, /*  29 (1),  29 (1),  30 (1),  29 (1),  29 (1), support = 1 */
    { 31, 24,  30 }, /*  30 (2),  30 (2),  30 (2),  30 (2),  30 (2), support = 5 */
    { 31, 25,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 31, 26,  32 }, /*  32 (1),  32 (1),  32 (1),  32 (1),  32 (1), support = 1 */
    { 31, 27,  34 }, /*  34 (1),  34 (1),  34 (1),  34 (1),  34 (1), support = 1 */
    { 31, 28,  36 }, /*  36 (1),  36 (1),  35 (1),  36 (1),  36 (1), support = 1 */
    { 31, 29,  35 }, /*  35 (1),  35 (1),  35 (1),  35 (1),  35 (1), support = 1 */
    { 31, 30, 110 }, /*  13 (1),   3 (0),  13 (1),  19 (1),   3 (0), support = 1 */
    { 31, 31, 110 }, /*   1 (0),   1 (0),   1 (0),   1 (0),   1 (0), support = 5 */
    { 31, 32, 110 }, /*   3 (0),   3 (0),   3 (0),   1 (0),   3 (0), support = 5 */
    { 31, 33, 110 }, /*  49 (0),  47 (0),  49 (0),  26 (1),   0 (0), support = 4 */
    { 31, 34, 110 }, /*   4 (0),   4 (0),   4 (0),   4 (0),  11 (0), support = 5 */
    { 31, 35, 110 }, /*   2 (0),   2 (0),   2 (0),   6 (0),   4 (0), support = 5 */
    { 31, 36,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 31, 37,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 31, 38,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 31, 39,  45 }, /*  45 (2),  45 (2),  45 (2),  45 (2),  45 (2), support = 5 */
    { 31, 40,  45 }, /*  45 (2),  45 (2),  28 (1),  45 (2),  45 (2), support = 4 */
    { 31, 41, 110 }, /*   7 (0),   4 (0),   7 (0),   4 (0),  43 (2), support = 4 */
    { 31, 42, 110 }, /*  27 (1),  41 (2),  27 (1),  41 (2),  27 (1), support = 1 */
    { 31, 43, 110 }, /*  27 (1),  29 (1),  27 (1),  27 (1),  31 (1), support = 1 */
    { 31, 44, 110 }, /*  32 (1),  17 (1),  29 (1),  17 (1),  17 (1), support = 1 */
    { 31, 45, 110 }, /*  35 (1),  37 (1),  24 (1),  48 (0),  45 (2), support = 1 */
    { 31, 46, 110 }, /*  40 (2),   3 (0),  40 (2),   3 (0),  39 (1), support = 1 */
    { 31, 47, 110 }, /*  49 (0),  49 (0),  49 (0),  49 (0),  22 (1), support = 4 */
    { -1, -1,  -1 }
};
