/*
 *  In-focus data for high resolution images.
 *
 *  typedef struct {
 *    int row;    // row position in grid
 *    int col;    // col position in grid
 *    int peak;   // lens position of peak, -1 if unreliable
 *  } DataType;
 */

DataType data_trail_wide[] = {
    {  0,  0,  -1 }, /*  21 (0),  21 (0),  29 (0),  21 (0), 160 (1), support = 4 */
    {  0,  1,  -1 }, /*   4 (0),   4 (0),   4 (0),  40 (0), 162 (2), support = 4 */
    {  0,  2,  -1 }, /*  33 (0),  31 (0),  26 (0),  31 (0), 160 (1), support = 4 */
    {  0,  3,  -1 }, /*  24 (0),  32 (0),  24 (0),  45 (0), 160 (1), support = 4 */
    {  0,  4,  -1 }, /*  23 (0),  27 (0),   3 (0),  27 (0), 164 (2), support = 4 */
    {  0,  5,  -1 }, /*  45 (0),  30 (0), 165 (2),  41 (0), 166 (1), support = 1 */
    {  0,  6,  -1 }, /*  10 (0),  11 (0),   0 (0),   7 (0), 164 (2), support = 4 */
    {  0,  7,  -1 }, /*   7 (0),  23 (0),   6 (0),  23 (0), 160 (1), support = 4 */
    {  0,  8,  -1 }, /*   9 (0),  13 (0),   6 (0),  13 (0), 164 (2), support = 4 */
    {  0,  9,  -1 }, /*   9 (0),   5 (0),   4 (0), 141 (0), 119 (1), support = 4 */
    {  0, 10,  -1 }, /*   3 (0),  28 (0),   3 (0), 137 (0), 160 (1), support = 4 */
    {  0, 11,  -1 }, /* 161 (2),  24 (0), 161 (2), 154 (1), 164 (2), support = 1 */
    {  0, 12,  -1 }, /* 160 (1),   2 (0), 160 (1), 164 (2), 164 (2), support = 1 */
    {  0, 13,  -1 }, /* 160 (1), 125 (0), 160 (1), 125 (0), 160 (1), support = 1 */
    {  0, 14,  -1 }, /* 161 (2),   3 (0), 161 (2),   3 (0), 140 (0), support = 1 */
    {  0, 15,  -1 }, /*  13 (0),  13 (0),  13 (0), 131 (0), 140 (0), support = 5 */
    {  0, 16,  -1 }, /* 134 (0),  22 (0), 134 (0),  22 (0), 140 (0), support = 5 */
    {  0, 17,  -1 }, /* 110 (0), 119 (1), 160 (1), 110 (0), 119 (1), support = 1 */
    {  0, 18,  -1 }, /* 156 (1),  35 (0), 156 (1), 119 (1), 144 (0), support = 1 */
    {  0, 19,  -1 }, /* 156 (1),  13 (0), 149 (0),  13 (0), 144 (0), support = 4 */
    {  0, 20,  -1 }, /* 159 (1), 121 (1), 159 (1),  38 (0), 164 (2), support = 1 */
    {  0, 21,  -1 }, /*  27 (0),  64 (0),  27 (0),  64 (0), 140 (0), support = 5 */
    {  0, 22,  -1 }, /*  12 (0),  12 (0), 144 (0), 158 (1), 140 (0), support = 4 */
    {  0, 23,  -1 }, /* 163 (2),  29 (0), 163 (2), 134 (0), 160 (1), support = 1 */
    {  0, 24,  -1 }, /*   0 (0),   0 (0),   2 (0),  95 (0), 140 (0), support = 5 */
    {  0, 25,  -1 }, /* 155 (1),   0 (0), 155 (1), 155 (1), 140 (0), support = 1 */
    {  0, 26,  -1 }, /* 160 (2),  47 (0), 160 (2),  66 (0), 140 (0), support = 1 */
    {  0, 27,  -1 }, /* 149 (0),  59 (0), 166 (1), 123 (0), 160 (2), support = 1 */
    {  0, 28,  -1 }, /* 153 (1),   2 (0), 153 (1),   2 (0), 144 (0), support = 1 */
    {  0, 29,  -1 }, /* 166 (1), 147 (0), 144 (0), 118 (1), 160 (2), support = 1 */
    {  0, 30,  -1 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 160 (2), support = 4 */
    {  0, 31,  -1 }, /* 160 (2), 162 (2), 160 (2), 162 (2), 161 (2), support = 1 */
    {  0, 32,  -1 }, /* 153 (1),   6 (0), 153 (1), 119 (1), 162 (2), support = 1 */
    {  0, 33,  -1 }, /* 163 (2), 163 (2), 163 (2),  18 (0), 163 (2), support = 4 */
    {  0, 34,  -1 }, /* 165 (2), 165 (2), 165 (2),  74 (0), 160 (2), support = 3 */
    {  0, 35,  -1 }, /* 164 (2), 159 (1), 164 (2), 159 (1), 166 (1), support = 1 */
    {  0, 36,  -1 }, /* 130 (0), 161 (2), 130 (0), 130 (0), 161 (2), support = 1 */
    {  0, 37,  -1 }, /* 162 (2),   0 (0), 162 (2),   0 (0), 166 (1), support = 1 */
    {  0, 38,  -1 }, /* 161 (2), 161 (2), 166 (1), 161 (2), 161 (2), support = 4 */
    {  0, 39,  -1 }, /* 158 (1),   3 (0), 158 (1),   3 (0), 166 (1), support = 1 */
    {  0, 40,  -1 }, /*   5 (0),   5 (0), 155 (1),   5 (0), 164 (2), support = 1 */
    {  0, 41,  -1 }, /* 162 (2), 162 (2), 135 (0), 162 (2), 162 (2), support = 4 */
    {  0, 42,  -1 }, /* 140 (0),  12 (0), 164 (2), 142 (0), 140 (0), support = 4 */
    {  0, 43,  -1 }, /* 163 (2), 108 (0), 163 (2), 108 (0), 140 (0), support = 1 */
    {  0, 44,  -1 }, /* 166 (2),   1 (0), 138 (0), 134 (0), 140 (0), support = 4 */
    {  0, 45,  -1 }, /* 145 (0), 145 (0), 152 (1), 162 (2), 162 (2), support = 1 */
    {  0, 46,  -1 }, /* 161 (2), 146 (0), 161 (2), 146 (0), 161 (2), support = 3 */
    {  0, 47,  -1 }, /* 162 (2), 164 (2), 161 (2), 112 (0), 160 (2), support = 1 */
    {  1,  0,  -1 }, /*   4 (0),   4 (0),  78 (0),   4 (0),  89 (0), support = 5 */
    {  1,  1,  -1 }, /*  36 (0),  37 (0),  36 (0), 159 (1), 160 (1), support = 1 */
    {  1,  2,  -1 }, /*   8 (0),   8 (0),   8 (0),   8 (0), 164 (2), support = 4 */
    {  1,  3,  -1 }, /*  39 (0),   0 (0),  39 (0),   0 (0), 160 (1), support = 4 */
    {  1,  4,  -1 }, /*  26 (0),  26 (0),  29 (0),  20 (0), 160 (1), support = 4 */
    {  1,  5,  -1 }, /*  38 (0),  17 (0),  38 (0),  17 (0), 164 (2), support = 4 */
    {  1,  6,  -1 }, /*   9 (0),  21 (0),  34 (0),  21 (0), 160 (1), support = 4 */
    {  1,  7,  -1 }, /*  32 (0),  32 (0),  25 (0),  32 (0), 160 (1), support = 4 */
    {  1,  8,  -1 }, /*   9 (0),   4 (0),   9 (0),  49 (0), 160 (1), support = 4 */
    {  1,  9,  -1 }, /*  20 (0),  20 (0),  20 (0),  20 (0), 162 (2), support = 4 */
    {  1, 10,  -1 }, /*  34 (0),  36 (0),  32 (0),  36 (0), 134 (0), support = 5 */
    {  1, 11,  -1 }, /*   1 (0),   3 (0),   1 (0),  41 (0), 144 (0), support = 5 */
    {  1, 12,  -1 }, /*   8 (0),   6 (0),   8 (0),   6 (0), 140 (0), support = 5 */
    {  1, 13,  -1 }, /*  17 (0),  19 (0),  17 (0),   8 (0), 164 (2), support = 4 */
    {  1, 14,  -1 }, /*  13 (0),   6 (0),  13 (0),   6 (0), 140 (0), support = 5 */
    {  1, 15,  -1 }, /*   4 (0),   4 (0),   4 (0),   9 (0), 140 (0), support = 5 */
    {  1, 16,  -1 }, /*   4 (0),   4 (0),   4 (0),   4 (0), 164 (2), support = 4 */
    {  1, 17,  -1 }, /*  15 (0),  15 (0),  15 (0),  15 (0), 144 (0), support = 5 */
    {  1, 18,  -1 }, /*  27 (0),  27 (0),  27 (0),  23 (0), 149 (0), support = 5 */
    {  1, 19,  -1 }, /*  30 (0),  30 (0),  25 (0),  19 (0), 140 (0), support = 5 */
    {  1, 20,  -1 }, /*  18 (0),  18 (0),  18 (0), 164 (2), 149 (0), support = 4 */
    {  1, 21,  -1 }, /*   6 (0),   6 (0),   6 (0),  55 (0), 160 (1), support = 4 */
    {  1, 22,  -1 }, /*  28 (0),  28 (0),  28 (0), 157 (1), 153 (1), support = 1 */
    {  1, 23,  -1 }, /*   1 (0),  27 (0),   1 (0),  27 (0), 161 (2), support = 4 */
    {  1, 24,  -1 }, /*  28 (0),  24 (0),  28 (0), 139 (0), 160 (2), support = 4 */
    {  1, 25,  -1 }, /*   9 (0),  27 (0),   6 (0),   1 (0), 140 (0), support = 5 */
    {  1, 26,  -1 }, /*  16 (0),  27 (0),  16 (0),  37 (0), 158 (1), support = 4 */
    {  1, 27,  -1 }, /*   6 (0),   3 (0),   6 (0),  21 (0), 149 (0), support = 5 */
    {  1, 28,  -1 }, /*   6 (0),   6 (0),   6 (0),  28 (0), 153 (1), support = 4 */
    {  1, 29,  -1 }, /* 142 (0),  71 (0),   3 (0),  71 (0), 160 (2), support = 4 */
    {  1, 30,  -1 }, /*   0 (0),  17 (0), 144 (0),  17 (0), 162 (2), support = 4 */
    {  1, 31,  -1 }, /* 165 (2),   7 (0), 165 (2),   7 (0), 159 (2), support = 1 */
    {  1, 32,  -1 }, /* 144 (0), 156 (1), 142 (0), 156 (1), 144 (0), support = 1 */
    {  1, 33,  -1 }, /* 161 (2), 161 (2), 161 (2), 137 (0), 160 (2), support = 3 */
    {  1, 34,  -1 }, /* 140 (0), 140 (0), 141 (0), 134 (0), 140 (0), support = 5 */
    {  1, 35,  -1 }, /* 160 (2), 165 (2), 160 (2), 165 (2), 144 (0), support = 1 */
    {  1, 36,  -1 }, /* 160 (2), 160 (2), 144 (0), 119 (1), 160 (2), support = 3 */
    {  1, 37,  -1 }, /*  13 (0),  13 (0),  13 (0), 136 (0), 140 (0), support = 5 */
    {  1, 38,  -1 }, /* 160 (2), 146 (0), 160 (2), 166 (1), 140 (0), support = 1 */
    {  1, 39,  -1 }, /* 159 (1),  13 (0), 159 (1), 152 (1), 160 (2), support = 1 */
    {  1, 40,  -1 }, /* 144 (0), 141 (0), 141 (0), 116 (1), 140 (0), support = 4 */
    {  1, 41,  -1 }, /* 162 (2), 144 (0), 162 (2),   4 (0), 144 (0), support = 1 */
    {  1, 42,  -1 }, /* 140 (0), 144 (0), 140 (0), 164 (2), 140 (0), support = 4 */
    {  1, 43,  -1 }, /* 161 (2), 159 (1), 161 (2), 159 (1), 159 (1), support = 1 */
    {  1, 44,  -1 }, /* 156 (1), 154 (1), 156 (1), 133 (0), 149 (0), support = 1 */
    {  1, 45,  -1 }, /* 155 (1), 145 (0), 155 (1), 145 (0), 141 (0), support = 1 */
    {  1, 46,  -1 }, /* 160 (2),   2 (0), 160 (2),   2 (0), 140 (0), support = 1 */
    {  1, 47,  -1 }, /* 146 (0),   2 (0), 146 (0),   2 (0), 164 (2), support = 4 */
    {  2,  0,  -1 }, /*   7 (0),   9 (0),   7 (0),   9 (0), 119 (1), support = 4 */
    {  2,  1,  -1 }, /*  27 (0),   2 (0),   1 (0),   2 (0), 140 (0), support = 5 */
    {  2,  2,  -1 }, /*   4 (0),   4 (0),  13 (0),   4 (0), 160 (1), support = 4 */
    {  2,  3,  -1 }, /*   3 (0),   3 (0),  37 (0),  27 (0), 162 (2), support = 4 */
    {  2,  4,  -1 }, /*  12 (0),  12 (0),  58 (0),  12 (0), 160 (1), support = 4 */
    {  2,  5,  -1 }, /*  68 (0),   2 (0),  68 (0),  24 (0), 160 (1), support = 4 */
    {  2,  6,  -1 }, /*  27 (0),  13 (0),   6 (0),   0 (0), 160 (1), support = 4 */
    {  2,  7,  -1 }, /*   5 (0),   2 (0),  36 (0),   2 (0), 160 (1), support = 4 */
    {  2,  8,  -1 }, /*  15 (0),   4 (0),  53 (0),   4 (0), 155 (1), support = 4 */
    {  2,  9,  -1 }, /*   0 (0),   6 (0),   0 (0),   5 (0), 161 (2), support = 4 */
    {  2, 10,  -1 }, /*   4 (0),  11 (0),  53 (0),   4 (0), 160 (1), support = 4 */
    {  2, 11,  -1 }, /*  29 (0),   5 (0),  29 (0),   5 (0), 140 (0), support = 5 */
    {  2, 12,  -1 }, /*  13 (0),   3 (0),  13 (0),  17 (0), 160 (1), support = 4 */
    {  2, 13, 165 }, /* 165 (2), 163 (2), 165 (2), 165 (2), 163 (2), support = 3 */
    {  2, 14, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 164 (2), support = 4 */
    {  2, 15, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  2, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  2, 17,  -1 }, /*  12 (0),  18 (0),  21 (0),   0 (0), 164 (2), support = 4 */
    {  2, 18,  -1 }, /*  42 (0),  15 (0),  42 (0),  15 (0), 155 (1), support = 4 */
    {  2, 19,  -1 }, /*  13 (0),   9 (0),  47 (0),   9 (0), 162 (2), support = 4 */
    {  2, 20,  -1 }, /*   2 (0),   2 (0),   2 (0),   0 (0), 164 (2), support = 4 */
    {  2, 21,  -1 }, /*  22 (0),  22 (0),  22 (0),   0 (0), 160 (1), support = 4 */
    {  2, 22,  -1 }, /*   6 (0),  26 (0),   6 (0),  26 (0), 144 (0), support = 5 */
    {  2, 23,  -1 }, /*  13 (0),   2 (0),  13 (0),   3 (0), 161 (2), support = 4 */
    {  2, 24,  -1 }, /*  24 (0),   1 (0),  47 (0),   1 (0), 140 (0), support = 5 */
    {  2, 25,  -1 }, /*  30 (0),   2 (0),  45 (0),   2 (0), 140 (0), support = 5 */
    {  2, 26,  -1 }, /*   8 (0),   2 (0),   8 (0),   2 (0), 142 (0), support = 5 */
    {  2, 27,  -1 }, /*  24 (0),   9 (0),  15 (0),   9 (0), 166 (1), support = 4 */
    {  2, 28,  -1 }, /*   2 (0),   2 (0),  61 (0),   2 (0), 160 (2), support = 4 */
    {  2, 29,  -1 }, /*  54 (0),   4 (0), 149 (0),   4 (0), 140 (0), support = 5 */
    {  2, 30,  -1 }, /*   3 (0),   5 (0),   3 (0),   5 (0), 162 (2), support = 4 */
    {  2, 31,  -1 }, /*   9 (0),   4 (0),   3 (0),   0 (0), 164 (2), support = 4 */
    {  2, 32,  -1 }, /*   3 (0),   3 (0),  27 (0),   3 (0), 140 (0), support = 5 */
    {  2, 33,  -1 }, /*   4 (0),   4 (0), 164 (2),   7 (0), 161 (2), support = 1 */
    {  2, 34,  -1 }, /*   5 (0),   5 (0), 160 (2),   5 (0), 160 (2), support = 1 */
    {  2, 35,  -1 }, /*   3 (0),   3 (0),  10 (0),   3 (0), 155 (1), support = 4 */
    {  2, 36,  -1 }, /*   3 (0),   0 (0), 161 (2),   0 (0), 140 (0), support = 4 */
    {  2, 37,  -1 }, /*   7 (0),   2 (0),   7 (0),  12 (0), 160 (2), support = 4 */
    {  2, 38,  -1 }, /*   9 (0),   9 (0),  25 (0),   9 (0), 160 (2), support = 4 */
    {  2, 39,  -1 }, /*  14 (0),   9 (0),  14 (0),   3 (0), 140 (0), support = 5 */
    {  2, 40,  -1 }, /*   8 (0),   8 (0), 149 (0),   5 (0), 162 (2), support = 4 */
    {  2, 41,  -1 }, /*  10 (0),   7 (0),   7 (0),  10 (0), 144 (0), support = 5 */
    {  2, 42,  -1 }, /*   8 (0),  10 (0), 155 (1),  10 (0), 149 (0), support = 4 */
    {  2, 43,  -1 }, /* 140 (0),   7 (0), 148 (0),  12 (0), 140 (0), support = 5 */
    {  2, 44,  -1 }, /* 155 (1),   4 (0), 155 (1),   4 (0), 161 (2), support = 1 */
    {  2, 45,  -1 }, /*   3 (0),   3 (0),   8 (0),   3 (0), 166 (2), support = 4 */
    {  2, 46,  -1 }, /*   1 (0),   0 (0),  10 (0),   4 (0), 160 (2), support = 4 */
    {  2, 47,  -1 }, /*   1 (0),   0 (0),   1 (0),   0 (0), 162 (2), support = 4 */
    {  3,  0,  -1 }, /*  49 (0),  49 (0),  50 (0),  49 (0), 152 (1), support = 4 */
    {  3,  1,  -1 }, /*   3 (0),   3 (0),  55 (0),  33 (0), 161 (2), support = 4 */
    {  3,  2,  -1 }, /*  49 (0),  49 (0),  49 (0),  49 (0), 155 (1), support = 4 */
    {  3,  3,  -1 }, /*  37 (0),  21 (0),  37 (0),   1 (0), 160 (1), support = 4 */
    {  3,  4,  -1 }, /*   1 (0),   1 (0), 128 (0),   1 (0), 105 (0), support = 5 */
    {  3,  5,  -1 }, /*  61 (0),   0 (0),  61 (0),  13 (0), 155 (1), support = 4 */
    {  3,  6,  -1 }, /*  70 (0),   0 (0),  18 (0),   0 (0), 155 (1), support = 4 */
    {  3,  7,  -1 }, /*  45 (0),  11 (0),  27 (0),  11 (0), 164 (2), support = 4 */
    {  3,  8,  -1 }, /*  24 (0),  24 (0),  50 (0),  24 (0), 164 (2), support = 4 */
    {  3,  9,  -1 }, /*  31 (0),  31 (0),  72 (0),  31 (0), 127 (0), support = 5 */
    {  3, 10,  -1 }, /*   0 (0),   0 (0),  24 (0),   0 (0), 146 (0), support = 5 */
    {  3, 11,  -1 }, /*  43 (0),  27 (0),  62 (0),  26 (0), 155 (1), support = 4 */
    {  3, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 13, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  3, 14, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  3, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 16, 165 }, /* 165 (2), 163 (2), 165 (2), 165 (2), 163 (2), support = 3 */
    {  3, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 18,  -1 }, /*  14 (0),  17 (0),  37 (0),  29 (0), 140 (0), support = 5 */
    {  3, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  3, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  3, 22,  -1 }, /* 163 (2), 163 (2),  43 (0),  45 (0), 160 (1), support = 1 */
    {  3, 23,  -1 }, /* 164 (2), 163 (2),  42 (0),  43 (0), 160 (1), support = 1 */
    {  3, 24,  -1 }, /*   3 (0), 161 (2),  92 (0),   3 (0), 157 (1), support = 1 */
    {  3, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 27, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 28, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 29, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 30, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 31, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 32, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  3, 33,  -1 }, /* 164 (2), 164 (2),  23 (0), 162 (2), 162 (2), support = 1 */
    {  3, 34,  -1 }, /*   1 (0),  17 (0),   1 (0),  17 (0), 140 (0), support = 5 */
    {  3, 35,  -1 }, /*  25 (0),  25 (0),  56 (0),  28 (0), 140 (0), support = 5 */
    {  3, 36,  -1 }, /*  10 (0),  10 (0),  10 (0),  10 (0), 140 (0), support = 5 */
    {  3, 37,  -1 }, /* 163 (2), 161 (2),  42 (0), 162 (2), 161 (2), support = 1 */
    {  3, 38, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  3, 39, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  3, 40, 164 }, /* 164 (2), 164 (2), 163 (2), 164 (2), 164 (2), support = 4 */
    {  3, 41, 164 }, /* 164 (2), 164 (2),  92 (0), 163 (2), 164 (2), support = 3 */
    {  3, 42,  -1 }, /*  18 (0),  14 (0),  49 (0),  14 (0), 140 (0), support = 5 */
    {  3, 43,  -1 }, /*   0 (0),   7 (0),   8 (0),   7 (0), 160 (2), support = 4 */
    {  3, 44,  -1 }, /*  32 (0),   5 (0),  56 (0),  32 (0), 140 (0), support = 5 */
    {  3, 45,  -1 }, /*  20 (0),   9 (0),  29 (0),   9 (0), 161 (2), support = 4 */
    {  3, 46,  -1 }, /*  45 (0),  22 (0),  45 (0),  20 (0), 160 (2), support = 4 */
    {  3, 47,  -1 }, /*   6 (0),  14 (0),   6 (0),   5 (0), 155 (1), support = 4 */
    {  4,  0,  -1 }, /* 166 (1), 166 (1), 166 (1), 165 (2), 166 (1), support = 1 */
    {  4,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  4,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  4, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  5, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  4,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  7, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  8, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4,  9, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 10, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 11, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 12, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 13, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 14, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 15, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  4, 16, 164 }, /* 164 (2), 163 (2), 164 (2), 165 (2), 163 (2), support = 1 */
    {  4, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  4, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 27, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 28, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 29, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 30, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 31, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 32, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 33, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 34, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 35, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 36, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 38, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 39, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  4, 42, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 43, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 44, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 45, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 46, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  4, 47, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5,  0, 165 }, /* 166 (1), 166 (1), 165 (2), 165 (2), 166 (1), support = 1 */
    {  5,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  5,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  5,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5,  4, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  5,  5, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5,  7, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5,  8, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5,  9, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5, 10, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 12, 164 }, /* 164 (2), 165 (2), 164 (2), 164 (2), 165 (2), support = 3 */
    {  5, 13, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5, 14, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  5, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 165 (2), 165 (2), support = 3 */
    {  5, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 17, 164 }, /* 164 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  5, 18, 164 }, /* 164 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  5, 19, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 20, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 21, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 23, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 24, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 25, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 26, 163 }, /* 163 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  5, 27, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  5, 28, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 29, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  5, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 33, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 35, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  5, 36, 164 }, /* 164 (2), 164 (2), 163 (2), 164 (2), 164 (2), support = 4 */
    {  5, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 38, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 39, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  5, 42, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 43, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 44, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  5, 45, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  5, 46, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  5, 47, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 166 (1), support = 4 */
    {  6,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  4, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  5, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  7, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  6,  8, 164 }, /* 164 (2), 164 (2), 165 (2), 164 (2), 165 (2), support = 3 */
    {  6,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 18, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  6, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 21, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  6, 22, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 23, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  6, 24, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  6, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 26, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 33, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 35, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 36, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 38, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 39, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  6, 40, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  6, 42, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 43, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 44, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 45, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  6, 46, 164 }, /* 164 (2), 164 (2), 163 (2), 163 (2), 164 (2), support = 3 */
    {  6, 47, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  4, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  5, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  7,  7, 164 }, /* 164 (2), 164 (2), 165 (2), 164 (2), 164 (2), support = 4 */
    {  7,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 16, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  7, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 163 (2), support = 4 */
    {  7, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 20, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  7, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 22, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    {  7, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 164 (2), 163 (2), support = 4 */
    {  7, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 33, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  7, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 35, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 36, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 38, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  7, 39, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 42, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 43, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  7, 44, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  7, 45, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 46, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  7, 47, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  4, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  5, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    {  8,  6, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  8,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 15, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 16, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 17, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 18, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 19, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 20, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  8, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 33, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 35, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 36, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 38, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 39, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 40, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 41, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 42, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 43, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  8, 44, 164 }, /* 164 (2), 164 (2), 163 (2), 163 (2), 164 (2), support = 3 */
    {  8, 45, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  8, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    {  8, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 165 (2), support = 4 */
    {  9,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    {  9,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    {  9, 14, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    {  9, 15, 163 }, /* 163 (2), 163 (2), 164 (2), 164 (2), 163 (2), support = 3 */
    {  9, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 33, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 35, 117 }, /* 117 (2), 117 (2), 163 (2), 116 (2), 117 (2), support = 3 */
    {  9, 36, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    {  9, 42, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 43, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 44, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 45, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    {  9, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    { 10,  1, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    { 10,  2, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    { 10,  3, 164 }, /* 164 (2), 164 (2), 165 (2), 164 (2), 164 (2), support = 4 */
    { 10,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 10, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 28, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 29, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 30, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 31, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 32, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 33, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 34, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 10, 36, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 10, 37, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 10, 42, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 10, 43, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 44, 163 }, /* 163 (2), 163 (2), 162 (2), 162 (2), 163 (2), support = 3 */
    { 10, 45, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 46, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 10, 47, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 11,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 165 (2), 165 (2), support = 5 */
    { 11,  1, 165 }, /* 165 (2), 165 (2), 164 (2), 164 (2), 165 (2), support = 3 */
    { 11,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11,  3, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    { 11,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11, 13, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 11, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 11, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 119 (2), support = 4 */
    { 11, 28, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 11, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 11, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 11, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 11, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 11, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 11, 34, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 11, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 119 (2), support = 4 */
    { 11, 36, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 11, 37, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 11, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 11, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 11, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 11, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 11, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    { 12,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 12,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 12, 13, 163 }, /* 164 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 3 */
    { 12, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 25, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 12, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 119 (2), support = 4 */
    { 12, 28, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 12, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 12, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 12, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 12, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 12, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 12, 34, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 12, 35, 116 }, /* 116 (2), 116 (2), 118 (2), 116 (2), 119 (2), support = 3 */
    { 12, 36, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 12, 37, 119 }, /* 119 (2), 119 (2), 118 (2), 118 (2), 119 (2), support = 3 */
    { 12, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 12, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 12, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 12, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 12, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 13,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 13,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 13,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 13, 12, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    { 13, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 25, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 13, 26, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 13, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 13, 28, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 13, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 13, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 13, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 13, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 13, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 13, 34, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 13, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 13, 36, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 13, 37, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 118 (2), support = 4 */
    { 13, 38, 119 }, /* 119 (2), 119 (2), 118 (2), 119 (2), 119 (2), support = 4 */
    { 13, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 13, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 13, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 13, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 13, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 13, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 14,  0, 165 }, /* 165 (2), 165 (2), 165 (2), 164 (2), 165 (2), support = 4 */
    { 14,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 14,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 14, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 14, 25, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 14, 26, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 14, 27, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 14, 28, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 14, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 14, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 14, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 14, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 14, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 14, 34, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 14, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 14, 36, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 14, 37, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 14, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 14, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 14, 40, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 14, 41, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 14, 42, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 14, 43, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 14, 44, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 119 (2), support = 4 */
    { 14, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 14, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 14, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 15,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 15, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    { 15, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 15, 21, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 22, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 23, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 24, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 15, 25, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 15, 26,  -1 }, /* 156 (1), 156 (1), 162 (2), 156 (1), 156 (1), support = 1 */
    { 15, 27, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 15, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 15, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 15, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 15, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 15, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 15, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 15, 34, 118 }, /* 114 (2), 114 (2), 118 (2), 118 (2), 118 (2), support = 3 */
    { 15, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 15, 36, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 15, 37, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 15, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 15, 39, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 15, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 15, 41, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 15, 42, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 15, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 15, 44, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 15, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 15, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 15, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 16,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 16,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  7, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16,  8, 164 }, /* 164 (2), 163 (2), 164 (2), 163 (2), 164 (2), support = 3 */
    { 16,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 16, 11, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    { 16, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 20, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 16, 21, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 16, 22, 156 }, /* 156 (2), 156 (2), 163 (2), 163 (2), 156 (2), support = 3 */
    { 16, 23, 155 }, /* 155 (2), 155 (2), 163 (2), 155 (2), 156 (2), support = 3 */
    { 16, 24,  -1 }, /* 162 (1), 162 (1), 163 (1), 162 (1), 162 (1), support = 1 */
    { 16, 25, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 16, 26, 155 }, /* 155 (2), 155 (2), 156 (2), 155 (2), 155 (2), support = 4 */
    { 16, 27, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 16, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 16, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 16, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 16, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 16, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 16, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 16, 34, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 16, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 117 (2), support = 4 */
    { 16, 36, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 16, 37, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 16, 38, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 16, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 16, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 16, 41, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 16, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 16, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 16, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 16, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 16, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 16, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 17,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 17,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 157 (1), support = 4 */
    { 17,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 17,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 17,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 17,  5, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 17,  6, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 17,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17,  8, 162 }, /* 164 (2), 162 (2), 164 (2), 162 (2), 162 (2), support = 3 */
    { 17,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    { 17, 10, 164 }, /* 164 (2), 164 (2), 164 (2), 163 (2), 164 (2), support = 4 */
    { 17, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    { 17, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 17, 20, 163 }, /* 163 (2), 162 (2), 163 (2), 163 (2), 162 (2), support = 3 */
    { 17, 21, 155 }, /* 155 (2), 155 (2), 162 (2), 155 (2), 155 (2), support = 4 */
    { 17, 22, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 17, 23, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 17, 24, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 17, 25, 156 }, /* 156 (2), 155 (2), 156 (2), 156 (2), 155 (2), support = 3 */
    { 17, 26,  -1 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 162 (1), support = 1 */
    { 17, 27, 156 }, /* 156 (2), 156 (2), 163 (1), 156 (2), 156 (2), support = 4 */
    { 17, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 17, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 30, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 31, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 32, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 33, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 34, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 117 (2), 117 (2), support = 3 */
    { 17, 36, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 17, 37, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 17, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 17, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 17, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 17, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 17, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 17, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 17, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 17, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 17, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 17, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 18,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 165 (2), support = 4 */
    { 18,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 18,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 18,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 18,  4, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 18,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 164 (2), support = 4 */
    { 18,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18,  7, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 18,  8, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 162 (2), support = 4 */
    { 18,  9, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 18, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 17, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 18, 18, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 18, 19, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 18, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 18, 22, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 18, 23, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 18, 24, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 18, 25, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 26, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 18, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 29, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 18, 30, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 4 */
    { 18, 31, 118 }, /* 119 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 3 */
    { 18, 32, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 4 */
    { 18, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 118 (2), support = 3 */
    { 18, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 18, 35, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 18, 36, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 18, 37, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 18, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 18, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 18, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 18, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 19,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 19,  1, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 19,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 19,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 19,  4, 163 }, /* 163 (2), 163 (2), 164 (2), 163 (2), 163 (2), support = 4 */
    { 19,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19,  6, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 19,  7, 163 }, /* 163 (2), 162 (2), 163 (2), 163 (2), 163 (2), support = 4 */
    { 19,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 16, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 19, 17, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 19, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 19, 23,  -1 }, /* 156 (2), 155 (2), 162 (2), 162 (2), 155 (2), support = 1 */
    { 19, 24, 155 }, /* 155 (2), 155 (2), 155 (2), 155 (2), 155 (2), support = 5 */
    { 19, 25, 156 }, /* 156 (2), 156 (2), 162 (1), 156 (2), 156 (2), support = 4 */
    { 19, 26,  -1 }, /* 162 (1), 156 (2), 162 (1), 162 (1), 156 (2), support = 1 */
    { 19, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 19, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 118 (2), support = 4 */
    { 19, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 118 (2), support = 4 */
    { 19, 33, 119 }, /* 119 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 19, 34, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 4 */
    { 19, 35, 116 }, /* 116 (2), 116 (2), 119 (2), 116 (2), 119 (2), support = 3 */
    { 19, 36, 117 }, /* 117 (2), 117 (2), 117 (2), 117 (2), 117 (2), support = 5 */
    { 19, 37, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 19, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 19, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 19, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 20,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 20,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 20,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 20,  3, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 20,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20,  7, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 20,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 15, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 20, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 20, 23, 155 }, /* 155 (2), 155 (2), 162 (2), 162 (2), 155 (2), support = 3 */
    { 20, 24,  -1 }, /* 162 (1), 155 (2), 162 (1), 162 (1), 155 (2), support = 1 */
    { 20, 25, 155 }, /* 155 (2), 155 (2), 162 (1), 155 (2), 155 (2), support = 4 */
    { 20, 26, 156 }, /* 156 (2), 156 (2), 162 (1), 156 (2), 156 (2), support = 4 */
    { 20, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 20, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 20, 34, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 20, 35, 119 }, /* 119 (2), 118 (2), 119 (2), 118 (2), 119 (2), support = 3 */
    { 20, 36, 117 }, /* 117 (2), 117 (2), 118 (2), 117 (2), 118 (2), support = 3 */
    { 20, 37, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 20, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21,  0, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 21,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 21,  2, 164 }, /* 164 (2), 164 (2), 164 (2), 164 (2), 164 (2), support = 5 */
    { 21,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21,  7, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 21,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 21, 14, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 21, 15, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 23, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 21, 24, 162 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 162 (1), support = 1 */
    { 21, 25, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21, 26, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 21, 27,  -1 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 155 (2), support = 1 */
    { 21, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 118 (2), 119 (2), support = 4 */
    { 21, 35, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 36, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 21, 37, 117 }, /* 117 (2), 117 (2), 119 (2), 117 (2), 119 (2), support = 3 */
    { 21, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 21, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 21, 45, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 21, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 21, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 22,  0, 164 }, /* 164 (2), 157 (1), 164 (2), 164 (2), 157 (1), support = 3 */
    { 22,  1, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 22,  2, 160 }, /* 160 (2), 160 (2), 160 (2), 161 (2), 161 (2), support = 3 */
    { 22,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22,  4, 163 }, /* 163 (2), 162 (2), 163 (2), 163 (2), 162 (2), support = 3 */
    { 22,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 22,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22, 12, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22, 13, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22, 14, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 22, 15, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 23, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 22, 24, 162 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 162 (1), support = 1 */
    { 22, 25, 162 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 162 (1), support = 1 */
    { 22, 26, 160 }, /* 160 (1), 160 (1), 160 (1), 160 (1), 160 (1), support = 1 */
    { 22, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 22, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 35, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 36, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 22, 37, 117 }, /* 118 (2), 117 (2), 118 (2), 117 (2), 117 (2), support = 3 */
    { 22, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 22, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 22, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 22, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 22, 45, 119 }, /* 119 (2), 119 (2), 120 (2), 119 (2), 120 (2), support = 3 */
    { 22, 46, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 22, 47, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 23,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 23,  1, 160 }, /* 160 (2), 161 (2), 160 (2), 160 (2), 161 (2), support = 3 */
    { 23,  2, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 23,  3, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 23,  4, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 23,  5, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 23,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 23,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 23,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 23,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 23, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 23, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 23, 12, 163 }, /* 163 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 23, 13, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 14, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 15, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 23, 23, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 23, 24, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 162 (1), support = 1 */
    { 23, 25, 162 }, /* 162 (1), 162 (1), 162 (1), 162 (1), 161 (1), support = 1 */
    { 23, 26, 160 }, /* 160 (1), 160 (1), 161 (1), 160 (1), 160 (1), support = 1 */
    { 23, 27, 159 }, /* 159 (1), 159 (1), 160 (1), 159 (1), 159 (1), support = 1 */
    { 23, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 35, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 36, 116 }, /* 116 (2), 116 (2), 119 (2), 116 (2), 116 (2), support = 4 */
    { 23, 37, 117 }, /* 118 (2), 117 (2), 118 (2), 117 (2), 117 (2), support = 3 */
    { 23, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 23, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 23, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 23, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 23, 43, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 23, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 23, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 23, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 23, 47, 120 }, /* 120 (2), 120 (2), 119 (2), 119 (2), 120 (2), support = 3 */
    { 24,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 24,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 24,  2, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 24,  3, 160 }, /* 160 (2), 160 (2), 163 (2), 160 (2), 160 (2), support = 4 */
    { 24,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 162 (2), support = 4 */
    { 24,  5, 160 }, /* 160 (2), 160 (2), 163 (2), 160 (2), 160 (2), support = 4 */
    { 24,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 24,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 24,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 24,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 162 (2), support = 4 */
    { 24, 10, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 24, 11, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 163 (2), support = 3 */
    { 24, 12, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 13, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 14, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 15, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 24, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 24, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 24, 24, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 24, 25, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 24, 26, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 24, 27, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 24, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 35, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 36, 116 }, /* 116 (2), 116 (2), 116 (2), 116 (2), 116 (2), support = 5 */
    { 24, 37, 118 }, /* 118 (2), 118 (2), 118 (2), 118 (2), 118 (2), support = 5 */
    { 24, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 24, 39, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 40, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 24, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 24, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 24, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 24, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 24, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 25,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 25,  1, 160 }, /* 160 (2), 160 (2), 163 (2), 160 (2), 160 (2), support = 4 */
    { 25,  2, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  4, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 162 (2), 163 (2), support = 4 */
    { 25, 10, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25, 11, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 25, 12, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 13, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 14, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 15, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 21, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 25, 22, 162 }, /* 162 (2), 162 (2), 162 (2), 161 (2), 161 (2), support = 3 */
    { 25, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 25, 24, 160 }, /* 160 (2), 160 (2), 161 (1), 160 (2), 160 (2), support = 4 */
    { 25, 25, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 25, 26, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 156 (2), support = 4 */
    { 25, 27, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 25, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 30, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 35, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 25, 36, 116 }, /* 116 (2), 116 (2), 119 (2), 116 (2), 120 (2), support = 3 */
    { 25, 37, 118 }, /* 118 (2), 118 (2), 119 (2), 118 (2), 118 (2), support = 4 */
    { 25, 38, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 25, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 25, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 25, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 25, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 25, 43, 119 }, /* 119 (2), 119 (2), 120 (2), 119 (2), 120 (2), support = 3 */
    { 25, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 25, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 25, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 25, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 26,  0, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 161 (2), support = 4 */
    { 26,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 161 (2), support = 4 */
    { 26,  2, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 26,  3, 160 }, /* 160 (2), 160 (2), 163 (2), 163 (2), 161 (2), support = 1 */
    { 26,  4, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 26,  5, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 26,  6, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 26,  7, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 26,  8, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 26,  9, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 26, 10, 163 }, /* 163 (2), 162 (2), 163 (2), 163 (2), 162 (2), support = 3 */
    { 26, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 12, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 13, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 14, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 15, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 16, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 17, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 18, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 19, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 20, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 26, 21, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 26, 22, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 26, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 26, 24, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 26, 25, 160 }, /* 161 (1), 160 (2), 161 (1), 160 (2), 160 (2), support = 3 */
    { 26, 26, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 26, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 26, 28, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 26, 29, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 26, 30, 120 }, /* 120 (2), 120 (2), 119 (2), 119 (2), 120 (2), support = 3 */
    { 26, 31, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 26, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 26, 33, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 26, 34, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 26, 35, 120 }, /* 120 (2), 120 (2), 119 (2), 119 (2), 120 (2), support = 3 */
    { 26, 36, 119 }, /* 116 (2), 116 (2), 119 (2), 119 (2), 119 (2), support = 3 */
    { 26, 37, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 26, 38, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 26, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 26, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 26, 41, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 26, 42, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 26, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 26, 44, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 26, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 26, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 26, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 27,  0, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 161 (2), support = 3 */
    { 27,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 27,  2, 162 }, /* 162 (2), 162 (2), 163 (2), 162 (2), 162 (2), support = 4 */
    { 27,  3, 163 }, /* 163 (2), 163 (2), 163 (2), 163 (2), 163 (2), support = 5 */
    { 27,  4, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 27,  5, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 27,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 27,  8, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 27,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 27, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 27, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 27, 12, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 13, 162 }, /* 162 (2), 161 (2), 162 (2), 162 (2), 161 (2), support = 3 */
    { 27, 14, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 15, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 16, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 17, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 18, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 19, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 20, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 21, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 22, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 27, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 27, 24, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 27, 25, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 27, 26, 156 }, /* 156 (2), 156 (2), 160 (2), 156 (2), 156 (2), support = 4 */
    { 27, 27, 160 }, /* 160 (2), 160 (2), 160 (2), 161 (1), 160 (2), support = 4 */
    { 27, 28, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 29, 119 }, /* 119 (2), 119 (2), 120 (2), 119 (2), 119 (2), support = 4 */
    { 27, 30, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 31, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 32, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 120 (2), support = 4 */
    { 27, 33, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 34, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 27, 35, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 36, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 37, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 27, 38, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 41, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 27, 42, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 27, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 119 (2), 120 (2), support = 4 */
    { 27, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 27, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28,  0, 161 }, /* 161 (2), 161 (2), 162 (2), 161 (2), 161 (2), support = 4 */
    { 28,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 28,  2, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 28,  3, 162 }, /* 162 (2), 162 (2), 162 (2), 161 (2), 162 (2), support = 4 */
    { 28,  4, 161 }, /* 161 (2), 161 (2), 162 (2), 161 (2), 161 (2), support = 4 */
    { 28,  5, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 28,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 28,  7, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 160 (2), support = 4 */
    { 28,  8, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 160 (2), support = 4 */
    { 28, 10, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 28, 11, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 28, 12, 161 }, /* 161 (2), 161 (2), 161 (2), 162 (2), 161 (2), support = 4 */
    { 28, 13, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 162 (2), support = 4 */
    { 28, 14, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 15, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 16, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 17, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 18, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 19, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 20, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 21, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 28, 22, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 28, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 28, 24, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 160 (2), support = 1 */
    { 28, 25, 161 }, /* 161 (1), 156 (2), 161 (1), 161 (1), 156 (2), support = 1 */
    { 28, 26, 160 }, /* 160 (2), 160 (2), 160 (2), 161 (1), 160 (2), support = 4 */
    { 28, 27, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 28, 28, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 29, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 30, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 31, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 32, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 33, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 34, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 35, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 36, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 37, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 28, 38, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 41, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 42, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 28, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29,  0, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 161 (2), support = 4 */
    { 29,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 29,  2, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 161 (2), support = 3 */
    { 29,  3, 162 }, /* 162 (2), 160 (2), 162 (2), 160 (2), 162 (2), support = 3 */
    { 29,  4, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 29,  5, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 29,  6, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 29,  7, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 29,  8, 162 }, /* 162 (2), 161 (2), 162 (2), 162 (2), 161 (2), support = 3 */
    { 29,  9, 162 }, /* 162 (2), 162 (2), 162 (2), 162 (2), 162 (2), support = 5 */
    { 29, 10, 161 }, /* 161 (2), 161 (2), 162 (2), 161 (2), 161 (2), support = 4 */
    { 29, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 12, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 13, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 14, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 15, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 16, 161 }, /* 161 (2), 161 (2), 161 (2), 158 (2), 161 (2), support = 4 */
    { 29, 17, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 18, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 19, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 20, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 29, 21, 161 }, /* 161 (2), 161 (2), 161 (2), 160 (2), 160 (2), support = 3 */
    { 29, 22, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 29, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 29, 24, 161 }, /* 161 (1), 161 (1), 161 (1), 161 (1), 161 (1), support = 1 */
    { 29, 25, 159 }, /* 159 (2), 159 (2), 160 (2), 159 (2), 159 (2), support = 4 */
    { 29, 26, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 29, 27, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 29, 28, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 29, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 30, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 31, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 32, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 33, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 34, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 35, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 36, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 37, 119 }, /* 119 (2), 119 (2), 119 (2), 119 (2), 119 (2), support = 5 */
    { 29, 38, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 41, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 42, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 29, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30,  0, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 160 (2), support = 4 */
    { 30,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 30,  2, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 30,  3, 160 }, /* 160 (2), 160 (2), 161 (2), 160 (2), 161 (2), support = 3 */
    { 30,  4, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 30,  5, 161 }, /* 160 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 4 */
    { 30,  6, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30,  7, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30,  8, 161 }, /* 161 (2), 161 (2), 162 (2), 161 (2), 161 (2), support = 4 */
    { 30,  9, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 10, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 12, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 13, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 14, 159 }, /* 159 (2), 159 (2), 161 (2), 159 (2), 161 (2), support = 3 */
    { 30, 15, 160 }, /* 158 (2), 160 (2), 160 (2), 158 (2), 160 (2), support = 3 */
    { 30, 16, 159 }, /* 159 (2), 150 (0), 159 (2), 159 (2), 150 (0), support = 3 */
    { 30, 17, 158 }, /* 158 (2), 158 (2), 161 (2), 158 (2), 158 (2), support = 4 */
    { 30, 18, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 19, 160 }, /* 161 (2), 160 (2), 160 (2), 161 (2), 160 (2), support = 3 */
    { 30, 20, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 160 (2), support = 4 */
    { 30, 21, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 22, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 30, 23, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 30, 24, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 30, 25, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 30, 26, 159 }, /* 159 (2), 159 (2), 160 (2), 159 (2), 157 (2), support = 3 */
    { 30, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 156 (2), 156 (2), support = 5 */
    { 30, 28, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 29, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 30, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 31, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 32, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 33, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 34, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 35, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 36, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 37, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 38, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 41, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 42, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 30, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31,  0, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 31,  1, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 31,  2, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 31,  3, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 31,  4, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31,  5, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31,  6, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31,  7, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31,  8, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31,  9, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 10, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 11, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 12, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 13, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 14, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 15, 159 }, /* 159 (2), 159 (2), 160 (2), 159 (2), 159 (2), support = 4 */
    { 31, 16, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 31, 17, 158 }, /* 158 (2), 158 (2), 160 (2), 158 (2), 160 (2), support = 3 */
    { 31, 18, 161 }, /* 161 (2), 161 (2), 161 (2), 161 (2), 161 (2), support = 5 */
    { 31, 19, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 31, 20, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 31, 21, 161 }, /* 161 (2), 161 (2), 161 (2), 160 (2), 160 (2), support = 3 */
    { 31, 22, 160 }, /* 160 (2), 160 (2), 160 (2), 160 (2), 160 (2), support = 5 */
    { 31, 23, 159 }, /* 159 (2), 159 (2), 160 (2), 159 (2), 159 (2), support = 4 */
    { 31, 24, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 31, 25, 159 }, /* 159 (2), 159 (2), 159 (2), 159 (2), 159 (2), support = 5 */
    { 31, 26,  -1 }, /* 160 (2), 156 (2), 160 (2), 159 (2), 156 (2), support = 1 */
    { 31, 27, 156 }, /* 156 (2), 156 (2), 156 (2), 158 (2), 156 (2), support = 4 */
    { 31, 28, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 29, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 30, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 31, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 32, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 33, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 34, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 35, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 36, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 37, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 38, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 39, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 40, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 41, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 42, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 43, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 44, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 45, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 46, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { 31, 47, 120 }, /* 120 (2), 120 (2), 120 (2), 120 (2), 120 (2), support = 5 */
    { -1, -1,  -1 }
};
